
local ResInfo = require("app/views/buff/ResInfo")
--执行之前或者执行以后的处理
local SpecailGuideCfg = {
    [2] = function(isEnd,instance,callback)
            if isEnd and PanelTabLayer.__CurView then
                PanelTabLayer.__CurView:close()
                NodeTranslator:showInterceptView(2,callback)
            end
        end,
    [3] = function(isEnd,instance,callback)
            if isEnd then
                instance:setTabSelect(2)
                instance:setMaxProduceNum(1)
                instance:expandIndex(0)
                if callback then
                    callback()
                end
            end
        end,
    [11] = function(isEnd,instance,callback)
        if isEnd then
            NodeTranslator:deltaDo(0.01,function()  --切场景延时一针执行
                -- 关闭关卡所有界面
                gWorldScene:removeMission()
                if callback then
                    callback()
                end
            end)
        end
    end,
    [12] = function(isEnd,instance,callback)
            if isEnd then
                gWorldScene:R1Hide()
                if callback then
                    callback()
                end
            end
        end,
    [13] = function(isEnd,instance,callback)
            if isEnd then
                NodeTranslator:deltaDo(0.2,function()
                    instance:expandIndex(0)
                    if callback then
                        callback()
                    end
                end)
            end
        end,
    [15] = function(isEnd,instance,callback)
        if isEnd then
            NodeTranslator:deltaDo(0.2,function()
                    instance:expandIndex(1)
                    if callback then
                        callback()
                    end
                end)
        else
            if gWorldScene.BgPage ~= 2 then
                gWorldScene:R1Hide()
                gWorldScene.BgPage = 2
                gWorldScene:TurnBgQuest()
            end
        end
    end,
    [17] = function(isEnd,instance,callback)
        if isEnd then
            NodeTranslator:deltaDo(0.2,function()
                    instance:expandIndex(2)
                    if callback then
                        callback()
                    end
                end)
        else
            if gWorldScene.BgPage ~= 2 then
                gWorldScene:R1Hide()
                gWorldScene.BgPage = 2
                gWorldScene:TurnBgQuest()
            end
        end
    end,
--    [29] = function(isEnd,instance,callback)
--        if isEnd then
--            instance:expandIndex(2)
--            if callback then
--                callback()
--            end
--        end
--    end,
    [31] = function(isEnd,instance,callback)
        if isEnd then
            ResInfo:close()
            if callback then
                callback()
            end
        end
    end
}

return SpecailGuideCfg