
Tank = {
		[1] = {
		id = 1,
		name = "Tank_Name_1",
		dec = "Tank_Description_1",
		icon = "res/pic/tank_factory/tank/icon_tank_1.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_1.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_1;tank_1;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/04;04;one_play#custom#scale#2#flipxy",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 1,
		position = 1,
		load = 100,
		type = 1,
		buffs = 1,
		atkRange = 1,
		atk = 19,
		hp = 95,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 4,
		speed = 1000,
		needFerrum = 162,
		needOil = 81,
		needLead = 81,
		needTitanium = 7,
		needTime = 5,
		reformFerrum = 130,
		reformOil = 65,
		reformLead = 65,
		reformTitanium = 6,
		needItem = "0",
		reformTime = 4,
		reformNeed = 0,
		repairCrystal = 3,
		color = 1,
	},
		[2] = {
		id = 2,
		name = "Tank_Name_2",
		dec = "Tank_Description_2",
		icon = "res/pic/tank_factory/hunter/icon_hunter_1.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_1.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_1;hunter_1;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/01;01;one_play#custom#scale#2#flipxy",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 4,
		position = 1,
		load = 150,
		type = 2,
		buffs = 2,
		atkRange = 1,
		atk = 35,
		hp = 55,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 1,
		speed = 1000,
		needFerrum = 162,
		needOil = 324,
		needLead = 162,
		needTitanium = 27,
		needTime = 53,
		reformFerrum = 130,
		reformOil = 259,
		reformLead = 130,
		reformTitanium = 22,
		needItem = "0",
		reformTime = 42,
		reformNeed = 0,
		repairCrystal = 40,
		color = 1,
	},
		[3] = {
		id = 3,
		name = "Tank_Name_3",
		dec = "Tank_Description_3",
		icon = "res/pic/tank_factory/destory/icon_destory_1.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_1.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_1;destory_1;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/07;07;one_play#custom#scale#2#flipxy#rotate#-90",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 7,
		position = 1,
		load = 250,
		type = 3,
		buffs = 3,
		atkRange = 2,
		atk = 33,
		hp = 95,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 2,
		speed = 1000,
		needFerrum = 324,
		needOil = 324,
		needLead = 648,
		needTitanium = 81,
		needTime = 137,
		reformFerrum = 259,
		reformOil = 259,
		reformLead = 518,
		reformTitanium = 65,
		needItem = "0",
		reformTime = 110,
		reformNeed = 0,
		repairCrystal = 123,
		color = 1,
	},
		[4] = {
		id = 4,
		name = "Tank_Name_4",
		dec = "Tank_Description_4",
		icon = "res/pic/tank_factory/rocket/icon_rocket_1.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_1.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_1;rocket_1;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/10;10;one_play#custom#scale#2#flipxy#rotate#-45",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 10,
		position = 1,
		load = 350,
		type = 4,
		buffs = 4,
		atkRange = 6,
		atk = 16,
		hp = 115,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 3,
		speed = 1000,
		needFerrum = 864,
		needOil = 864,
		needLead = 864,
		needTitanium = 216,
		needTime = 251,
		reformFerrum = 691,
		reformOil = 691,
		reformLead = 691,
		reformTitanium = 173,
		needItem = "0",
		reformTime = 201,
		reformNeed = 0,
		repairCrystal = 250,
		color = 1,
	},
		[5] = {
		id = 5,
		name = "Tank_Name_5",
		dec = "Tank_Description_5",
		icon = "res/pic/tank_factory/tank/icon_tank_2.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_2.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_2;tank_2;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/04;04;one_play#custom#scale#2#flipxy",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 13,
		position = 3,
		load = 500,
		type = 1,
		buffs = 5,
		atkRange = 3,
		atk = 22,
		hp = 268,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 4,
		speed = 1000,
		needFerrum = 2520,
		needOil = 1260,
		needLead = 1260,
		needTitanium = 540,
		needTime = 391,
		reformFerrum = 2016,
		reformOil = 1008,
		reformLead = 1008,
		reformTitanium = 432,
		needItem = "0",
		reformTime = 313,
		reformNeed = 1,
		repairCrystal = 423,
		color = 2,
	},
		[6] = {
		id = 6,
		name = "Tank_Name_6",
		dec = "Tank_Description_6",
		icon = "res/pic/tank_factory/hunter/icon_hunter_2.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_2.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_2;hunter_2;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/01;01;one_play#custom#scale#2#flipxy",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 16,
		position = 3,
		load = 770,
		type = 2,
		buffs = 6,
		atkRange = 1,
		atk = 122,
		hp = 185,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 1,
		speed = 1000,
		needFerrum = 2520,
		needOil = 5040,
		needLead = 2520,
		needTitanium = 1260,
		needTime = 557,
		reformFerrum = 2016,
		reformOil = 4032,
		reformLead = 2016,
		reformTitanium = 1008,
		needItem = "0",
		reformTime = 446,
		reformNeed = 2,
		repairCrystal = 640,
		color = 2,
	},
		[7] = {
		id = 7,
		name = "Tank_Name_7",
		dec = "Tank_Description_7",
		icon = "res/pic/tank_factory/destory/icon_destory_2.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_2.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_2;destory_2;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/07;07;one_play#custom#scale#2#flipxy#rotate#-90",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 19,
		position = 3,
		load = 1200,
		type = 3,
		buffs = 7,
		atkRange = 2,
		atk = 85,
		hp = 335,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 2,
		speed = 1000,
		needFerrum = 4500,
		needOil = 4500,
		needLead = 9000,
		needTitanium = 2700,
		needTime = 746,
		reformFerrum = 3600,
		reformOil = 3600,
		reformLead = 7200,
		reformTitanium = 2160,
		needItem = "0",
		reformTime = 597,
		reformNeed = 3,
		repairCrystal = 903,
		color = 2,
	},
		[8] = {
		id = 8,
		name = "Tank_Name_8",
		dec = "Tank_Description_8",
		icon = "res/pic/tank_factory/rocket/icon_rocket_2.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_2.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_2;rocket_2;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/10;10;one_play#custom#scale#2#flipxy#rotate#-45",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 22,
		position = 3,
		load = 1900,
		type = 4,
		buffs = 8,
		atkRange = 6,
		atk = 50,
		hp = 362,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 3,
		speed = 1000,
		needFerrum = 10800,
		needOil = 10800,
		needLead = 10800,
		needTitanium = 5580,
		needTime = 957,
		reformFerrum = 8640,
		reformOil = 8640,
		reformLead = 8640,
		reformTitanium = 4464,
		needItem = "0",
		reformTime = 766,
		reformNeed = 4,
		repairCrystal = 1210,
		color = 2,
	},
		[9] = {
		id = 9,
		name = "Tank_Name_9",
		dec = "Tank_Description_9",
		icon = "res/pic/tank_factory/tank/icon_tank_3.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_3.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_3;tank_3;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/04;04;one_play#custom#scale#2#flipxy",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 25,
		position = 3,
		load = 2600,
		type = 1,
		buffs = 9,
		atkRange = 3,
		atk = 65,
		hp = 785,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 4,
		speed = 1000,
		needFerrum = 28800,
		needOil = 14400,
		needLead = 14400,
		needTitanium = 10800,
		needTime = 1190,
		reformFerrum = 23040,
		reformOil = 11520,
		reformLead = 11520,
		reformTitanium = 8640,
		needItem = "0",
		reformTime = 952,
		reformNeed = 5,
		repairCrystal = 1563,
		color = 3,
	},
		[10] = {
		id = 10,
		name = "Tank_Name_10",
		dec = "Tank_Description_10",
		icon = "res/pic/tank_factory/hunter/icon_hunter_3.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_3.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_3;hunter_3;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/01;01;one_play#custom#scale#2#flipxy",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 28,
		position = 3,
		load = 3400,
		type = 2,
		buffs = 10,
		atkRange = 1,
		atk = 310,
		hp = 490,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 1,
		speed = 1000,
		needFerrum = 23400,
		needOil = 46800,
		needLead = 23400,
		needTitanium = 18900,
		needTime = 1443,
		reformFerrum = 18720,
		reformOil = 37440,
		reformLead = 18720,
		reformTitanium = 15120,
		needItem = "0",
		reformTime = 1154,
		reformNeed = 6,
		repairCrystal = 1960,
		color = 3,
	},
		[11] = {
		id = 11,
		name = "Tank_Name_11",
		dec = "Tank_Description_11",
		icon = "res/pic/tank_factory/destory/icon_destory_3.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_3.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_3;destory_3;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/07;07;one_play#custom#scale#2#flipxy#rotate#-90",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 31,
		position = 3,
		load = 4900,
		type = 3,
		buffs = 11,
		atkRange = 2,
		atk = 213,
		hp = 762,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 2,
		speed = 1000,
		needFerrum = 36000,
		needOil = 36000,
		needLead = 72000,
		needTitanium = 29700,
		needTime = 1715,
		reformFerrum = 28800,
		reformOil = 28800,
		reformLead = 57600,
		reformTitanium = 23760,
		needItem = "0",
		reformTime = 1372,
		reformNeed = 7,
		repairCrystal = 2403,
		color = 3,
	},
		[12] = {
		id = 12,
		name = "Tank_Name_12",
		dec = "Tank_Description_12",
		icon = "res/pic/tank_factory/rocket/icon_rocket_3.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_3.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_3;rocket_3;up_idle",
        anim_hit = "art/hit/hit1;hit1;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/10;10;one_play#custom#scale#2#flipxy#rotate#-45",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 34,
		position = 3,
		load = 6700,
		type = 4,
		buffs = 12,
		atkRange = 6,
		atk = 115,
		hp = 815,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 3,
		speed = 1000,
		needFerrum = 73800,
		needOil = 73800,
		needLead = 73800,
		needTitanium = 45900,
		needTime = 2007,
		reformFerrum = 59040,
		reformOil = 59040,
		reformLead = 59040,
		reformTitanium = 36720,
		needItem = "0",
		reformTime = 1606,
		reformNeed = 8,
		repairCrystal = 2890,
		color = 3,
	},
		[13] = {
		id = 13,
		name = "Tank_Name_13",
		dec = "Tank_Description_13",
		icon = "res/pic/tank_factory/tank/icon_tank_4.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_4.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_4;tank_4;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/05;05;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 37,
		position = 3,
		load = 8900,
		type = 1,
		buffs = 13,
		atkRange = 3,
		atk = 135,
		hp = 1600,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 4,
		speed = 1000,
		needFerrum = 162000,
		needOil = 81000,
		needLead = 81000,
		needTitanium = 66600,
		needTime = 2317,
		reformFerrum = 129600,
		reformOil = 64800,
		reformLead = 64800,
		reformTitanium = 53280,
		needItem = "0",
		reformTime = 1854,
		reformNeed = 9,
		repairCrystal = 3423,
		color = 4,
	},
		[14] = {
		id = 14,
		name = "Tank_Name_14",
		dec = "Tank_Description_14",
		icon = "res/pic/tank_factory/hunter/icon_hunter_4.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_4.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_4;hunter_4;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/02;02;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 40,
		position = 3,
		load = 11000,
		type = 2,
		buffs = 14,
		atkRange = 1,
		atk = 638,
		hp = 950,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 1,
		speed = 1000,
		needFerrum = 108000,
		needOil = 216000,
		needLead = 108000,
		needTitanium = 99000,
		needTime = 2645,
		reformFerrum = 86400,
		reformOil = 172800,
		reformLead = 86400,
		reformTitanium = 79200,
		needItem = "0",
		reformTime = 2116,
		reformNeed = 10,
		repairCrystal = 4000,
		color = 4,
	},
		[15] = {
		id = 15,
		name = "Tank_Name_15",
		dec = "Tank_Description_15",
		icon = "res/pic/tank_factory/destory/icon_destory_4.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_4.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_4;destory_4;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/08;08;one_play#custom#scale#2#flipxy#rotate#-94",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 43,
		position = 3,
		load = 14000,
		type = 3,
		buffs = 15,
		atkRange = 2,
		atk = 394,
		hp = 1470,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 2,
		speed = 1000,
		needFerrum = 162000,
		needOil = 162000,
		needLead = 324000,
		needTitanium = 135000,
		needTime = 2991,
		reformFerrum = 129600,
		reformOil = 129600,
		reformLead = 259200,
		reformTitanium = 108000,
		needItem = "0",
		reformTime = 2393,
		reformNeed = 11,
		repairCrystal = 4623,
		color = 4,
	},
		[16] = {
		id = 16,
		name = "Tank_Name_16",
		dec = "Tank_Description_16",
		icon = "res/pic/tank_factory/rocket/icon_rocket_4.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_4.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_4;rocket_4;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/11;11;one_play#custom#scale#2#flipxy#rotate#-40",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 46,
		position = 3,
		load = 16000,
		type = 4,
		buffs = 16,
		atkRange = 6,
		atk = 208,
		hp = 1450,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 3,
		speed = 1000,
		needFerrum = 288000,
		needOil = 288000,
		needLead = 288000,
		needTitanium = 180000,
		needTime = 3355,
		reformFerrum = 230400,
		reformOil = 230400,
		reformLead = 230400,
		reformTitanium = 144000,
		needItem = "0",
		reformTime = 2684,
		reformNeed = 12,
		repairCrystal = 5290,
		color = 4,
	},
		[17] = {
		id = 17,
		name = "Tank_Name_17",
		dec = "Tank_Description_17",
		icon = "res/pic/tank_factory/tank/icon_tank_5.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_5.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_5;tank_5;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/05;05;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 49,
		position = 3,
		load = 18000,
		type = 1,
		buffs = 17,
		atkRange = 3,
		atk = 335,
		hp = 3985,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 4,
		speed = 1000,
		needFerrum = 1260000,
		needOil = 648000,
		needLead = 648000,
		needTitanium = 540000,
		needTime = 3735,
		reformFerrum = 1008000,
		reformOil = 518400,
		reformLead = 518400,
		reformTitanium = 432000,
		needItem = "0",
		reformTime = 2988,
		reformNeed = 13,
		repairCrystal = 6003,
		color = 5,
	},
		[18] = {
		id = 18,
		name = "Tank_Name_18",
		dec = "Tank_Description_18",
		icon = "res/pic/tank_factory/hunter/icon_hunter_5.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_5.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_5;hunter_5;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/02;02;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 52,
		position = 3,
		load = 18000,
		type = 2,
		buffs = 18,
		atkRange = 1,
		atk = 1268,
		hp = 1900,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 1,
		speed = 1000,
		needFerrum = 990000,
		needOil = 1980000,
		needLead = 990000,
		needTitanium = 810000,
		needTime = 4132,
		reformFerrum = 792000,
		reformOil = 1584000,
		reformLead = 792000,
		reformTitanium = 648000,
		needItem = "0",
		reformTime = 3306,
		reformNeed = 14,
		repairCrystal = 6760,
		color = 5,
	},
		[19] = {
		id = 19,
		name = "Tank_Name_19",
		dec = "Tank_Description_19",
		icon = "res/pic/tank_factory/destory/icon_destory_5.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_5.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_5;destory_5;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/08;08;one_play#custom#scale#2#flipxy#rotate#-94",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 55,
		position = 3,
		load = 18000,
		type = 3,
		buffs = 19,
		atkRange = 2,
		atk = 690,
		hp = 2550,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 2,
		speed = 1000,
		needFerrum = 1260000,
		needOil = 1260000,
		needLead = 2520000,
		needTitanium = 1080000,
		needTime = 4546,
		reformFerrum = 1008000,
		reformOil = 1008000,
		reformLead = 2016000,
		reformTitanium = 864000,
		needItem = "0",
		reformTime = 3637,
		reformNeed = 15,
		repairCrystal = 7563,
		color = 5,
	},
		[20] = {
		id = 20,
		name = "Tank_Name_20",
		dec = "Tank_Description_20",
		icon = "res/pic/tank_factory/rocket/icon_rocket_5.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_5.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_5;rocket_5;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/11;11;one_play#custom#scale#2#flipxy#rotate#-40",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 58,
		position = 3,
		load = 18000,
		type = 4,
		buffs = 20,
		atkRange = 6,
		atk = 335,
		hp = 2380,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 3,
		speed = 1000,
		needFerrum = 2160000,
		needOil = 2160000,
		needLead = 2160000,
		needTitanium = 1350000,
		needTime = 4975,
		reformFerrum = 1728000,
		reformOil = 1728000,
		reformLead = 1728000,
		reformTitanium = 1080000,
		needItem = "0",
		reformTime = 3980,
		reformNeed = 16,
		repairCrystal = 8410,
		color = 5,
	},
		[21] = {
		id = 21,
		name = "Tank_Name_21",
		dec = "Tank_Description_21",
		icon = "res/pic/tank_factory/tank/icon_tank_6.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_6.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_6;tank_6;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/05;05;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 1,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 61,
		position = 3,
		load = 23000,
		type = 1,
		buffs = 21,
		atkRange = 3,
		atk = 430,
		hp = 6650,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 4,
		speed = 1000,
		needFerrum = 4860000,
		needOil = 2430000,
		needLead = 2430000,
		needTitanium = 1980000,
		needTime = 5420,
		reformFerrum = 3888000,
		reformOil = 1944000,
		reformLead = 1944000,
		reformTitanium = 1584000,
		needItem = "42:1,28:1",
		reformTime = 4336,
		reformNeed = 17,
		repairCrystal = 9303,
		color = 6,
	},
		[22] = {
		id = 22,
		name = "Tank_Name_22",
		dec = "Tank_Description_22",
		icon = "res/pic/tank_factory/hunter/icon_hunter_6.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_6.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_6;hunter_6;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/02;02;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 4,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 62,
		position = 3,
		load = 23000,
		type = 2,
		buffs = 22,
		atkRange = 1,
		atk = 1650,
		hp = 3210,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 1,
		speed = 1000,
		needFerrum = 3780000,
		needOil = 7560000,
		needLead = 3780000,
		needTitanium = 2970000,
		needTime = 5572,
		reformFerrum = 3024000,
		reformOil = 6048000,
		reformLead = 3024000,
		reformTitanium = 2376000,
		needItem = "42:1,29:1",
		reformTime = 4458,
		reformNeed = 18,
		repairCrystal = 9610,
		color = 6,
	},
		[23] = {
		id = 23,
		name = "Tank_Name_23",
		dec = "Tank_Description_23",
		icon = "res/pic/tank_factory/destory/icon_destory_6.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_6.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_6;destory_6;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/08;08;one_play#custom#scale#2#flipxy#rotate#-94",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 7,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 63,
		position = 3,
		load = 23000,
		type = 3,
		buffs = 23,
		atkRange = 2,
		atk = 890,
		hp = 4380,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 2,
		speed = 1000,
		needFerrum = 4680000,
		needOil = 4680000,
		needLead = 9360000,
		needTitanium = 3960000,
		needTime = 5726,
		reformFerrum = 3744000,
		reformOil = 3744000,
		reformLead = 7488000,
		reformTitanium = 3168000,
		needItem = "42:1,30:1",
		reformTime = 4581,
		reformNeed = 19,
		repairCrystal = 9923,
		color = 6,
	},
		[24] = {
		id = 24,
		name = "Tank_Name_24",
		dec = "Tank_Description_24",
		icon = "res/pic/tank_factory/rocket/icon_rocket_6.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_6.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_6;rocket_6;up_idle",
        anim_hit = "art/hit/hit2;hit2;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/11;11;one_play#custom#scale#2#flipxy#rotate#-40",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 10,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 64,
		position = 3,
		load = 23000,
		type = 4,
		buffs = 24,
		atkRange = 6,
		atk = 420,
		hp = 3850,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 3,
		speed = 1000,
		needFerrum = 7740000,
		needOil = 7740000,
		needLead = 7740000,
		needTitanium = 4950000,
		needTime = 5881,
		reformFerrum = 6192000,
		reformOil = 6192000,
		reformLead = 6192000,
		reformTitanium = 3960000,
		needItem = "42:1,31:1",
		reformTime = 4705,
		reformNeed = 20,
		repairCrystal = 10240,
		color = 6,
	},
		[25] = {
		id = 25,
		name = "Tank_Name_25",
		dec = "Tank_Description_25",
		icon = "res/pic/tank_factory/tank/icon_tank_7.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_7.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_7;tank_7;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/06;06;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 2,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 65,
		position = 2,
		load = 28000,
		type = 1,
		buffs = 25,
		atkRange = 3,
		atk = 505,
		hp = 8020,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 4,
		speed = 1000,
		needFerrum = 13860000,
		needOil = 6930000,
		needLead = 6930000,
		needTitanium = 5940000,
		needTime = 6038,
		reformFerrum = 11088000,
		reformOil = 5544000,
		reformLead = 5544000,
		reformTitanium = 4752000,
		needItem = "42:2,28:2",
		reformTime = 4830,
		reformNeed = 21,
		repairCrystal = 10563,
		color = 7,
	},
		[26] = {
		id = 26,
		name = "Tank_Name_26",
		dec = "Tank_Description_26",
		icon = "res/pic/tank_factory/hunter/icon_hunter_7.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_7.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_7;hunter_7;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/03;03;one_play#custom#scale#2#flipxy#rotate#-10",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 5,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 66,
		position = 2,
		load = 23000,
		type = 2,
		buffs = 26,
		atkRange = 1,
		atk = 2050,
		hp = 3900,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 1,
		speed = 1000,
		needFerrum = 8280000,
		needOil = 16560000,
		needLead = 8280000,
		needTitanium = 6930000,
		needTime = 6197,
		reformFerrum = 6624000,
		reformOil = 13248000,
		reformLead = 6624000,
		reformTitanium = 5544000,
		needItem = "42:2,29:2",
		reformTime = 4958,
		reformNeed = 22,
		repairCrystal = 10890,
		color = 7,
	},
		[27] = {
		id = 27,
		name = "Tank_Name_27",
		dec = "Tank_Description_27",
		icon = "res/pic/tank_factory/destory/icon_destory_7.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_7.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_7;destory_7;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/09;09;one_play#custom#scale#2#flipxy#rotate#-80",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 8,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 67,
		position = 2,
		load = 23000,
		type = 3,
		buffs = 27,
		atkRange = 2,
		atk = 1050,
		hp = 5500,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 2,
		speed = 1000,
		needFerrum = 9630000,
		needOil = 9630000,
		needLead = 19260000,
		needTitanium = 7920000,
		needTime = 6358,
		reformFerrum = 7704000,
		reformOil = 7704000,
		reformLead = 15408000,
		reformTitanium = 6336000,
		needItem = "42:2,30:2",
		reformTime = 5086,
		reformNeed = 23,
		repairCrystal = 11223,
		color = 7,
	},
		[28] = {
		id = 28,
		name = "Tank_Name_28",
		dec = "Tank_Description_28",
		icon = "res/pic/tank_factory/rocket/icon_rocket_7.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_7.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_7;rocket_7;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/12;12;one_play#custom#scale#2#flipxy#rotate#-40",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 11,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 68,
		position = 2,
		load = 23000,
		type = 4,
		buffs = 28,
		atkRange = 6,
		atk = 495,
		hp = 5000,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 3,
		speed = 1000,
		needFerrum = 15840000,
		needOil = 15840000,
		needLead = 15840000,
		needTitanium = 8910000,
		needTime = 6520,
		reformFerrum = 12672000,
		reformOil = 12672000,
		reformLead = 12672000,
		reformTitanium = 7128000,
		needItem = "42:2,31:2",
		reformTime = 5216,
		reformNeed = 24,
		repairCrystal = 11560,
		color = 7,
	},
		[29] = {
		id = 29,
		name = "Tank_Name_29",
		dec = "Tank_Description_29",
		icon = "res/pic/tank_factory/tank/icon_tank_12.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_12.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_12;tank_12;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/06;06;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 13,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 0,
		position = 4,
		load = 23000,
		type = 1,
		buffs = 29,
		atkRange = 3,
		atk = 470,
		hp = 6950,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 0,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 13000,
		color = 7,
	},
		[30] = {
		id = 30,
		name = "Tank_Name_30",
		dec = "Tank_Description_30",
		icon = "res/pic/tank_factory/hunter/icon_hunter_9.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_9.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_9;hunter_9;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/03;03;one_play#custom#scale#2#flipxy#rotate#-10",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 22,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 0,
		position = 4,
		load = 23000,
		type = 2,
		buffs = 30,
		atkRange = 1,
		atk = 1650,
		hp = 3420,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 29,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 13000,
		color = 7,
	},
		[31] = {
		id = 31,
		name = "Tank_Name_31",
		dec = "Tank_Description_31",
		icon = "res/pic/tank_factory/destory/icon_destory_8.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_8.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_8;destory_8;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/09;09;one_play#custom#scale#2#flipxy#rotate#-80",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 19,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 0,
		position = 4,
		load = 23000,
		type = 3,
		buffs = 31,
		atkRange = 2,
		atk = 910,
		hp = 4380,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 30,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 13000,
		color = 7,
	},
		[32] = {
		id = 32,
		name = "Tank_Name_32",
		dec = "Tank_Description_32",
		icon = "res/pic/tank_factory/rocket/icon_rocket_8.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_8.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_8;rocket_8;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/12;12;one_play#custom#scale#2#flipxy#rotate#-40",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 16,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 0,
		position = 4,
		load = 23000,
		type = 4,
		buffs = 32,
		atkRange = 6,
		atk = 440,
		hp = 4000,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 31,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 13000,
		color = 7,
	},
		[33] = {
		id = 33,
		name = "Tank_Name_33",
		dec = "Tank_Description_33",
		icon = "res/pic/tank_factory/tank/icon_tank_13.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_13.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_13;tank_13;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/06;06;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 14,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 0,
		position = 4,
		load = 28000,
		type = 1,
		buffs = 33,
		atkRange = 3,
		atk = 550,
		hp = 8520,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 0,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 15000,
		color = 8,
	},
		[34] = {
		id = 34,
		name = "Tank_Name_34",
		dec = "Tank_Description_34",
		icon = "res/pic/tank_factory/hunter/icon_hunter_10.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_10.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_10;hunter_10;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/03;03;one_play#custom#scale#2#flipxy#rotate#-10",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 23,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 0,
		position = 4,
		load = 28000,
		type = 2,
		buffs = 34,
		atkRange = 1,
		atk = 2150,
		hp = 4200,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 33,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 15000,
		color = 8,
	},
		[35] = {
		id = 35,
		name = "Tank_Name_35",
		dec = "Tank_Description_35",
		icon = "res/pic/tank_factory/destory/icon_destory_9.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_9.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_9;destory_9;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/09;09;one_play#custom#scale#2#flipxy#rotate#-80",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 20,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 0,
		position = 4,
		load = 28000,
		type = 3,
		buffs = 35,
		atkRange = 2,
		atk = 1250,
		hp = 5700,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 34,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 15000,
		color = 8,
	},
		[36] = {
		id = 36,
		name = "Tank_Name_36",
		dec = "Tank_Description_36",
		icon = "res/pic/tank_factory/rocket/icon_rocket_9.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_9.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_9;rocket_9;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/12;12;one_play#custom#scale#2#flipxy#rotate#-40",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 17,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 0,
		position = 4,
		load = 28000,
		type = 4,
		buffs = 36,
		atkRange = 6,
		atk = 535,
		hp = 5200,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 35,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 15000,
		color = 8,
	},
		[37] = {
		id = 37,
		name = "Tank_Name_37",
		dec = "Tank_Description_37",
		icon = "res/pic/tank_factory/tank/icon_tank_9.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_9.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_9;tank_9;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/06;06;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 0,
		position = 4,
		load = 28000,
		type = 1,
		buffs = 37,
		atkRange = 3,
		atk = 550,
		hp = 8520,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 0,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 15000,
		color = 8,
	},
		[38] = {
		id = 38,
		name = "Tank_Name_38",
		dec = "Tank_Description_38",
		icon = "res/pic/tank_factory/hunter/icon_hunter_11.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_11.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_11;hunter_11;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/03;03;one_play#custom#scale#2#flipxy#rotate#-10",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 0,
		position = 4,
		load = 28000,
		type = 2,
		buffs = 38,
		atkRange = 1,
		atk = 2150,
		hp = 4200,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 36,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 15000,
		color = 8,
	},
		[39] = {
		id = 39,
		name = "Tank_Name_39",
		dec = "Tank_Description_39",
		icon = "res/pic/tank_factory/destory/icon_destory_10.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_10.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_10;destory_10;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/09;09;one_play#custom#scale#2#flipxy#rotate#-80",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 0,
		position = 4,
		load = 28000,
		type = 3,
		buffs = 39,
		atkRange = 2,
		atk = 1250,
		hp = 5700,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 38,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 15000,
		color = 8,
	},
		[40] = {
		id = 40,
		name = "Tank_Name_40",
		dec = "Tank_Description_40",
		icon = "res/pic/tank_factory/rocket/icon_rocket_10.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_10.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_10;rocket_10;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/12;12;one_play#custom#scale#2#flipxy#rotate#-40",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 0,
		position = 4,
		load = 28000,
		type = 4,
		buffs = 40,
		atkRange = 6,
		atk = 535,
		hp = 5200,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 39,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 15000,
		color = 8,
	},
		[41] = {
		id = 41,
		name = "Tank_Name_41",
		dec = "Tank_Description_41",
		icon = "res/pic/tank_factory/tank/icon_tank_10.png",
		pic = "res/pic/mainmap/map_tank/tank/icon_tank_10.png",
        image = "%image%",
        anim_base = "art/tank/tank/tank_10;tank_10;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/06;06;one_play#custom#scale#2#flipxy#rotate#-15",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/tank/dead;tank_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_Tank.mp3",
		hitAudio = "res/sound/Hit_Tank.mp3",
		unlocklevel = 0,
		position = 4,
		load = 33000,
		type = 1,
		buffs = 41,
		atkRange = 3,
		atk = 670,
		hp = 9050,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 0,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 18000,
		color = 8,
	},
		[42] = {
		id = 42,
		name = "Tank_Name_42",
		dec = "Tank_Description_42",
		icon = "res/pic/tank_factory/hunter/icon_hunter_12.png",
		pic = "res/pic/mainmap/map_tank/hunter/icon_hunter_12.png",
        image = "%image%",
        anim_base = "art/tank/hunter/hunter_12;hunter_12;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/03;03;one_play#custom#scale#2#flipxy#rotate#-10",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/hunter/dead;hunter_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_jian_ji_che.mp3",
		hitAudio = "res/sound/Hit_jian_ji_che.mp3",
		unlocklevel = 0,
		position = 4,
		load = 33000,
		type = 2,
		buffs = 42,
		atkRange = 1,
		atk = 2270,
		hp = 4350,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 36,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 18000,
		color = 8,
	},
		[43] = {
		id = 43,
		name = "Tank_Name_43",
		dec = "Tank_Description_43",
		icon = "res/pic/tank_factory/destory/icon_destory_12.png",
		pic = "res/pic/mainmap/map_tank/destory/icon_destory_12.png",
        image = "%image%",
        anim_base = "art/tank/destory/destory_12;destory_12;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/09;09;one_play#custom#scale#2#flipxy#rotate#-80",
        anim_bullet = "art/bullet/bullet01;bullet01;loop_play#updown",
        anim_shell = "art/bullet/shell01;shell1;one_play#updown",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/destory/dead;destory_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_zi_xing_huo_pao.mp3",
		hitAudio = "res/sound/Hit_zi_xing_huo_pao.mp3",
		unlocklevel = 0,
		position = 4,
		load = 33000,
		type = 3,
		buffs = 43,
		atkRange = 2,
		atk = 1400,
		hp = 5950,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 42,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 18000,
		color = 8,
	},
		[44] = {
		id = 44,
		name = "Tank_Name_44",
		dec = "Tank_Description_44",
		icon = "res/pic/tank_factory/rocket/icon_rocket_13.png",
		pic = "res/pic/mainmap/map_tank/rocket/icon_rocket_13.png",
        image = "%image%",
        anim_base = "art/tank/rocket/rocket_13;rocket_13;up_idle",
        anim_hit = "art/hit/hit3;hit3;one_play#custom#scale#2#flipx",
        anim_fire = "art/fire/12;12;one_play#custom#scale#2#flipxy#rotate#-40",
        anim_bullet = "art/bullet/bullet02;bullet02;loop_play#updown",
        anim_shell = "0",
        anim_hole = "art/effect/hole;hole;hole#custom#scale#1.2#flipx",
        anim_miss = "art/effect/miss1;miss1;one_play#custom#scale#2#flipx",
        anim_shield1 = "art/effect/defbroke1;defbroke1;one_play",
        anim_shield2 = "art/effect/defbroke2;defbroke2;one_play",
        anim_recoil = "art/effect/smoke;smoke;one_play#custom#scale#2#flipxy",
        anim_fog = "art/effect/dust;dust;loop_play#custom#scale#2#flipy#rotate#120",
        anim_die = "art/tankdie;tankdie;one_play#custom#scale#2#flipx",
        deathwreckage = "art/tank/rocket/dead;rocket_dead;one_play#updown",
        anim_onfire = "art/effect/onfire;onfire;onfire",
        skillid = 0,
		atkAudio = "res/sound/Fire_huo_jian.mp3",
		hitAudio = "res/sound/Hit_huo_jian.mp3",
		unlocklevel = 0,
		position = 4,
		load = 33000,
		type = 4,
		buffs = 44,
		atkRange = 6,
		atk = 630,
		hp = 5440,
		hit = 0,
		dodge = 0,
		crit = 0,
		armor = 0,
		pierce = 0,
		def = 0,
		critAtk = 2,
		tenacity = 0,
		restrain = 43,
		speed = 1000,
		needFerrum = 0,
		needOil = 0,
		needLead = 0,
		needTitanium = 0,
		needTime = 0,
		reformFerrum = 0,
		reformOil = 0,
		reformLead = 0,
		reformTitanium = 0,
		needItem = "0",
		reformTime = 0,
		reformNeed = 0,
		repairCrystal = 18000,
		color = 8,
	},
}