
local UserDefault = cc.UserDefault:getInstance()
local cjson = require("cjson")
local PlayerInfo = require("src/app/views/PlayerInfo/PlayerInfo")
local TaskInfo = require("src/app/views/task/TaskInfo")
local BagAndStore = require("src/app/views/bag/BagAndStore")

ScienceStudyCfg = require("src/app/cfg/ScienceStudyCfg")

cc.utils                = require("framework.cc.utils.init")
cc.net                  = require("framework.cc.net.init")
cc.uiload               = require("framework.cc.uiloader.uiloader")
local WorldScene = class("WorldScene", function()
    return display.newScene("WorldScene")
end)

local Scheduler = cc.Director:getInstance():getScheduler()

--新手引导结束回调
NoviceGuide:registerGuideEnd(function()

        if gWorldScene == nil then
            return
        end

        gWorldScene:freshQuick()
        gWorldScene:getGametips()
        gWorldScene:getAnnouncement()

        gWorldScene:NoviceGuideWomenshow()

        if cc.UserDefault:getInstance():getIntegerForKey("firstGuanQia",0) ~= 1 then

            --关卡动画显示
            --列表
            local list = gWorldScene.BottomUI:getChildByName("ListView_1")
            local budui = list:getChildByName("Button_2")
            --Animation:playAnimation2(budui,gUIeffect[6].effect,1)
            local anim = Animation:playAnimation2(budui,gUIeffect[34].effect,1)
            if anim ~= nil then
                local x,y = anim:getPosition()
                anim:setPosition(cc.p(x,y+5))
            end


            cc.UserDefault:getInstance():setIntegerForKey("firstGuanQia",1)
        end
        if gWorldScene.FirstRechargeIcon then gWorldScene.FirstRechargeIcon:playAnimation() end
end)










--
APP_ENTER_BACKGROUND_EVENT = "APP_ENTER_BACKGROUND_EVENT"
APP_ENTER_FOREGROUND_EVENT = "APP_ENTER_FOREGROUND_EVENT"
local eventDispatcher = cc.Director:getInstance():getEventDispatcher()
--local customListenerBg = cc.EventListenerCustom:create(APP_ENTER_BACKGROUND_EVENT,
--    handler(self, self.onEnterBackground))
--eventDispatcher:addEventListenerWithFixedPriority(customListenerBg, 1)
local customListenerFg = cc.EventListenerCustom:create(APP_ENTER_FOREGROUND_EVENT,
    function()
        -- NodeTranslator:deltaDo(0.1,
        --     function()
        --         if gWorldScene ~= nil then
        --             gWorldScene:BaseQuest()
        --         end
        --     end
        -- )


    end)
eventDispatcher:addEventListenerWithFixedPriority(customListenerFg, 1)













BuildId2Button =
    {
        [1]="Button_9",
        [2]="Button_16",
        [3] = "Button_15",
        [4]="Button_11",
        [5]="Button_12",
        [6]="Button_1",
        [7]="Button_3",
        [8]="Button_5",
        [9]="Button_6",
        [10]="Button_7",
        [11]="Button_14",
        [12]="Button_4",
        [13]="Button_10",
    }

NUM_OF_TANK_IN_BASE = 28 --在主基地中的坦克边界

tankId2Button =
    {
        "Button_Tank_1",
        "Button_Tank_2",
        "Button_Tank_3",
        "Button_Tank_4",
        "Button_Tank_5",
        "Button_Tank_6",
        "Button_Tank_7",
        "Button_Tank_8",
        "Button_Tank_9",
        "Button_Tank_10",
        "Button_Tank_11",
        "Button_Tank_12",
        "Button_Tank_13",
        "Button_Tank_14",
        "Button_Tank_15",
        "Button_Tank_16",
        "Button_Tank_17",
        "Button_Tank_18",
        "Button_Tank_19",
        "Button_Tank_20",
        "Button_Tank_21",
        "Button_Tank_22",
        "Button_Tank_23",
        "Button_Tank_24",
        "Button_Tank_25",
        "Button_Tank_26",
        "Button_Tank_27",
        "Button_Tank_28",
    }

tankId2Node = {
    [29] = "icon_tank_01",
    [30] = "icon_destory_01",
    [31] = "icon_hunter_01",
    [32] = "icon_rocket_01",
    [33] = "icon_tank_02",
    [34] = "icon_destory_02",
    [35] = "icon_hunter_02",
    [36] = "icon_rocket_02",
    [37] = "icon_tank_03",
    [38] = "icon_destory_03",
    [39] = "icon_hunter_03",
    [40] = "icon_rocket_03",
    [41] = "icon_tank_04",
    [42] = "icon_destory_04",
    [43] = "icon_hunter_04",
    [44] = "icon_rocket_04",
    [45] = "icon_tank_05",
    [46] = "icon_destory_05",
    [47] = "icon_hunter_05",
    [48] = "icon_rocket_05",
    [49] = "icon_tank_06",
    [50] = "icon_destory_06",
    [51] = "icon_hunter_06",
    [52] = "icon_rocket_06",
    [53] = "icon_tank_07",
    [54] = "icon_destory_07",
    [55] = "icon_hunter_07",
    [56] = "icon_rocket_07",
    [57] = "icon_tank_08",
    [58] = "icon_destory_08",
    [59] = "icon_hunter_08",
    [60] = "icon_rocket_08",
}

--界面动画

--向右上飞
local rightup = { gUIeffect[11].effect,gUIeffect[11].effect,gUIeffect[14].effect,gUIeffect[16].effect,gUIeffect[18].effect}



local leftdown = { gUIeffect[10].effect,gUIeffect[12].effect,gUIeffect[15].effect,gUIeffect[17].effect,gUIeffect[19].effect}


local flyId = {11,16,23,24}

local animIndex = 0

function WorldScene:dofeijianimation()


    NodeTranslator:deltaDo(60,function()

            if gWorldScene == nil then
                return
            end

            if gWorldScene.feijidonghua ~= nil then
                gWorldScene.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):removeChild(gWorldScene.feijidonghua)
            end

            gWorldScene.feijidonghua = Animation:createAnimation(gUIeffect[12].effect)
            gWorldScene.feijidonghua:setScale(4.52)
            gWorldScene.feijidonghua:setName(gUIeffect[12].effect)
            gWorldScene.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):addChild(gWorldScene.feijidonghua,1000)
            gWorldScene:dofeijianimation()
    end)





end


function WorldScene:doAnimation()
    if math.random(0,2) == 1 then
        animIndex = animIndex + 1
        --local t = math.random(1,6)
        local t = animIndex%4+1


        local anim = Animation:createAnimation(gUIeffect[flyId[t]].effect)
        if flyId[t] == 14 or flyId[t] == 18 then--吉普车和卡车
        --            anim:setPosition( cc.p(0,788))
        --            self.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):addChild(anim,0)
        --            local time = 20
        --            local action1 = cc.MoveTo:create(time,cc.p(810,1195))
        --            local action = cc.Sequence:create(action1,cc.CallFunc:create(function()
        --                anim:removeFromParent()
        --            end))
        --            anim:runAction(action)
        elseif flyId[t] == 23 then--卡车3
            anim:setPosition( cc.p(1298,364))
            self.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):getChildByName("Node_2"):addChild(anim,0)
            local time = 20
            local action1 = cc.MoveTo:create(time,cc.p(0,1016))
            local action = cc.Sequence:create(action1,cc.CallFunc:create(function()
                anim:removeFromParent()
            end))
            anim:runAction(action)


        elseif flyId[t] == 24 then--卡车4
            anim:setPosition( cc.p(0,1000))
            self.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):getChildByName("Node_2"):addChild(anim,2)
            local time = 20
            local action1 = cc.MoveTo:create(time,cc.p(1298,348))
            local action = cc.Sequence:create(action1,cc.CallFunc:create(function()
                anim:removeFromParent()
            end))
            anim:runAction(action)
        else
            anim:setPosition( cc.p(0,math.random(100,1000)))
            self.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):addChild(anim,100)
            local time = 20
            if flyId[t] == 16 then
                time = 5
            end
            local action1 = cc.MoveBy:create(time,cc.p(1200,580))
            local action = cc.Sequence:create(action1,cc.CallFunc:create(function()
                anim:removeFromParent()
            end))
            anim:runAction(action)
        end



        --        --吉普车和卡车
        --        if t == 3 or t == 5 then
        --            anim:setPosition( cc.p(0,788))
        --            self.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):addChild(anim,50)
        --        else
        --            anim:setPosition( cc.p(0,math.random(100,1000)))
        --            self.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):addChild(anim,150)
        --        end
        --        --飞机
        --        local time = 20
        --        if t == 2 or t == 4 then
        --            time = 5
        --        end
        --
        --        local action1 = cc.MoveBy:create(time,cc.p(1200,580))
        --        local action = cc.Sequence:create(action1,cc.CallFunc:create(function()
        --            anim:removeFromParent()
        --        end))
        --        anim:runAction(action)

    end
end


function WorldScene:BuildIdAndDbId2Button(buildId,dbid)
    local btnKey = BuildId2Button[buildId]


    if type(btnKey) == "table" then
        local b1 = BuildId2Button[dbid+1000]
        if b1 == nil then
            BuildId2Button[dbid+1000] = btnKey[1]
            table.remove(btnKey,1)
        end

        btnKey = BuildId2Button[dbid+1000]
    end

    return btnKey
end



gWorldScene = nil


--多点触摸 (逗比触控)
function WorldScene:initMapScale()
--local map = self.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi")
--    self.twoTouchLayer = cc.Layer:create()
--    self:addChild(self.twoTouchLayer,5)
--
--
--    function onTouchesBegan(touches, event)
--        if #touches>1 then
--
--            map._touchPoint = (map:convertTouchToNodeSpace(_touches[0]):getMidpoint(
--                map:convertTouchToNodeSpace(_touches[1])));
--            map._touchLength = map:convertTouchToNodeSpace(_touches[0]):getDistance(
--                map:convertTouchToNodeSpace(_touches[1]));
--            print("-----onTouchesBegan11-------x:".._touches[0]:getLocation().x.."y:".._touches[0]:getLocation().y)
--            print("-----onTouchesBegan22-------x:".._touches[1]:getLocation().x.."y:".._touches[1]:getLocation().y)
--            --        map._touchLength = _container->convertTouchToNodeSpace(_touches[0]).getDistance(
--            --                       _container->convertTouchToNodeSpace(_touches[1]));
--
--        end
--    end
--
--    function onTouchesMoved(touches, event)
--
--        if  true then
--
--            if #touches>1 then
--                local point1 = touches[1]:getLocation()
--                local point2 = touches[2]:getLocation()
--
--                local currDistance = math.ceil(cc.pGetDistance(point1,point2))
--
--                print("-----onTouchesBegan11-------x:".._touches[0]:getLocation().x.."y:".._touches[0]:getLocation().y)
--                print("-----onTouchesBegan22-------x:".._touches[1]:getLocation().x.."y:".._touches[1]:getLocation().y)
--            end
--        end
--    end
--
--    function onTouchesEnded(touches, event)
--
--    end
--
--    function onTouchesCancelled(touches, event)
--
--    end
--
--    local listener = cc.EventListenerTouchAllAtOnce:create()
--    listener:registerScriptHandler(onTouchesBegan,cc.Handler.EVENT_TOUCHES_BEGAN )
--    listener:registerScriptHandler(onTouchesMoved,cc.Handler.EVENT_TOUCHES_MOVED )
--    listener:registerScriptHandler(onTouchesEnded,cc.Handler.EVENT_TOUCHES_ENDED)
--    listener:registerScriptHandler(onTouchesCancelled,cc.Handler.EVENT_TOUCHES_CANCELLED )
--    local eventDispatcher = self:getEventDispatcher()
--    eventDispatcher:addEventListenerWithSceneGraphPriority(listener, self.twoTouchLayer)
--listener:setSwallowTouches(false)








--
--
--
--    local listener = cc.EventListenerTouchOneByOne:create()
--    self.twoTouchLayer = cc.Layer:create()
--    self:addChild(self.twoTouchLayer,5)
--    self.twoTouchLayer.touches = {}
--    function onTouchesBegan(touches, event)
--        print("-------------onTouchesBegan----------------")
--        --table.insert(self.twoTouchLayer.touches,1,touches)
--        self.twoTouchLayer.touches[touches] = 1
--
--
--        return true
--    end
--
--    function onTouchesMoved(touches, event)
--        --table.insert(self.twoTouchLayer.touches,1,touches)
--        self.twoTouchLayer.touches[touches] = 1
--        print("-------------onTouchesMoved---fdsa-------------")
--
--        function getnum()
--        	local num = 0
--            for key, var in pairs(self.twoTouchLayer.touches) do
--        		num = num + 1
--        	end
--            print("----------num:"..num)
--        	return num
--        end
--
--        if getnum() == 2 then
--        --if true then
--            listener:setSwallowTouches(true)
--            print("----------two touch")
--            for key, var in pairs(self.twoTouchLayer.touches) do
--                local p = key:getLocation();
--                p = self.twoTouchLayer:convertToNodeSpace(p);
--                print("--x:"..p.x.."--y:"..p.y)
--        	end
--        end
--
--        return true
--    end
--
--    function onTouchesEnded(touches, event)
----        for key, var in pairs(self.twoTouchLayer.touches) do
----        	if var == touches then
----                table.remove(table,key)
----        	end
----        end
--        self.twoTouchLayer.touches[touches] = nil
--        print("-------------onTouchesEnded----------------")
--        listener:setSwallowTouches(false)
--        return true
--
--    end
--
--    function onTouchesCancelled(touches, event)
--        print("-------------onTouchesCancelled----------------")
--        return true
--    end
--
--
--    listener:registerScriptHandler(onTouchesBegan,cc.Handler.EVENT_TOUCH_BEGAN )
--    listener:registerScriptHandler(onTouchesMoved,cc.Handler.EVENT_TOUCH_MOVED )
--    listener:registerScriptHandler(onTouchesEnded,cc.Handler.EVENT_TOUCH_ENDED)
--    listener:registerScriptHandler(onTouchesCancelled,cc.Handler.EVENT_TOUCH_CANCELLED )
--    local eventDispatcher = self:getEventDispatcher()
--    eventDispatcher:addEventListenerWithSceneGraphPriority(listener, self.twoTouchLayer)
--





end



--显示任务快捷提示
function WorldScene:taskQuickNotice()
    local function registertaskQuickNotice()
        Connect:register("notifyTaskState",function(data)


                if not cc.UserDefault:getInstance():getBoolForKey("mainlinenotice") then
                    return
                end



                self.TaskQuickNotice:setVisible(true)

                local bg = self.TaskQuickNotice:getChildByName("panel_bg"):getChildByName("panel_detail")


                local taskvo = data
                --未完成
                if taskvo.state == 0 then
                    bg:getChildByName("panel_outline"):setVisible(false)
                    bg:getChildByName("icon_task_complete"):setVisible(false)
                    bg:getChildByName("icon_task_problem"):setVisible(true)

                    self.TaskQuickNotice:getChildByName("panel_bg"):addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                            TaskInfo:StaticGotoHere(gTask[taskvo.taskId])
                        end
                    end)
                    --完成
                elseif taskvo.state == 1 then
                    bg:getChildByName("panel_outline"):setVisible(true)
                    bg:getChildByName("icon_task_complete"):setVisible(true)
                    bg:getChildByName("icon_task_problem"):setVisible(false)


                    self.TaskQuickNotice:getChildByName("panel_bg"):addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                            -- local msg = {taskId = taskvo.taskId}
                            -- Connect:sendMsg("TaskAction","getTaskReward",msg,
                            --     function(data)
                            --         local pd = PlayerData:getInstanse()
                            --         --更新数据
                            --         pd.basicData = data.playerInfoVO
                            --         FlyWordPrompt:prompt(TaskInfo:getNotice(taskvo.taskId))
                            --     end)
                            --TaskInfo:StaticGotoHere(gTask[taskvo.taskId])
                            self:TaskQuest()
                        end
                    end)

                end
                --名字
                bg:getChildByName("text_mission"):setString( StringRes[gTask[taskvo.taskId].name])

                local action1 = cc.DelayTime:create(8)
                local action = cc.Sequence:create(action1,cc.CallFunc:create(function()
                    self.TaskQuickNotice:setVisible(false)
                end))
                self.TaskQuickNotice:stopAllActions()
                self.TaskQuickNotice:runAction(action)

        end)
    end
    registertaskQuickNotice()

end



function WorldScene:setChildVisible(visible)
    print("--------------"..tostring(visible))
    self.isPauseUpdate = not visible

    self.Feild:setVisible(visible)
    self.BaseBg:setVisible(visible)
    self.OutSideBg:setVisible(visible)
    
    if self.BgPage == 1 then
        self.topUI:setVisible(visible)
        self.MiddleUI:setVisible(visible)
        self.BottomUI:setVisible(visible)
    end
    
    
end


function WorldScene:ctor()
    Common:initBackKey(self)
    gWorldScene = self
    

    self.TaskQuickNotice = CCUILoader:load("res/csd/mission/layer_popout_mission_complete.csb")
    self.TaskQuickNotice:setVisible(false)


    local pd = PlayerData:getInstanse()




    self.topUI = cc.uiload:load("res/csd/PlayerTopUi.csb")
    self.MiddleUI = cc.uiload:load("res/csd/PlayerMiddleUi.csb")
    self.BottomUI = cc.uiload:load("res/csd/PlayerBottomUi.csb")

    self.BaseBg = cc.uiload:load("res/csd/LayerBaseBG.csb")
    require("src/app/unit/Airborne"):init()

    self.OutSideBg = cc.uiload:load("res/csd/LayerOutsideBG.csb")

    self.Feild = Field.new()
    self:addChild(self.Feild)
    self:addChild(self.BaseBg)
    self:addChild(self.OutSideBg)
    self:addChild(self.topUI)
    self:addChild(self.MiddleUI)
    self:addChild(self.BottomUI)
    self:addChild(self.TaskQuickNotice)
    self.OutSideBg:setVisible(false)
    self.Feild:setVisible(false)


    --    self.BaseBg:getChildByName("ScrollView_1"):addTouchEventListener(function(e, t)
    --        if t == ccui.TouchEventType.began then
    --            print("---TouchEventType.began--")
    --        end
    --        if t == ccui.TouchEventType.ended then
    --            print("---TouchEventType.ended--")
    --        end
    --    end)




    self.RightBtnOpen = true --右侧按钮展开
    self.BgPage = 0 --1：基地     2:郊外   3：世界
    self:TurnToNextBg()

    --self.BaseBg:getChildByName("ScrollView_1"):setSwallowTouches(false)
    WorldScene:dofeijianimation()

    --parent:setScale(1.5)
    self.BaseBg:setVisible(false)
    self:initMapScale()

    self.scrollTime = 0


    self.BaseBgButton = self.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi")
    local error_close1 = self.BaseBgButton:getChildByName("Button_1")
    error_close1:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            print("----------error_close1-------")
        end
    end)

    self.BaseBgButton:getChildByName("icon_basement"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local info = gBuilding[18]
            if info.unlock > PlayerData:getInstanse():getBaseBuildLv(1) then
                PromptView:type1(StringRes.notice,
                    string.format( StringRes[info.unlockdes],info.unlock)
                    ,StringRes.ok)
            else
                require("src/app/views/buildings/TankBasement"):show(gWorldScene)
            end
        end
    end)


    --等级显示消失
    local sc = self.BaseBg:getChildByName("ScrollView_1")
    --    sc:addEventListener(function(t,event)
    --        if event == 4 then
    --            --self:BuildLvShow(false)
    --            self.scrollTime = 0.1
    --        end
    --
    --    end)
    sc:setMaxScale(1.5)
    local listSize = sc:getContentSize()
    local containSize = sc:getInnerContainerSize()
    self._moveSceneScaleX = containSize.width/(containSize.width-listSize.width)
    self._moveSceneScaleY = containSize.height/(containSize.height-listSize.height)
    --sc:setRadioScale(1000)
    sc:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then
            self:showName(false)
        elseif t == ccui.TouchEventType.began then
            self:showName(true)
        end
    end)
    --等级显示消失
    local sc = self.OutSideBg:getChildByName("ScrollView_1")
    --    sc:addEventListener(function(t,event)
    --        if event == 4 then
    --            --self:BuildLvShow(false)
    --            self.scrollTime = 0.1
    --        end
    --
    --    end)
    sc:setMaxScale(1.5)
    sc:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then
            self:showName(false)
        elseif t == ccui.TouchEventType.began then
            self:showName(true)
        end
    end)

    self:showName(false)


    local anim = Animation:createAnimation(gUIeffect[26].effect)
    anim:setName(gUIeffect[22].effect)
    self.BaseBgButton:getChildByName("Bridge1"):addChild(anim)
    local anim = Animation:createAnimation(gUIeffect[26].effect)
    anim:setName(gUIeffect[22].effect)
    self.BaseBgButton:getChildByName("Bridge3"):addChild(anim)
    --Animation:playAnimation2(self.BaseBgButton:getChildByName("Bridge1"),gUIeffect[26].effect)
    --Animation:playAnimation2(self.BaseBgButton:getChildByName("Bridge3"),gUIeffect[26].effect)


    --
    --
    --    local function updateScroll(delta)
    --
    --
    --
    --    	if self.scrollTime > 0 then
    --            self:showName(true)
    --        else
    --            self:showName(false)
    --    	end
    --
    --        self.scrollTime = self.scrollTime - delta
    --
    --    end

    --动画

    --    local t1 = nil
    --    for var=10, 16 do
    --        t1 = Animation:createAnimation(gUIeffect[var].effect)
    --        t1:setPosition( cc.p(300,200+(var-10)*100))
    --        self:addChild(t1)
    --    end




    --奖励中心
    local tmp_action = cc.RepeatForever:create(cc.Sequence:create(cc.RotateTo:create(0.2,-30),cc.RotateTo:create(0.4,30),cc.RotateTo:create(0.15,-15),cc.RotateTo:create(0.15,15),cc.RotateTo:create(0.1,-8),cc.RotateTo:create(0.1,8),cc.RotateTo:create(0.1,-5),cc.RotateTo:create(0.1,5),cc.RotateTo:create(0.1,-3),cc.RotateTo:create(0.1,3),cc.RotateTo:create(0.08,0),cc.DelayTime:create(0.5)))
    self.MiddleUI:getChildByName("Buttonjiangli_10"):runAction(tmp_action)
    self.MiddleUI:getChildByName("Buttonjiangli_10"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/activity/MilitaryExerciseAward"):show(self)
        end
    end)


    --增益信息
    self.MiddleUI:getChildByName("Button_L1"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/buff/BuffInfo"):show(self)
        end
    end)


    --活动
    --增益信息
    self.MiddleUI:getChildByName("Button_L5"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local layer = require("src/app/views/activity/MainActivity.lua").new()
            self:addChild(layer)
            NodeTranslator:transUpBefore(layer)
        end
    end)



    --抽奖
    self.MiddleUI:getChildByName("Button_L2"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then
            MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("app/views/lottery/LotteryMainView.lua"):open(self,nil,nil)
        end
    end)

    --小助手
    self.MiddleUI:getChildByName("panel_women"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then
            MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            AssistantGuide:start()
        end
    end)

    




    --任务
    local list = self.BottomUI:getChildByName("ListView_1")
    local taskButton = list:getChildByName("Button_task")
    taskButton:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:TaskQuest()


        end
    end)

    --在线奖励
    --    TopbarUtils.clear()
    --    local OnlineRewardIcon = require("src/app/views/activity/OnlineRewardIcon").new(self.MiddleUI:getChildByName("btn_time_reward"))
    --    TopbarUtils.addIcon(OnlineRewardIcon)
    --    local FirstRechargeIcon = require("app/views/activity/FirstRechargeIcon.lua").new(self.MiddleUI:getChildByName("btn_first_recharge"))
    --    TopbarUtils.addIcon(FirstRechargeIcon)
    --    TopbarUtils.update()
    --taskButton:setColor( cc.c3b(120, 120, 120))

    --签到
    local battleTest = self.MiddleUI:getChildByName("Button_L3")
    battleTest:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local pd = PlayerData:getInstanse()
            local state = pd.signOr7day
            if pd and state == 1 then
                require("app/views/activity/Sign7Days"):show(self)
            elseif pd and state == 2 then
                require("app/views/activity/Sign30Days"):show(self)
            end
        end
    end)

    --资源详细
    local playerinfoButton = self.topUI:getChildByName("Button_1")
    playerinfoButton:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local layer = require("app/views/buff/ResInfo").new()
            self:addChild(layer)
            require("app/util/NodeTranslator"):transUp(layer,nil)
        end
    end)

    --玩家信息
    local playerinfoButton = self.topUI:getChildByName("Button_2")
    playerinfoButton:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self.PlayerInfo = PlayerInfo.new(self)
            self:addChild(self.PlayerInfo)
        end
    end)

    --VIP
    local playerinfoButton = self.topUI:getChildByName("Button_3")
    playerinfoButton:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/vip/VipInfo.lua"):showWithTab(self)
        end
    end)

    self:rigesterR1()
    --
    self:initBottomBtn()

    --Button_5
    local rechargebtn = self.topUI:getChildByName("Button_5")
    rechargebtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            Recharge:show(gWorldScene)
--            require("src/app/unit/Airborne"):updateParachute(1)
            --            require("app/views/territories_war/TerritoriesContend"):show(gWorldScene,1)
        end
    end)


    --Button_4
    local battlenumbtn = self.topUI:getChildByName("Button_4")
    battlenumbtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local fu = ForceUpgrade.new()
            self:addChild(fu)
        end
    end)









    local studyCenter = self.BaseBgButton:getChildByName("Button_12")
    studyCenter:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

        end
    end)

    self.OutSideGbButton = self.OutSideBg:getChildByName("ScrollView_1"):getChildByName("Image_1")
    local backhome = self.OutSideGbButton:getChildByName("Button_1")
    backhome:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

        end
    end)





    local function loadingbarScheduler(delta)
        local pd = PlayerData:getInstanse()
        if pd.baseBuild == nil then
            return
        end

        --基础建筑 倒计时
        for i,v in pairs(pd.baseBuild) do

            local btnKey = self:BuildIdAndDbId2Button(v.templateId,v.dbId)
            local btn = nil
            if btnKey ~= nil then
                btn = self.BaseBgButton:getChildByName(btnKey)
            end
            if btn ~= nil then
                --显示进度条
                local timeImage = btn:getChildByName("Image_3")
                if timeImage == nil then
                    timeImage = gLittleUi:getChildByName("Image_3"):clone()
                    btn:addChild(timeImage,15)
                    local size = btn:getContentSize()
                    local pos = {x = 0,y = 0}
                    if v.templateId > 0 then
                    	pos = StringTemp:toPosition(gBuilding[v.templateId].proposition)
                    end
                    timeImage:setPosition( cc.p(pos.x,pos.y) )
                end

                if v.time <= 0 or v.allTime <= 0 then
                    timeImage:setVisible(false)
                else
                    local t1 = 100-v.time/v.allTime*100
                    timeImage:getChildByName("LoadingBar_1"):setPercent(t1)
                    timeImage:setVisible(true)
                end
            end






        end

        --资源建筑 倒计时
        if pd.outSideBuild ~= nil then
            for i,v in pairs(pd.outSideBuild) do



                local btnKey = gBlock[v.blockId].position
                local btn = nil
                if btnKey ~= nil then
                    btn = self.OutSideGbButton:getChildByName(btnKey)
                end
                if btn ~= nil then




                    --显示进度条
                    local timeImage = btn:getChildByName("Image_5")
                    if timeImage == nil then
                        timeImage = gLittleUi:getChildByName("Image_5"):clone()
                        btn:addChild(timeImage,100)
                        local size = btn:getContentSize()
                        
                        --timeImage:setPosition( cc.p(size.width*0.5+20,size.height*0.5-20) )
                    end

                    if v.time <= 0 or v.allTime <= 0 then
                        timeImage:setVisible(false)
                    else
                        local t1 = 100-v.time/v.allTime*100
                        timeImage:getChildByName("LoadingBar_1"):setPercent(t1)
                        timeImage:setVisible(true)
                        
                        
                        local pos = {x = 0,y = 0}
                        if v.templateId > 0 then
                            pos = StringTemp:toPosition(gBuilding[v.templateId].proposition)
                        end
                        timeImage:setPosition( cc.p(pos.x,pos.y) )
                    end

                end

            end
        end


    end

    self.isPauseUpdate = false

    local testNum = 0
    local function update(parameters)

        if not self.isPauseUpdate then
            --更新页面
            self:FreshTopPage()
            self:FreshBGPage()


            --动画
            self:doAnimation()
        end



        --test
        --        testNum = testNum + 1
        --
        --        local data = {}
        --        data.channel = 1
        --        data.fromName = "tt"
        --        data.fromId = 455
        --        data.toName = 1
        --        data.content = "tyyyj fdsf ds fdsa"..testNum
        --        data.warLv = 1
        --        data.vip = 1
        ----        data.channel = 1
        ----        data.channel = 1
        --        ChatMainView:getInstanse():pushWords(data)

    end

    pd.FriendTroop = {}
    --敌方来袭推送
    local function registerEnemyIncoming()
        Connect:register("notifyAtkWorld",function(data)
            pd.EnemyIncoming[#(pd.EnemyIncoming)+1] = data
            self:freshEnemyIncoming()
            MyAudio:PlayEffect( "res/sound/background_Warning.mp3" )

            print("111111111")
        end)
    end
    registerEnemyIncoming()
    self:freshEnemyIncoming()

    --WorldScene:freshTroop()

    --通知将领派遣状态
    local function registerNotifyCommander()
        Connect:register("notifyCommanderSend",function(data)
            GeneralData:reset(data.recruitCommanderVOs)
        end)
    end
    registerNotifyCommander()



    --朋友驻军
    local function registerFriendTroop()
        Connect:register("notifyGarrisonInfo",function(data)

                pd.FriendTroop = {}

                for key, var in pairs(data) do
                    pd.FriendTroop[var.playerId..var.armyId] = var
                end

                self:freshTroop()
        end)
    end
    registerFriendTroop()
    self:freshTroop()

    --支付成功推送
    local function registerPaySuccessNotification()
        Connect:register("notifyTradeFinished",function(data)
            if data.state == 1 then
                local pd = PlayerData:getInstanse().basicData
                pd.vipExp = data.vipExp
                pd.vipLv = data.vipLv
                pd.gold = data.gold
                pd.firstPay = data.firstPay
                pd.payinfo =data.payinfo
                local cjson = require("cjson")
                require("src/app/util/SDKPlatform")
                SDKPlatform:printLog("notifyTradeFinished playerData="..cjson.encode(PlayerData:getInstanse().basicData))
                PromptView:type1(nil,StringRes.pay_success,StringRes.ok)
            end

        end)
    end
    registerPaySuccessNotification()

    --支付成功推送
    local function registerPaySuccessNotification()
        Connect:register("notifyTradeFinished",function(data)
            if data.state == 1 then
                local pd = PlayerData:getInstanse().basicData
                pd.vipExp = data.vipExp
                pd.vipLv = data.vipLv
                pd.gold = data.gold
                pd.firstPay = data.firstPay
                pd.payinfo =data.payinfo
                local cjson = require("cjson")
                require("src/app/util/SDKPlatform")
                SDKPlatform:printLog("notifyTradeFinished playerData="..cjson.encode(PlayerData:getInstanse().basicData))
                PromptView:type1(nil,StringRes.pay_success,StringRes.ok)
            end
        end)
    end
    registerPaySuccessNotification()

    --空降物质推送
    local function registerAirborneRes()
        Connect:register("notifyAirborneRes",function(data)
            require("src/app/unit/Airborne"):updateParachute(data.airborneResId)
        end)
    end
    registerAirborneRes()

    --升级特效推送
    local pic_texts = {StringRes.pic_commandup,StringRes.pic_skillup,StringRes.pic_lvup}
    local function registerLvUp()
        Connect:register("notifyLvUp",function(data)
            local node = CCUILoader:load("csd/common/layer_popout_player_upgrade.csb")
            Common:changePic(node:getChildByName("panel_upgrade"),pic_texts[data.type])
            gWorldScene:addChild(node)
            local action = cc.CSLoader:createTimeline("csd/common/layer_popout_player_upgrade.csb")
            node:runAction(action)
            action:setLastFrameCallFunc(function()
                node:removeFromParent()
            end)
            action:gotoFrameAndPlay(0, false)
            MyAudio:PlayEffect(MusicAndEffect.levelup)
            --更新等级，通知客户端上传角色信息给sdk
            PlayerData:getInstanse().basicData.lv=data.lv
            SDKPlatform:initRole()
        end)
    end
    registerLvUp()

    --
    local function registerGarrisonArmyBack()
        Connect:register("notifyGarrisonArmyBack",function(data)

                pd.FriendTroop[data.playerId..data.armyId] = nil
                self:freshTroop()
        end)
    end
    registerGarrisonArmyBack()



    --踢下线通知
    local function registerLeaveOnline()
        Connect:register("leaveOnline",function(data)
            if data.type == 1 then
                PromptView:type1(StringRes.notice,
                    StringRes.leaveOnline_1
                    ,StringRes.ok,function()
                        gWorldScene = nil
                        app:enterScene("LoginScene")
                    end)
            elseif data.type == 2 then
                PromptView:type1(StringRes.notice,
                    StringRes.leaveOnline_2
                    ,StringRes.ok,function()
                        gWorldScene = nil
                        app:enterScene("LoginScene")

                    end)
            elseif data.type == 3 then
                PromptView:type1(StringRes.notice,
                    StringRes.kickaccount
                    ,StringRes.ok,function()
                        gWorldScene = nil
                        app:enterScene("LoginScene")

                    end)

            end
        end)
    end
    registerLeaveOnline()




    --世界保护盾通知
    local function registerProtected()
        Connect:register("notifyWorldProtect",function(data)
            self.Feild:setProtected(data.haveProtect)
        end)
    end
    registerProtected()


    --更新部队推送
    local function registerTroops()
        Connect:register("notifyRefTroops",function(data)
            pd.tanks = data.troops
        end)
    end
    registerTroops()

    --跟新playerinfo
    local function registerPlayerInfo()
        Connect:register("notifyGuildState",function(data)
            pd.basicData = data
        end)
    end
    registerPlayerInfo()


    --战斗部队附加属性
    local function registerwarUnitAddAttrs()
        Connect:register("notifyWarUnitAddAttr",function(data)
            pd.warUnitAddAttrs = data.warUnitAddAttrs
        end)
    end
    registerwarUnitAddAttrs()


    --小提示
    local function registernotifyGameTips()
        Connect:register("notifyGameTips",function(data)
            pd.getGametipsVO = data
            self:freshGametips()
            self:freshTroop()

        end)
    end
    registernotifyGameTips()

    local function registerUpdateMainData()
        require("src/app/unit/GeneralData") --将领数据
        local pd = PlayerData:getInstanse()
        Connect:register("notifyUpdateMainData",function(data)
            SDKPlatform:printLog("准备更新主界面数据")
            if data ~=nil and data.playerInfoVO~=nil then
                --更新数据
                GeneralData:init()
                --基本数据
                pd.basicData = data.playerInfoVO
                --基础建筑
                pd.baseBuild = data.middleInterfaceVOs

                --坦克
                pd.tanks = data.troops

                --坦克附加属性
                pd.warUnitAddAttrs = data.warUnitAddAttrs

                --郊外建筑
                pd.outSideBuild = data.outskirtsInterfaceVO.outskirtsBlockVOs

                --敌军来袭
                pd.EnemyIncoming = data.atkWorldInfoVOs

                pd.FriendTroop = {}
                for key, var in pairs(data.garrisonTroopVOs) do
                    pd.FriendTroop[var.playerId..var.armyId] = var
                end
            end
        end)
    end
    registerUpdateMainData()

    --活动公告
    local function registernotifyNotice()
        Connect:register("notifyNotice",function(data)
            --更新数据
            pd.noticeVOs = data.noticeVOs
            self:freshGametips()

        end)
    end
    registernotifyNotice()





    --活动公告
    local function registernotifyPlayerAddition()
        Connect:register("notifyPlayerAddition",function(data)
            --更新数据
            pd.PlayerAddition = data



        end)
    end
    registernotifyPlayerAddition()

    --背包有新物品提示推送
    local function registernotifyItesmCount()
        Connect:register("notifyItesmCount",function(data)
            --更新数据
            pd.notifyItesmCountVO = data

            self:freshNewTaskNum()

        end)
    end
    registernotifyItesmCount()


    --
    --跟新PlayerSimpleInfo
    local function registerPlayerSimpleInfo()
        Connect:register("notifyPlayerSimpleInfo",function(data)
            pd.basicData.comat = data.combat
            pd.basicData.gold = data.gold
            pd.basicData.energy = data.energy
            pd.basicData.vipLv = data.vipLv
            pd.basicData.commandBook = data.commbooks
        end)
    end
    registerPlayerSimpleInfo()


    --战斗力变化
    local function registerCombatChanged()
        Connect:register("notifyCombatChange",function(data)
            local pd = PlayerData:getInstanse()
            pd.basicData.comat = data.combat
            ManyDialogInfo:combatAddAnim(data.change)

        end)
    end
    registerCombatChanged()

    self:taskQuickNotice()



    RegisterCleanUp:register(function()
        gChatMainView = nil
        PlayerData:Relese()
        ChatServer:disconect()
    end,true)

    local function onNodeEvent(tag)
        if tag == "enter" then

            self.loadingbarScheduler = Scheduler:scheduleScriptFunc(loadingbarScheduler, 1.0, false)
            self.update = Scheduler:scheduleScriptFunc(update, 1.0, false)

            --self.updateScroll = Scheduler:scheduleScriptFunc(updateScroll, 0.1, false)

            MyAudio:PlayBgMusic("res/music/background_music.mp3")
            gWorldScene = self
            gWorldScene:freshQuick()
            gWorldScene:getGametips()
            gWorldScene:getAnnouncement()
            local sc = self.BaseBg:getChildByName("ScrollView_1")
            sc:jumpToPercentBothDirection(cc.p(-420,20))

            --在线奖励
            TopbarUtils.clear()
            local OnlineRewardIcon = require("src/app/views/activity/OnlineRewardIcon").new(self.MiddleUI:getChildByName("btn_time_reward"))
            TopbarUtils.addIcon(OnlineRewardIcon)
            local FirstRechargeIcon = require("src/app/views/activity/FirstRechargeIcon").new(self.MiddleUI:getChildByName("btn_first_recharge"))
            self.FirstRechargeIcon = FirstRechargeIcon
            TopbarUtils.addIcon(FirstRechargeIcon)
            local ArmyGroupNoticeIcon = require("src/app/views/armygroup/ArmyGroupNoticeIcon").new(self.MiddleUI:getChildByName("Button_06"))
            TopbarUtils.addIcon(ArmyGroupNoticeIcon)
            TopbarUtils.update()


        elseif tag == "exit" then
            Scheduler:unscheduleScriptEntry(self.loadingbarScheduler)
            Scheduler:unscheduleScriptEntry(self.update)
            --Scheduler:unscheduleScriptEntry(self.updateScroll)
            MyAudio:StopBgMusic()
            gWorldScene = nil
            --日志
            statistics:sendExit()
        end
    end
    self:registerScriptHandler(onNodeEvent)


    ChatServer:showLittle(self)


end



local path = {
    ["enemy"] = "res/pic/mainmap/ui_middle/btn_warn.png",
    ["friend"] = "res/pic/mainmap/ui_middle/btn_occupy.png",
    ["stopbuild"] = "res/pic/mainmap/ui_middle/btn_fire.png",
}
local RightBtnPic = {
    "res/pic/mainmap/ui_middle/btn_prop.png",--装置车间
    "res/pic/mainmap/ui_middle/btn_research.png",--科技中心
    "res/pic/mainmap/ui_middle/btn_build_buy.png",--建筑
    "res/pic/mainmap/ui_middle/btn_production.png",--坦克中心
    "res/pic/mainmap/ui_middle/btn_build.png",--建筑队列

    "res/pic/mainmap_right/btn/btn_battle_attack.png",--队伍攻击
    "res/pic/mainmap_right/btn/btn_battle_occupy.png",--队伍采集
    "res/pic/mainmap_right/btn/btn_battle_return.png",--队伍返回

    "res/pic/mainmap/ui_middle/btn_occupy.png",--驻防
}


function WorldScene:NoviceGuideWomenshow()
    if not NoviceGuide:getState() then
        gWorldScene.MiddleUI:getChildByName("panel_women"):setVisible(true)
    else
        gWorldScene.MiddleUI:getChildByName("panel_women"):setVisible(false)
    end
end


function WorldScene:freshNewTaskNum(  )
    -- body
    --列表
    local list = self.BottomUI:getChildByName("ListView_1")
    local budui = list:getChildByName("Button_6")
    local pd = PlayerData:getInstanse()
    local num = pd.notifyItesmCountVO.itemsType1+pd.notifyItesmCountVO.itemsType2+pd.notifyItesmCountVO.itemsType3+pd.notifyItesmCountVO.itemsType4
    if num > 0 then
        Animation:showNum(budui,gLittleUi:getChildByName("Image_7"):clone(),num)
    else
        Animation:hideNum(budui,gLittleUi:getChildByName("Image_7"))
    end
end


function WorldScene:freshBattleQuick()

    local pd = PlayerData:getInstanse()


    --隐藏3个按钮
    for var=7, 9 do
        local r = self.MiddleUI:getChildByName("Button_0"..var)
        local levelImage = r:getChildByName("Image_10")
        if levelImage ~= nil then
            r:removeChild(levelImage)
        end
        r:setVisible(false)
    end


    local num = 7

    --驻防
    local btn = self.MiddleUI:getChildByName("Button_0"..num)
    if Common:getTableLen(pd.FriendTroop) > 0 then

        num = num + 1

        btn:loadTextures(path["friend"],path["friend"],"",ResType)
        btn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                local ei = ManyDialogInfo:FriendTroop()
                self:addChild(ei)
            end
        end)

        btn:setVisible(true)

        --显示等级
        local levelImage = btn:getChildByName("Image_10")
        if levelImage == nil then
            levelImage = gLittleUi:getChildByName("Image_10"):clone()

            local size = btn:getContentSize()
            levelImage:setPosition( cc.p(size.width*0.5,11) )


            --更新时间
            local function update(delta)

                local numPic =  levelImage:getChildByName("Text_num")

                if Common:getTableLen(pd.FriendTroop) > 0 then

                    local t = nil
                    for key, var in pairs(pd.FriendTroop) do
                        if var.time > 0 then
                            t = var
                            break
                        end
                    end
                    if t ~= nil then
                        numPic:setString(StringTemp:toTime(t.time))
                        local size = numPic:getContentSize()
                        local size1 = levelImage:getContentSize()
                        levelImage:setContentSize(cc.size(size.width+20,size1.height))
                        levelImage:setVisible(true)
                    else
                        levelImage:setVisible(false)
                    end

                else
                    self:freshBattleQuick()
                end




            end
            local function onNodeEvent(tag)
                if tag == "enter" then
                    update(0)
                    levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)

                elseif tag == "exit" then
                    Scheduler:unscheduleScriptEntry(levelImage.update)
                end
            end
            levelImage:registerScriptHandler(onNodeEvent)

            btn:addChild(levelImage,10)
        end


    end


   






    --队伍出任务
    gField.TaskExeBar:setVis(pd.ShortcutVO ~= nil and pd.ShortcutVO.ts ~= nil)



     --警告
    local btn = self.MiddleUI:getChildByName("Button_0"..num)
    if #(pd.EnemyIncoming) > 0 then

        num = num + 1


        btn:setVisible(true)
        btn:loadTextures(path["enemy"],path["enemy"],"",ResType)
        btn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                local ei = ManyDialogInfo:EnemyIncoming()
                self:addChild(ei)
            end
        end)

        --显示等级
        local levelImage = btn:getChildByName("Image_10")
        if levelImage == nil then
            levelImage = gLittleUi:getChildByName("Image_10"):clone()

            local size = btn:getContentSize()
            levelImage:setPosition( cc.p(size.width*0.5,11) )


            --更新时间
            local function update(delta)

                local numPic =  levelImage:getChildByName("Text_num")

                if #(pd.EnemyIncoming) > 0 then
                    numPic:setString(StringTemp:toTime(pd.EnemyIncoming[1].time))
                    local size = numPic:getContentSize()
                    local size1 = levelImage:getContentSize()
                    levelImage:setContentSize(cc.size(size.width+20,size1.height))
                else
                    self:freshBattleQuick()
                end




            end
            local function onNodeEvent(tag)
                if tag == "enter" then
                    update(0)
                    levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)

                elseif tag == "exit" then
                    Scheduler:unscheduleScriptEntry(levelImage.update)
                end
            end
            levelImage:registerScriptHandler(onNodeEvent)

            btn:addChild(levelImage,10)
        end

    end
    
    
    --停产
    --警告
    local btn = self.MiddleUI:getChildByName("Button_0"..num)
    if pd.getGametipsVO == nil or pd.getGametipsVO.deBuffId == nil or pd.getGametipsVO.deBuffTime == nil then
    	return
    end
    if pd.getGametipsVO.deBuffId > 0 and pd.getGametipsVO.deBuffTime > 0 then

        num = num + 1


        btn:setVisible(true)
        btn:loadTextures(path["stopbuild"],path["stopbuild"],"",ResType)
        btn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                local ei = ManyDialogInfo:resStop(pd.getGametipsVO.deBuffTime)
                self:addChild(ei)
            end
        end)

        --显示等级
        local levelImage = btn:getChildByName("Image_10")
        if levelImage == nil then
            levelImage = gLittleUi:getChildByName("Image_10"):clone()

            local size = btn:getContentSize()
            levelImage:setPosition( cc.p(size.width*0.5,11) )


            --更新时间
            local function update(delta)

                local numPic =  levelImage:getChildByName("Text_num")
                pd.getGametipsVO.deBuffTime = pd.getGametipsVO.deBuffTime - delta
                if pd.getGametipsVO.deBuffId > 0 and pd.getGametipsVO.deBuffTime > 0 then
                    numPic:setString(StringTemp:toTime(pd.getGametipsVO.deBuffTime))
                    local size = numPic:getContentSize()
                    local size1 = levelImage:getContentSize()
                    levelImage:setContentSize(cc.size(size.width+20,size1.height))
                else
                    gField:freshResShow()
                    self:freshBattleQuick()
                end




            end
            local function onNodeEvent(tag)
                if tag == "enter" then
                    
                    levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)
                    update(0)
                elseif tag == "exit" then
                    Scheduler:unscheduleScriptEntry(levelImage.update)
                end
            end
            levelImage:registerScriptHandler(onNodeEvent)
            
            btn:addChild(levelImage,10)
            gField:freshResShow()
        end

    end








end


function WorldScene:freshTroop()
    self:freshBattleQuick()
    --    local pd = PlayerData:getInstanse()
    --
    --
    --    local btn = self.MiddleUI:getChildByName("Button_L7")
    --	if #(pd.EnemyIncoming) > 0 then
    --        btn = self.MiddleUI:getChildByName("Button_L8")
    --    else
    --        self.MiddleUI:getChildByName("Button_L8"):setVisible(false)
    --	end
    --
    --	--
    --    btn:loadTextures(path["friend"],path["friend"],"",ResType)
    --    btn:addTouchEventListener(function(e, t)
    --        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
    --            local ei = ManyDialogInfo:FriendTroop()
    --            self:addChild(ei)
    --        end
    --    end)
    --
    --	--pd.FriendTroop = {}
    --	--显示
    --	--table.maxn(table)
    --    if Common:getTableLen(pd.FriendTroop) > 0 then
    --        btn:setVisible(true)
    --
    --        --显示等级
    --        local levelImage = btn:getChildByName("Image_10")
    --        if levelImage == nil then
    --            levelImage = gLittleUi:getChildByName("Image_10"):clone()
    --
    --            local size = btn:getContentSize()
    --            levelImage:setPosition( cc.p(size.width*0.5,11) )
    --
    --
    --            --更新时间
    --            local function update(delta)
    --
    --                local numPic =  levelImage:getChildByName("Text_num")
    --
    --                if Common:getTableLen(pd.FriendTroop) > 0 then
    --
    --                    local t = nil
    --                    for key, var in pairs(pd.FriendTroop) do
    --                    	if var.time > 0 then
    --                    		t = var
    --                    		break
    --                    	end
    --                    end
    --                    if t ~= nil then
    --                        numPic:setString(StringTemp:toTime(t.time))
    --                        local size = numPic:getContentSize()
    --                        local size1 = levelImage:getContentSize()
    --                        levelImage:setContentSize(cc.size(size.width+20,size1.height))
    --                        levelImage:setVisible(true)
    --                    else
    --                        levelImage:setVisible(false)
    --                    end
    --
    --                else
    --                    self:freshTroop()
    --                end
    --
    --
    --
    --
    --            end
    --            local function onNodeEvent(tag)
    --                if tag == "enter" then
    --                    update(0)
    --                    levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)
    --
    --                elseif tag == "exit" then
    --                    Scheduler:unscheduleScriptEntry(levelImage.update)
    --                end
    --            end
    --            levelImage:registerScriptHandler(onNodeEvent)
    --
    --            btn:addChild(levelImage,10)
    --        end
    --    else
    --        --
    --        btn:setVisible(false)
    --        local levelImage = btn:getChildByName("Image_10")
    --        if levelImage ~= nil then
    --            btn:removeChild(levelImage)
    --        end
    --
    --    end



end


--敌军来袭
function WorldScene:freshEnemyIncoming()
    self:freshBattleQuick()
    --    local pd = PlayerData:getInstanse()
    --
    --    local btn = self.MiddleUI:getChildByName("Button_L7")
    --    btn:loadTextures(path["enemy"],path["enemy"],"",ResType)
    --    btn:addTouchEventListener(function(e, t)
    --        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
    --            local ei = ManyDialogInfo:EnemyIncoming()
    --            self:addChild(ei)
    --        end
    --    end)
    --
    --    if #(pd.EnemyIncoming) > 0 then
    --        btn:setVisible(true)
    --
    --        --显示等级
    --        local levelImage = btn:getChildByName("Image_10")
    --        if levelImage == nil then
    --            levelImage = gLittleUi:getChildByName("Image_10"):clone()
    --
    --            local size = btn:getContentSize()
    --            levelImage:setPosition( cc.p(size.width*0.5,11) )
    --
    --
    --            --更新时间
    --            local function update(delta)
    --
    --                local numPic =  levelImage:getChildByName("Text_num")
    --
    --                if #(pd.EnemyIncoming) > 0 then
    --                    numPic:setString(StringTemp:toTime(pd.EnemyIncoming[1].time))
    --                    local size = numPic:getContentSize()
    --                    local size1 = levelImage:getContentSize()
    --                    levelImage:setContentSize(cc.size(size.width+20,size1.height))
    --                else
    --                    self:freshEnemyIncoming()
    --                end
    --
    --
    --
    --
    --            end
    --            local function onNodeEvent(tag)
    --                if tag == "enter" then
    --                    update(0)
    --                    levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)
    --
    --                elseif tag == "exit" then
    --                    Scheduler:unscheduleScriptEntry(levelImage.update)
    --                end
    --            end
    --            levelImage:registerScriptHandler(onNodeEvent)
    --
    --            btn:addChild(levelImage,10)
    --        end
    --    else
    --        --
    --        btn:setVisible(false)
    --        local levelImage = btn:getChildByName("Image_10")
    --        if levelImage ~= nil then
    --            btn:removeChild(levelImage)
    --        end
    --
    --    end
    --
    --
    --
    --
    --
    --
    --
    --    --刷新部队
    --    self:freshTroop()
end



local openBtn = {
    [1] = {normal = "pic/mainmap_right/btn/btn_up.png",down = "pic/mainmap_right/btn/btn_upPress.png"},
    [2] = {normal = "pic/mainmap_right/btn/btn_down.png",down = "pic/mainmap_right/btn/btn_downPress.png"},
}




local RightBtn = {
    "Button_R2","Button_R3","Button_R4","Button_R5","Button_R6","Button_R7",
}
local RightBtnPos = {
    cc.p(600,868),cc.p(600,788),cc.p(600,708),cc.p(600,628),cc.p(600,548),cc.p(600,468),
}


--刷新快捷按钮
function WorldScene:freshQuick()
    local pd = PlayerData:getInstanse()

    Connect:sendMsg("InterfaceAction","getShortcutInfo",nil,
        function(data)
            --更新数据
            pd.ShortcutVO = data
            self:freshRightBtn()
        end,false)
end






--右侧按钮刷新
function WorldScene:freshRightBtn()

    --    if true then
    --    	return
    --    end

    local pd = PlayerData:getInstanse()
    if pd.ShortcutVO == nil or pd.basicData == nil then
        return
    end
    --刷新快捷按钮信息
    local numPos = 2

    --隐藏6个按钮
    for var=2, 7 do
        local r = self.MiddleUI:getChildByName("Button_R"..var)
        local levelImage = r:getChildByName("Image_10")
        if levelImage ~= nil then
            r:removeChild(levelImage)
        end

        r:setVisible(false)
    end

    if pd.ShortcutVO == nil then
        return
    end

    --装置车间
    if pd.ShortcutVO.df ~= nil then
        local r = self.MiddleUI:getChildByName("Button_R"..numPos)
        if r ~= nil then
            --设置回调
            --装置车间 生产道具
            r:addTouchEventListener(function(e, t)
                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

                    local layer = require("src/app/views/buildings/DeviceFactory").new(self,pd:getBaseBuildData(8))
                    self:addChild(layer)
                    layer:setTabSelect(1)
                    NodeTranslator:transUp(layer,nil)
                end
            end)

            --显示等级
            local levelImage = r:getChildByName("Image_10")
            if levelImage == nil then
                levelImage = gLittleUi:getChildByName("Image_10"):clone()

                local size = r:getContentSize()
                levelImage:setPosition( cc.p(size.width*0.5,11) )



                --更新时间
                local function update(delta)
                    if pd.ShortcutVO.df ~= nil then
                        if pd.ShortcutVO.df.remainTime > 0 and pd.ShortcutVO.df.remainTime < delta then
                            --刷新
                            NodeTranslator:deltaDo(0.8,
                                function ()
                                    self:freshQuick()
                                    self:getGametips()
                                end
                            )
                        end
                        pd.ShortcutVO.df.remainTime = pd.ShortcutVO.df.remainTime - delta



                        local numPic =  levelImage:getChildByName("Text_num")
                        if pd.ShortcutVO.df.baseId <= 0 then
                            r:loadTextures(RightBtnPic[1],RightBtnPic[1],"",ResType)
                            numPic:setString("0/1")

                            local size = numPic:getContentSize()
                            local size1 = levelImage:getContentSize()
                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
                        else
                            r:loadTextures(gItem[pd.ShortcutVO.df.baseId].icon,gItem[pd.ShortcutVO.df.baseId].icon,"",ResType)
                            numPic:setString(StringTemp:toTime(pd.ShortcutVO.df.remainTime))

                            local size = numPic:getContentSize()
                            local size1 = levelImage:getContentSize()
                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
                        end

                    end
                end
                local function onNodeEvent(tag)
                    if tag == "enter" then
                        update(0)
                        levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)

                    elseif tag == "exit" then
                        Scheduler:unscheduleScriptEntry(levelImage.update)
                    end
                end
                levelImage:registerScriptHandler(onNodeEvent)
                r:addChild(levelImage,10)
            end





        end

        r:setVisible(true)
        numPos = numPos+1
    end

    --科研中心
    if pd.ShortcutVO.tc ~= nil then
        local r = self.MiddleUI:getChildByName("Button_R"..numPos)
        if r ~= nil then
            --设置回调
            --装置车间 生产道具
            r:addTouchEventListener(function(e, t)
                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                    local ScienceCenterView = require("src/app/views/study/ScienceCenterView")
                    ScienceCenterView:open(self,pd:getBaseBuildData(5),2)
                end
            end)

            --显示等级
            local levelImage = r:getChildByName("Image_10")
            if levelImage == nil then
                levelImage = gLittleUi:getChildByName("Image_10"):clone()

                local size = r:getContentSize()
                levelImage:setPosition( cc.p(size.width*0.5,11) )



                --更新时间
                local function update(delta)
                    if pd.ShortcutVO.tc ~= nil then
                        if pd.ShortcutVO.tc.remainTime > 0 and pd.ShortcutVO.tc.remainTime < delta then
                            --刷新
                            NodeTranslator:deltaDo(0.8,
                                function ()
                                    self:freshQuick()
                                    self:getGametips()
                                end
                            )
                        end
                        pd.ShortcutVO.tc.remainTime = pd.ShortcutVO.tc.remainTime - delta



                        local numPic =  levelImage:getChildByName("Text_num")
                        if pd.ShortcutVO.tc.type <= 0 then
                            r:loadTextures(RightBtnPic[2],RightBtnPic[2],"",ResType)
                            numPic:setString("0/1")

                            local size = numPic:getContentSize()
                            local size1 = levelImage:getContentSize()
                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
                        else
                            r:loadTextures(ScienceStudyCfg[pd.ShortcutVO.tc.type].icon,ScienceStudyCfg[pd.ShortcutVO.tc.type].icon,"",ResType)
                            numPic:setString(StringTemp:toTime(pd.ShortcutVO.tc.remainTime))

                            local size = numPic:getContentSize()
                            local size1 = levelImage:getContentSize()
                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
                        end

                    end
                end
                local function onNodeEvent(tag)
                    if tag == "enter" then
                        update(0)
                        levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)

                    elseif tag == "exit" then
                        Scheduler:unscheduleScriptEntry(levelImage.update)
                    end
                end
                levelImage:registerScriptHandler(onNodeEvent)
                r:addChild(levelImage,10)
            end





        end

        r:setVisible(true)
        numPos = numPos+1
    end


    --建筑队列
    if true then
        local r = self.MiddleUI:getChildByName("Button_R"..numPos)
        if r ~= nil then
            --设置回调
            --建筑队列
            r:addTouchEventListener(function(e, t)
                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                    self.PlayerInfo = PlayerInfo.new(self)
                    self:addChild(self.PlayerInfo)
                    self.PlayerInfo:setTabSelect(3)
                end
            end)

            --显示等级
            local levelImage = r:getChildByName("Image_10")
            if levelImage == nil then
                levelImage = gLittleUi:getChildByName("Image_10"):clone()

                local size = r:getContentSize()
                levelImage:setPosition( cc.p(size.width*0.5,11) )



                --更新时间
                local function update(delta)
                    if true then
                        --                        if pd.ShortcutVO.tc.remainTime > 0 and pd.ShortcutVO.tc.remainTime < delta then
                        --                        --刷新
                        --                        end
                        --                        pd.ShortcutVO.tc.remainTime = pd.ShortcutVO.tc.remainTime - delta



                        local numPic =  levelImage:getChildByName("Text_num")
                        if pd:getBuildingNum() < pd.basicData.buildCount then
                            r:loadTextures(RightBtnPic[3],RightBtnPic[3],"",ResType)
                            numPic:setString(pd:getBuildingNum().."/"..pd.basicData.buildCount)

                            local size = numPic:getContentSize()
                            local size1 = levelImage:getContentSize()
                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
                        else
                            local t1 = pd:getNearestBuildOver()
                            r:loadTextures(gBuilding[t1.templateId].icon,gBuilding[t1.templateId].icon,"",ResType)
                            numPic:setString(StringTemp:toTime(t1.time))

                            local size = numPic:getContentSize()
                            local size1 = levelImage:getContentSize()
                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
                        end

                    end
                end
                local function onNodeEvent(tag)
                    if tag == "enter" then
                        update(0)
                        levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)

                    elseif tag == "exit" then
                        Scheduler:unscheduleScriptEntry(levelImage.update)
                    end
                end
                levelImage:registerScriptHandler(onNodeEvent)
                r:addChild(levelImage,10)
            end





        end

        r:setVisible(true)
        numPos = numPos+1
    end

    --坦克
    if pd.ShortcutVO.tf ~= nil and #pd.ShortcutVO.tf > 0 then
        local r = self.MiddleUI:getChildByName("Button_R"..numPos)
        if r ~= nil then
            --设置回调


            --显示等级
            local levelImage = r:getChildByName("Image_10")
            if levelImage == nil then
                levelImage = gLittleUi:getChildByName("Image_10"):clone()

                local size = r:getContentSize()
                levelImage:setPosition( cc.p(size.width*0.5,11) )



                --更新时间
                local function update(delta)
                    if pd.ShortcutVO.tf ~= nil then

                        local activitynum = 0--有坦克正在建造的数量
                        local idleFactory = nil--等级最高的空闲坦克工厂
                        local timeShort = nil--时间最短的活动坦克工厂
                        local time = 1000000000
                        for key, var in pairs(pd.ShortcutVO.tf) do

                            if var.remainTime > 0 and var.remainTime < delta then
                                --刷新
                                NodeTranslator:deltaDo(0.8,
                                    function ()
                                        self:freshQuick()
                                        self:getGametips()
                                    end
                                )
                            end
                            var.remainTime = var.remainTime - delta

                            if var.baseId > 0 then
                                activitynum = activitynum+1

                                if time > var.remainTime then
                                    time = var.remainTime
                                    timeShort = var
                                end


                            else
                                if idleFactory == nil then
                                    idleFactory = pd:getBaseBuildData(var.templateId)
                                else
                                    local t1 = pd:getBaseBuildData(var.templateId)
                                    if idleFactory.buildLv < t1.buildLv then
                                        idleFactory = t1
                                    end
                                end
                            end
                        end


                        local numPic =  levelImage:getChildByName("Text_num")
                        if activitynum < #pd.ShortcutVO.tf then
                            r:loadTextures(RightBtnPic[4],RightBtnPic[4],"",ResType)
                            numPic:setString(activitynum.."/"..#pd.ShortcutVO.tf)

                            local size = numPic:getContentSize()
                            local size1 = levelImage:getContentSize()
                            levelImage:setContentSize(cc.size(size.width+20,size1.height))



                            --坦克
                            r:addTouchEventListener(function(e, t)
                                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                                    local layer = require("src/app/views/buildings/TankFactory").new(self,idleFactory)
                                    self:addChild(layer)
                                    layer:setTabSelect(2)
                                    NodeTranslator:transUp(layer,nil)
                                end
                            end)

                        else
                            r:loadTextures(Tank[timeShort.baseId].icon,Tank[timeShort.baseId].icon,"",ResType)
                            numPic:setString(StringTemp:toTime(timeShort.remainTime))

                            local size = numPic:getContentSize()
                            local size1 = levelImage:getContentSize()
                            levelImage:setContentSize(cc.size(size.width+20,size1.height))

                            --坦克
                            r:addTouchEventListener(function(e, t)
                                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                                    local layer = require("src/app/views/buildings/TankFactory").new(self,pd:getBaseBuildData(timeShort.templateId))
                                    self:addChild(layer)
                                    layer:setTabSelect(2)
                                    NodeTranslator:transUp(layer,nil)
                                end
                            end)
                            r:setContentSize(cc.size(100,100))
                        end

                    end
                end
                local function onNodeEvent(tag)
                    if tag == "enter" then
                        update(0)
                        levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)

                    elseif tag == "exit" then
                        Scheduler:unscheduleScriptEntry(levelImage.update)
                    end
                end
                levelImage:registerScriptHandler(onNodeEvent)
                r:addChild(levelImage,10)
            end





        end

        r:setVisible(true)
        numPos = numPos+1
    end


    --建造队列
    local pre = 0
    local vip_builder = {1,3,5,7,9}
    for key, var in ipairs(vip_builder) do
        if pd.basicData.vipLv < var then
            --PromptView:type1(title,content,btnText,btnFun,floor)
            --提示

            local r = self.MiddleUI:getChildByName("Button_R"..numPos)
            if r ~= nil then
                r:loadTextures(RightBtnPic[5],RightBtnPic[5],"",ResType)

                r:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

                        if pre == pd.basicData.buyBuild then
                            PromptView:type1(StringRes.notice,
                                string.format(StringRes.vip_builder,var)
                                ,StringRes.ok)
                        else
                            PromptView:type2(StringRes.notice,string.format(StringRes.buy_build,100*15),
                                StringRes.ok,StringRes.cancel,function()
                                    local pd = PlayerData:getInstanse()

                                    Connect:sendMsg("PlayerAction","buyBuildCount",nil,
                                        function(data)
                                            --更新数据
                                            pd.basicData.gold = data.gold
                                            pd.basicData.buyBuild = data.buyBuild

                                            self:freshGametips()

                                            FlyWordPrompt:prompt(StringRes.prompt_buycreatNum)
                                        end,false)


                                end,nil)
                        end




                        --测试
                        --                        pd.basicData.vipLv = pd.basicData.vipLv +1
                        --
                        --                        self:freshRightBtn()
                    end
                end)


            end
            r:setVisible(true)
            numPos = numPos+1
            break
        else
            pre = var
        end
    end

    --    --队伍出任务
    --    if pd.ShortcutVO.ts ~= nil then
    --        local r = self.MiddleUI:getChildByName("Button_R"..numPos)
    --        if r ~= nil then
    --            --设置回调
    --            --部队
    --            r:addTouchEventListener(function(e, t)
    --                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
    --                    local TroopsView = require("src/app/views/troops/TroopsView")
    --                    TroopsView:open(self,1,nil,2)
    --                end
    --            end)
    --
    --            --显示等级
    --            local levelImage = r:getChildByName("Image_10")
    --            if levelImage == nil then
    --                levelImage = gLittleUi:getChildByName("Image_10"):clone()
    --
    --                local size = r:getContentSize()
    --                levelImage:setPosition( cc.p(size.width*0.5,11) )
    --
    --
    --
    --                --更新时间
    --                local function update(delta)
    --                    if pd.ShortcutVO.ts ~= nil then
    --                        if pd.ShortcutVO.ts.remainTime < 0 and pd.ShortcutVO.ts.remainTime < delta then
    --                            --刷新
    --                            NodeTranslator:deltaDo(0.8,
    --                                function ()
    --                                    self:freshQuick()
    --                                    self:getGametips()
    --                                end
    --                            )
    --                        end
    --                        pd.ShortcutVO.ts.remainTime = pd.ShortcutVO.ts.remainTime - delta
    --
    --
    --
    --                        local numPic =  levelImage:getChildByName("Text_num")
    --                        levelImage:setVisible(true)
    --                        if pd.ShortcutVO.ts.type == 1 then
    --                            r:loadTextures(RightBtnPic[6],RightBtnPic[6],"",ResType)
    --                            r:setContentSize(cc.size(100,100))
    --                            numPic:setString(StringTemp:toTime(pd.ShortcutVO.ts.remainTime))
    --
    --                            local size = numPic:getContentSize()
    --                            local size1 = levelImage:getContentSize()
    --                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
    --                        elseif  pd.ShortcutVO.ts.type == 2 then
    --                            r:loadTextures(RightBtnPic[7],RightBtnPic[7],"",ResType)
    --                            r:setContentSize(cc.size(100,100))
    --                            local t1 = (1-pd.ShortcutVO.ts.remainTime/pd.ShortcutVO.ts.totalTime)*100
    --                            if t1 >= 100 then
    --                                t1 = 100
    --                            end
    --                            numPic:setString( string.format("%.1f%%",t1) )
    --
    --                            local size = numPic:getContentSize()
    --                            local size1 = levelImage:getContentSize()
    --                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
    --                        elseif  pd.ShortcutVO.ts.type == 3 then
    --                            r:loadTextures(RightBtnPic[8],RightBtnPic[8],"",ResType)
    --                            r:setContentSize(cc.size(100,100))
    --                            numPic:setString(StringTemp:toTime(pd.ShortcutVO.ts.remainTime))
    --
    --                            local size = numPic:getContentSize()
    --                            local size1 = levelImage:getContentSize()
    --                            levelImage:setContentSize(cc.size(size.width+20,size1.height))
    --                        elseif  pd.ShortcutVO.ts.type == 4 then
    --                            r:loadTextures(RightBtnPic[9],RightBtnPic[9],"",ResType)
    --                            r:setContentSize(cc.size(100,100))
    --                            levelImage:setVisible(false)
    --                        end
    --
    --                    end
    --                end
    --                local function onNodeEvent(tag)
    --                    if tag == "enter" then
    --
    --                        if pd.ShortcutVO.ts.type == 2 then
    --                            pd.ShortcutVO.ts.totalTime = pd.ShortcutVO.ts.maxRes/pd.ShortcutVO.ts.resGather
    --                            pd.ShortcutVO.ts.remainTime = (pd.ShortcutVO.ts.maxRes-pd.ShortcutVO.ts.nowRes)/pd.ShortcutVO.ts.resGather
    --                        end
    --
    --
    --                        update(0)
    --                        levelImage.update = Scheduler:scheduleScriptFunc(update, 0.9, false)
    --
    --                    elseif tag == "exit" then
    --                        Scheduler:unscheduleScriptEntry(levelImage.update)
    --                    end
    --                end
    --                levelImage:registerScriptHandler(onNodeEvent)
    --
    --                r:addChild(levelImage,10)
    --            end
    --
    --
    --
    --
    --
    --        end
    --
    --        r:setVisible(true)
    --        numPos = numPos+1
    --    end



    self:freshBattleQuick()

end


function WorldScene:freshRBtn()
    local r1 = self.MiddleUI:getChildByName("Button_R1")
    if self.RightBtnOpen then
        r1:loadTextures(openBtn[1].normal,openBtn[1].down,"",ResType)

        --右侧按钮
        for i,v in pairs(RightBtn) do
            local rBtn = self.MiddleUI:getChildByName(v)
            if rBtn ~= nil then

                local action1 = cc.MoveTo:create(0.05+0.05*i,cc.p(rBtn.openPostionX,rBtn.openPostionY))
                rBtn:stopAllActions()
                rBtn:runAction(action1)
            end
        end

    else
        r1:loadTextures(openBtn[2].normal,openBtn[2].down,"",ResType)

        local rPositionx = r1:getPositionX()
        local rPositiony = r1:getPositionY()

        --右侧按钮
        for i,v in pairs(RightBtn) do
            local rBtn = self.MiddleUI:getChildByName(v)
            if rBtn ~= nil then
                if rBtn.openPostionY == nil then
                    rBtn.openPostionX = rBtn:getPositionX()
                    rBtn.openPostionY = rBtn:getPositionY()
                    print("---openPostionY----"..rBtn.openPostionY)
                end

                local action1 = cc.MoveTo:create(0.05+0.05*i,cc.p(rPositionx,rPositiony))
                rBtn:stopAllActions()
                rBtn:runAction(action1)
            end
        end


    end
end

function WorldScene:R1Hide()
    self.RightBtnOpen = false
    self:freshRBtn()
end

function WorldScene:rigesterR1()
    --右侧按钮展开
    local r1 = self.MiddleUI:getChildByName("Button_R1")

    r1:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

            self.RightBtnOpen = not self.RightBtnOpen

            self:freshRBtn()


        end
    end)
end




--我也不晓得是啥子函数Tank[var.tankTemplateId].icon
function WorldScene:dontKnow(node1,path,t,sca)
    if t then
        --local scale = 1
        local numnode = node1:getChildByName("Image_8")
        if numnode == nil then
            numnode = gLittleUi:getChildByName("Image_8"):clone()
            scale = numnode:getChildByName("Image_icon"):getScale()

            node1:addChild(numnode)
            local size = node1:getContentSize()
            numnode:setPosition( cc.p(size.width*0.5,size.height*0.5+20) )

        end
        Common:changePic(numnode:getChildByName("Image_icon"),path)
        --numnode:getChildByName("Image_icon"):loadTexture(path,ResType)
        if sca ~= nil then
        --numnode:getChildByName("Image_icon"):setScale(sca)
        end

    else
        local numnode = node1:getChildByName("Image_8")
        if numnode ~= nil then
            node1:removeChild(numnode)
        end
    end
end


function WorldScene:freshGametips()
    local pd = PlayerData:getInstanse()


    if pd.getGametipsVO ~= nil then


        --抽奖
        local rewardButton = self.MiddleUI:getChildByName("Button_L2")
        if pd.getGametipsVO.normalDraw+pd.getGametipsVO.seniorDraw > 0 or pd.getGametipsVO.luckgold > 0 then
            Animation:playAnimation2(rewardButton,gUIeffect[34].effect,1)
        else
            Animation:stopAnimation(rewardButton,gUIeffect[34].effect)
        end

        --签到/7天
        local signButton = self.MiddleUI:getChildByName("Button_L3")
        if pd.getGametipsVO.have7dayGift+pd.getGametipsVO.haveSignGift > 0 then
            Animation:playAnimation2(signButton,gUIeffect[34].effect,1)
        else
            Animation:stopAnimation(signButton,gUIeffect[34].effect)
        end


        --任务数量
        --刷新主界面提示信息
        local taskIcon = {
            task = "res/pic/mainmap/ui_botton/btn_task.png",
            task1 = "res/pic/mainmap/ui_botton/btn_taskPress.png",
            taskdone = "res/pic/mainmap/ui_botton/btn_taskdone.png",
            taskdone1 = "res/pic/mainmap/ui_botton/btn_taskdonePress.png",
        }
        local list = self.BottomUI:getChildByName("ListView_1")
        local taskButton = list:getChildByName("Button_task")
        if pd.getGametipsVO.taskTips > 0 then
            taskButton:loadTextures(taskIcon.taskdone,taskIcon.taskdone1,"",ResType)

            local anim = Animation:playAnimation2(taskButton,gUIeffect[34].effect,1)
            if anim ~= nil then
                local x,y = anim:getPosition()
                anim:setPosition(cc.p(x,y+5))
            end

        else

            taskButton:loadTextures(taskIcon.task,taskIcon.task1,"",ResType)
            Animation:stopAnimation(taskButton,gUIeffect[34].effect)
        end

        --活动
        local activityButton = self.MiddleUI:getChildByName("Button_L5")
        --转圈
        if pd.getGametipsVO.activityState > 0 then
            Animation:playAnimation2(activityButton,gUIeffect[34].effect,1)
        else

            Animation:stopAnimation(activityButton,gUIeffect[34].effect)
        end
        --活动未点击数量
        local function getActivityNum(d1)
            local num = 0
            for key, var in pairs(d1) do
                if var.state == 1 then
            		num = num + 1
            	end
            end

            return num
        end
        local activityNum = getActivityNum(pd.getGametipsVO.activityStateVOs)
        if activityNum > 0 then
            Animation:showNum(activityButton,gLittleUi:getChildByName("Image_7"):clone(),activityNum)
        else
            Animation:hideNum(activityButton,gLittleUi:getChildByName("Image_7"))
        end
        --for key, var in pairs(pd.noticeVOs) do
        --for key, var in pairs(pd.openActivityTypes) do


        --部队提示
        --列表
        local list = self.BottomUI:getChildByName("ListView_1")
        local budui = list:getChildByName("Button_4")
        if pd.getGametipsVO.troopTips > 0 then
            Animation:showNum(budui,gLittleUi:getChildByName("Image_7"):clone(),pd.getGametipsVO.troopTips)
        else
            Animation:hideNum(budui,gLittleUi:getChildByName("Image_7"))
        end

        --邮件提示
        local budui = list:getChildByName("Button_7")
        if pd.getGametipsVO.mailTips > 0 then
            Animation:showNum(budui,gLittleUi:getChildByName("Image_7"):clone(),pd.getGametipsVO.mailTips)
        else
            Animation:hideNum(budui,gLittleUi:getChildByName("Image_7"))
        end


        --坦克工厂
        --建筑提示

        for key, var in pairs(pd.getGametipsVO.tankFactoryTipss) do

            local btnKey = self.BaseBgButton:getChildByName(BuildId2Button[var.buildId])

            if var.tankTemplateId > 0 then
                WorldScene:dontKnow(btnKey,Tank[var.tankTemplateId].icon,true,0.4)

                --动画
                --fdasfda
                if btnKey:getChildByName("c_art") == nil then
                    local an = Animation:createAnimation(gBuilding[var.buildId].c_art)
                    if an ~= nil then
                        btnKey:addChild(an,1)
                        an:setName("c_art")

                        if btnKey:getChildByName("Image_Base") ~= nil then
                            btnKey:getChildByName("Image_Base"):setVisible(false)
                        end
                    end
                end
            else
                WorldScene:dontKnow(btnKey,"",false)
                if btnKey:getChildByName("c_art") ~= nil then
                    btnKey:removeChild(btnKey:getChildByName("c_art"))
                    if btnKey:getChildByName("Image_Base") ~= nil then
                        btnKey:getChildByName("Image_Base"):setVisible(true)
                    end
                end
            end


        end

        --补给线
        local btnKey = self.BaseBgButton:getChildByName(BuildId2Button[12])
        if pd.getGametipsVO.supplyTips > 0 then
            WorldScene:dontKnow(btnKey,"pic/accessory/btn/btn_supply_line.png",true)
        else
            WorldScene:dontKnow(btnKey,"",false)
        end


        --配件工厂
        local btnKey = self.BaseBgButton:getChildByName(BuildId2Button[8])
        if pd.getGametipsVO.partTips > 0 then
            --WorldScene:dontKnow(btnKey,Tank[pd.getGametipsVO.reformFactoryTips].icon,true,0.4)


            --动画
            --fdasfda
            if btnKey:getChildByName("c_art") == nil then
                local an = Animation:createAnimation(gBuilding[8].c_art)
                if an ~= nil then
                    btnKey:addChild(an,1)
                    an:setName("c_art")

                    if btnKey:getChildByName("Image_Base") ~= nil then
                        btnKey:getChildByName("Image_Base"):setVisible(false)
                    end
                end
            end

        else
            --WorldScene:dontKnow(btnKey,"",false)
            if btnKey:getChildByName("c_art") ~= nil then
                btnKey:removeChild(btnKey:getChildByName("c_art"))
                if btnKey:getChildByName("Image_Base") ~= nil then
                    btnKey:getChildByName("Image_Base"):setVisible(true)
                end
            end
        end



        --改装车间
        local btnKey = self.BaseBgButton:getChildByName(BuildId2Button[11])
        if pd.getGametipsVO.reformFactoryTips > 0 then
            WorldScene:dontKnow(btnKey,Tank[pd.getGametipsVO.reformFactoryTips].icon,true,0.4)


            --动画
            --fdasfda
            if btnKey:getChildByName("c_art") == nil then
                local an = Animation:createAnimation(gBuilding[11].c_art)
                if an ~= nil then
                    btnKey:addChild(an,1)
                    an:setName("c_art")
                    if btnKey:getChildByName("Image_Base") ~= nil then
                        btnKey:getChildByName("Image_Base"):setVisible(false)
                    end
                end
            end

        else
            WorldScene:dontKnow(btnKey,"",false)
            if btnKey:getChildByName("c_art") ~= nil then
                btnKey:removeChild(btnKey:getChildByName("c_art"))
                if btnKey:getChildByName("Image_Base") ~= nil then
                    btnKey:getChildByName("Image_Base"):setVisible(true)
                end
            end
        end

        --装置车间
        local btnKey = self.BaseBgButton:getChildByName(BuildId2Button[8])
        if pd.getGametipsVO.deviceFactoryTips > 0 then
            WorldScene:dontKnow(btnKey,gItem[pd.getGametipsVO.deviceFactoryTips].icon,true)

            --动画
            --fdasfda
            if btnKey:getChildByName("c_art") == nil then
                local an = Animation:createAnimation(gBuilding[8].c_art)
                if an ~= nil then
                    btnKey:addChild(an,1)
                    an:setName("c_art")
                    if btnKey:getChildByName("Image_Base") ~= nil then
                        btnKey:getChildByName("Image_Base"):setVisible(false)
                    end
                end
            end

        else
            WorldScene:dontKnow(btnKey,"",false)
            if btnKey:getChildByName("c_art") ~= nil then
                btnKey:removeChild(btnKey:getChildByName("c_art"))
                if btnKey:getChildByName("Image_Base") ~= nil then
                    btnKey:getChildByName("Image_Base"):setVisible(true)
                end
            end
        end

        --科技中心
        local btnKey = self.BaseBgButton:getChildByName(BuildId2Button[5])
        if pd.getGametipsVO.techCenterTips > 0 then


            --动画
            --fdasfda
            if btnKey:getChildByName("c_art") == nil then
                local an = Animation:createAnimation(gBuilding[5].c_art)
                if an ~= nil then
                    btnKey:addChild(an)
                    an:setName("c_art")
                    if btnKey:getChildByName("Image_Base") ~= nil then
                        btnKey:getChildByName("Image_Base"):setVisible(false)
                    end
                end
            end
            WorldScene:dontKnow(btnKey,ScienceStudyCfg[pd.getGametipsVO.techCenterTips].icon,true)
        else
            WorldScene:dontKnow(btnKey,"",false)
            if btnKey:getChildByName("c_art") ~= nil then
                btnKey:removeChild(btnKey:getChildByName("c_art"))
                if btnKey:getChildByName("Image_Base") ~= nil then
                    btnKey:getChildByName("Image_Base"):setVisible(true)
                end
            end
        end

        --军团
        local btnKey = self.BaseBgButton:getChildByName(BuildId2Button[4])
        if pd.basicData.guildId ~= 0 then

            if btnKey:getChildByName("c_art") == nil then
                local an = Animation:createAnimation(gBuilding[4].c_art)
                if an ~= nil then
                    btnKey:addChild(an,1)
                    an:setName("c_art")
                    if btnKey:getChildByName("Image_Base") ~= nil then
                        btnKey:getChildByName("Image_Base"):setVisible(false)
                    end
                end
            end
        else
            if btnKey:getChildByName("c_art") ~= nil then
                btnKey:removeChild(btnKey:getChildByName("c_art"))
                if btnKey:getChildByName("Image_Base") ~= nil then
                    btnKey:getChildByName("Image_Base"):setVisible(true)
                end
            end
        end



        --军事学院
        local btnKey = self.BaseBgButton:getChildByName(BuildId2Button[9])
        if pd.getGametipsVO.commanderRecruit > 0 then
            WorldScene:dontKnow(btnKey,"res/pic/academy/manage/skill/icon_skill_31.png",true)
        else
            WorldScene:dontKnow(btnKey,"",false)
        end


        --buff
        local bufflist = self.MiddleUI:getChildByName("ListView_1")
        bufflist:removeAllItems()
        local res = {
            [1] = "pic/mainmap_left/icon/icon_protect.png",
            [2] = "pic/mainmap_left/icon/icon_attack.png",
            [3] = "pic/mainmap_left/icon/icon_resource.png",
        }
        local t = "0,0,0"
        local bufs = StringTemp:Split(pd.getGametipsVO.buffTips,",")
        for key, var in pairs(bufs) do
            if var == "1" then
                local mode = self.MiddleUI:getChildByName("buff_mode"):clone()
                mode:loadTexture(res[key],ResType)

                mode:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        require("src/app/views/buff/BuffInfo"):show(self)
                    end
                end)

                bufflist:pushBackCustomItem(mode)
            end
        end

        --奖励中心
        self.MiddleUI:getChildByName("Buttonjiangli_10"):setVisible(pd.getGametipsVO.haveRewardGift and pd.getGametipsVO.haveRewardGift == 1)
        require("src/app/unit/Airborne"):updateBox(pd.getGametipsVO.airborneId)
    end

end



--处理刚获取的公告
function WorldScene:doAnnouncement()
    local pd = PlayerData:getInstanse()
    --local t = {1,2,3}
    --UserDefault:setStringForKey("Announcement",cjson.encode(t))
    local annou = cjson.decode(UserDefault:getStringForKey("Announcement"))

    for key, var in pairs(pd.noticeVOs) do
        if annou ~= nil and annou[var.id] == 1 then
            var.state = 1
        else
            var.state = 0
        end
    end

    --local tt = 0
end


--WorldScene:doAnnouncement()

--拉取公告
function WorldScene:getAnnouncement()
    local pd = PlayerData:getInstanse()

    Connect:sendMsg("PlayerAction","getNotice",nil,
        function(data)
            --更新数据
            pd.noticeVOs = data.noticeVOs
            self:freshGametips()
        end,false)
end


--拉取活动
function WorldScene:getActivity()
    local pd = PlayerData:getInstanse()

    Connect:sendMsg("ActivityAction","openActivityList",nil,
        function(data)
            --更新数据
            pd.openActivityTypes = data.openActivityTypes
            self:freshGametips()
        end,false)
end



--拉去提示信息gWorldScene:getGametips()
function WorldScene:getGametips()
    local pd = PlayerData:getInstanse()

    Connect:sendMsg("InterfaceAction","getGametips",nil,
        function(data)
            --更新数据
            pd.getGametipsVO = data
            self:freshGametips()
        end,false)
end


function WorldScene:removeMission()
    local mission = gWorldScene:getChildByName("Mission")
    gWorldScene:removeChild(mission)
end

--底部按钮初始化
function WorldScene:initBottomBtn()

    local pd = PlayerData:getInstanse()

    --背景切换
    local turnBg = self.BottomUI:getChildByName("Button_1")
    turnBg:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

            self:TurnToNextBg()
        end
    end)
    --列表
    local list = self.BottomUI:getChildByName("ListView_1")

    --关卡
    local guanqia = list:getChildByName("Button_2")
    guanqia:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            Animation:stopAnimation(guanqia,gUIeffect[34].effect)
            self:gotoPve()
        end
    end)
    --邮件
    local guanqia = list:getChildByName("Button_7")
    local MailMainView = require("src/app/views/mail/MailMainView")
--    local v= MailMainView:open(self) --緩存
   --v:close()
    guanqia:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            MailMainView:open(self)
        end
    end)
    --设置
    local guanqia = list:getChildByName("Button_12")
    guanqia:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local SystemSetView = require("src/app/views/system/SystemSetView")
            SystemSetView:open(self)

        end
    end)
    if SDKPlatform:getSDKId() == "109" then
        list:removeLastItem()
    end
    
    --guanqia:setVisible(true)
    --好友
    local guanqia = list:getChildByName("Button_11")
    guanqia:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local FriendMainView = require("src/app/views/friend/FriendMainView")
            FriendMainView:open(self)
        end
    end)

    --部队
    local guanqia = list:getChildByName("Button_4")
    guanqia:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local TroopsView = require("src/app/views/troops/TroopsView")
            TroopsView:open(self,1)
        end
    end)

    --兑换
    local exchange = list:getChildByName("Button_9")
    exchange:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local ExchangeView = require("src/app/views/activity/ExchangeView")
            ExchangeView:open(self)
        end
    end)
    
    if gExchange_btn == 0 then
        list:removeItem(list:getIndex(exchange))
        --exchange:removeFromParent()
    end

    --背包
    local beibao = list:getChildByName("Button_6")
    beibao:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            --NodeTranslator:changeColor(beibao,function()
            local bb = BagAndStore.new(self,1)
            self:addChild(bb)
            --end)


        end
    end)
    --商店
    local store = list:getChildByName("Button_5")
    store:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local bb = BagAndStore.new(self,2)
            self:addChild(bb)
        end
    end)


    --排行榜
    local ranks = list:getChildByName("Button_8")
    ranks:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local t1 = Ranks.new(self)
            self:addChild(t1)
        end
    end)

    --帮助
    local ranks = list:getChildByName("Button_10")
    ranks:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/help/Help"):show(self)
        end
    end)

end










local bgBtnPic = {
    [1] = {normal = "res/pic/mainmap/ui_botton/btn_main.png",down = "res/pic/mainmap/ui_botton/btn_mainPress.png",words = "btnword_base"},
    [2] = {normal = "res/pic/mainmap/ui_botton/btn_resource.png",down = "res/pic/mainmap/ui_botton/btn_resourcePress.png",words = "btnword_skirts"},
    [3] = {normal = "res/pic/mainmap/ui_botton/btn_world.png",down = "res/pic/mainmap/ui_botton/btn_worldPress.png",words = "btnword_world"},
}
--切换按钮
function WorldScene:ChangeTurnBtn()
    local turnBg = self.BottomUI:getChildByName("Button_1")
    turnBg:loadTextures(bgBtnPic[self.BgPage].normal,bgBtnPic[self.BgPage].down,"",ResType)
    turnBg:getChildByName("Text_1"):setString(StringRes[bgBtnPic[self.BgPage].words])



end

--背景切换
function WorldScene:TurnToNextBg()
    self.BgPage = self.BgPage+1
    if self.BgPage > 3 then
        self.BgPage = 1
    end


    local pd = PlayerData:getInstanse()
    --等级小于3不开放世界
    if pd.basicData == nil then

        self:TurnBgQuest()
        return
    end

    --测试
    --pd.basicData.lv = 10

    if pd.basicData.lv < 3 then
        if self.BgPage > 2 then
            FlyWordPrompt:prompt(StringRes.world_unlock_info)
            self.BgPage = 1
        end
    end
    self:TurnBgQuest()

end


--切换到世界地图
function WorldScene:toField()
    self.BgPage = 2
    self:TurnToNextBg()
end


--处理雕像
function WorldScene:doDiaoxiang()
    local pd = PlayerData:getInstanse()
    local name = pd.arenaNO1Name
    if name == nil then
        name = ""
    end

    if name == "" then
        name = StringRes.text_world00032
    end

    local diaoxiang = gWorldScene.BaseBg:getChildByName("ScrollView_1"):getChildByName("homeMap_mi"):getChildByName("Button_arena_top")
    diaoxiang:getChildByName("text_name"):setString(name)
    
    local t1 = diaoxiang:getChildByName("text_name"):getContentSize()
    local t2 = diaoxiang:getChildByName("panel_name_bg"):getContentSize()
    diaoxiang:getChildByName("panel_name_bg"):setScaleX((t1.width+50)/t2.width)
end


function WorldScene:BaseQuest(b)
    print("mmmmmmmmmm")
    local pd = PlayerData:getInstanse()
    print("tttt")
    Connect:sendMsg("InterfaceAction","loadInterface",nil,
        function(data)
            --更新数据
            --基本数据
            pd.basicData = data.playerInfoVO
            --基础建筑
            pd.baseBuild = data.middleInterfaceVOs

            --坦克
            pd.tanks = data.troops

            --坦克附加属性
            pd.warUnitAddAttrs = data.warUnitAddAttrs

            --郊外建筑
            pd.outSideBuild = data.outskirtsInterfaceVO.outskirtsBlockVOs

            --敌军来袭
            pd.EnemyIncoming = data.atkWorldInfoVOs
            self:freshEnemyIncoming()
            print("333333333")

            pd.FriendTroop = {}
            for key, var in pairs(data.garrisonTroopVOs) do
                pd.FriendTroop[var.playerId..var.armyId] = var
            end
            self:freshTroop()

            --更新数据
            pd.ShortcutVO = data.shortcutInfo
            self:freshRightBtn()

            --更新页面
            self:FreshTopPage()
            self:FreshBGPage()

            self:ChangeTurnBtn()

            --
            --更新数据
            pd.notifyItesmCountVO = data.notifyItesmCountVO
            self:freshNewTaskNum()



            --连接聊天服务器
            ChatServer:conect(function()
                --ChatServer:sendchat(1,"fds fseeds fessss sss fdsa","")
                end)

            --日志
            statistics:sendLogin()

            --检测礼包
            pd.newGiftVOs = data.newGiftVOs
            pd.combatGiftVOs = data.combatGiftVOs
            pd.timeGiftVO = data.timeGiftVO
            pd.timeGiftVO.canAttach = false

            self:refreshSignIcon(data.signOr7day)

            require("app/util/MainMapPopoutUtils"):checkPopout(self)



            self:showName(false)
            pd.arenaNO1Name = data.arenaNO1Name
            self:doDiaoxiang()

        end,b)
end

function WorldScene:refreshSignIcon(state)
    local pd = PlayerData:getInstanse()
    pd.signOr7day = state
    local battleTest = self.MiddleUI:getChildByName("Button_L3")
    if battleTest then
        if state == 1 then
            battleTest:loadTextureNormal(ResIconCfg.icon7days)
            battleTest:loadTexturePressed(ResIconCfg.icon7days)
        elseif state == 2 then
            battleTest:loadTextureNormal(ResIconCfg.icon30days)
            battleTest:loadTexturePressed(ResIconCfg.icon30days)
        end
    end
end


--弹出空地提示
function WorldScene:CheckSpaceOutSide()
    local pd = PlayerData:getInstanse()
    local outsidedata = pd:getSpaceOutSide()
    if outsidedata ~= nil and not NoviceGuide:getState() then
        self.MiddleUI:getChildByName("panel_prompt"):setVisible(true)

        local iknow = self.MiddleUI:getChildByName("panel_prompt"):getChildByName("text_01")
        iknow:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                self.MiddleUI:getChildByName("panel_prompt"):setVisible(false)

            end
        end)

        local gotooutside = self.MiddleUI:getChildByName("panel_prompt"):getChildByName("text_02")
        gotooutside:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                self.BgPage = 2
                self:TurnBgQuest()

                self.MiddleUI:getChildByName("panel_prompt"):setVisible(false)

                local btnKey = gBlock[outsidedata.blockId].position
                local btn = self.OutSideGbButton:getChildByName(btnKey)

                local sv = self.OutSideBg:getChildByName("ScrollView_1")


                local x,y = btn:getPosition()

                local inner = sv:getInnerContainer():setPosition(cc.p(0,0))
                --sv:jumpToPercentBothDirection(cc.p(-x,y))
                sv:jumpToPercentBothDirection(cc.p(-x+640/2,-y))
                --btn:setColor(cc.c3b(250,50,50))

                --btn:runAction(cc.Sequence:create(cc.ScaleTo:create(1.2,1.2),cc.ScaleTo:create(1.2,1.0),nil))
                NodeTranslator:bigchangeColor(btn,nil)

                --                NodeTranslator:changeColor(btn,function()
                --
                --                end)


            end
        end)

    else
        self.MiddleUI:getChildByName("panel_prompt"):setVisible(false)
    end
end

function WorldScene:SetMiddleVisible(visible)
    local children = self.MiddleUI:getChildren()
    for key, var in pairs(children) do
        if var:getName() ~= "Button_07" and var:getName() ~= "Button_08" and var:getName() ~= "Button_09" then
            if visible == true then
                if var.sx ~= nil then
                    var:setScale(var.sx)
                    var.sx = nil
                end


            else
                if var.sx == nil then
                    var.sx = var:getScale()
                end


                var:setScale(0)
            end
        end


    end
end

function WorldScene:TurnBgQuest()
    local pd = PlayerData:getInstanse()
    if self.BgPage == 1 then

        self.topUI:setVisible(true)
        self:SetMiddleVisible(true)

        self:BaseQuest()
        self:CheckSpaceOutSide()
        PromptView:sceneNotice(self,StringRes.chenge_3)
    elseif self.BgPage == 2 then
        Connect:sendMsg("InterfaceAction","changeOutskirtsInterface",nil,
            function(data)
                --更新数据
                pd.outSideBuild = data.outskirtsBlockVOs
                --更新页面
                self:FreshTopPage()
                self:FreshBGPage()

                self:ChangeTurnBtn()
                self:showName(false)
            end)
        PromptView:sceneNotice(self,StringRes.chenge_1)
        self:SetMiddleVisible(false)
    elseif self.BgPage == 3 then
        self.topUI:setVisible(false)
        self:SetMiddleVisible(false)

        self.Feild:getData(true)

        self:FreshBGPage()
        self:ChangeTurnBtn()

        PromptView:sceneNotice(self,StringRes.chenge_2)
        
        --重新拉TaskExeBar队列
        gField.TaskExeBar:serverUpdateAll()
    end
end


function WorldScene:TaskQuest()
    Connect:sendMsg("TaskAction","openTaskItem",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            pd.task = {}
            pd.task.mainTaskShowVO = data.mainTaskShowVO
            pd.task.playerTasks = data.playerTasks
            pd.task.buildingTasks = data.buildingTasks
            pd.task.resourceTasks = data.resourceTasks

            pd.task.taskDailyShowVOs = data.taskDailyShowVOs

            pd.task.task1DailyVOs = data.task1DailyVOs
            pd.task.task2DailyVOs = data.task2DailyVOs
            pd.task.task3DailyVOs = data.task3DailyVOs
            pd.task.task4DailyVOs = data.task4DailyVOs

            self.TaskInfo = TaskInfo.new(self)
            self:addChild(self.TaskInfo)
        end)
end

function WorldScene:FreshTopPage()
    local pd = PlayerData:getInstanse()
    if pd.basicData == nil then
        return
    end


    --icon
    self.topUI:getChildByName("photo"):loadTexture(gRoleHeadIcon[pd.basicData.icon])

    self.topUI:getChildByName("Text_Name"):setString(pd.basicData.name)

    self.topUI:getChildByName("Text_Level"):setString( "Lv."..pd.basicData.lv)
    self.topUI:getChildByName("Text_comat"):setString( StringTemp:toNum(pd.basicData.comat))

    local warlvIcon = self.topUI:getChildByName("photo"):getChildByName("Image_2")
    warlvIcon:loadTexture(gMilitary_rank[pd.basicData.warLv].icon,ResType)


    --pd.basicData.gold = 1000*1000

    self.topUI:getChildByName("Text_gold"):setString( StringTemp:toNum(pd.basicData.gold))

    local function getColor(value)
        if pd.basicData.protect > value then
            return CommonColor.White
        else
            return CommonColor.Yellow
        end
    end

    --动画
    Animation:playAnimation2(self.topUI:getChildByName("Text_gold"),gUIeffect[7].effect)






    self.topUI:getChildByName("Text_crystal"):setString( StringTemp:toNum(pd.basicData.crystal))
    self.topUI:getChildByName("Text_crystal"):setColor(getColor(pd.basicData.crystal))

    self.topUI:getChildByName("Text_ferrum"):setString( StringTemp:toNum(pd.basicData.ferrum))
    self.topUI:getChildByName("Text_ferrum"):setColor(getColor(pd.basicData.crystal))

    self.topUI:getChildByName("Text_oil"):setString(    StringTemp:toNum(pd.basicData.oil))
    self.topUI:getChildByName("Text_oil"):setColor(getColor(pd.basicData.crystal))

    self.topUI:getChildByName("Text_lead"):setString( StringTemp:toNum(pd.basicData.lead))
    self.topUI:getChildByName("Text_lead"):setColor(getColor(pd.basicData.crystal))

    self.topUI:getChildByName("Text_titanium"):setString( StringTemp:toNum(pd.basicData.titanium))
    self.topUI:getChildByName("Text_titanium"):setColor(getColor(pd.basicData.crystal))

    local vipImage = self.topUI:getChildByName("Button_3"):getChildByName("Image_4")
    vipImage:loadTexture("res/pic/vip/icon/icon_vip_medal_"..(pd.basicData.vipLv+1)..".png",ResType)
    --进度条
    self.topUI:getChildByName("LoadingBar_11"):setPercent(pd.basicData.exp/pd.basicData.expMax*100)

    self.topUI:getChildByName("LoadingBar_12"):setPercent(pd.basicData.energy/gMaxEnergy*100)

    self.topUI:getChildByName("LoadingBar_1"):setPercent(pd.basicData.crystal/pd.basicData.crystalMax*100)

    self.topUI:getChildByName("LoadingBar_2"):setPercent(pd.basicData.oil/pd.basicData.oilMax*100)

    self.topUI:getChildByName("LoadingBar_3"):setPercent(pd.basicData.ferrum/pd.basicData.ferrumMax*100)

    self.topUI:getChildByName("LoadingBar_4"):setPercent(pd.basicData.lead/pd.basicData.leadMax*100)

    self.topUI:getChildByName("LoadingBar_5"):setPercent(pd.basicData.titanium/pd.basicData.titaniumMax*100)

end

--隐藏等级一定时间
function WorldScene:hideBuildLv(time)
    self:BuildLvShow(false)
end

local nodesName = {"Button_11","icon_basement"} --军团 、地库

function WorldScene:showName(b)
    local pd = PlayerData:getInstanse()

    if pd.baseBuild ~= nil then

        if self.BaseBgButton ~= nil then
            for i,v in ipairs(nodesName) do
                local btn = self.BaseBgButton:getChildByName(v)
                if btn ~= nil then
                    if b then
                        local levelImage = btn:getChildByName("Image_1")
                        if levelImage ~= nil then
                            levelImage:setScale(0)
                        end
                        local nameLv = btn:getChildByName("Image_12")
                        if nameLv ~= nil then
                            if UserDefault:getBoolForKey("buildingname") == true then
                                nameLv:setScale(1)
                            end
                        end
                    else
                        local levelImage = btn:getChildByName("Image_1")
                        if levelImage ~= nil then
                            levelImage:setScale(0.6)
                        end
                        local nameLv = btn:getChildByName("Image_12")
                        if nameLv ~= nil then
                            nameLv:setScale(0)
                        end
                    end
                end
            end

        end




        --建筑
        for i,v in pairs(pd.baseBuild) do
            local btnKey = self:BuildIdAndDbId2Button(v.templateId,v.dbId)

            if self.BaseBgButton == nil then
                break
            end

            local btn = self.BaseBgButton:getChildByName(btnKey)

            if btn ~= nil then
                if b then
                    local levelImage = btn:getChildByName("Image_1")
                    if levelImage ~= nil then
                        levelImage:setScale(0)
                    end
                    local nameLv = btn:getChildByName("Image_12")
                    if nameLv ~= nil then
                        if UserDefault:getBoolForKey("buildingname") == true then
                            nameLv:setScale(1)
                        end
                    end
                else
                    local levelImage = btn:getChildByName("Image_1")
                    if levelImage ~= nil then
                        levelImage:setScale(0.6)
                    end
                    local nameLv = btn:getChildByName("Image_12")
                    if nameLv ~= nil then
                        nameLv:setScale(0)
                    end
                end
            end




        end
        --
    end


    if pd.outSideBuild == nil then
        return
    end


    for i,v in pairs(pd.outSideBuild) do
        local btnKey = gBlock[v.blockId].position

        if self.OutSideGbButton == nil then
            break
        end

        local btn = self.OutSideGbButton:getChildByName(btnKey)

        if v.templateId ~= 0 then
            --显示等级

            if btn ~= nil then
                if b then
                    local levelImage = btn:getChildByName("Image_1")
                    if levelImage ~= nil then
                        levelImage:setScale(0)
                    end
                    local nameLv = btn:getChildByName("Image_12")
                    if nameLv ~= nil then
                        if UserDefault:getBoolForKey("buildingname") == true then
                            nameLv:setScale(1)
                        end
                    end
                else
                    local levelImage = btn:getChildByName("Image_1")
                    if levelImage ~= nil then
                        levelImage:setScale(0.6)
                    end
                    local nameLv = btn:getChildByName("Image_12")
                    if nameLv ~= nil then
                        nameLv:setScale(0)
                    end
                end
            end




        end
    end




end

function WorldScene:BuildLvShow(b)
    local pd = PlayerData:getInstanse()

    if pd.baseBuild ~= nil then
        --建筑
        for i,v in pairs(pd.baseBuild) do
            local btnKey = self:BuildIdAndDbId2Button(v.templateId,v.dbId)

            local btn = self.BaseBgButton:getChildByName(btnKey)


            if b then
                local levelImage = btn:getChildByName("Image_1")
                if levelImage ~= nil then
                    levelImage:setScale(1)
                end
                local nameLv = btn:getChildByName("Image_12")
                if nameLv ~= nil then
                    nameLv:setScale(0)
                    print("66666666666")
                end
            else
                local levelImage = btn:getChildByName("Image_1")
                if levelImage ~= nil then
                    levelImage:setScale(0)
                end
                local nameLv = btn:getChildByName("Image_12")
                if nameLv ~= nil then
                    nameLv:setScale(1)
                    print("777777777")
                end
            end


            --            --显示等级
            --            local levelImage = btn:getChildByName("Image_1")
            --            if levelImage ~= nil then
            --                levelImage:setVisible(b)
            --            end
            --            local nameLv = btn:getChildByName("Image_12")
            --            if nameLv ~= nil then
            --                nameLv:setVisible(b)
            --            end

        end
        --
    end


    if pd.outSideBuild == nil then
        return
    end


    for i,v in pairs(pd.outSideBuild) do
        local btnKey = gBlock[v.blockId].position

        local btn = self.OutSideGbButton:getChildByName(btnKey)

        if v.templateId ~= 0 then
            --显示等级
            local levelImage = btn:getChildByName("Image_1")
            if levelImage ~= nil then
                levelImage:setVisible(b)
            end
            local nameLv = btn:getChildByName("Image_12")
            if nameLv ~= nil then
                nameLv:setVisible(b)
            end
        end
    end
end

local function getGuildName()
    local pd = PlayerData:getInstanse()
    --guildName
    if pd.basicData.guildId ~= 0 then
        return StringRes.guildname_999..pd.basicData.guildName
    else
        return StringRes[gBuilding[4].name]
    end
end




function WorldScene:FreshBGPage()

    local pd = PlayerData:getInstanse()
    if pd.basicData == nil then
        return
    end

    self.BaseBg:setVisible(false)
    self.OutSideBg:setVisible(false)
    self.Feild:setVisible(false)
    local pd = PlayerData:getInstanse()
    --地库
    local btn = self.BaseBgButton:getChildByName("icon_basement")
    local nameLv = btn:getChildByName("Image_12")
    if nameLv == nil then
        nameLv = gLittleUi:getChildByName("Image_12"):clone()
        btn:addChild(nameLv,10)
        local size = btn:getContentSize()
        nameLv:setPosition( cc.p(size.width/2,size.height/2) )
        nameLv:setVisible(true)
    end
    nameLv:getChildByName("Text_level"):setString(StringRes[gBuilding[18].name])
    --军团
    local btn = self.BaseBgButton:getChildByName("Button_11")
    if PlayerData:getInstanse().basicData.lv < 3 then
        showShader:toGray(btn)
    else
        showShader:toNormal(btn)
    end
    --有军团
    local pd = PlayerData:getInstanse()
    if pd.basicData.guildId ~= 0 then

        --名字加等级
        local nameLv = btn:getChildByName("Image_12")
        if nameLv == nil then
            nameLv = gLittleUi:getChildByName("Image_12"):clone()
            btn:addChild(nameLv,10)
            local size = btn:getContentSize()
            nameLv:setPosition( cc.p(size.width/2,size.height/2) )
            nameLv:setScale(0)
        end
        local nl = getGuildName()
        --        if pd.basicData.guildLv > 0 then
        --            nl = nl.."Lv."..pd.basicData.guildLv
        --        end
        nameLv:getChildByName("Text_level"):setString(nl)

        --显示等级
        local levelImage = btn:getChildByName("Image_1")
        if levelImage == nil then
            levelImage = gLittleUi:getChildByName("Image_1"):clone()
            btn:addChild(levelImage,10)
            local size = btn:getContentSize()
            levelImage:setPosition( StringTemp:toPosition(gBuilding[4].lvposition) )
        end
        levelImage:setVisible(true)
        levelImage:getChildByName("Text_level"):setString(pd.basicData.guildLv)

        --        if UserDefault:getBoolForKey("buildingname") == true then
        --        --if false then
        --            levelImage:setVisible(false)
        --            nameLv:setVisible(true)
        --        else
        --            levelImage:setVisible(true)
        --            nameLv:setVisible(false)
        --        end

    else

        --名字加等级
        local nameLv = btn:getChildByName("Image_12")
        if nameLv == nil then
            nameLv = gLittleUi:getChildByName("Image_12"):clone()
            btn:addChild(nameLv,10)
            local size = btn:getContentSize()
            nameLv:setPosition( cc.p(size.width/2,size.height/2) )
            nameLv:setScale(0)
        end
        local nl = getGuildName()
        --        if pd.basicData.guildLv > 0 then
        --            nl = nl.."Lv."..pd.basicData.guildLv
        --        end
        nameLv:getChildByName("Text_level"):setString(nl)



        local levelImage = btn:getChildByName("Image_1")
        if levelImage then levelImage:setVisible(false) end
        local nameLv = btn:getChildByName("Image_12")
        if nameLv then
            nameLv:getChildByName("Text_level"):setString(getGuildName())
            nameLv:setVisible(true)
        end
    end


    btn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)




            if PlayerData:getInstanse().basicData.lv < 3 then--指挥中心5级开放
                --FlyWordPrompt:prompt(StringRes.army_group_limit)

                PromptView:type1(StringRes.notice,
                    string.format( StringRes[gBuilding[4].unlockdes],gBuilding[4].unlock)
                    ,StringRes.ok)
            else
                --判断是否有军团
                if pd.basicData.guildId == 0 then
                    local ArmyGroupApply = require("src/app/views/armygroup/ArmyGroupApply")
                    ArmyGroupApply:show(self)
                else
                    local ArmyGroupMain = require("src/app/views/armygroup/ArmyGroupMain")
                    ArmyGroupMain:show(self)
                end
            end
        end
    end)

    if self.BgPage == 1 then    --基地

        self.BaseBg:setVisible(true)
        local pd = PlayerData:getInstanse()

        if pd.baseBuild ~= nil then
            --建筑
            for i,v in pairs(pd.baseBuild) do
                local btnKey = self:BuildIdAndDbId2Button(v.templateId,v.dbId)

                local btn = self.BaseBgButton:getChildByName(btnKey)

                --名字加等级
                local nameLv = btn:getChildByName("Image_12")
                if nameLv == nil then
                    nameLv = gLittleUi:getChildByName("Image_12"):clone()
                    btn:addChild(nameLv,10)
                    local size = btn:getContentSize()
                    nameLv:setPosition( cc.p(size.width/2,size.height/2) )
                    nameLv:setScale(0)
                end
                local nl = StringRes[gBuilding[v.templateId].name]
                --                if v.buildLv > 0 then
                --                    nl = nl.."Lv."..v.buildLv
                --                end
                nameLv:getChildByName("Text_level"):setString(nl)


                --显示等级
                local levelImage = btn:getChildByName("Image_1")
                if levelImage == nil then
                    levelImage = gLittleUi:getChildByName("Image_1"):clone()
                    btn:addChild(levelImage,10)
                    local size = btn:getContentSize()
                    levelImage:setPosition( StringTemp:toPosition(gBuilding[v.templateId].lvposition) )
                end
                levelImage:getChildByName("Text_level"):setString(v.buildLv)


                if pd:getBaseBuildLv(1) < gBuilding[v.templateId].unlock-5 then
                    btn:setVisible(false)
                else
                    btn:setVisible(true)
                end
                if v.buildLv <= 0 then
                    levelImage:setVisible(false)
                    nameLv:setVisible(false)

                    --未解锁建筑隐藏，解锁前5级显示灰色，解锁后正常显示
                    if v.canBuild == true then
                        btn:setOpacity(150)

                        Animation:playChuiziAnimation(btn:getParent(),btn:getName().."chuizi",cc.p(btn:getPositionX(),btn:getPositionY()))
                    else
                        showShader:AlltoGray(btn)
                        Animation:stopAnimation(btn:getParent(),btn:getName().."chuizi")
                    end

                else
                    Animation:stopAnimation(btn:getParent(),btn:getName().."chuizi")

                    levelImage:setVisible(true)
                    nameLv:setVisible(true)
                    --                    if UserDefault:getBoolForKey("buildingname") == true then
                    --                    --if false then
                    --                        levelImage:setVisible(false)
                    --                        nameLv:setVisible(true)
                    --                    else
                    --                        levelImage:setVisible(true)
                    --                        nameLv:setVisible(false)
                    --                    end


                    btn:setOpacity(255)
                    showShader:AlltoNormal(btn)

                    --动画
                    if btn:getChildByName("Anim") == nil then
                        local an = Animation:createAnimation(gBuilding[v.templateId].art)
                        if an ~= nil then
                            btn:addChild(an,1)
                            an:setName("Anim")

                            if btn:getChildByName("Image_Base") ~= nil then
                                btn:getChildByName("Image_Base"):setVisible(false)
                            end
                        end
                    end

                end

                --是否显示等级
                if gBuilding[v.templateId].lv == 0  then
                    levelImage:setVisible(false)
                    nameLv:getChildByName("Text_level"):setString(StringRes[gBuilding[v.templateId].name])
                    --nameLv:setVisible(false)
                else

                end







                btn.buildVo = v
                btn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        NodeTranslator:changeColor(btn,function()
                            local vo = e.buildVo
                            Buildings:enter(vo,self)
                        end)
                    end
                end)

                --v.time = 20
                --v.allTime = 120

            end
        end


        --把所有坦克隐藏
        for i,v in pairs(tankId2Button) do
            local btn = self.BaseBgButton:getChildByName(v)
            btn:setVisible(false)
        end

        if pd.tanks ~= nil then
            --坦克
            for i,v in pairs(pd.tanks) do
                if v.num > 0 then
                    if v.baseId <= NUM_OF_TANK_IN_BASE then  --主界面只显示前24种坦克
                        local btn = self.BaseBgButton:getChildByName(tankId2Button[v.baseId])
                        btn:setVisible(true)
                        btn:loadTexture(Tank[v.baseId].pic,ResType)
                        --更换图片
                        --local tankAnim = btn:getChildByName("Image_Anim")

                        --                if tankAnim == nil then
                        --                    tankAnim = Animation:createAnimation(Tank[v.baseId].anim_base)
                        --                    tankAnim:setName("Image_Anim")
                        --                    btn:addChild(tankAnim)
                        --
                        --                    tankAnim:setAnchorPoint(cc.p(0.5,0.5))
                        --                    local size = btn:getContentSize()
                        --                    tankAnim:setPosition( cc.p(size.width*0.5,size.height*0.5) )
                        --                end



                        --显示数量
                        local levelImage = btn:getChildByName("Image_4")
                        if levelImage == nil then
                            levelImage = gLittleUi:getChildByName("Image_4"):clone()
                            btn:addChild(levelImage)
                            local size = btn:getContentSize()
                            levelImage:setPosition( cc.p(size.width*0.5,size.height*0.5+50) )
                        end
                        levelImage:getChildByName("Text_level"):setString(v.num)


                        btn:addTouchEventListener(function(e, t)
                            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                                require("src/app/views/prompt/TankInfoPanel"):show(self,v.baseId)
                            end
                        end)


                    end

                else
                    table.remove(pd.tanks,i)
                end




            end
        end

    elseif self.BgPage == 2 then    --郊外
        self.OutSideBg:setVisible(true)
        local pd = PlayerData:getInstanse()


        --回基地按钮
        local goHome = self.OutSideBg:getChildByName("ScrollView_1"):getChildByName("Image_1"):getChildByName("Button_1")
        goHome:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                NodeTranslator:changeColor(goHome,function()
                    self.BgPage = 1
                    self:TurnBgQuest()
                end)
            end
        end)

        --把所有地块隐藏
        --        for i,v in pairs(OutSideBuild2Button) do
        --            local btn = self.OutSideGbButton:getChildByName(v)
        --            btn:setVisible(false)
        --        end
        if pd.outSideBuild == nil then
            return
        end


        for i,v in pairs(pd.outSideBuild) do
            local btnKey = gBlock[v.blockId].position

            local btn = self.OutSideGbButton:getChildByName(btnKey)

            --v.templateId = 1

            if v.templateId ~= 0 then
                --建筑物


                if btn.nilPos == nil then
                    btn.nilPos = {}
                    btn.nilPos.x,btn.nilPos.y = btn:getPosition()
                end

                --坐标调整
                local t1 = StringTemp:Split(gBuilding[v.templateId].position,",")
                if #t1 >= 2 then
                    local pos = btn.nilPos
                    btn:setPosition( cc.p(pos.x+tonumber(t1[1]),pos.y+tonumber(t1[2])))
                end


                if gBuilding[v.templateId].stand ~= nil and gBuilding[v.templateId].stand ~= "0.png" then
                    btn:loadTexture(gBuilding[v.templateId].stand,ResType)
                else
                    btn:loadTexture(gBuilding[v.templateId].pic,ResType)
                end

                --                local buildImage = btn:getChildByName("Image_build")
                --                if buildImage == nil then
                --                    local pic = gBuilding[v.templateId]
                --                    --buildImage = ccs.Armature:create(pic)
                --                    buildImage = ccui.ImageView:create("pic/resources/resource_map/icon_iron.png",ResType)
                --                    buildImage:setName("Image_build")
                --                    btn:addChild(buildImage)
                --                    local size = btn:getContentSize()
                --                    buildImage:setPosition( cc.p(size.width*0.5,size.height*0.5) )
                --                    --buildImage:getAnimation():play(pic,durationTo,loop)
                --                end


                --名字加等级
                local nameLv = btn:getChildByName("Image_12")
                if nameLv == nil then
                    nameLv = gLittleUi:getChildByName("Image_12"):clone()
                    btn:addChild(nameLv,10)
                    local size = btn:getContentSize()
                    nameLv:setPosition( cc.p(size.width/2,size.height/2) )
                    nameLv:setScale(0)
                end
                local nl = StringRes[gBuilding[v.templateId].name]
                --                if v.buildLv > 0 then
                --                    nl = nl.."Lv."..v.buildLv
                --                end
                nameLv:getChildByName("Text_level"):setString(nl)
                nameLv:setVisible(true)



                --显示等级
                local levelImage = btn:getChildByName("Image_1")
                if levelImage == nil then
                    levelImage = gLittleUi:getChildByName("Image_1"):clone()
                    btn:addChild(levelImage,10)
                    local size = btn:getContentSize()
                    levelImage:setPosition( StringTemp:toPosition(gBuilding[v.templateId].lvposition) )
                end
                levelImage:getChildByName("Text_level"):setString(v.buildLv)
                levelImage:setVisible(true)

                --btn:setTouchEnabled(false)
                btn:setVisible(true)







                --                if UserDefault:getBoolForKey("buildingname") == true then
                --                --if false then
                --                    levelImage:setVisible(false)
                --                    nameLv:setVisible(true)
                --                else
                --                    levelImage:setVisible(true)
                --                    nameLv:setVisible(false)
                --                end









                --动画
                if btn:getChildByName("Anim") == nil then
                    local an = Animation:createAnimation(gBuilding[v.templateId].art)
                    if an ~= nil then
                        btn:addChild(an,1)
                        an:setName("Anim")
                        local size = btn:getContentSize()
                    end
                    --                else
                    --                    local an = Animation:createAnimation(gBuilding[v.templateId].art)
                    --                    if an == nil then
                    --                        btn:getChildByName("Anim"):removeFromParent()
                    --                    end
                end
                if btn:getChildByName("Anim") ~= nil then

                    btn:getChildByName("Anim"):setVisible(true)
                end


                --btn:setTouchEnabled(true)
                btn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        NodeTranslator:changeColor(btn,function()
                            if v.buildLv > 0 then
                                local layer = require("src/app/views/buildings/ResBuilding").new(self,v)
                                self:addChild(layer)
                                require("app.util.NodeTranslator"):transUp(layer,nil)
                                MyAudio:PlayEffect(gBuilding[v.templateId].openAudio)
                            end
                        end)
                    end
                end)


            else--只有地块
                btn:setVisible(true)

                --坐标调整
                if btn.nilPos ~= nil then
                    local pos = btn.nilPos
                    btn:setPosition( cc.p(pos.x,pos.y))
                end


                if btn:getChildByName("Anim") ~= nil then

                    btn:getChildByName("Anim"):removeFromParent()
                end

                local t = StringTemp:Split(v.canBuild,",")
                if #t == 1 then
                    btn:loadTexture("res/pic/resources/resource_map/icon_ore_ready.png",ResType)
                else
                    btn:loadTexture("res/pic/resources/resource_map/icon_build_ready.png",ResType)
                end

                --btn:setColor(cc.c3b(250,50,50))

                local levelImage = btn:getChildByName("Image_1")
                if levelImage ~= nil then
                    levelImage:setVisible(false)
                end



                --btn:setTouchEnabled(true)
                --btn:removeAllChildren(true)


                btn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

                        NodeTranslator:changeColor(btn,function()
                            local layer = require("src/app/views/buildings/ResBuild").new(self,v)
                            --                        local layer = require("src/app/views/buildings/TankFactory.lua").new(self)
                            self:addChild(layer)
                            require("app.util.NodeTranslator"):transUp(layer,nil)

                        end)
                    end
                end)

                --btn:loadTextures("tie_kuang_building_1.png","tie_kuang_building_1.png","",1)

                --local buildImage = ccui.ImageView:create("tie_kuang_building_1.png",1)

            end



            --显示建筑




            --v.time = 20
            --v.allTime = 120

        end

    elseif self.BgPage == 3 then    --世界
        self.Feild:setVisible(true)
    end




end

function WorldScene:resetBottomList()
    --下面的listview还原
    local bc = self.BottomUI:getChildByName("ListView_1")
    bc:jumpToLeft()
end

function WorldScene:moveMainCity(time,percent)
    --设置成默认比例
    local sc,newPercent = nil ,nil
    if self.BgPage==1 then
        sc = self.BaseBg:getChildByName("ScrollView_1")
        newPercent = {x=percent.x*self._moveSceneScaleX,y=self._moveSceneScaleY*percent.y}
    elseif self.BgPage==2 then
        sc = self.OutSideBg:getChildByName("ScrollView_1")
        newPercent = {x=percent.x*(1186/(1186-640)),y=percent.y*(1174/(1174-1010))}
    end
    sc:setZoomScale(1)
    sc:scrollToPercentBothDirection(newPercent,time,true) --做个特殊处理
end

function WorldScene:gotoPve()
    Connect:sendMsg("PveAction","openPve",nil,
        function(data)
            --更新数据

            --PVE buf
            PlayerData:getInstanse():SetPveBuff(data)

            local mission = Mission.new()

            self:addChild(mission)
        end)
end

function WorldScene:onEnter()

end

function WorldScene:onExit()

--Scheduler:unscheduleScriptEntry(self.loadingbarScheduler)
--Scheduler:unscheduleScriptEntry(self.update)

end

return WorldScene
