

gPlayerData = nil
local Scheduler = cc.Director:getInstance():getScheduler()

PlayerData = class("PlayerData",function()
    return cc.Node:create()
end)


local socket = require "socket"


function PlayerData:ctor()
    self.EnemyIncoming = {}
    self.FriendTroop = {}
    --生产中的坦克
    self.producingTank = {}

   self.tamade = 1
   
   
    local function tickScheduler(delta)
    
        --敌军来袭倒计时
        for key, var in pairs(self.EnemyIncoming) do
            var.time = var.time - delta
            if var.time < 0 then
                table.remove(self.EnemyIncoming,key)
            end
        end
        
        
        --敌军来袭倒计时
        for key, var in pairs(self.FriendTroop) do
            var.time = var.time - delta
            if var.time < 0 then
                --table.remove(self.EnemyIncoming,key)
                var.time = 0
            end
        end
    
    
    
        --能量倒计时
        if  self.basicData ~= nil  then
        
            if self.basicData.energyTime > 0 and self.basicData.energyTime-delta < 0 then
                NodeTranslator:deltaDo(0.8,
                    function ()
                        self:heart()
                    end
                )

            end
        
        
            if self.basicData.energyTime > 0 then
                self.basicData.energyTime = self.basicData.energyTime - delta
            end
            if self.basicData.energyTime <= 0 then
                self.basicData.energyTime = 0
            end
            
            
        end
        
        
        if self.baseBuild ~= nil then
            --基础建筑 倒计时
            for i,v in pairs(self.baseBuild) do
                
                if v.time > 0 and v.time-delta < 0 then
                    NodeTranslator:deltaDo(0.8,
                        function ()
                            self:buildTimeOver(v)
                        end
                    )
                    
                end
                
                --时间减少
                v.time = v.time - delta
            end
        end
        --
        if self.outSideBuild ~= nil then
            --基础建筑 倒计时
            for i,v in pairs(self.outSideBuild) do
                if v.time > 0 then
                local t0 = socket.gettime()
                --print("delta:"..delta.."------------curtime:"..t0.."v.time:"..v.time)
                end
                if v.time > 0 and v.time-delta < 0 then
                    
                    if v.buildLv <= 0 then
                        NodeTranslator:deltaDo(0.8,
                        function ()
                                t0 = socket.gettime()
                                print("t0:"..t0)
                            self:resBuildTimeOver(v)
                        end
                        )
                        
                    else
                        NodeTranslator:deltaDo(0.8,
                            function ()
                                self:buildTimeOver(v)
                            end
                        )
                        
                    end
                    
                    
                end
                
                --时间减少
                v.time = v.time - delta
                
                
            end
        end
        
        --坦克工厂生产倒计时
        if self.producingTank then
            for i,factory in pairs(self.producingTank) do
                for k,v in pairs(factory) do
                    --时间减少
                    if v.remainTime > 0 then
                        v.remainTime = v.remainTime - delta
                        if v.remainTime < 0 then
                            v.remainTime = 0
                            NodeTranslator:deltaDo(0.8,
                                function ()
                                    self:refreshUnits(v,i)
                                end
                            )
                            
                        end
                    end
                end
            end
        end
        
        --增益信息倒计时
        if self.buffInfos then
            for i,v in pairs(self.buffInfos) do
                --时间减少
                if v.time > 0 then
                    v.time = v.time - delta
                    if v.time < 0 then
                        v.time = 0
                    end
                end
            end
        end
        
        --资源buff倒计时
        if self.basicData and self.basicData.resourseBuffVOs then
            for i,v in pairs(self.basicData.resourseBuffVOs) do
                --时间减少
                if v.time > 0 then
                    v.time = v.time - delta
                    if v.time < 0 then
                        v.time = 0
                    end
                end
            end
        end

    end
    
    self.tickScheduler = Scheduler:scheduleScriptFunc(tickScheduler, 0.8, false)
    
    
    local function hearScheduler(delta)
        self:heart()
    
    end
    self.hearScheduler = Scheduler:scheduleScriptFunc(hearScheduler, 60, false)
end

--获取最短时间升级建筑数据
function PlayerData:getMinTimeLevelUpBld()
    local data = nil
    local time  = 0
   
    --基地建筑
    for i,v in pairs(self.baseBuild) do
        if v.time > 0 then
            if time == 0 then
                time = v.time
                data = v
            elseif v.time < time then
                time = v.time
                data = v
            end
        end
    end
    
    --郊外建筑
    for i,v in pairs(self.outSideBuild) do
        if v.time > 0 then
            if time == 0 then
                time = v.time
                data = v
            elseif v.time < time then
                time = v.time
                data = v
            end
        end
    end
    
    return data
end

--删除敌军来袭
function PlayerData:delEnemyIncoming(id)
    for key, var in pairs(self.EnemyIncoming) do
        if var.troopId == id then
            table.remove(self.EnemyIncoming,key)
    	end
    end
	
end


--资源建筑建造时间到
function PlayerData:heart()
    local pd = PlayerData:getInstanse()  
    Connect:sendMsg("PlayerAction","heart",nil,
        function(data)
            --更新数据
            if data.code == 1 then
                Connect:sendMsg("PlayerAction","getPlayerInfo",nil,
                    function(data)
                        --更新数据
                        pd.basicData = data
                        
                    end,false)
            end            


        end,false)
end




--刷新坦克列表
function PlayerData:refreshUnits(data,temId)
    local msg = {buildId=data.buildId}
    local sAction = "TankFactoryAction"
    local sMethod = "refWarUnits"
    local tmpString = StringRes.produce_complt
    --改装车间
    if temId == "key11" then
        sAction = "ReformFactoryAction"
        tmpString = StringRes.reform_complt
    end
    Connect:sendMsg(sAction,sMethod,msg,
        function (v)
            self.tanks = v.troops
            FlyWordPrompt:prompt(string.format(tmpString,StringRes[Tank[data.baseId].name]))
        end,false)
end

function PlayerData:getUnitCountById(id)
	for k ,  v  in pairs(self.tanks) do
       if v.baseId == id  then
           return v.num
       end
    end
	return 0 
end

--建筑时间到
function PlayerData:buildTimeOver(v)
    local msg = {type=v.buildType,dbId=v.dbId}

    Connect:sendMsg("BuildAction","buildlvUpTimeOver",msg,
        function(data)
            --更新数据
            self:BuildTimeOverFresh(data)
            if v.templateId == 1 then
                gWorldScene:BaseQuest()
            end
            
            FlyWordPrompt:prompt(string.format(StringRes.levelup_info,StringRes[gBuilding[v.templateId].name],v.buildLv))
            
        end,false)
end

--资源建筑建造时间到
function PlayerData:resBuildTimeOver(v)
    local msg = {buildType=v.buildType,dbId=v.dbId,blockId=v.blockId}

    Connect:sendMsg("BuildAction","buildingTimeOver",msg,
        function(data)
            --更新数据
            self:resBuildTimeOverFresh(data)
            print("---lv:",data.outskirtsBlockVO.buildLv)
            FlyWordPrompt:prompt(string.format(StringRes.levelup_info,StringRes[gBuilding[v.templateId].name],data.outskirtsBlockVO.buildLv))
        end,false)
end


--获取野外空地数据
function PlayerData:getSpaceOutSide()
    if self.outSideBuild ~= nil then
        --基础建筑 倒计时
        for i,v in pairs(self.outSideBuild) do
            if v.templateId == 0 then
            	return v
            end
        end
    end
    return nil
end



function PlayerData:init()
    
end


function PlayerData:getInstanse()
    if gPlayerData == nil then
        gPlayerData = PlayerData.new()
        gPlayerData:retain()
    end
    
    return gPlayerData
end

function PlayerData:Relese()
    if gPlayerData ~= nil then
        Scheduler:unscheduleScriptEntry(gPlayerData.tickScheduler)
        Scheduler:unscheduleScriptEntry(gPlayerData.hearScheduler)
    
        gPlayerData:release()
        gPlayerData = nil
    end
end


--获取正在建造中的建筑物个数
function PlayerData:getBuildingNum()
    
    local num = 0

    if self.baseBuild ~= nil then
        for i,v in pairs(self.baseBuild) do
            if v ~= nil and v.time > 0 then
                num = num +1
            end
        end

    end
    
    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v ~= nil and v.time > 0 then
                num = num +1
            end
        end

    end
    
    return num
end

--获取最接近建造完成的建筑
function PlayerData:getNearestBuildOver()
    local build = nil
    local nearestTime = 1000000000

    if self.baseBuild ~= nil then
        for i,v in pairs(self.baseBuild) do
            if v ~= nil and v.time > 0 then
                if v.time < nearestTime then
                	build = v
                	nearestTime = v.time
                end
            end
        end

    end

    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v ~= nil and v.time > 0 then
                if v.time < nearestTime then
                    build = v
                    nearestTime = v.time
                end
            end
        end

    end

    return build
end



--获取基础建筑等级
function PlayerData:getBaseBuildLv(tpid)
    if self.baseBuild ~= nil then
        for i,v in pairs(self.baseBuild) do
        	if v ~= nil and v.templateId == tpid then
                return v.buildLv
        	end
        end
		
	end
	return -1
end

--获取基础建筑数据
function PlayerData:getBaseBuildData(tpid)
    if self.baseBuild ~= nil then
        for i,v in pairs(self.baseBuild) do
            if v ~= nil and v.templateId == tpid then
                return v
            end
        end

    end
    return nil
end

--获取建筑是否可用
function PlayerData:getBuildingEnable(tpid)
    if self.baseBuild ~= nil then
        for i,v in pairs(self.baseBuild) do
            if v ~= nil and v.templateId == tpid and v.buildLv > 0 then
                return true
            end
        end

    end
    return false
end

--获取不同templateid的基础建筑中等级最高的 建筑
function PlayerData:getBaseBuildMaxLvData(ids)
    local pd = PlayerData:getInstanse()
    local idvec = StringTemp:Split(ids,",")

    local maxLvbuild = nil

    for key, var in pairs(idvec) do


        local builddata = pd:getBaseBuildData( tonumber(var))
        if builddata ~= nil then
            if maxLvbuild == nil then
                maxLvbuild = builddata
            else
                if builddata.buildLv > maxLvbuild.buildLv then
                    maxLvbuild = builddata
                end
            end
        else
            builddata = pd:getBaseBuildData( tonumber(var))
        end

    end
    
    return maxLvbuild

end



--获取资源建筑数据
function PlayerData:getResBuildData(tpid)
    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v ~= nil and v.blockId == tpid then
                return v
            end
        end

    end
    return nil
    
end

--获取同一templateid中的等级最高的资源建筑
function PlayerData:getResBuildMaxLvData(id)
    
    local maxLvbuild = nil
    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v.templateId == id then
                if maxLvbuild == nil then
                    maxLvbuild = v
                else
                    if v.buildLv > maxLvbuild.buildLv then
                        maxLvbuild = v
                    end
                end
            
                
            end
        end

    end
    return maxLvbuild
    
end

function PlayerData:changeOutSideBuild(outside)
    if self.outSideBuild == nil then
		self.outSideBuild = {}
	end
    for i,v in pairs(self.outSideBuild) do
        if v ~= nil and v.blockId == outside.blockId then
            table.remove(self.outSideBuild,i)
            table.insert(self.outSideBuild,i,outside)
        end
    end
	
end

--升级建筑后的数据更新
function PlayerData:BuildFresh(data)
    if self.baseBuild ~= nil then
        for i,v in pairs(self.baseBuild) do
            if v ~= nil and v.templateId == data.templateId then
                v.time = data.time
                v.allTime = data.allTime


            end
        end
    end
    
    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v ~= nil and v.blockId == data.blockId then

                v.time = data.time
                v.allTime = data.allTime
            end
        end
    end
    
    
    if self.basicData ~= nil then
        self.basicData.crystal = data.crystal
        self.basicData.ferrum = data.ferrum
        self.basicData.oil = data.oil
        self.basicData.lead = data.lead
        self.basicData.titanium = data.titanium
    end
end


--取消建筑升级
function PlayerData:cancelBuildFresh(data)
    if self.baseBuild ~= nil then
        for i,v in pairs(self.baseBuild) do
            if v ~= nil and v.templateId == data.templateId then
                v.time = 0
                v.allTime = 0
                v.buildLv = data.lv
            end
        end
    end

    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v ~= nil and v.blockId == data.blockId then

                v.time = 0
                v.allTime = 0
                v.buildLv = data.lv
            end
        end
    end


    if self.basicData ~= nil then
        self.basicData.crystal = data.crystal
        self.basicData.ferrum = data.ferrum
        self.basicData.oil = data.oil
        self.basicData.lead = data.lead
        self.basicData.titanium = data.titanium
    end
end

--拆除资源建筑刷新
function PlayerData:removeResBuilding(data)
    self.basicData = data.playerInfoVO
    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v ~= nil and v.blockId == data.outskirtsBlockVO.blockId then
                v.time = 0
                v.allTime = 0
                v.buildLv = data.outskirtsBlockVO.buildLv
                v.blockId = data.outskirtsBlockVO.blockId
                v.buildType = data.outskirtsBlockVO.buildType
                v.dbId = data.outskirtsBlockVO.dbId
                v.canBuild = data.outskirtsBlockVO.canBuild
                v.templateId = data.outskirtsBlockVO.templateId
                v.buildTime = data.outskirtsBlockVO.buildTime
                break
            end
        end
    end
end

--
--升级时间到后数据更新
function PlayerData:resBuildTimeOverFresh(data)
      
    self.basicData = data.playerInfoVO
    
    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v ~= nil and v.blockId == data.outskirtsBlockVO.blockId then
                v.time = 0
                v.allTime = 0
                v.buildLv = data.outskirtsBlockVO.buildLv
                break
            end
        end
    end

end

--升级时间到后数据更新
function PlayerData:BuildTimeOverFresh(data)
    if self.baseBuild ~= nil then
        for i,v in pairs(self.baseBuild) do
            if v ~= nil and v.templateId == data.templateId then
                v.time = 0
                v.allTime = 0
                v.buildLv = data.lv
            end
        end
    end
    
    
    if self.outSideBuild ~= nil then
        for i,v in pairs(self.outSideBuild) do
            if v ~= nil and v.blockId == data.blockId then
                v.time = 0
                v.allTime = 0
                v.buildLv = data.lv
            end
        end
    end
    
    if self.basicData ~= nil then
        self.basicData.feMax = data.feMax
        self.basicData.leadMax = data.leadMax
        self.basicData.oilMax = data.oilMax
        self.basicData.titanMax = data.titanMax
        self.basicData.crystalMax = data.crystalMax
        self.basicData.gold = data.gold
    end
    
    
end


function PlayerData:SetPveBuff(buf)
	self.pve_Buffs = buf
	
	for i,v in pairs(self.pve_Buffs) do
	       --等级
        v.level = v.id-(v.type-1)*3
        if v.level < 0 then
        	v.level = 0
        end
        
            --真实ID
        if v.id > 0 then
        	v.realId = v.id
        else
            v.realId = (v.type-1)*3+1
        end
        
	end
    
end

function PlayerData:changeName(succcallback)
    PromptView:openChangeName(function(name)
        Connect:sendMsg("PlayerAction","rename",{name=name},function(newMsg)
            if newMsg.state == 1 then
                local basicData = self.basicData
                basicData.renameCard = newMsg.renameCard
                basicData.name = name
                PromptView:type1(nil,StringRes.text_world00045,StringRes.ok)
                if succcallback then
                    succcallback(name)
                end
            end
        end)
    end)
end

return PlayerData