
local ColorMgr = {}
local CommonColor = require("src/app/cfg/CommonColorCfg")

--通过概率来获取颜色
function ColorMgr:getByScale(scale)
    if scale < 0.31 then
        return CommonColor.Red
    elseif scale < 0.61 then
        return CommonColor.Pink
    elseif scale < 0.91 then
        return CommonColor.Scarlet
    elseif scale < 1 then
        return CommonColor.Black
    else
        return CommonColor.Golden
    end
end

--通过质量获取颜色
function ColorMgr:getByQuality(quality)
    local _t = {
        CommonColor.White,
        CommonColor.Green,
        CommonColor.Blue,
        CommonColor.Purple,
        CommonColor.Orange,
    }
    return _t[quality]
end

return ColorMgr