
MyAudio = {}
local UserDefault = cc.UserDefault:getInstance()
--
function MyAudio:PlayBgMusic(music)
    cc.SimpleAudioEngine:getInstance():playMusic(music, true)
    local state = UserDefault:getBoolForKey("musiccontrol")
    if not state then
        self:StopBgMusic()
    end
end


function MyAudio:StopBgMusic()
    cc.SimpleAudioEngine:getInstance():pauseMusic()
end

function MyAudio:ResumeBgMusic()
    cc.SimpleAudioEngine:getInstance():resumeMusic()
end

function MyAudio:PlayEffect(effect)
    local state = UserDefault:getBoolForKey("effectcontrol")
    if state then
        cc.SimpleAudioEngine:getInstance():playEffect(effect, false)
    end
end

function MyAudio:preloadEffects()
    local state = UserDefault:getBoolForKey("effectcontrol")
    if state then
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/bldg_PK.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Fight_VS.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Fire_huo_jian.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Fire_jian_ji_che.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Fire_Tank.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Fire_zi_xing_huo_pao.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Hit_huo_jian.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Hit_jian_ji_che.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Hit_Tank.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Hit_zi_xing_huo_pao.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/star.mp3")
        cc.SimpleAudioEngine:getInstance():preloadEffect("res/sound/Tank_Dead.mp3")
    end
end

return MyAudio