

Ennoble = class("Ennoble",function()
    return display.newLayer()
end)

function Ennoble:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    self.Top:getChildByName("text_title"):setString(StringRes.shouxun)
    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:removeFromParent()
        end
    end)
    
    --授勋信息
    self.Ennoble = CCUILoader:load("res/csd/public/Ennobled_Info.csb")
    self:addChild(self.Ennoble)
    
    
    self:Fresh()
end


function Ennoble:Fresh()
    local pd = PlayerData:getInstanse()
    if pd.basicData == nil then
        return
    end
    
   
    --
    local listView = self.Ennoble:getChildByName("ListView_2")
    listView:removeAllItems()
    
    local listItem = self.Ennoble:getChildByName("Image_ItemBg")
    for key, var in ipairs(gPrestige) do
        local oneItem = listItem:clone()
        
        --名字
        oneItem:getChildByName("Text_NameAndShengw"):setString(string.format(StringRes[var.name],var.pre))
        
        --花费
        local num = var.costcrystal
        if num <= 0 then
            num = var.costgold*15
        end
        oneItem:getChildByName("Text_PriceWords"):setString(string.format(StringRes[var.des],num))
        
        --图标
        oneItem:getChildByName("Image_Icon"):loadTexture(var.icon,ResType)
        
        
        --升级按钮
        local getBtn = oneItem:getChildByName("Button_Get")
        showShader:buttonToGray(getBtn)
        
        if pd.basicData.upPreCount == 0 then
            Common:setBtnTouchEnable(getBtn,true)
        else
            Common:setBtnTouchEnable(getBtn,false)
        end
        
        
        getBtn.data = var
        --getBtn.self = self;
        getBtn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                
                local content = ""
                local num = 0
                if e.data.costcrystal > 0 then
                    content = StringRes.prestige_des_4
                    num = e.data.costcrystal
                else
                    content = StringRes.prestige_des_3
                    num = e.data.costgold*15
                end
                --local myself = e.self
                --提示
                PromptView:type2(StringRes.notice,
                    string.format(content,num)
                    ,StringRes.ok,StringRes.cancel,
                    function()
                        local msg = {type = e.data.id}
                        Connect:sendMsg("PlayerAction","upPrestige",msg,
                            function(data)
                                --更新数据
                                --成功
                                pd.basicData.prestige = data.pre
                                pd.basicData.prestigeLv = data.preLv
                                pd.basicData.preMax = data.preMax
                                pd.basicData.crystal = data.crystal
                                pd.basicData.gold = data.gold
                                pd.basicData.upPreCount = data.upPreCount
                                self:Fresh()
                         end)
                     end)
            end
        end)
        
        listView:pushBackCustomItem(oneItem)
    end
    
end

return Ennoble