
ForceUpgrade = class("ForceUpgrade",function()
    return display.newLayer()
end)

function ForceUpgrade:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    
    self.Top:getChildByName("text_title"):setString(StringRes.Fightingforce_1)
    
    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:removeFromParent()
        end
    end)
    
    --军功信息
    self.ForceUpgrade = CCUILoader:load("res/csd/mainmap/ui_top/ui_force_upgrade_guide.csb")
    self:addChild(self.ForceUpgrade)
    
    Connect:sendMsg("PlayerAction","getCombatInfo",nil,
        function(data)
            
            self:dodata(data)
            
            self:Fresh()
        end)

    ViewManager:OpenView(self)
    
end

function ForceUpgrade:dodata(data)
    self.forceData = data
    local pd = PlayerData:getInstanse()

    --科技状态
    local kejistate = 1
    local kejicontent = StringRes.Fightingforce_12
    if not Buildings:isCanEnter(pd:getBaseBuildData(5)) then
        kejistate = 2
        kejicontent = StringRes.Fightingforce_14
    elseif self.forceData.techPct >= 1 then
        kejicontent = StringRes.Fightingforce_13
    else
        kejicontent = StringRes.Fightingforce_12
    end
    
    --军团科技
    local juntuankejistate = 1
    local juntuankejicontent = StringRes.Fightingforce_18
    if pd.basicData.guildId == 0 then
        juntuankejistate = 2
        juntuankejicontent = StringRes.Fightingforce_17
    else
        juntuankejicontent = StringRes.Fightingforce_18..":"..self.forceData.donation.."/"..30
    end
    
    
    --配件强化
    local peijianqianghuastate = 1
    local peijianqianghuacontent = StringRes.Fightingforce_22
    if not Buildings:isCanEnter(pd:getBaseBuildData(12)) then
        peijianqianghuastate = 2
        peijianqianghuacontent = StringRes.Fightingforce_21
    elseif self.forceData.strengthenPct >= 1 then
        peijianqianghuacontent = StringRes.Fightingforce_23
    else
        peijianqianghuacontent = StringRes.Fightingforce_22
    end
    
    
    
    --配件改造
    local peijiangaizaostate = 1
    local peijiangaizaocontent = StringRes.Fightingforce_22
    if not Buildings:isCanEnter(pd:getBaseBuildData(12)) then
        peijiangaizaostate = 2
        peijiangaizaocontent = StringRes.Fightingforce_26
    elseif self.forceData.reformPct >= 1 then
        peijiangaizaocontent = StringRes.Fightingforce_28
    else
        peijiangaizaocontent = StringRes.Fightingforce_27
    end
    
    
    
    
    
    --最差兵种强度比    
    local zhonggongstate = 1
    local zhonggongicon = ""
    local zhonggongcontent = StringRes.Fightingforce_18
    if self.forceData.bestWarUnit < 0 then
        zhonggongstate = 2
        zhonggongcontent = StringRes.Fightingforce_34
        zhonggongicon = ""
    else
        zhonggongcontent = StringRes.Fightingforce_35..":"..StringRes[Tank[self.forceData.bestWarUnit].name]
        zhonggongicon = Tank[self.forceData.bestWarUnit].icon
    end
    
    
    
    
    
    
    self.listData = {
    --统率
        [1] = {icon = "res/pic/common/item/icon_item68.png",title = StringRes.Fightingforce_4,dataper = self.forceData.commandPct,desc = StringRes.Fightingforce_5,
                content = StringRes.Fightingforce_6..":"..self.forceData.commandBook,gotoid = 3,state = 1},
    --技能            
        [2] = {icon = "res/pic/common/item/icon_item78.png",title = StringRes.Fightingforce_7,dataper = self.forceData.skillPct,desc = StringRes.Fightingforce_8,
            content = StringRes.Fightingforce_9..":"..self.forceData.medal,gotoid = 21,state = 1}, 
    --科技                    
        [3] = {icon = "res/pic/upgrade/icon/icon_research_center.png",title = StringRes.Fightingforce_10,dataper = self.forceData.techPct,desc = StringRes.Fightingforce_11,
                content = kejicontent,gotoid = 20,state = kejistate},
    --军团            
        [4] = {icon = "res/pic/upgrade/icon/icon_armygroup.png",title = StringRes.Fightingforce_15,dataper = self.forceData.gtechPct,desc = StringRes.Fightingforce_16,
            content = juntuankejicontent,gotoid = 12,state = juntuankejistate},
    --强化等级            
        [5] = {icon = "res/pic/accessory/warehouse/material/icon_accessoryFragment_toolbox.png",title = StringRes.Fightingforce_19,dataper = self.forceData.strengthenPct,desc = StringRes.Fightingforce_20,
            content = peijianqianghuacontent,gotoid = 7,state = peijianqianghuastate},
    --改造等级            
        [6] = {icon = "res/pic/accessory/warehouse/material/icon_accessoryFragment_drill.png",title = StringRes.Fightingforce_24,dataper = self.forceData.reformPct,desc = StringRes.Fightingforce_25,
            content = peijiangaizaocontent,gotoid = 7,state = peijiangaizaostate},
    --已装配件品质            
        [7] = {icon = "res/pic/accessory/warehouse/material/icon_accessoryFragment_universal.png",title = StringRes.Fightingforce_29,dataper = self.forceData.partsPct,desc = StringRes.Fightingforce_30,
            content = StringRes.Fightingforce_31..":"..self.forceData.betterParts,gotoid = 7,state = peijiangaizaostate},
    --最差兵种强度比            
        [8] = {icon = zhonggongicon,title = StringRes.Fightingforce_32,dataper = self.forceData.warUnitPct,desc = StringRes.Fightingforce_33,
            content = zhonggongcontent,gotoid = 5,state = zhonggongstate},
    --出战部队满编            
        [9] = {icon = "res/pic/upgrade/icon/icon_tank_factory.png",title = StringRes.Fightingforce_36,dataper = self.forceData.maxNumPct,desc = StringRes.Fightingforce_37,
            content = string.format(StringRes.Fightingforce_38,self.forceData.gapNum) ,gotoid = 5,state = zhonggongstate},
    }

end


function ForceUpgrade:Fresh()

    --当前战斗力
    self.ForceUpgrade:getChildByName("panel_bg"):getChildByName("text_force"):setString(StringRes.Fightingforce_2..":"..self.forceData.combat.."("..StringTemp:toNum(self.forceData.combat)..")")

    --进度
    self.ForceUpgrade:getChildByName("panel_bg"):getChildByName("loadingbar_bg"):getChildByName("loadingbar_force"):setPercent(self.forceData.maxPct*100)
    self.ForceUpgrade:getChildByName("panel_bg"):getChildByName("loadingbar_bg"):getChildByName("num_percentage"):setString(string.format("%0.2f",self.forceData.maxPct*100).."%")
    
    
    local listView = self.ForceUpgrade:getChildByName("panel_bg"):getChildByName("panel_bg"):getChildByName("listview_force")
    listView:removeAllItems()
    
    local listItem = self.ForceUpgrade:getChildByName("panel_bg"):getChildByName("panel_force")
    for key, var in ipairs(self.listData) do
        local oneItem = listItem:clone()
        listView:pushBackCustomItem(oneItem)
        
        --图标
        if var.icon ~= "" then
            Common:changePic(oneItem:getChildByName("icon_force"),var.icon)
        end
        oneItem:getChildByName("icon_force"):addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                local DescriptView = require("src/app/views/prompt/DescriptView")
                local t = StringTemp:Descript(var.desc)
                t[1][1].color = CommonColor.Orange
                DescriptView:open(self,t )
            end
        end)
        
        --标题
        oneItem:getChildByName("text_force_level"):setString(var.title)
        --进度
        local p = var.dataper*100
        if p > 100 then
        	p = 100
        end
        oneItem:getChildByName("progressbar_bg"):getChildByName("loadingbar_progress"):setPercent(p)
        oneItem:getChildByName("progressbar_bg"):getChildByName("num_percentage"):setString(string.format("%0.2f",p).."%")
        --文字
        oneItem:getChildByName("text_force_own"):setString(var.content)
        
        --按钮
        local btn = oneItem:getChildByName("btn_go")
        showShader:buttonToGray(btn)
        if var.state == 1 then
            Common:setBtnTouchEnable(btn,true)
        else
            Common:setBtnTouchEnable(btn,false)
        end
        
        btn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                local taskInfo = {gotothere = ""..var.gotoid,jumptip = ""}
                
                require("src/app/views/task/TaskInfo"):StaticGotoHere(taskInfo)
            end
        end)
        
    end
    
end

return ForceUpgrade