--
-- Created by IntelliJ IDEA.
-- User: HS18
-- Date: 2015/9/8
-- Time: 10:03
-- To change this template use File | Settings | File Templates.
--

local Scheduler = cc.Director:getInstance():getScheduler()

local function load(name)
    local c = require(name)
    c:uiLoad()
end

local preLoadTable = {
    ["src/app/views/accessories/AccessoryPage"] = 32,
    ["src/app/views/accessories/WareHourseView"] = 68,
    ["src/app/views/accessories/SupplyLineView"] = 20,
    ["src/app/views/study/ScienceStudyView"] = 20,
    ["src/app/views/combat/MilitaryExerciseView"] = 130,
}

local maxCount = 0
for k,v in pairs(preLoadTable) do
    maxCount = maxCount + v
end

return function(perFunc,completeFun)
    local percent = 30
    local key,value = nil,nil
    local curCount = 0
    local sch = nil
    sch = Scheduler:scheduleScriptFunc(function(time)
        key,value = next(preLoadTable,key)
        load(key)
        curCount = curCount + value
        local curPercent = (curCount/maxCount)*percent
        perFunc(curPercent)
        if curCount >= maxCount then
            completeFun(curPercent)
            Scheduler:unscheduleScriptEntry(sch)
            preLoadTable = {}
            maxCount = nil
        end
    end,0.15,false)
end