

local DescriptCfg = require("src/app/cfg/DescriptCfg")
FirstRecharge = class("FirstRecharge",function()
    return display.newLayer()
end)







--奖励配置相关
local jiangli = {
    [1] = {type = 2,itemType = 1,id = 33,num = 5},
    [2] = {type = 2,itemType = 1,id = 64,num = 1},
    [3] = {type = 2,itemType = 2,id = 17,num = 100},
    [4] = {type = 2,itemType = 2,id = 20,num = 100},
}
function FirstRecharge:getIcon(key)
    local var = jiangli[key]
    if var == nil then
    	return ""
    end

	if var.type == 1 then
            return var.icon
    else
        if var.itemType == 1 then
            return gItem[var.id].icon
            
        elseif var.itemType == 2 then
            return Tank[var.id].icon
            
        end
    end
        
end
function FirstRecharge:getName(key)
    local var = jiangli[key]
    if var == nil then
        return ""
    end

    if var.type == 1 then
        return var.name
    else
        if var.itemType == 1 then
            return StringRes[gItem[var.id].name]

        elseif var.itemType == 2 then
            return StringRes[Tank[var.id].name]

        end
    end
end
function FirstRecharge:getNum(key)
    local var = jiangli[key]
    if var == nil then
        return ""
    end

    if var.type == 1 then
        return 0
    else
        return var.num
    end
end

function FirstRecharge:setAllItem(item)
    --item:getChildByName("icon_item_4"):setVisible(false)
    for key, var in ipairs(jiangli) do
        local oneItem = item:getChildByName("icon_item_"..key)
        SDKPlatform:printLog("icon_item_"..key)
        --
        if var.type == 1 then
            Common:changePic(oneItem,var.icon)
            oneItem:getChildByName("text_desc"):setString(var.name)
            Animation:playAnimation2(oneItem,gUIeffect[9].effect,1.35)
        else
            if var.itemType == 1 then
                Common:changePic(oneItem,gItem[var.id].icon)
                oneItem:getChildByName("text_desc"):setString(StringRes[gItem[var.id].name].."x"..var.num)
                
                oneItem:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        --{icon = ,title = ,des = ,count = ,bg = }origional
                        ItemDetail:show(gWorldScene,{icon = gItem[var.id].icon,title = StringRes[gItem[var.id].name],
                        des = StringRes[gItem[var.id].desc],count = var.num})
                    end
                end)
                
            elseif var.itemType == 2 then
                Common:changePic(oneItem,Tank[var.id].icon)
                oneItem:getChildByName("text_desc"):setString(StringRes[Tank[var.id].name].."x"..var.num)
                
                oneItem:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        --{icon = ,title = ,des = ,count = ,bg = }origional
                        ItemDetail:show(gWorldScene,{icon = Tank[var.id].icon,title = StringRes[Tank[var.id].name],titleColor = Common:getUnitTitleColor(Tank[var.id]),
                            des = string.format(StringRes[Tank[var.id].dec],Tank[var.id].load)  ,count = var.num})
                    end
                end)
                
            end
        end
        
	end
end

















local myActivityId = 8


function FirstRecharge:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.FirstRecharge = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/first_recharge_reward/ui_first_recharge_reward_main.csb")
    self:addChild(self.FirstRecharge)



    self:init()



    --    Connect:sendMsg("RankActivityAction","openHonourRank",nil,
    --        function(data)
    --            local pd = PlayerData:getInstanse()
    --            --更新数据
    --            self.data = data
    --            self:freshInfo()
    --            self:freshRank()
    --        end)



    --self:fresh()

    ViewManager:OpenView(self)
end

--初始化页面按钮


function FirstRecharge:showGet(num)

    local image = ccui.ImageView:create(FirstRecharge:getIcon(4),ResType)
    local size1 = image:getContentSize()
    image:setScale(100/size1.height)
    

    local show = {
        {{str=FirstRecharge:getIcon(1),color=CommonColor.White,type = "image"},
         {str="  "..FirstRecharge:getName(1).."x"..FirstRecharge:getNum(1),color=CommonColor.White,size=24},
         gravity = 2
        },
        {{str=FirstRecharge:getIcon(2),color=CommonColor.White,type = "image"},
            {str="  "..FirstRecharge:getName(2).."x"..FirstRecharge:getNum(2),color=CommonColor.White,size=24},
            gravity = 2
        },
        {{str=FirstRecharge:getIcon(3),color=CommonColor.White,type = "image"},
            {str="  "..FirstRecharge:getName(3).."x"..FirstRecharge:getNum(3),color=CommonColor.White,size=24},
            gravity = 2
        },
        {{str=image,color=CommonColor.White,type = "node"},
            {str="  "..FirstRecharge:getName(4).."x"..FirstRecharge:getNum(4),color=CommonColor.White,size=24},
            gravity = 2
        },interval = 5}
    local DescriptView = require("src/app/views/prompt/DescriptView")
    local DescriptCfg = require("src/app/cfg/DescriptCfg")
    DescriptView:open(gWorldScene,show)
end

function FirstRecharge:init()--

    local pd = PlayerData:getInstanse()


    local list = self.FirstRecharge:getChildByName("panel_bg"):getChildByName("listview_recharge")


    FirstRecharge:setAllItem(list:getChildByName("panel_first_recharge_bg"):getChildByName("panel_first_recharge"))


    if pd.basicData.firstPay == 0 then
    	
    elseif pd.basicData.firstPay == 1 then
        Connect:sendMsg("GiftAction","getFirstPayGift",nil,
            function(data)

                local cjson = require("cjson")
                require("src/app/util/SDKPlatform")
                SDKPlatform:printLog("getFirstPayGift="..cjson.encode(data))


                --更新数据
                FirstRecharge:showGet(data.getGold)
                pd.basicData.firstPay = 2
                
                local btn = self.FirstRecharge:getChildByName("btn_recharge")
                showShader:buttonToGray(btn)
                btn:setTitleText(StringRes.already_attach)
                Common:setBtnTouchEnable(btn,false)
                
                
            end)
    else
        local btn = self.FirstRecharge:getChildByName("btn_recharge")
        showShader:buttonToGray(btn)
        btn:setTitleText(StringRes.already_attach)
        Common:setBtnTouchEnable(btn,false)
    end
    
    --FirstRecharge:showGet(100)
    
    
    --领取按钮
    local btn = self.FirstRecharge:getChildByName("btn_recharge")
    
    btn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            Recharge:show(gWorldScene)
        end
    end)

    self.FirstRecharge:getChildByName("panel_bg"):getChildByName("listview_recharge"):getChildByName("panel_first_recharge_info"):setString(StringRes.tdes_9)
    
end


return FirstRecharge