

local DescriptCfg = require("src/app/cfg/DescriptCfg")
GeneralMobilization = class("GeneralMobilization",function()
    return display.newLayer()
end)







local myActivityId = 38


function GeneralMobilization:ctor(time)

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:getParent():getActivityList()
            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.GeneralMobilization = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/general_mobilization/ui_general_mobilization_main.csb")
    self:addChild(self.GeneralMobilization)



    Connect:sendMsg("VipMobilizationAction","open",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
            self:setTab(1)
        end)
    
    self.time = time


    --self:fresh()
end

function GeneralMobilization:setTab(tab)
    local b1 = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("panel_desc_bg"):getChildByName("btn_tab_01")
    local b2 = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("panel_desc_bg"):getChildByName("btn_tab_02")
    
    local d1 = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("panel_desc_bg"):getChildByName("panel_desc_01")
    local d2 = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("panel_desc_bg"):getChildByName("panel_desc_02")
    --
    if tab == 1 then--每日
        Common:setBtnTouchEnable(b1,false)
        Common:setBtnTouchEnable(b2,true)
        
        d1:setVisible(true)
        d2:setVisible(false)
        
        self:freshEveryDay()
	else--总
        Common:setBtnTouchEnable(b1,true)
        Common:setBtnTouchEnable(b2,false)
        
        d1:setVisible(false)
        d2:setVisible(true)
        
        self:freshAllDay()
	end
end


function GeneralMobilization:freshInfo()
    --时间
    self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("text_time"):setString(self.data.startTime.."～"..self.data.endTime)
    
    --关于按钮
    local about = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("btn_info")
    about:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.activity_descript_44))
        end
    end)
    
    --去充值
    local gotoRecharge = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("btn_recharge")
    gotoRecharge:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            Recharge:show(gWorldScene)
            self:removeFromParent()
        end
    end)
    
    --标签
    
    local b1 = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("panel_desc_bg"):getChildByName("btn_tab_01")
    b1:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:setTab(1)
        end
    end)
    
    local b2 = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("panel_desc_bg"):getChildByName("btn_tab_02")
    b2:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:setTab(2)
        end
    end)
    

end


function GeneralMobilization:freshEveryDay()
    local d = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("panel_desc_bg"):getChildByName("panel_desc_01")
    
    --充值数量
    d:getChildByName("text_num"):setString(self.data.dailyGold)
    
    local list = d:getChildByName("listview_item")
    list:removeAllItems()
    for key, var in pairs(self.data.dailyRewards) do
        local item = d:getChildByName("panel_item_bg"):clone()
        list:pushBackCustomItem(item)
        
        --金币数量
        item:getChildByName("panel_item"):getChildByName("panel_info"):getChildByName("text_num"):setString(var.needGold)
        
        
        
        
        
        local t = {tag_data = var.gift[1],isOnlyGetData = true}
        local temp = ActUtils:initSignItem(t)
        --图标
        Common:changePic(item:getChildByName("panel_item"):getChildByName("icon_item"),temp.icon)
        
        --名字
        item:getChildByName("panel_item"):getChildByName("text_name"):setString(temp.title.."x"..temp.count)
        
        --描述
        item:getChildByName("panel_item"):getChildByName("text_info"):setString(temp.des)
        
        
        
        
        --领取状态
        local btn =  item:getChildByName("panel_item"):getChildByName("btn_get")
        showShader:buttonToGray(btn)

        if var.state == 2 then
            
            Common:setBtnTouchEnable(btn,false)
            Animation:stopAnimation(btn,gUIeffect[9].effect)
        elseif var.state == 0 then
            Common:setBtnTouchEnable(btn,false)
            Animation:stopAnimation(btn,gUIeffect[9].effect)

        elseif var.state == 1 then

            Common:setBtnTouchEnable(btn,true)
            Animation:playAnimation(btn,gUIeffect[9].effect,true,15)

            btn:addTouchEventListener(function(e, t)
                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

                    local msg = {id = var.id}
                    Connect:sendMsg("VipMobilizationAction","getGift",msg,
                        function(data)
                            var.state = 2

                            self:freshEveryDay()

                            --获取东西的提示
                            local str = StringRes.new_server_combat2.." "..require("src/app/views/activity/FightingCompetitionActivity"):getItemStr(var.gift)
                            FlyWordPrompt:prompt(str)
                        end)

                end
            end)

        end
        
        
    end
    
end

function GeneralMobilization:freshAllDay()


    local d = self.GeneralMobilization:getChildByName("panel_main_bg"):getChildByName("panel_desc_bg"):getChildByName("panel_desc_02")

    --充值数量
    d:getChildByName("text_num"):setString(self.data.totalGold)

    local list = d:getChildByName("listview_item")
    list:removeAllItems()
    for key, var in pairs(self.data.totalRewards) do
    
        local item1 = d:getChildByName("panel_item_bg_01"):clone()
        --金币数量
        item1:getChildByName("panel_info"):getChildByName("text_num_Copy"):setString(var.needGold)
        list:pushBackCustomItem(item1)
        
        for key1, var1 in pairs(var.gift) do
        	
            local item = d:getChildByName("panel_item_bg_02"):clone()
            list:pushBackCustomItem(item)
            
            
            local t = {tag_data = var1,isOnlyGetData = true}
            local temp = ActUtils:initSignItem(t)
            --图标
            Common:changePic(item:getChildByName("panel_item"):getChildByName("icon_item"),temp.icon)

            --名字
            item:getChildByName("panel_item"):getChildByName("text_name"):setString(temp.title.."x"..temp.count)

            --描述
            item:getChildByName("panel_item"):getChildByName("text_info"):setString(temp.des)

            


            --领取状态
            local btn =  item:getChildByName("panel_item"):getChildByName("btn_get")
            if key1 == #var.gift then
                btn:setVisible(true)
            else
                btn:setVisible(false)
            end
            
            
            showShader:buttonToGray(btn)

            if var.state == 2 then

                Common:setBtnTouchEnable(btn,false)
                Animation:stopAnimation(btn,gUIeffect[9].effect)
            elseif var.state == 0 then
                Common:setBtnTouchEnable(btn,false)
                Animation:stopAnimation(btn,gUIeffect[9].effect)

            elseif var.state == 1 then

                Common:setBtnTouchEnable(btn,true)
                Animation:playAnimation(btn,gUIeffect[9].effect,true,15)

                btn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

                        local msg = {id = var.id}
                        Connect:sendMsg("VipMobilizationAction","getGift",msg,
                            function(data)
                                var.state = 2

                                self:freshAllDay()

                                --获取东西的提示
                                local str = StringRes.new_server_combat2.." "..require("src/app/views/activity/FightingCompetitionActivity"):getItemStr(var.gift)
                                FlyWordPrompt:prompt(str)
                            end)

                    end
                end)

            end
        	
        	
        end
    
        

        local item3 = d:getChildByName("panel_item_bg_03"):clone()
        list:pushBackCustomItem(item3)





        


    end


end

return GeneralMobilization