

local DescriptCfg = require("src/app/cfg/DescriptCfg")
Growth_plan = class("FirstRecharge",function()
    return display.newLayer()
end)



local myActivityId = 7


function Growth_plan:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    
    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:getParent():getActivityList()

            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.Growthplan = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/monthly_card_plan/ui_monthly_plan_main.csb")
    self:addChild(self.Growthplan)


    Connect:sendMsg("ActivityGrowupPlanAction","openGrowupPlan",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
        end)
    
    
    
    --self:fresh()
end


--初始化页面按钮
function Growth_plan:freshInfo()--
    local pd = PlayerData:getInstanse()
    
    
    --购买按钮
    local top = self.Growthplan:getChildByName("panel_activity"):getChildByName("panel_mission_task")
    local buyBtn = top:getChildByName("btn_recharge")
    showShader:buttonToGray(buyBtn)
    local words = top:getChildByName("text_vip_buy")
    words:setString("达到VIP6可以购买")
    Common:setBtnTouchEnable(buyBtn,true)
    local nendGold=3988
    top:getChildByName("text_cost"):setString("花费"..nendGold.."金币即可购买成长计划。")
    top:getChildByName("text_coin"):setString("15504金币")

    --VIP
    if pd.basicData.vipLv >= 6 then
    	words:setVisible(false)
        if self.data.growupPlan == 0 then
        --购买 buy
            if pd.basicData.gold >= nendGold then
                buyBtn:setTitleText(StringRes.buy)
                buyBtn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
                        Connect:sendMsg("ActivityGrowupPlanAction","buyGrowupPlan",nil,
                            function(data)
                                local pd = PlayerData:getInstanse()
                                --更新数据
                                pd.basicData.gold = data.gold
                                self.data.growupPlanVOs = data.growupPlanVOs
                                self.data.growupPlan = 1
                                self:freshInfo()
                            end)
                    end
                end)
            else
                buyBtn:setTitleText(StringRes.recharge)
                Animation:playAnimation(buyBtn,gUIeffect[9].effect,true,15)
                buyBtn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
                        Recharge:show(gWorldScene)
                    end
                end)
            end
        
            
    	else
    	   --已购买
            buyBtn:setTitleText(StringRes.buy_over)
            Common:setBtnTouchEnable(buyBtn,false)
    	end
    	
    else
        words:setVisible(true)
        buyBtn:setTitleText(StringRes.recharge)
        Animation:playAnimation(buyBtn,gUIeffect[9].effect,true,15)
        
        buyBtn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
                Recharge:show(gWorldScene)
            end
        end)
        
        
    end
    
    
    
    
    
    
    
    
    --列表
    local bottom = self.Growthplan:getChildByName("panel_activity"):getChildByName("panel_linebg")
    
    local list = bottom:getChildByName("listview_get")
    list:removeAllItems()

    local cjson = require("cjson")
    require("src/app/util/SDKPlatform")
    SDKPlatform:printLog("growupPlanVOs="..cjson.encode(self.data.growupPlanVOs))


    
    for key, var in pairs(self.data.growupPlanVOs) do
        local item = bottom:getChildByName("panel_bg"):clone()
        list:pushBackCustomItem(item)

        --等级
        item:getChildByName("icon_level_red"):getChildByName("num_level"):setString(var.lv)
        --金币
        
        item:getChildByName("text_coin"):setString(var.gold..StringRes.gold)
        
        
        local btn = item:getChildByName("btn_get")
        showShader:buttonToGray(btn)
        
        --状态   -- 未激活
        if self.data.growupPlan == 0 then
            btn:setTitleText(StringRes.weijihuo)
            Common:setBtnTouchEnable(btn,false)
        	
        else
            if var.state == 0 then
                --btn:setTitleText(StringRes.jihuo)
                btn:setTitleText(StringRes.attach)
                Common:setBtnTouchEnable(btn,false)
            elseif var.state == 1 then
                btn:setTitleText(StringRes.attach)
                Common:setBtnTouchEnable(btn,true)
                
                btn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
                        local msg = {lv = var.lv}
                        Connect:sendMsg("ActivityGrowupPlanAction","getGrowupPlanReward",msg,
                            function(data)
                                local pd = PlayerData:getInstanse()
                                --更新数据
                                
                                FlyWordPrompt:prompt(StringRes.gold.."x"..var.gold)
                                
                                pd.basicData.gold = data.gold
                                var.state = 2
                                self:freshInfo()
                            end)
                    end
                end)
                
            elseif var.state == 2 then
                btn:setTitleText(StringRes.already_attach)
                Common:setBtnTouchEnable(btn,false)
            else
            
            end
        end
        
        
    end
    
    
end


return Growth_plan