--军团齐欢乐
-- Created by IntelliJ IDEA.
-- User: HS18
-- Date: 2015/11/13
-- Time: 13:58
-- To change this template use File | Settings | File Templates.
--

local ended = ccui.TouchEventType.ended

local LegionQiHuanleView = class("LegionQiHuanleView",function(parent,data)
    return PanelTabLayer.new(parent,{title=StringRes.activitydes_15,tabs={StringRes.activity_descript_15,
    StringRes.reward_box}})
end)

function LegionQiHuanleView:ctor(parent,data)
    self.MainPage = CCUILoader:load("csd/mainmap_left/activity_announcement/activity/cheers_army_group/ui_cheers_army_group_main.csb")
    self:addChild(self.MainPage)

    local label1 = self.MainPage:getChildByName("panel_content")
    local label2 = self.MainPage:getChildByName("panel_award")
    self.UILabels = {{
            MainPage = label1,
            Time = label1:getChildByName("text_time"),
            Prompt = label1:getChildByName("btn_info"),
            DescriptList = label1:getChildByName("listview_desc"),
            DescriptItem = label1:getChildByName("text_content"),
            RewardList = label1:getChildByName("panel_item"):getChildByName("listview_box"),
            RewardItem = label1:getChildByName("panel_item"):getChildByName("panel_line"),
            Recharge = label1:getChildByName("btn_recharge"),
        }, {
            MainPage = label2,
            Time = label2:getChildByName("text_time"),
            Prompt = label2:getChildByName("btn_info"),
            DescriptList = label2:getChildByName("listview_desc"),
            DescriptItem = label2:getChildByName("text_content"),
            RewardList = label2:getChildByName("panel_item"):getChildByName("listview_box"),
            RewardItem = label2:getChildByName("panel_item"):getChildByName("panel_line"),
        }}

    for index,info in ipairs(self.UILabels) do
        self:registerTabEvent(index,function()
            self:selectLabel(index)
        end)
    end

    self:initBaseData(data)
end

--基本数据初始化
function LegionQiHuanleView:initBaseData(data)
    local specialHandle
    specialHandle  = {
        function(info)
            local legionCfg = require("src/app/data/activityguildPayReward")
            for _,msg in ipairs(legionCfg) do
                local uiItem = info.RewardItem:clone()
                local item = gItem[msg.itemid]
                local uiIcon = uiItem:getChildByName("icon_box")
                local uiName = uiItem:getChildByName("text_kind")
                local uiDescript = uiItem:getChildByName("text_desc")
                uiIcon:loadTexture(item.icon)
                uiName:setString(StringRes[item.name])
                uiDescript:setString(string.format(StringRes.boxdes_1,msg.paycount).."\n"..StringRes[item.desc])
                info.RewardList:pushBackCustomItem(uiItem)
            end
            SpecialView:registerEvent(info.Recharge,ended,function()
                Recharge:show(gWorldScene)
            end)
        end,
        function(info)
            info.RewardList:removeAllChildren()
            for _,msg in ipairs(data.guildPayVOs) do
                local uiItem = info.RewardItem:clone()
                local item = gItem[msg.templateId]
                local uiIcon = uiItem:getChildByName("icon_box")
                local uiName = uiItem:getChildByName("text_kind")
                local uiDescript = uiItem:getChildByName("text_desc")
                local uiCount = uiItem:getChildByName("text_gain")
                local uiGetReward = uiItem:getChildByName("btn_get")
                uiIcon:loadTexture(item.icon)
                uiName:setString(StringRes[item.name])
                uiDescript:setString(StringRes[item.desc])
                uiCount:setString(string.format(StringRes.can_get_count,msg.count))
                SpecialView:registerEvent(uiGetReward,ended,function()
                    Connect:sendMsg("ActivityGuildPayAction","getActivityGuildPayReward",{id=msg.id},function(newData)
                        data.guildPayVOs = newData.guildPayVOs
                        specialHandle[2](info)
                    end,true)
                end)
                info.RewardList:pushBackCustomItem(uiItem)
            end
        end
    }
    for index,info in ipairs(self.UILabels) do
        info.Time:setString(data.startTime.."~"..data.endTime)
        SpecialView:registerEvent(info.Prompt,ended,function()
            local DescriptView = require("src/app/views/prompt/DescriptView")
            local DescriptCfg = require("src/app/cfg/DescriptCfg")
            DescriptView:open(self,DescriptCfg.Legion_Qi_Huanle)
        end)
        --文字描述
        SpecialView:addRichText(info.DescriptItem,StringTemp:Descript(StringRes.tdes_15))
        info.DescriptItem:retain()
        info.DescriptItem:removeFromParent()
        info.DescriptList:pushBackCustomItem(info.DescriptItem)
        info.DescriptItem:release()
        specialHandle[index](info)
    end
end

function LegionQiHuanleView:selectLabel(index)
    for labIndex , info in ipairs(self.UILabels) do
        info.MainPage:setVisible(labIndex == index)
    end
end

function LegionQiHuanleView:open(parent,label)
    Connect:sendMsg("ActivityGuildPayAction","openActtivityGuildPay",nil,function(newdata)
        local newPage = self.new(parent,newdata)
        parent:addChild(newPage)
        newPage:setTabSelect(label or 1)
    end)
end

return LegionQiHuanleView

