

local DescriptCfg = require("src/app/cfg/DescriptCfg")
LimitTimeDiscount = class("LimitTimeDiscount",function()
    return display.newLayer()
end)




--限时折扣礼包


local myActivityId = 11


function LimitTimeDiscount:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:getParent():getActivityList()
            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.Top_Chanllenge = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/limited_time_discount_activity/ui_limited_time_discount_activity_main.csb")
    self:addChild(self.Top_Chanllenge)


    
    

    --self:fresh()
end

function LimitTimeDiscount:setActivityId(id)
	myActivityId = id
    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)
    
    local msg = {type = myActivityId}
    Connect:sendMsg("ActivityDiscountAction","openActivityDiscount",msg,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
        end)
end


function LimitTimeDiscount:freshInfo()

    local pd = PlayerData:getInstanse()

	
    --时间
    self.Top_Chanllenge:getChildByName("panel_main_bg"):getChildByName("text_time"):setString(self.data.beginTime.."～"..self.data.endTime)
    
    
    --list
    local panelList = self.Top_Chanllenge:getChildByName("panel_main_bg"):getChildByName("panel_item_bg"):getChildByName("listview_item")
    panelList:removeAllItems()
    
    table.sort(self.data.discountVOs,function(a,b)
        return a.id < b.id
    end)
    
    --道具列表
    for key, var in pairs(self.data.discountVOs) do
    
        local item = self.Top_Chanllenge:getChildByName("panel_main_bg"):getChildByName("panel_item_bg"):getChildByName("panel_item"):clone()
        panelList:pushBackCustomItem(item)
        
        --名称
        item:getChildByName("panel_bg"):getChildByName("text_name"):setString( StringRes[gItem[var.templateId].name])
        
        
        --图标
        Common:changePic(item:getChildByName("panel_bg"):getChildByName("icon_item"),gItem[var.templateId].icon)

        item:getChildByName("panel_bg"):getChildByName("icon_item"):addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                local tmp = {}
                local info = gItem[var.templateId]
                tmp.icon = info.icon
                tmp.title = StringRes[info.name]
                tmp.des = StringRes[info.desc]
                tmp.count = 1
                require("app/views/activity/ItemDetail"):show(gWorldScene,tmp)
            end
        end)
         
        
        --原价
        item:getChildByName("panel_bg"):getChildByName("text_num_02"):setString(var.discountPrice)
        
        --折扣比例
        item:getChildByName("panel_bg"):getChildByName("text_num"):setString((var.dicount*100).."%")
        
        
        --折扣价格
        item:getChildByName("panel_bg"):getChildByName("text_num_01"):setString(var.price)
        
        --次数
        item:getChildByName("panel_bg"):getChildByName("text_desc"):setString(var.buyCount.."/"..var.maxCount)
        
        --购买按钮
        local btn = item:getChildByName("panel_bg"):getChildByName("btn_buy")
        btn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                if pd.basicData.gold < var.discountPrice then
                --gold_not_enough
                    PromptView:type2(StringRes.notice,
                        string.format(StringRes.gold_not_enough,var.discountPrice,pd.basicData.gold,var.discountPrice-pd.basicData.gold )
                        ,StringRes.ok,StringRes.cancel,
                        function()
                            --到支付界面
                            Recharge:show(gWorldScene)
                        end)
                else
                    local msg = {type = myActivityId,templateId = var.templateId}
                    Connect:sendMsg("ActivityDiscountAction","buyActivityDiscount",msg,
                        function(data)
                            local pd = PlayerData:getInstanse()
                            --更新数据
                            pd.basicData.gold = data.gold
                            var.buyCount = data.buyCount
                            
                            self:freshInfo()
                            
                            
                            local str = StringRes.buy_over..":"..StringRes[gItem[var.templateId].name].."x1"
                            FlyWordPrompt:prompt(str)
                            
                        end)
                end
            end
        end)
        
        
    end
    
    
    
    
end

return LimitTimeDiscount