

local DescriptCfg = require("src/app/cfg/DescriptCfg")
local FightingCompetitionActivity = require("src/app/views/activity/FightingCompetitionActivity")

New_Server_Honor = class("New_Server_Honor",function()
    return display.newLayer()
end)



local myActivityId = 5


function New_Server_Honor:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    
    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)
    
    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:removeFromParent()
        end
    end)
    
    --新服关卡信息
    self.NewServerChapter = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/new_server_honor_competition/ui_new_server_honor_competition_main.csb")
    self:addChild(self.NewServerChapter)
    
    
    
    self:init()
    self:setShowPage(1)
    
    
    Connect:sendMsg("RankActivityAction","openHonourRank",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
            self:freshRank()
        end)
    
    
    
    --self:fresh()
end

--初始化页面按钮
function New_Server_Honor:init()--
    local btn1 = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("btn_tab_01")
    btn1:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:setShowPage( 1 )
        end
    end)
    
    local btn2 = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("btn_tab_02")
    btn2:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:setShowPage( 2 )
        end
    end)
    
    
end


--设置显示页
function New_Server_Honor:setShowPage( num )
    -- body
    self.showNum = num
    if self.showNum == 1 then
        self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_title_bg"):setVisible(true)
        self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_ranking_bg"):setVisible(false)
        
        
        local b1 = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("btn_tab_01")
        Common:setButtonEnabled(b1,false)
        local b2 = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("btn_tab_02")
        Common:setButtonEnabled(b2,true)
        self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("panel_activity"):setVisible(true)
        self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("panel_ranking"):setVisible(false)

    elseif self.showNum == 2 then
        self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_title_bg"):setVisible(false)
        self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_ranking_bg"):setVisible(true)
        
        
        local b1 = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("btn_tab_01")
        Common:setButtonEnabled(b1,true)
        local b2 = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("btn_tab_02")
        Common:setButtonEnabled(b2,false)
        self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("panel_activity"):setVisible(false)
        self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("panel_ranking"):setVisible(true)
    end
end





--刷新排行
function New_Server_Honor:freshRank()
	local ranking = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("panel_ranking")
	local rankbg = ranking:getChildByName("panel_info_bg")
    local list = rankbg:getChildByName("listview_ranking")
    
    local function rank(num)
        if num <= 0 then
            return "10+"
        else
            return tostring(num)
        end
    end
    
    --自己
    local myitem = rankbg:getChildByName("panel_honor_player"):clone()
    myitem:getChildByName("panel_bg"):getChildByName("text_ranking"):setString( rank(self.data.info.rownum) )
    --名字
    myitem:getChildByName("panel_bg"):getChildByName("text_name"):setString( self.data.info.name )
    --等级
    myitem:getChildByName("panel_bg"):getChildByName("text_lev"):setString( self.data.info.lv )
    --值
    myitem:getChildByName("panel_bg"):getChildByName("text_honor"):setString( self.data.info.num )
    list:pushBackCustomItem(myitem)


    for var=1, 10 do

        if self.data.rank[var] == nil then
            break
        end

        local item = nil
        --自己
        if var == 1 then
            item = rankbg:getChildByName("panel_honor_1st"):clone()
        elseif var == 2 then
            item = rankbg:getChildByName("panel_honor_2nd"):clone()
        elseif var == 3 then
            item = rankbg:getChildByName("panel_honor_3rd"):clone()
        else
            item = rankbg:getChildByName("panel_honor_other"):clone()
            item:getChildByName("panel_bg"):getChildByName("text_ranking"):setString( self.data.rank[var].rownum )
        end

        --名字
        item:getChildByName("panel_bg"):getChildByName("text_name"):setString( self.data.rank[var].name )
        --等级
        item:getChildByName("panel_bg"):getChildByName("text_lev"):setString( self.data.rank[var].lv )
        --值
        item:getChildByName("panel_bg"):getChildByName("text_honor"):setString( self.data.rank[var].num )

        list:pushBackCustomItem(item)
    end
    
    
end



--刷新信息
function New_Server_Honor:freshInfo()
	
	--时间
    local time = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_title_bg"):getChildByName("text_time")
    time:setString(self.data.beginTime.."-"..self.data.endTime)
	
	--信息列表
    local pgback = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("panel_activity"):getChildByName("panel_info_bg")
    local infoList = pgback:getChildByName("listview_activity")
    infoList:removeAllItems()
	
	--活动描述
    local descItem = pgback:getChildByName("panel_info_01"):clone()
    descItem:getChildByName("text_desc"):setString(gActivity[myActivityId].desc)
    infoList:pushBackCustomItem(descItem)
	
	
	--活动说明
    local shuomingItem = pgback:getChildByName("panel_info_02"):clone()
    SpecialView:addRichText(shuomingItem:getChildByName("text_desc"),DescriptCfg.New_Server_honor_shuoming,0)
    --shuomingItem:getChildByName("text_desc"):setString(gActivity[myActivityId].desc)
    infoList:pushBackCustomItem(shuomingItem)
	
    --奖励标题
    local rewardTitleItem = pgback:getChildByName("panel_info_03"):clone()
    infoList:pushBackCustomItem(rewardTitleItem)
    
    --奖励
    for key, var in pairs(self.data.gifts) do
        
        local rewardItem = pgback:getChildByName("panel_item_bg"):clone()
    
    
        local rankStr = ""
        if var.rankmin == var.rankmax then
            rankStr = tostring(var.rankmin)
        else
            rankStr = tostring(var.rankmin).."-"..tostring(var.rankmax)
        end
        rankStr = string.format(StringRes.new_activity_dd2,rankStr)
        
        rewardItem:getChildByName("text_ranking"):setString(rankStr)
        
        --奖励道具
        for key1, var1 in pairs(var.gifts) do
            local it = rewardItem:getChildByName("icon_item_0"..key1)
            
            it.tag_data = var1
            local tmpData = require("app/views/activity/ActUtils.lua"):initSignItem(it)
        end
        infoList:pushBackCustomItem(rewardItem)
    end
    
    
    
    
    
    --领奖按钮
    local getbtn = self.NewServerChapter:getChildByName("panel_mask"):getChildByName("panel_detail"):getChildByName("panel_activity"):getChildByName("btn_get")
    showShader:buttonToGray(getbtn)
    if self.data.type == 1 then
        Common:setBtnTouchEnable(getbtn,false)
    else
        --setTitleText
        if self.data.info.isget == 0 then
            --FlyWordPrompt:prompt(StringRes.new_server_combat1)
            Common:setBtnTouchEnable(getbtn,true)
            getbtn:setTitleText(StringRes.new_server_combat6)

            time:setString( StringRes.new_server_combat1)
            time:setColor(CommonColor.Red)
        elseif self.data.info.isget == 1 then
            Common:setBtnTouchEnable(getbtn,true)
            getbtn:setTitleText(StringRes.new_server_combat6)
            time:setString( StringRes.new_server_combat5)
            time:setColor(CommonColor.Red)
        elseif self.data.info.isget == 2 then
            Common:setBtnTouchEnable(getbtn,false)
            getbtn:setTitleText(StringRes.new_server_combat3)
            time:setString( StringRes.new_server_combat5)
            time:setColor(CommonColor.Red)
        end


    end
    getbtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            if self.data.info.isget == 0 then
                FlyWordPrompt:prompt(StringRes.new_server_combat1)
            else
                Connect:sendMsg("RankActivityAction","getHonourRankGift",nil,
                    function(data)
                        local pd = PlayerData:getInstanse()
                        --更新数据

                        if data.state == 1 then
                            --处理提示
                            local str = StringRes.new_server_combat2.." "..FightingCompetitionActivity:getItemStr(data.gift)
                            FlyWordPrompt:prompt(str)
                            --已领取标志
                            self.data.info.isget = 2

                            --刷新
                            self:freshInfo()

                            --
                            local pd = PlayerData:getInstanse()
                            --更新数据
                            pd.basicData.gold = data.gold
                        end


                    end)
            end


        end
    end)
    
    
    
    
    
    
    
    
    
    
end


return New_Server_Honor