

NoticeDlg = class("NoticeDlg",function()
    return display.newLayer()
end)

function NoticeDlg:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    
    self.Top:getChildByName("text_title"):setString(StringRes.text_prompt_1)
    
    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:removeFromParent()
        end
    end)
    
    --军功信息
    self.Notice = CCUILoader:load("res/csd/mainmap_left/activity_announcement/announcement/ui_announcement.csb")
    self:addChild(self.Notice)
    

    
    --self:Fresh()
end


function NoticeDlg:setData(data)
    local pd = PlayerData:getInstanse()
    if pd.basicData == nil then
        return
    end
    --标题
    local title = self.Notice:getChildByName("panel_bg"):getChildByName("text_title")
    title:setString(data.title)

    --时间
    local time = self.Notice:getChildByName("panel_bg"):getChildByName("text_time")
    time:setString(data.time)
   
    --内容
    local content = self.Notice:getChildByName("panel_bg"):getChildByName("ListView_1"):getChildByName("text_announcement")
    SpecialView:addRichText(content,StringTemp:Descript(data.content,24),0)
    
    --content:setString(data.content)
    
    --已读标志
    
    
end



function NoticeDlg:checkNotice(parent,serverid)

    --require("src/app/views/public/TextPromptView"):open(parent,1,"fdsafdsa  fdsa fda fda fdas")



    local req = network.createHTTPRequest(function(event)
        local ok = (event.name == "completed")
        local request = event.request
        if not ok then
            -- 请求失败，显示错误代码和错误消息
            if event.name == "failed" then
            --
            end
            return
        end

        local code = request:getResponseStatusCode()
        if code ~= 200 then
            -- 请求结束，但没有返回 200 响应代码
            print("code:"..code)
            return
        end

        local response = request:getResponseData()
    
        --版本号相同
        if response ~= "" then
            require("src/app/views/public/TextPromptView"):open(parent,1,response)
        end
        
        --TextPromptView:open(parent,1,"fdsafdsa")

    end,g_Gonggao.."?channel_id="..SDKPlatform:getSDKId().."&server_id="..serverid,"GET")
    --channel_id=1&server_id=1
    req:start()

end







return NoticeDlg