
local OnlineRewardIcon = class("OnlineRewardIcon",function(node)
    return node
end)

function OnlineRewardIcon:ctor(node)
    --是否可领取
    self.isRequsting = false
    self.timeRequst = 0
    self:init()
    local function registerUpdateTimeGift()
        Connect:register("notifyUpdateTimeGift",function(data)
            self:update(0)
            require("src/app/util/SDKPlatform")
            SDKPlatform:printLog("准备更新在线礼包")
        end)
    end
    registerUpdateTimeGift()
end

function OnlineRewardIcon:update(dt)
    local data = PlayerData:getInstanse().timeGiftVO
    if data and data.id ~= 0 then
--        self:setVisible(true)
        TopbarUtils.setVisible(self,true)
        if data.time>0 then
            data.time = data.time - dt
            if data.time < 0 then
                data.time = 0
            end
        end
        
        if self.isRequsting then
            self.timeRequst = self.timeRequst+dt
            if self.timeRequst > 30 then
                self.isRequsting = false
                self.timeRequst = 0
            end
        end
        
        --刷新时间
        self.text_time:setString(StringTemp:toTime(data.time))
        
        --是否可点击
        if data.canAttach then
            Animation:playAnimation2(self,gUIeffect[34].effect,1)
        else
            Animation:stopAnimation(self,gUIeffect[34].effect)
        end
        
        if data.time == 0 and not self.isRequsting and not data.canAttach then
            self.isRequsting = true
            Connect:sendMsg("GiftAction","checkTimeOverTimeGift",{id = data.id},
                function (v)
                    self.isRequsting = false
                    PlayerData:getInstanse().timeGiftVO = v
                    if v == nil or v.id ==0 then
--                        self:setVisible(false)
                        TopbarUtils.setVisible(self,false)
                    else
                        PlayerData:getInstanse().timeGiftVO.canAttach = (v.time == 0)
--                        self:setVisible(true)
                        TopbarUtils.setVisible(self,true)
                        self:update(0)
                    end
                end,false)
        end
    else
--        self:setVisible(false)
        TopbarUtils.setVisible(self,false)
    end
end

function OnlineRewardIcon:init()

    self.text_time = self:getChildByName("panel_bg"):getChildByName("text_time")
    
    local Scheduler = cc.Director:getInstance():getScheduler()
    self:update(0)
    self.updateId = Scheduler:scheduleScriptFunc(handler(self,self.update), 0.1, false)
    local function onNodeEvent(tag)
        if tag == "exit" then
            Scheduler:unscheduleScriptEntry(self.updateId)
        end
    end
    self:registerScriptHandler(onNodeEvent)
    
    self:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("app/views/activity/OnlineReward"):show(gWorldScene,handler(self,self.update))
        end
    end)
    
end

return OnlineRewardIcon