

local DescriptCfg = require("src/app/cfg/DescriptCfg")


PartUpgrade = class("PartUpgrade",function()
    return display.newLayer()
end)



local myActivityId = 58


function PartUpgrade:ctor(time)

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.PartUpgrade = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/parts_upgrade_activity/ui_parts_upgrade_activity_main.csb")
    self:addChild(self.PartUpgrade)


    Connect:sendMsg("ActivityPartsGiftAction","openActivityPartsGift",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self.data.time = time
            self:freshInfo()
        end)

    

    --self:fresh()
end




--刷新信息
function PartUpgrade:freshInfo()

    local pd = PlayerData:getInstanse()

    --时间
    local time = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("text_time")
    time:setString(self.data.time)

    --描述
    local desc = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_bg"):getChildByName("text_info")
    desc:setString(StringRes.text_world00015)

    --强化配件献礼描述
    local qianghuadesc = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_item_01"):getChildByName("text_desc")
    qianghuadesc:setString(StringRes.text_world00017)


    --描述按钮
    local descbtn = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("btn_info")
    descbtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes["text_world00019"]))
        end
    end)


    --去强化
    local qianghuagoto = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_item_01"):getChildByName("btn_go")
    qianghuagoto:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            if Buildings:isCanEnter(pd:getBaseBuildData(12)) then
                local AccessoryView = require("src/app/views/accessories/AccessoryView")
                AccessoryView:open(gWorldScene)

                self:getParent():removeFromParent()
            else
                FlyWordPrompt:prompt(StringRes.accessories_descript1)
                return false
            end
        end
    end)

    local maxBuyCount = 3

    --道具名称
    local name = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_item_02"):getChildByName("text_name")
    name:setString(StringRes[gItem[self.data.templateId].name])
    
    --道具描述
    local itemdesc = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_item_02"):getChildByName("text_desc")
    itemdesc:setString(StringRes[gItem[self.data.templateId].desc])

    --购买次数
    local buycount = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_item_02"):getChildByName("num_desc")
    buycount:setString("("..self.data.cryBuyCount.."/"..maxBuyCount..")")

    --道具图标
    local itemicon = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_item_02"):getChildByName("icon_item")
    Common:changePic(itemicon,gItem[self.data.templateId].icon)

    --当前价格
    local buyprice = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_item_02"):getChildByName("icon_coin_02"):getChildByName("num_info")
    buyprice:setString(self.data.costGold)

    --购买按钮
    local buybtn = self.PartUpgrade:getChildByName("panel_upgrade_bg"):getChildByName("panel_item_02"):getChildByName("btn_buy")
    buybtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            if pd.basicData.gold >= self.data.costGold then
                Connect:sendMsg("ActivityPartsGiftAction","buyPartsCry",nil,
                    function(data)
                        local pd = PlayerData:getInstanse()
                        pd.basicData.gold = data.gold
                        --更新数据
                        self.data.cryBuyCount = data.cryBuyCoun
                        self:freshInfo()

                        FlyWordPrompt:prompt(string.format(StringRes.buy_success,StringRes[gItem[data.templateId].name]))
                    end)
            else
                PromptView:type2(StringRes.notice,
                    string.format(StringRes.gold_not_enough,self.data.costGold,pd.basicData.gold,self.data.costGold-pd.basicData.gold)
                    ,StringRes.ok,StringRes.cancel,
                    function()
                        --到支付界面
                        Recharge:show(gWorldScene)
                    end)
            end
        end
    end)
    



end


return PartUpgrade