

local DescriptCfg = require("src/app/cfg/DescriptCfg")
PrivilegeActivity = class("PrivilegeActivity",function()
    return display.newLayer()
end)







local myActivityId = 37


function PrivilegeActivity:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:getParent():getActivityList()
            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.PrivilegeActivity = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/privilege_activity/ui_privilege_activity_main.csb")
    self:addChild(self.PrivilegeActivity)



    Connect:sendMsg("VipBoxAction","open",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
            self:setTab(1)
        end)
    

    --self:fresh()
end


function PrivilegeActivity:freshTab(tab)

    local pd = PlayerData:getInstanse()
    

    local item = self.PrivilegeActivity:getChildByName("panel_line"):getChildByName("panel_item")
    
    --图标
    Common:changePic(item:getChildByName("panel_bg"):getChildByName("icon_box"),gItem[self.data.gifts[tab].itemId].icon)
    
    --描述
    item:getChildByName("panel_bg"):getChildByName("text_desc"):setString(StringRes[gItem[self.data.gifts[tab].itemId].desc])
    
    --宝箱开出奖品
    for key, var in pairs(self.data.gifts[tab].gifts) do
        local i1 = item:getChildByName("panel_bg"):getChildByName("panel_popout"):getChildByName("icon_"..key)
        i1.tag_data = var
        ActUtils:initSignItem(i1)
    end
    
    --当前VIP
    item:getChildByName("panel_bg"):getChildByName("text_num"):setString("VIP:"..pd.basicData.vipLv)
    
    --价格
    item:getChildByName("panel_bg"):getChildByName("text_need"):setString(self.data.gifts[tab].cost)
    
    --剩余购买次数
    item:getChildByName("panel_bg"):getChildByName("text_buy_num"):setString(self.data.gifts[tab].remain)
    
    --购买按钮
    local buyBtn = item:getChildByName("panel_bg"):getChildByName("btn_buy")
    buyBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            
            if pd.basicData.gold >= self.data.gifts[tab].cost then
                local msg = {type = self.data.gifts[tab].type}
                Connect:sendMsg("VipBoxAction","buyVipBox",msg,
                    function(data)
                        local pd = PlayerData:getInstanse()
                        pd.basicData.gold = data.gold
                        self.data.gifts[tab].remain = data.remain
                        self:setTab(tab)
                        
                        --exchange_success
                        local str = string.format(StringRes.exchange_success,StringRes[gItem[self.data.gifts[tab].itemId].name])
                        FlyWordPrompt:prompt(str)
                    end)
            else
                PromptView:type2(StringRes.notice,
                    string.format(StringRes.gold_not_enough,self.data.gifts[tab].cost,pd.basicData.gold,self.data.gifts[tab].cost-pd.basicData.gold )
                    ,StringRes.ok,StringRes.cancel,
                    function()
                        --到支付界面
                        Recharge:show(gWorldScene)
                    end)
            end

        end
    end)
    
end

function PrivilegeActivity:setTab(tab)
    for var=1, 3 do
        local b = self.PrivilegeActivity:getChildByName("panel_line"):getChildByName("panel_item"):getChildByName("btn_tab_"..var)
        if var == tab then
            Common:setBtnTouchEnable(b,false)
            self:freshTab(var)
        else
            Common:setBtnTouchEnable(b,true)
        end
    end
end


function PrivilegeActivity:freshInfo()
    --时间
    self.PrivilegeActivity:getChildByName("panel_line"):getChildByName("text_time"):setString(self.data.startTime.."～"..self.data.endTime)
    
    --关于按钮
    local about = self.PrivilegeActivity:getChildByName("panel_line"):getChildByName("btn_info")
    about:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.activity_descript_47))
        end
    end)
    
    --活动描述
    self.PrivilegeActivity:getChildByName("panel_line"):getChildByName("panel_dialog"):getChildByName("listview_desc"):getChildByName("text_desc"):setString(StringRes.activity_descript_46)
    
    --标签
    for var=1, 3 do
        local b = self.PrivilegeActivity:getChildByName("panel_line"):getChildByName("panel_item"):getChildByName("btn_tab_"..var)
        b:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
                self:setTab(var)
            end
        end)
        
        --标题
        b:setTitleText(StringRes[gItem[self.data.gifts[var].itemId].name])
        
        
    end

    

end


return PrivilegeActivity