local RecruitmentOfFunds = class("FirstRecharge",function()
    return display.newLayer()
end)

function RecruitmentOfFunds:show(parent,ac_id,ac_time)

--    Connect:sendMsg("GoldTankAction","open",{},
--        function(data)
--            local layer = GoldTank.new(parent,data)
--            parent:addChild(layer)
--            NodeTranslator:transUp(layer,nil)
--        end)
    
    local pd =  PlayerData:getInstanse()
    if pd.basicData.guildId == 0 then
        local layer = RecruitmentOfFunds.new()
        parent:addChild(layer)
        NodeTranslator:transUp(layer,nil)
        layer.panel_01:setVisible(false)
        layer.panel_02:setVisible(true)
        layer:initPanel2(ac_time)
    else
        Connect:sendMsg("ActivityRecruitmentoffundsAction","openActivityRecruitmentoffunds",{},
            function(data)
                data.ac_time = ac_time
                data.ac_id = ac_id
                local layer = RecruitmentOfFunds.new()
                parent:addChild(layer)
                NodeTranslator:transUp(layer,nil)
                layer.panel_01:setVisible(true)
                layer.panel_02:setVisible(false)
                layer:initPanel1(data)
            end)
    end
end

function RecruitmentOfFunds:ctor()

    self.panelBg = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.panelBg)
    
    self.panelBg:getChildByName("text_title"):setString(StringRes.activitydes_43)
    
    --关闭
    local close = self.panelBg:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            if self:getParent() and self:getParent().getActivityList then
                self:getParent():getActivityList()
            end
            self:removeFromParent()
        end
    end)
    
    self.panelInfo = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/found_recurit/ui_found_recurit_main.csb")
    self:addChild(self.panelInfo)
    
    self.panel_01 = self.panelInfo:getChildByName("panel_01")
    self.panel_02 = self.panelInfo:getChildByName("panel_02")
end

function RecruitmentOfFunds:initPanel1(data)
    self.panel_01:getChildByName("panel_dialog"):getChildByName("text_desc"):setString(StringRes.financialrecruit006)
    self.panel_01:getChildByName("btn_info"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.financialrecruit014))
        end
    end)
    
    self.panel_01:getChildByName("text_time"):setString(data.ac_time)
    
    self.data = data
    local lv = self.panel_01:getChildByName("listview_item")
    self.items = {lv:getChildByName("panel_outline"),lv:getChildByName("panel_outline_01"),lv:getChildByName("panel_outline_02")}
    
    
    for i,v in ipairs(self.items) do
        local btn = v:getChildByName("btn_go")
        showShader:buttonToGray(btn)
        btn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                local state = self.states[i]
                if state == 0 then
                    self:getParent():removeFromParent()
                    Buildings:gotoArmyGroupTechnology(gWorldScene)
                elseif state == 1 then
                    Connect:sendMsg("ActivityRecruitmentoffundsAction","getReward",{type = i},
                        function(data)
                            self.data = data
                            self:updateData()
                            FlyWordPrompt:prompt(string.format(StringRes.financialrecruit015,data.capital))
                        end)
                end
            end
        end)
    end 
    
    self:updateData()
    
end

function RecruitmentOfFunds:updateData()
    local infos = {string.format(StringRes.financialrecruit008,self.data.time,60),string.format(StringRes.dailyrotarytable004,self.data.resdon,10),string.format(StringRes.dailyrotarytable004,self.data.golddon,5)}
    self.states = {self.data.timeState,self.data.resState,self.data.goldstate}
    local btnNames = {StringRes.goto_word,StringRes.attach,StringRes.already_attach}
    for i,v in ipairs(self.items) do
        v:getChildByName("num_info"):setString("("..infos[i]..")")
        local btn = v:getChildByName("btn_go")
        btn:setTitleText(btnNames[self.states[i]+1])
        Common:setBtnTouchEnable(btn,self.states[i] ~= 2)
        if i == 1 then
            btn:setVisible(self.states[i] ~= 0)
        end
    end
end

function RecruitmentOfFunds:initPanel2(time)
    self.panel_02:getChildByName("btn_join"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            Buildings:checkArmyGroup(gWorldScene)
            self:getParent():removeFromParent()
        end
    end)
    self.panel_02:getChildByName("listview_text"):getChildByName("text_desc"):setString(StringRes.financialrecruit001)
    self.panel_02:getChildByName("btn_info"):addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.financialrecruit014))
        end
    end)
    self.panel_02:getChildByName("text_time"):setString(time)
    
end


return RecruitmentOfFunds