

local DescriptCfg = require("src/app/cfg/DescriptCfg")
RedEnvelopes = class("RedEnvelopes",function()
    return display.newLayer()
end)









local myActivityId = 22


function RedEnvelopes:ctor(time,id)
    myActivityId = id

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.RedEnvelopes = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/red_envelopes_competition/ui_red_envelopes_competition_main.csb")
    self:addChild(self.RedEnvelopes)



    local msg = {type = myActivityId}
    Connect:sendMsg("ActivityRedpacketAction","openActivityRedpacket",msg,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            
            self:freshInfo()

        end)

    
    self.time = time

    --self:fresh()
end

function RedEnvelopes:freshInfo()

    local pd = PlayerData:getInstanse()

	--时间
    self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_header"):getChildByName("text_time"):setString(self.time)
    --关于
    local about = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_header"):getChildByName("btn_info")
    about:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.activity_descript_18))
        end
    end)
    
    
    
    --活动描述
    local desc = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_header"):getChildByName("panel_info"):getChildByName("listview_context"):getChildByName("text_content")
    desc:setString(StringRes.activity_descript_16)
	
	
    --道具名称
    local name = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_rewardbg"):getChildByName("text_title")
    name:setString(  StringRes[gItem[self.data.templateId].name])
	
	
	--道具描述
    local desc = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_rewardbg"):getChildByName("text_info")
    desc:setString(  StringRes[gItem[self.data.templateId].desc])
	
	
	
	--道具
    local item1 = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_itembg"):getChildByName("icon_item_1")
    local tmp = {}
    tmp.icon = Tank[self.data.tankId].icon
    tmp.title = StringRes[Tank[self.data.tankId].name]
    tmp.des = string.format(StringRes[Tank[self.data.tankId].dec],Tank[self.data.tankId].load)
    tmp.count = self.data.tankcount
    tmp.titleColor = Common:getUnitTitleColor(Tank[self.data.tankId])
    Common:changePic(item1,Tank[self.data.tankId].icon)
    item1:getChildByName("text_desc"):setString(StringRes[Tank[self.data.tankId].name])
    Common:setUnitTitleColor(item1:getChildByName("text_desc"),Tank[self.data.tankId])
    item1:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("app/views/activity/ItemDetail"):show(gWorldScene,tmp)
        end
    end)
    
    for key, var in pairs(self.data.itemsType30s) do
        local item = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_itembg"):getChildByName("icon_item_"..(1+key))
        local tmp = {}
        tmp.icon = gItem[var.id].icon
        tmp.title = StringRes[gItem[var.id].name]
        tmp.des = StringRes[gItem[var.id].desc]
        tmp.count = var.count
        
        Common:changePic(item,gItem[var.id].icon)
        item:getChildByName("text_desc"):setString(StringRes[gItem[var.id].name])
        
        item:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                require("app/views/activity/ItemDetail"):show(gWorldScene,tmp)
            end
        end)
    end
    
    
    
    --原价
    local oldprice = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_footerbg"):getChildByName("num_oriprice")
    oldprice:setString(self.data.price)
    
    --代币
    local num_coin = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_footerbg"):getChildByName("num_coin")
    num_coin:setString(self.data.dgold)
    
    --现价
    local newprice = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_footerbg"):getChildByName("num_newprice")
    newprice:setString(self.data.discountprice)
    
    --购买
    local buybtn = self.RedEnvelopes:getChildByName("panel_context"):getChildByName("panel_footerbg"):getChildByName("btn_buy")
    buybtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            --gold_not_enough
            if pd.basicData.gold < self.data.discountprice then
                PromptView:type2(StringRes.notice,
                    string.format(StringRes.gold_not_enough,self.data.discountprice,pd.basicData.gold,self.data.discountprice-pd.basicData.gold )
                    ,StringRes.ok,StringRes.cancel,
                    function()
                        --到支付界面
                        Recharge:show(gWorldScene)
                    end)
            else
                local msg = {type = myActivityId}
                Connect:sendMsg("ActivityRedpacketAction","buyActivityRedpacket",msg,
                    function(data)
                        local pd = PlayerData:getInstanse()
                        --更新数据
                        pd.basicData.gold = data.gold

                        self.data.price = data.price
                        self.data.dgold = data.dgold
                        self.data.discountprice = data.discountprice

                        self:freshInfo()


                        local str = StringRes.buy_over..":"..StringRes[gItem[self.data.templateId].name].."x1"
                        FlyWordPrompt:prompt(str)

                    end)
            end
        end
    end)
    
    
end



return RedEnvelopes