

local DescriptCfg = require("src/app/cfg/DescriptCfg")

Rewarding_Experience = class("Rewarding_Experience",function()
    return display.newLayer()
end)



local myActivityId = 5


function Rewarding_Experience:ctor(time,id)

    self.time = time
    myActivityId = id

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    
    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)
    
    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:removeFromParent()
        end
    end)
    
    --
    self.Rewarding_Experience = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/rewarding_experience/ui_rewarding_experience_main.csb")
    self:addChild(self.Rewarding_Experience)
    
    
    local msg = {aType = myActivityId}
    Connect:sendMsg("ActivityReturnFullyLoadedAction","open",msg,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
        end)
    
    
    
    --self:fresh()
end



--刷新信息
function Rewarding_Experience:freshInfo()
	
	--时间
    local time = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("panel_header"):getChildByName("text_time")
    time:setString(self.time)
	
	--充值按钮
    local chongzhibtn = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("btn_recharge")
    chongzhibtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local rec = Recharge:show(gWorldScene)
            rec:setRemoveNoticeParent(function(eventType)
                if eventType ==  "exit" then
                    local msg = {aType = myActivityId}
                    Connect:sendMsg("ActivityReturnFullyLoadedAction","open",msg,
                        function(data)
                            local pd = PlayerData:getInstanse()
                            --更新数据
                            self.data = data
                            self:freshInfo()
                        end)
                end
            end)
        end
    end)
    
    if true then
    	chongzhibtn:setVisible(true)
        --Animation:playAnimation(chongzhibtn,gUIeffect[9].effect,true,15)
    else
        chongzhibtn:setVisible(false)
    end
    
    --奖励金币数量
    local rewardgold = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("panel_header"):getChildByName("num_info_01")
    rewardgold:setString(math.ceil(self.data.goldCoe*100).."%")
    
    --奖励水晶数量
    local rewardcrystal = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("panel_header"):getChildByName("num_info_02")
    rewardcrystal:setString("*"..self.data.crystalCoe)
    
    
    
    
    
    
    --规则描述
    local desc1 = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("panel_header"):getChildByName("text_content_info")
    desc1:setString(string.format(StringRes.harvest001,math.ceil(self.data.goldCoe*100),self.data.crystalCoe) )
    
    
    local rewardnum = 19600
    --活动描述
    local desc2 = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("panel_rule"):getChildByName("text_desc")
    desc2:setString(string.format(StringRes.harvest002,rewardnum,math.ceil(rewardnum*self.data.goldCoe),self.data.crystalCoe*rewardnum))
    
    --可领取
    local canget1 = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("panel_rule"):getChildByName("num_desc_01")
    canget1:setString(self.data.returnCrystal/self.data.crystalCoe)
    local canget2 = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("panel_rule"):getChildByName("num_desc_02")
    canget2:setString(self.data.returnGold)
    local canget3 = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("panel_rule"):getChildByName("num_desc_03")
    canget3:setString(self.data.returnCrystal)
    
    --领奖按钮
    local getbtn = self.Rewarding_Experience:getChildByName("panel_bg"):getChildByName("btn_get")
    showShader:buttonToGray(getbtn)
    if self.data.state == 0 then
        Common:setBtnTouchEnable(getbtn,false)
    else
        Common:setBtnTouchEnable(getbtn,true)
    end
    getbtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local msg = {aType = myActivityId}
            Connect:sendMsg("ActivityReturnFullyLoadedAction","get",msg,
                function(data)
                    local pd = PlayerData:getInstanse()
                    --更新数据
                    self.data.state = data.state
                    self.data.returnGold = 0
                    self.data.returnCrystal = 0
                    pd.basicData.gold = pd.basicData.gold+data.getGold
                    pd.basicData.crystal = pd.basicData.crystal+data.getCrystal
                    FlyWordPrompt:prompt(StringRes.exchange_get_reward..StringRes.gold..":"..data.getGold.."  "..StringRes.crystal..":"..data.getCrystal)
                    self:freshInfo()
                    
                end)

        end
    end)
    
    
    
    
    
    
    
    
    
    
end


return Rewarding_Experience