

local DescriptCfg = require("src/app/cfg/DescriptCfg")


WeekEndBuff = class("WeekEndBuff",function()
    return display.newLayer()
end)



local myActivityId = 57


function WeekEndBuff:ctor(time)

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    
    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)
    
    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:removeFromParent()
        end
    end)
    
    --新服关卡信息
    self.WeekEndBuff = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/weekend_buff_activity/ui_weekend_buff_activity_main.csb")
    self:addChild(self.WeekEndBuff)
    
    
--    Connect:sendMsg("RankActivityAction","openStarRank",nil,
--        function(data)
--            local pd = PlayerData:getInstanse()
--            --更新数据
--            self.data = data
--            self:freshInfo()
--        end)
    self.data = {}
    self.data.time = time
    self:freshInfo()
    
    --self:fresh()
end




--刷新信息
function WeekEndBuff:freshInfo()
	
	--时间
    local time = self.WeekEndBuff:getChildByName("panel_buff_bg"):getChildByName("text_time")
    time:setString(self.data.time)
	
    --描述
    local desc = self.WeekEndBuff:getChildByName("panel_buff_bg"):getChildByName("panel_bg"):getChildByName("text_info")
    desc:setString(StringRes.text_world00024)
    
    
    
    --描述按钮
--    local descbtn = self.PartUpgrade:getChildByName("panel_buff_bg"):getChildByName("btn_info")
--    descbtn:addTouchEventListener(function(e, t)
--        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
--            local DescriptView = require("src/app/views/prompt/DescriptView")
--            DescriptView:open(self,StringRes["fd"])
--        end
--    end)
    
    local list = self.WeekEndBuff:getChildByName("panel_buff_bg"):getChildByName("listview_item")
    list:removeAllItems()
    --list
    for key, var in ipairs(gHappyTime) do
        local item = self.WeekEndBuff:getChildByName("panel_buff_bg"):getChildByName("panel_item_bg"):clone()
        
        --名称
        local name = item:getChildByName("text_name")
        name:setString(var.name)
        --描述
        local desc = item:getChildByName("text_info")
        desc:setString(var.des)
        
        --图标
        local icon = item:getChildByName("icon_item")
        Common:changePic(icon,var.icon)
        
        --跳转
        local goto1 = item:getChildByName("btn_go")
        goto1:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                
                if require("src/app/views/task/TaskInfo"):StaticGotoHere({gotothere = var.jump}) then

                    self:getParent():removeFromParent()
                end
            
                --self:getParent():removeFromParent()
                
                
            end
         end)
        
        list:pushBackCustomItem(item)
    end
    
    
end


return WeekEndBuff