local PanelTabLayer = require("src/app/views/public/PanelTabLayer")
local Connect = require("src/app/util/Connect")
local ResBuilding = class("ResBuilding",function(scene,data)
    return PanelTabLayer.new(scene,{title=string.format(StringRes[gBuilding[data.templateId].name]..StringRes.LV,data.buildLv),tabs={StringRes.build}})
end)

function ResBuilding:ctor(scene,data)
    self:initTabs(scene,data)

end

function ResBuilding:initTabs(scene,data)
    self:registerTabEvent(1,function()
        --建造
        local content = BuildView.new(scene,data,true)
        self:addChild(content)
    end)
    self:setTabSelect(1)
end

return ResBuilding