--
-- Created by IntelliJ IDEA.
-- User: HS18
-- Date: 2015/12/3
-- Time: 16:34
-- To change this template use File | Settings | File Templates.
--
local assistantstepdata = require("src/app/data/assistantstepdata")
local AssistantSpecial = require("src/app/cfg/AssistantSpecial")

AssistantGuide = {}

function AssistantGuide:handle(id)
    local data = assistantstepdata[id]
    if data then
        local function doHandle()
            self.curId = id
            self._assistantstepview = require("src/app/views/guide/AssistantStepView"):open(gWorldScene,data)
        end

        local specail =  AssistantSpecial[id]
        if specail then
            specail()
        end

        local time = 1
        if type(data.mianmove) == "table" then
            gWorldScene:moveMainCity(time,data.mianmove)
--        else
--            doHandle()
        end
        gWorldScene:resetBottomList()
        NodeTranslator:showInterceptView(time,doHandle,gWorldScene)
    end
end

--local file = io.open("hsm_actionName.txt","w")
--
--function AssistantGuide:close()
--    file:close()
--end

function AssistantGuide:complete(actionName,msgName)
--    file:write((self.curId or "0").." "..actionName.." "..msgName.."\n")
    if not self._running then
        return
    end
    local guideData = assistantstepdata[self.curId]
    if guideData then
        if guideData.actionName==actionName and guideData.msgname==msgName then
            self:endStep()
            if guideData.next > 0 then
                self:handle(guideData.next)
            end
        end
    end
end

function AssistantGuide:endStep()
    self.curId = nil
    if self._assistantstepview then
        self._assistantstepview:close()
        self._assistantstepview = nil
    end
end

function AssistantGuide:start()
    require("src/app/views/guide/AssistantView"):open(gWorldScene,nil,1,nil)
    self._running = true
end

function AssistantGuide:over()
    self._running = false
    self._assistantstepview = nil
    self.curId = nil
end

function AssistantGuide:isRunning()
    return self._running
end

RegisterCleanUp:register(function()
    AssistantGuide:over()
end)

return AssistantGuide
