
local ended = ccui.TouchEventType.ended

local function eventListner(event,func)
    return function(e,t)
        if t == event then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            func()
        end
    end
end

local FirstBattleView = class("FirstBattleView",function()
    return display.newLayer()
end)

function FirstBattleView:ctor(str,callback,showWomen)
    self.MainPage = CCUILoader:load("csd/startup/layer_openscene_intro.csb")
    self:addChild(self.MainPage)

    self.UIPanelBack = self.MainPage:getChildByName("panel_bg")
    local uiBack = self.UIPanelBack:getChildByName("panel_title_bg")
    self.UIDescript = uiBack:getChildByName("text_desc")
    self.UIPanelAnim = uiBack:getChildByName("Panel_ok")
    self.UIWomenIcon = uiBack:getChildByName("panel_girl")
    self.UIAnimationNode = Animation:createAnimation("art/UI/effect/arrows;arrow;arrow","arrow")
    self.UIPanelAnim:addChild(self.UIAnimationNode)

    self.CallBack = callback

    self.UIPanelBack:addTouchEventListener(eventListner(ended,function()
        self:close()
    end))
    self.UIDescript:setString(str)

    self.UIWomenIcon:setVisible(showWomen)
    end

function FirstBattleView:close()
    local callback = self.CallBack
    self:removeFromParent()
    if callback then
        callback()
    end
end

function FirstBattleView:open(scene,str,callback,showWomen)
    local newPage = self.new(str,callback,showWomen or false)
    scene:addChild(newPage)
end

return FirstBattleView
