
local pve_mission = require("src/app/data/pve_mission")
local Scheduler = cc.Director:getInstance():getScheduler()
CharInfo = class("CharInfo",function(charId)
    return display.newLayer()
end)
g_charInfo = nil
function CharInfo:ctor(charId)

    g_charInfo = self
    --章节ID
    self.CharId = charId

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    self.Top:getChildByName("text_title"):setString(StringRes.main_plot)
    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:removeFromParent()
            
        end
    end)
    
    --关卡信息
    self.Char = CCUILoader:load("res/csd/public/Chapters_Info.csb")
    self:addChild(self.Char)
    
    
    self.Char:getChildByName("Text_Chapter"):setString( string.format(StringRes.zhangjie,charId) )
    
    
    --刷新关卡信息
    
    
    
    
    
    local function onNodeEvent(tag)
        local pd = PlayerData:getInstanse()
    
        if tag == "enter" then
            self:enter()
            
            local function updatett(delta)
                local timeSrc = ""
                if pd.basicData.energyTime > 0 then
                    timeSrc = "("..StringTemp:toTime(pd.basicData.energyTime)..")"
                end
                --能量值
                local energyNumText = self.Char:getChildByName("Text_EnergyNum")
                energyNumText:setString(pd.basicData.energy.."/"..gMaxEnergy..timeSrc)
            end    
            updatett(0)
            self.update = Scheduler:scheduleScriptFunc(updatett, 0.9, false)
            
        elseif tag == "exit" then
            Scheduler:unscheduleScriptEntry(self.update)
            g_charInfo = nil
        end
    end
    self:registerScriptHandler(onNodeEvent)
    
    
end

function CharInfo:enter()
    local pd = PlayerData:getInstanse()
    local msg = { charId = self.CharId}
    Connect:sendMsg("PveAction","openMission",msg,
        function(data)
            --更新数据
            local mission = gWorldScene:getChildByName("Mission")
            if mission == nil then
                return
            end
            --PVE 关卡信息
            if pd.MissionInfo == nil then
                pd.MissionInfo = {}
            end
            pd.MissionInfo[self.CharId] = data

            self:FreshChar()

        end,false)

    
end

function CharInfo:FreshChar()

    local pd = PlayerData:getInstanse()

	--星星数量
	local nStarCount = 0
	
	local stars = pd.MissionInfo[self.CharId].starsVOs
    if stars ~= nil then
        for key, var in pairs(stars) do
        	nStarCount = nStarCount + var.count
        end
    end
    --小图标
    local Image_topIcon = self.Char:getChildByName("Image_topIcon")
    Image_topIcon:loadTexture(gPve_reward[self.CharId].smallpic,ResType)
    
    --
    local starNumText = self.Char:getChildByName("Text_starNum")
    starNumText:setString(nStarCount.."/48")
    
    
    
    
    --章节名字
    local Text_ChapterName = self.Char:getChildByName("Text_ChapterName")
    Text_ChapterName:setString( StringRes[gPve_reward[self.CharId].charname])
    
    
    local rewards = self.Char:getChildByName("Panel_Reward")
    local rewardsContent = rewards:getContentSize()
    
    local listBg = self.Char:getChildByName("Image_bg1")
    
    local list = self.Char:getChildByName("ListView_1")
    list:removeAllItems()
    preLoad:updateRelese()
    local listItemModel = self.Char:getChildByName("Panel_Item")
    
    --关卡
    list:setColumnCount(4)
    for var=1, 16 do
        local i1 = preLoad:getPanel("CharInfo")--listItemModel:clone()
    	
    	list:pushBackCustomItem(i1)
    	
    	
    	
        --坦克图标
        local icon = i1:getChildByName("Image_TankIcon")
        Common:changePic(icon,Tank[ pve_mission[self.CharId.."_"..var].maintank].pic)
        --icon:loadTexture(Tank[ pve_mission[self.CharId.."_"..var].maintank].pic,ResType)
    	
        if pd.basicData.charId > self.CharId or  pd.basicData.missionId >= var then
            local lock = i1:getChildByName("Image_Lock")
            lock:setVisible(false)
            
          
            icon.missionId = var
            icon:addTouchEventListener(function(e, t)
                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                    local TroopsView = require("src/app/views/troops/TroopsView")
                    TroopsView:open(self,3,self.CharId.."_"..e.missionId)
                end
            end)
       else
            local lock = i1:getChildByName("Image_Lock")
            lock:setVisible(true)


            icon.missionId = var
            icon:addTouchEventListener(function(e, t)
                
            end)
            
    	end
    	
    	--播动画
        if self.CharId == pd.basicData.charId and var == pd.basicData.missionId then
            Animation:playAnimation2(icon,gUIeffect[21].effect)
            i1.onrelease = function()
                Animation:stopAnimation(i1:getChildByName("Image_TankIcon"),gUIeffect[21].effect)
            end
    	else
            Animation:stopAnimation(icon,gUIeffect[21].effect)
            i1.onrelease = nil
    	end
        
    	
    	
        --星星
        local missionStarCount = 0
        if stars ~= nil and stars[var] ~= nil then
            missionStarCount = stars[var].count
        end
        for var=1, 3 do
            if missionStarCount < var then
                local imageStar = i1:getChildByName("Image_Star"..var)
                imageStar:setColor( cc.c3b(10,10,10))
            else
                local imageStar = i1:getChildByName("Image_Star"..var)
                imageStar:setColor( cc.c3b(255,255,255))
            end
        end
    	
    	
    end
    NodeTranslator:deltaDo(0.01,function()
        --list:jumpToTop()
        --list:jumpToPercentVertical(1)
    end)
    
    
    
    --领奖情况
    if pd.MissionInfo[self.CharId].pveRewardVO ~= nil and 
        pd.MissionInfo[self.CharId].pveRewardVO.reward1 == 2 and
        pd.MissionInfo[self.CharId].pveRewardVO.reward2 == 2 and
        pd.MissionInfo[self.CharId].pveRewardVO.reward3 == 2 then
    --if false then
    	--全部领取完
        rewards:setVisible(false)
        
        if self.isChange == nil then
            local size = listBg:getContentSize()
            listBg:setContentSize(cc.size(size.width,size.height+rewardsContent.height))

            size = list:getContentSize()
            list:setContentSize(cc.size(size.width,size.height+rewardsContent.height))
            
            self.isChange = {1}
        end
        
        
    	
    else
        local textStarNum = rewards:getChildByName("Text_6")
        textStarNum:setString(nStarCount.."/48")
        
        --3个奖励
        for var=1, 3 do
            --条件
            local t = StringTemp:Split(gPve_reward[self.CharId]["get"..var],":")
            
            t[2] = tonumber(t[2])
            if t[1] == "star" and t[2] > 0 then
                local Text_RewardNum2 = rewards:getChildByName("Text_RewardNum"..var)
                Text_RewardNum2:setString(t[2])
                if nStarCount < t[2] then
                	Text_RewardNum2:setColor(cc.c3b(230,10,10))
                else
                    Text_RewardNum2:setColor(cc.c3b(255,255,255))
                end
            	
            end	
            
            --奖励
            local Image_Reward = rewards:getChildByName("Image_Reward"..var)
            
            
            
            local canGet = false
            if pd.MissionInfo[self.CharId].pveRewardVO["reward"..var] == 0 then
            
            elseif pd.MissionInfo[self.CharId].pveRewardVO["reward"..var] == 1 then
                canGet = true
                
                Animation:playAnimation(Image_Reward,gUIeffect[9].effect,true,15)

            else
                Animation:stopAnimation(Image_Reward,gUIeffect[9].effect)
                Image_Reward:setColor(cc.c3b(110,110,110))
                
            end
            
            
            local rew = StringTemp:Split(gPve_reward[self.CharId]["reward"..var],",")
            if #rew >= 2 then
                local rew1 = StringTemp:Split(rew[1],":")
                if rew1[1] == "id" then
                	-- 道具 gItem[rew1[2]]
                    Image_Reward:loadTexture(gItem[tonumber(rew1[2])].icon,ResType)
                else
                    Image_Reward:loadTexture(gPve_buf[tonumber(rew1[2])].icon,ResType)
                end
                
                --数量
                local rew2 = StringTemp:Split(rew[2],":")
                rew2[2] = tonumber(rew2[2])
                if rew2[1] == "count" then
                    Image_Reward:getChildByName("Text_RewardNum"):setString("x"..rew2[2])
                end
                
                
                --设置回调
                if canGet then
                    Image_Reward:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                            self:getReward(var,1,tonumber(rew1[2]))
                        end
                    end)
                else
                    Image_Reward:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                            ItemInfo:show(self,1,tonumber(rew1[2]),tonumber(rew2[2]))
                        end
                    end)
                end
                
                
            else
                Image_Reward:getChildByName("Text_RewardNum"):setVisible(false)
                
                
                local rew1 = StringTemp:Split(rew[1],":")
                if rew1[1] == "id" then
                    -- 道具 gItem[rew1[2]]
                    Image_Reward:loadTexture(gItem[tonumber(rew1[2])].icon,ResType)
                else
                    Image_Reward:loadTexture(gPve_buf[tonumber(rew1[2])].icon,ResType)
                end
                
                --设置回调
                if canGet then
                    Image_Reward:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                            self:getReward(var,2,tonumber(rew1[2]))
                        end
                    end)
                else
                    Image_Reward:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                            ItemInfo:show(self,2,tonumber(rew1[2]),tonumber(rew1[2])%3+1)
                        end
                    end)
                end
                
            end
            
        end
    	
    end
    
    
    
    
	
end

function CharInfo:getReward(pos,type,id)
    
    local pd = PlayerData:getInstanse()
    
    self.getRewardId = pos
    
    local msg = { charId = self.CharId,rewardId = self.getRewardId}
    Connect:sendMsg("PveAction","getCharReward",msg,
        function(data)
            --更新数据
            
            if data.state == 1 then
            	--succesful 更改领取后状态
            	pd.MissionInfo[self.CharId].pveRewardVO["reward"..self.getRewardId] = 2
            	
                pd.basicData = data.playerInfoVO


                if type == 1 then
                    FlyWordPrompt:prompt(StringRes.get_reward..StringRes[gItem[id].name])
                    --bg:getChildByName("Text_name"):setString( StringRes[gItem[id].name] )
                elseif type == 2 then
                    FlyWordPrompt:prompt(StringRes.get_reward..StringRes[gPve_buf[id].name])
                    --bg:getChildByName("Text_name"):setString( StringRes[gPve_buf[id].name] )
                end

            	--
            	self:FreshChar()
            end


        end)
end

return CharInfo