
Mission = class("Mission", function()
    return display.newLayer()
end)


local g_MissionView = nil
function Mission:preLoad()
    g_MissionView = CCUILoader:load("res/csd/LayerStage.csb")
    g_MissionView:retain()
end


function Mission:ctor(scene)

    self:setName("Mission")
    

    --self.View = CCUILoader:load("res/csd/LayerStage.csb")
    self.View = g_MissionView
    self:addChild(self.View)
    
    
    self.Image_Buff = self.View:getChildByName("Image_Buff")
    self.BigZhangJie = self.View:getChildByName("Panel_1")
    
    --关闭
    local closeBtn = self.Image_Buff:getChildByName("Button_Close")
    
    closeBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/util/NodeTranslator"):transDown(self,function() 
            
                
                Connect:unregister("notifyPVEBuff")
            
            
                self:removeFromParent()
            end)
        end
    end)
    
    
    
    
    
    --BUF刷新
    local function registerBuf()
        Connect:register("notifyPVEBuff",function(data)
            local pd = PlayerData:getInstanse()
            pd:SetPveBuff(data)
        
            self:freshBuf()
        end)
    end
    registerBuf()
    
    
    
    --buf
    --self:freshBuf()
    
    local function onNodeEvent(tag)
        if tag == "enter" then
            self:freshBuf()
        elseif tag == "exit" then
            --刷新关卡
            for var=1, 21 do
                local panelStage = self.BigZhangJie:getChildByName("Panel_Stage_"..var)
                if panelStage ~= nil then
                    --播动画
                    Animation:stopAnimation(panelStage:getChildByName("node_redarrow"),gUIeffect[29].effect)
                end
             end
             self.BigZhangJie:removeChild(self.doplay)
            self.BigZhangJie:removeChild(self.move)
            
        end
    end
    self:registerScriptHandler(onNodeEvent)

    ViewManager:OpenView(self)
end

function Mission:doAnimition(x,y)
    if self.doplay ~= nil then
        self.BigZhangJie:removeChild(self.doplay)
    end
    if self.move ~= nil then
        self.BigZhangJie:removeChild(self.move)
    end

    
    
    --x = x + 97
    --y = y + 94

    self.move = Animation:createAnimation(gUIeffect[22].effect)
    self.move:setName(gUIeffect[22].effect)
    self.BigZhangJie:addChild(self.move)
    self.move:setPosition( cc.p(math.random(-300,300)+x,math.random(-500,500)+y))
    local action2 = cc.MoveTo:create(0.2,cc.p(math.random(-300,300)+x,math.random(-500,500)+y))
    local action3 = cc.MoveTo:create(0.2,cc.p(math.random(-300,300)+x,math.random(-500,500)+y))
    local action4 = cc.MoveTo:create(0.2,cc.p(x,y))
    local action = cc.Sequence:create(action2,cc.DelayTime:create(0.2),action3,cc.DelayTime:create(0.2),action4,cc.DelayTime:create(0.2),cc.CallFunc:create(function()
        self.BigZhangJie:removeChild(self.move)
        
        self.doplay = Animation:createAnimation(gUIeffect[27].effect)
        self.doplay:setName(gUIeffect[27].effect)
        self.BigZhangJie:addChild(self.doplay)
        self.doplay:setPosition( cc.p(x,y))
    end))
    self.move:runAction(action)
    
    
    
end


function Mission:freshBuf()
    local pd = PlayerData:getInstanse()
    
    --刷新BUFF
    if pd.pve_Buffs ~= nil then
    	for i,v in pairs(pd.pve_Buffs) do
            local icon = self.Image_Buff:getChildByName("Image_"..v.type)
            
            icon:loadTexture(gPve_buf[v.realId].icon,ResType)
            
            if icon ~= nil then
                if v.level <= 0 then
                    icon:setColor(cc.c3b(120,120,120))
                else
                    icon:setColor(cc.c3b(255,255,255))
                end
                
                --设置点击回调
                icon:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        PveBufInfo:show(self,v)
                    end
                end)
                
                
            end
    		
    	end
    end
    
    --刷新关卡
    for var=1, 21 do
        local panelStage = self.BigZhangJie:getChildByName("Panel_Stage_"..var)
        if panelStage ~= nil then
        
            
            --播动画
            if var == pd.basicData.charId then
            --if true then
                Animation:playAnimation2(panelStage:getChildByName("node_redarrow"),gUIeffect[29].effect)
            else
                Animation:stopAnimation(panelStage:getChildByName("node_redarrow"),gUIeffect[29].effect)
            end
        
        
            local icon = panelStage:getChildByName("Image_Icon")
            --更换大图标
            --icon:loadTexture(gPve_reward[var].bigpic,ResType)
            --pd.basicData.missionId = 17
            if pd.basicData.charId > var or (pd.basicData.charId == 21 and pd.basicData.missionId >= 17) then
--                --锁
--                local lock = panelStage:getChildByName("Image_Lock")
--                lock:setVisible(false)
                
                --local icon = panelStage:getChildByName("Image_Icon")
                --Common:changePic(icon,"res/pic/pve/chapter/icon_chapter_finished.png")
                showShader:AlltoNormal(icon)
                
                --图标点击事件
                icon.clickCharId = var
                icon:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        self:enterInChar(e.clickCharId)
                    end
                end)
            elseif pd.basicData.charId == var then    
                icon.clickCharId = var
                icon:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        self:enterInChar(e.clickCharId)
                    end
                end)
                showShader:AlltoNormal(icon)
                --local icon = panelStage:getChildByName("Image_Icon")
                --Common:changePic(icon,"res/pic/pve/chapter/icon_chapter_going.png")
            else
                showShader:AlltoGray(icon)
               -- showShader:toNormal(icon)
                --local icon = panelStage:getChildByName("Image_Icon")
                --Common:changePic(icon,"res/pic/pve/chapter/icon_chapter_locked.png")
                
            end
            
            
            --更换小图标
            local sicon = panelStage:getChildByName("Image_LevelIcon")
            sicon:loadTexture(gPve_reward[var].smallpic,ResType)
            
            --星星数
            local starNum = panelStage:getChildByName("Text_StarNum")

            local nCount = 0

            if pd.basicData.stars ~= nil and pd.basicData.stars[var] ~= nil then
                nCount = pd.basicData.stars[var].count
            end

            starNum:setString(nCount.."/48")
            
            
        end
    end
    --pd.basicData.charId = 21
    --pd.basicData.missionId = 16
    local panelStage = self.BigZhangJie:getChildByName("Panel_Stage_"..pd.basicData.charId)
    local x,y = panelStage:getPosition()
    local height = 1229
    local yy = y
    if yy >= height/2 then
        
        yy = 0
    else
        yy = height
    end
    self.BigZhangJie:jumpToPercentBothDirection(cc.p(-x+(640/2-200/2),yy))
    --self.BigZhangJie:jumpToPercentBothDirection(cc.p(-600,y))
    local x1,y1 = panelStage:getChildByName("node_redarrow"):getPosition()
    self:doAnimition(x+x1,y+y1)
    
end

--进入章节
function Mission:enterInChar(cid)
    
    local pd = PlayerData:getInstanse()
    local ci = CharInfo.new(cid)
    self:addChild(ci)
    
    --pd.basicData.charId = pd.basicData.charId + 1
   
end


return Mission