local DialogUtil = require("src.app.util.DialogUtil")

ItemInfo = {}

function ItemInfo:show(parent,type,id,count)
    local content = CCUILoader:load("res/csd/public/Item_Info.csb")
    Common:layerCenter(content)
    
    content.removable = false
    require("src/app/util/NodeTranslator"):transZoomOut(content,function()
        content.removable = true
    end)
    content:getChildByName("SwallowLayer"):addTouchEventListener(function(e,t) 
        if t == ccui.TouchEventType.ended then
        require("src/app/util/NodeTranslator"):transZoomOut(content,function()
                    content:removeFromParent()
            end)
        end
    end)
--    DialogUtil:addClickEvent2(content,function()
--        if content.removable then
--            require("src/app/util/NodeTranslator"):transZoomOut(content,function()
--                    content:removeFromParent()
--            end)
--        end
--    end)
    parent:addChild(content)
    
    
    local bg = content:getChildByName("Image_bg")
    
    if type == 1 then
        --道具
        --图标
        bg:getChildByName("Image_icon"):loadTexture( gItem[id].icon )
        
        --名字
        bg:getChildByName("Text_name"):setString( StringRes[gItem[id].name] )
        --描述
        bg:getChildByName("Text_des"):setString( StringRes[gItem[id].desc] )
        --数量
        bg:getChildByName("Text_count"):setString( count )
        
    elseif type == 2 then
        --BUFF
        --图标
        bg:getChildByName("Image_icon"):loadTexture( gPve_buf[id].icon )
        --名字
        bg:getChildByName("Text_name"):setString( StringRes[gPve_buf[id].name] )
        --描述
        bg:getChildByName("Text_des"):setString( StringRes[gPve_buf[id].desc] )
        --数量
        bg:getChildByName("Text_count"):setString( count )
    end
    
    
end

return ItemInfo