local DialogUtil = require("src.app.util.DialogUtil")

PveBufInfo = {}

function PveBufInfo:show(parent,data)
    local cont = CCUILoader:load("res/csd/public/Buff_Info.csb")
    --local cont = content:getChildByName("Image_1")
    Common:layerCenter(cont)
    
    cont.removable = false
    require("src/app/util/NodeTranslator"):transZoomOut(cont,function()
        cont.removable = true
    end)
    DialogUtil:addClickEvent2(cont,function()
        if cont.removable then
            require("src/app/util/NodeTranslator"):transZoomOut(cont,function()
                cont:removeFromParent()
            end)
        end
    end)
    parent:addChild(cont)
    
    
    --图标
    local icon = cont:getChildByName("Image_icon")
    icon:loadTexture( gPve_buf[data.realId].icon ,ResType)
    --名字
    local name = cont:getChildByName("Text_Name")
    name:setString( StringRes[gPve_buf[data.realId].name])
    --当前等级
    local cur_Level = cont:getChildByName("Text_Open")
    if data.id <= 0 then
        cur_Level:setString(StringRes.task_unfinish)
        cur_Level:setColor(cc.c3b(250,10,10))
    else
        cur_Level:setString( string.format(StringRes.cur_level,data.level)  )
    end
    --生效
    if data.level > 0 then
        local cur_notice = cont:getChildByName("Text_Notice"..data.level)
        cur_notice:setVisible(true)
    end
    
    --
    local firstId = (data.type-1)*3+1
    
    --
    for i=1, 3 do
        local name1 = cont:getChildByName("Text_NameLevel"..i)
        name1:setString( StringRes[gPve_buf[firstId+i-1].name].."Lv."..i)
        
        local useabledes1 = cont:getChildByName("Text_UseableDes"..i)
        useabledes1:setString(StringRes[gPve_buf[firstId+i-1].desc])
        
        local condes1 = cont:getChildByName("Text_ConditionDes"..i)
        condes1:setString(StringRes[gPve_buf[firstId+i-1].gotdes])
        if data.level < i then
        	condes1:setColor(cc.c3b(250,10,10))
        else
            condes1:setColor(cc.c3b(250,250,250))
        end
        
        if i ~= 1 then
            local gotdes1 = cont:getChildByName("Text_OpenConditionDes"..i)
            gotdes1:setString(StringRes[gPve_buf[firstId+i-1].open])

            if data.level < i-1 then
                gotdes1:setColor(cc.c3b(250,10,10))
            else
                gotdes1:setColor(cc.c3b(250,250,250))
            end
        end
        
        
    end
    
    
    
    
end

return PveBufInfo