

local DescriptCfg = require("src/app/cfg/DescriptCfg")
BuyBuff = class("BuyBuff",function()
    return display.newLayer()
end)

local Scheduler = cc.Director:getInstance():getScheduler()

function BuyBuff:ctor(id)

    self.Top = CCUILoader:load("res/csd/operation_center/territories_war/layer_army_group_gain.csb")
    self:addChild(self.Top)
    
    self.id = id
    
    --关闭
    local close = self.Top:getChildByName("panel_mask"):getChildByName("panel_bg"):getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:getParent():updateServer(0)
            self:removeFromParent()
        end
    end)
    
   
    
    Connect:sendMsg("GuildwarAction","openBuffShop",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
        end)
    
    
    
    --self:fresh()
end


--初始化页面按钮
function BuyBuff:freshInfo()--
    local pd = PlayerData:getInstanse()
    
    --列表
    local list = self.Top:getChildByName("panel_mask"):getChildByName("panel_bg"):getChildByName("listview_item")
    list:removeAllItems()
    
    for key, var in pairs(self.data.buffShopVOs) do
        local item = self.Top:getChildByName("panel_mask"):getChildByName("panel_bg"):getChildByName("panel_item_bg"):clone()
        
        
        --名称
        item:getChildByName("text_name"):setString(gGuildwarbuffshop[var.id].name)
        
        --图标
        Common:changePic(item:getChildByName("icon_item"),gGuildwarbuffshop[var.id].icon)
        
        --描述
        item:getChildByName("text_desc"):setString(gGuildwarbuffshop[var.id].des)
        
        --费用
        item:getChildByName("num_desc"):setString(var.cost)
        
        --购买
        local buy = item:getChildByName("btn_buy")
        showShader:buttonToGray(buy)
        buy:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
                if pd.basicData.gold >= var.cost then
                    local msg = {terrId = self.id,buffId = var.id}
                    Connect:sendMsg("GuildwarAction","buyBuff",msg,
                        function(data)
                            local pd = PlayerData:getInstanse()
                            pd.basicData.gold = data.gold
                            --更新数据
                            self.data.buffShopVOs = data.buffShopVOs
                            self:freshInfo()
                        end)
                else
                    PromptView:type2(StringRes.notice,
                        string.format(StringRes.gold_not_enough,var.cost,pd.basicData.gold,var.cost-pd.basicData.gold )
                        ,StringRes.ok,StringRes.cancel,
                        function()
                            --到支付界面
                            Recharge:show(gWorldScene)
                        end)
                end
            
            
                
            end
        end)
        --更新时间
        local function update(delta)
            var.buycd = var.buycd - delta
            if var.buycd <= 0 then
            	var.buycd = 0
                item:getChildByName("text_info"):setVisible(false)
                Common:setBtnTouchEnable(buy,true)
            else
                item:getChildByName("text_info"):setVisible(true)
                item:getChildByName("text_info"):setString(string.format(StringRes.time_to_buy,StringTemp:toTime(var.buycd)))
                Common:setBtnTouchEnable(buy,false)
            end
        end
        local function onNodeEvent(tag)
            if tag == "enter" then
                update(0)
                item.update = Scheduler:scheduleScriptFunc(update, 0.9, false)
            elseif tag == "exit" then
                Scheduler:unscheduleScriptEntry(item.update)
            end
        end
        
        
        
        
        item:registerScriptHandler(onNodeEvent)
        list:pushBackCustomItem(item)
        
    end
    
end


return BuyBuff