
YijieInterface = class()

local className = "org.cocos2dx.lib.PlatformActivity"
local goodsIdCig = {
    [64800] = "1",
    [32800] = "2",
    [19800] = "3",
    [12800] = "4",
    [9800] = "5",
    [6800] = "6",
    [3000] = "7",
    [600] = "8",
    [30000] = "99",
}
--鐠佸墽鐤嗙憴鎺曞
function YijieInterface:printLog(log)
	-- print("------setRoleData")
	local signs = "(Ljava/lang/String;)V"
	local methodName = "printLog"
	local args = {log}
	luaj.callStaticMethod(className, methodName, args, signs)
end

--调用android 初始化方法
function YijieInterface:setSDKInitListener(callback)
	print("--------setSDKInitListener")
	local signs = "(I)V"
	local methodName = "initPlatform"
	local args = {callback}
	luaj.callStaticMethod(className, methodName, args, signs)
end

--设置了登陆监听
function YijieInterface:setLoginListener(callback)
print("---------setLoginListener")
	local signs = "(I)V"
	local methodName = "setPlatformChangeAccountCallback"
	local args = {callback}
	luaj.callStaticMethod(className, methodName, args, signs)
end

--调用登陆方法
function YijieInterface:login(prama)
	print("------login")
	local signs = "()V"
	local methodName = "platformLogin"
	local args = {}
	luaj.callStaticMethod(className, methodName, args, signs)
end

--调用登出
function YijieInterface:logout(prama)
	print("------logout")
	print("yj call logout ", prama)
	local signs = "()V"
	local methodName = "platformLogout"
	local args = {}
	luaj.callStaticMethod(className, methodName, args, signs)
end


--闁拷閸戝搫鍤遍弫锟�
function YijieInterface:exit(exitCallback)
	print("------exit")
	print("yj call exit ")
	local signs = "(I)V"
	local methodName = "platformExit"
	local args = {exitCallback}
	luaj.callStaticMethod(className, methodName, args, signs)
end


--闂婂厖绠板锟介崗锟�
function YijieInterface:isMusicEnable()
	-- print("yj call isMusicEnable ")
	-- local signs = "()Z"
	-- local methodName = "isMusicEnabled"
	-- local args = {}
	-- local ok,ret = luaj.callStaticMethod(className, methodName, args, signs)
	-- if not ok then
	-- 	print("callExit error")
	-- 	return false
	-- else
	-- 	print("callExit ret:", ret)
	-- 	return ret
	-- end
end


--閸忓懎锟藉吋甯撮崣锟�
function YijieInterface:charge(name, price, count, callbackInfo, callbackurl, callbackFunc,order)
print("------charge")
	local signs = "(Ljava/lang/String;ILjava/lang/String;ILjava/lang/String;I)V"
	local methodName = "platformPay"
	local args = {order, price, name, count, callbackInfo, callbackFunc}
	luaj.callStaticMethod(className, methodName, args, signs)
end


--閺�顖欑帛閹恒儱褰�
function YijieInterface:pay(orderId,price, name, count, callbackInfo, callbackurl, callbackFunc)
	local signs = "(Ljava/lang/String;Ljava/lang/String;ILjava/lang/String;ILjava/lang/String;I)V"
	local methodName = "platformPay"
	local goodsId=goodsIdCig[price]
	print("goodsId=",goodsId)
	local args = {goodsId,orderId, price, name, count, callbackInfo, callbackFunc}
	luaj.callStaticMethod(className, methodName, args, signs)
end


--閺�顖欑帛閹碘晛鐫嶉幒銉ュ經
function YijieInterface:payExtend(price, name, itemCode, remian, count, callbackInfo, callbackUrl, callbackFunc)
	local signs = "(Ljava/lang/String;ILjava/lang/String;ILjava/lang/String;I)V"
	local methodName = "platformPay"
	local args = {callbackInfo, price, name, count, callbackInfo, callbackFunc}
	luaj.callStaticMethod(className, methodName, args, signs)
end


--鐠佸墽鐤嗙憴鎺曞
function YijieInterface:setRoleData(id, nmae, level, zoneId, zoneName)
	-- print("------setRoleData")
	local signs = "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V"
	local methodName = "setRoleData"
	local args = {id, nmae, level, zoneId, zoneName}
	luaj.callStaticMethod(className, methodName, args, signs)
end


--閹碘晛鐫嶉幒銉ュ經 int
function YijieInterface:setDataInt(key, value)
	-- print("yj call setDataInt ", key,value)
	-- local signs = "(Ljava/lang/String;I)V"
	-- local methodName = "setDataInt"
	-- local args = {key, value}
	-- luaj.callStaticMethod(className, methodName, args, signs)
end

--閹碘晛鐫嶉幒銉ュ經 Boolean
function YijieInterface:setDataBoolean(key, value)
	-- print("yj call setDataBoolean ", key,value)
	-- local signs = "(Ljava/lang/String;Z)V"
	-- local methodName = "setDataBoolean"
	-- local args = {key, value}
	-- luaj.callStaticMethod(className, methodName, args, signs)
end

--閹碘晛鐫嶉幒銉ュ經 String
function YijieInterface:setDataString(key, value)
 --  print("yj call setDataString ", key,value)
	-- local signs = "(Ljava/lang/String;Ljava/lang/String;)V"
	-- local methodName = "setDataString"
	-- local args = {key, value}
	-- luaj.callStaticMethod(className, methodName, args, signs)
end

--閹碘晛鐫嶉幒銉ュ經 float
function YijieInterface:setDataFloat(key, value)
 --  print("yj call setDataFloat ", key,value)
	-- local signs = "(Ljava/lang/String;F)V"
	-- local methodName = "setDataFloat"
	-- local args = {key, value}
	-- luaj.callStaticMethod(className, methodName, args, signs)
end


--閹碘晛鐫嶉幒銉ュ經  鏉╂柨娲栭弮绉妔on娓氬顩ч敍姝�"index":0, "tag":"testTag", "value":"3"}
function YijieInterface:extend(data, count, callbackFunc)
	-- print("yj call extend ", data,count, callbackFunc)
	-- local signs = "(Ljava/lang/String;II)V"
	-- local methodName = "extend"
	-- local args = {data, count, callbackFunc}
	-- local ok, ret = luaj.callStaticMethod(className, methodName, args, signs)
	-- if not ok then
	-- 	print("extend error")
	-- 	return nil
	-- else
	-- 	print("extend ret", ret)
	-- 	return ret
	-- end
end

function YijieInterface:getSDKId()
	return "200"
end

function YijieInterface:isSelfProgram()
	return false
end

function YijieInterface:haveExitView()
	return true
end