
PublicViews = {}
ResType = ccui.TextureResType.localType
ICON_FALT = "res/pic/common/icon/function/icon_falt.png"
ICON_CHECK = "res/pic/common/icon/function/icon_check.png"
CCUILoader = require("framework.cc.uiloader.uiloader")

require("src/app/util/StringUtil")
require("src/app/util/Common")
require("src/app/util/RegisterCleanUp")
require("src/app/views/activity/TopbarUtils")

--颜色配置
require("src/app/cfg/CommonColorCfg")
--界面
require("src/app/views/public/SpecialView")
require("src/app/views/prompt/PromptView")
require("src/app/views/public/PanelTabLayer")
require("src/app/views/troops/TroopsSetView")
require("src/app/views/troops/TroopsRepairView")
require("src/app/views/troops/TroopsTaskView")
require("src/app/views/study/ScienceStudyView")
require("src/app/views/buildings/BuildView")

--其它
require("src/app/cfg/CommonIconCfg")
require("src/app/util/Connect")
require("src/app/util/Singleton")
require("src/app/unit/PlayerData")
require("src/app/util/StringTemp")
require("src/app/util/NodeTranslator")
require("src/app/util/DialogUtil")
require("src/app/data/Building")
require("src/app/cfg/StringRes")
require("src/app/data/Build")
require("src/app/views/prompt/TaskReward")
require("src/app/data/task")
require("src/app/data/Tank")
require("src/app/data/recharge")
require("src/app/data/itemcreat")
require("src/app/data/buff")
require("src/app/data/data_resourse")
require("src/app/data/resources")
require("src/app/data/quickbuy")
require("src/app/data/VIP")
require("src/app/data/VIPPackage")
require("src/app/data/guildstore")
require("src/app/data/guildtech")
require("src/app/data/guildFb")
require("src/app/data/guildFbReward")
require("src/app/data/Prompt_1")
require("src/app/data/building_Consumption")
require("src/app/data/help")
require("src/app/data/warstore")
require("src/app/data/MilitaryAcademy")
require("src/app/data/Recruit")
require("src/app/data/guide")
require("src/app/data/General")
require("src/app/data/generalbreachcost")
require("src/app/data/Generalskill")
require("src/app/data/Generalskillup")
require("src/app/data/kingofguid")
require("src/app/data/activityGuildLvReward")
require("src/app/data/tankskill")
require("src/app/data/activityNO1guildreward")
require("src/app/data/activityroulettereward")
require("src/app/data/MaterialCoordinate")
require("src/app/data/guildgift")
require("src/app/cfg/ResIconCfg")
require("src/app/util/showShader")
require("src/app/views/buildings/Buildings")
require("src/app/util/Animation")
require("src/app/views/prompt/FlyWordPrompt")
require("src/app/views/academy/AcademyCommon")

--单位
require("src/app/unit/Unit")require("src/app/views/mission/Mission")
require("app/views/prompt/PveBufInfo")
require("src/app/data/pve_buf")gMaxEnergy = 50

--战斗配置
require("app/BattleCfg")

--
require("src/app/cfg/CommonDataCfg")

--公式类
require("src/app/unit/Formula")

--
require("src/app/views/mission/CharInfo")

require("src/app/data/pve_reward")
require("src/app/data/item")
require("src/app/views/prompt/ItemInfo")
require("src/app/views/prompt/MoreRes")
require("src/app/data/store")
require("src/app/views/bag/ManyUseItem")

require("src/app/util/ExpandListView")

require("src/app/views/prompt/ResNeedPopInfo")

require("src/app/data/Military_rank")

require("src/app/views/prompt/PopWordsInfo")

require("src/app/data/Prestige")

require("src/app/views/PlayerInfo/Ennoble")

require("src/app/data/playerskill")

require("src/app/data/MusicAndEffect")

require("src/app/util/MyAudio")

require("src/app/data/block")

require("src/app/data/UIeffect")

require("src/app/cfg/ScienceStudyCfg")

require("src/app/views/vip/VipInfo")

require("src/app/views/Ranks/Ranks")

require("src/app/views/Field/Field")

require("src/app/data/worldTerrain")

require("src/app/views/Field/ManyDialogInfo")

require("src/app/views/Field/SpyInfo")

require("src/app/views/chat/ChatServer")

require("src/app/views/chat/ChatMainView")

require("src/app/views/chat/ChatAddress")

require("src/app/views/mail/SelectFriendView")

require("src/app/views/mail/ReportInterface")

require("src/app/views/troops/TroopsView")

require("src/app/views/guide/AssistantGuide")

require("src/app/views/guide/NoviceGuide")

require("app/util/MainMapPopoutUtils")

require("src/app/data/dailytask")

require("src/app/data/parts")

require("src/app/views/activity/NoticeDlg")

require("src/app/data/activity")

require("src/app/data/zldbp")

require("src/app/util/statistics")

require("src/app/util/preLoad")

require("src/app/views/vip/Recharge")

require("src/app/views/troops/FriendTroopsInfoView")

require("src/app/views/prompt/DescriptView")


require("src/app/views/activity/FirstRecharge")

require("src/app/views/activity/ItemDetail")

require("src/app/views/PlayerInfo/ForceUpgrade")

require("src/app/IPConfig")


require("src/app/views/activity/ActUtils")


require("src/app/data/activitygatherReward")
require("src/app/data/activitygathertargetreward")

require("src/app/data/dailyReward")

require("src/app/views/Field/WorldNpc")

require("src/app/views/territories_war/TerritoriesWar")

require("src/app/data/territory")
require("src/app/data/strongpoint")
require("src/app/data/guildwarbuffshop")

require("src/app/data/worldbuff")

require("src/app/data/happytime")

gLittleUi = CCUILoader:load("res/csd/public/LittleUi.csb")
gLittleUi:retain()

--屏蔽触摸
ZORDER_InterceptView =99999

package.loaded["src/app/util/SDKPlatform"] = nil
require("src/app/util/SDKPlatform")
require("src/app/util/ViewManager")