
--配件工厂中的配件装备空位配置表---针对4种单位的8个部位配置（图标、解锁等级，位置编号）
local color = require("src/app/cfg/CommonColorCfg")
local AccessoryClassCfg = {
    {type=1,name=StringRes.tank,icon="pic/accessory/accessory/icon_lineTank_tank.png",
        descript={
            {{str=StringRes.tank_access_descript1,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript2,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript3,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript4,color=color.White,size=24}},},
        accessory={
            {id=1,icon="pic/accessory/accessory/btn_accessoryShadow_1.png",unlock=8}, --icon,默认资源
            {id=2,icon="pic/accessory/accessory/btn_accessoryShadow_2.png",unlock=8},
            {id=3,icon="pic/accessory/accessory/btn_accessoryShadow_3.png",unlock=15},
            {id=4,icon="pic/accessory/accessory/btn_accessoryShadow_4.png",unlock=25},
            {id=5,icon="pic/accessory/accessory/btn_accessoryShadow_5.png",unlock=35},
            {id=6,icon="pic/accessory/accessory/btn_accessoryShadow_6.png",unlock=45},
            {id=7,icon="pic/accessory/accessory/btn_accessoryShadow_7.png",unlock=55},
            {id=8,icon="pic/accessory/accessory/btn_accessoryShadow_8.png",unlock=65},
        },
    },
    {type=2,name=StringRes.destroyer,icon="pic/accessory/accessory/icon_lineTank_hunter.png",
        descript={
            {{str=StringRes.tank_access_descript1,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript2,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript3,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript4,color=color.White,size=24}}},
        accessory={
            {id=1,icon="pic/accessory/accessory/btn_accessoryShadow_1.png",unlock=8}, --icon,默认资源
            {id=2,icon="pic/accessory/accessory/btn_accessoryShadow_2.png",unlock=8},
            {id=3,icon="pic/accessory/accessory/btn_accessoryShadow_3.png",unlock=15},
            {id=4,icon="pic/accessory/accessory/btn_accessoryShadow_4.png",unlock=25},
            {id=5,icon="pic/accessory/accessory/btn_accessoryShadow_5.png",unlock=35},
            {id=6,icon="pic/accessory/accessory/btn_accessoryShadow_6.png",unlock=45},
            {id=7,icon="pic/accessory/accessory/btn_accessoryShadow_7.png",unlock=55},
            {id=8,icon="pic/accessory/accessory/btn_accessoryShadow_8.png",unlock=65},
        },
    },
    {type=3,name=StringRes.autogun,icon="pic/accessory/accessory/icon_lineTank_destroyer.png",
        descript={
            {{str=StringRes.tank_access_descript1,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript2,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript3,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript4,color=color.White,size=24}}},
        accessory={
            {id=1,icon="pic/accessory/accessory/btn_accessoryShadow_1.png",unlock=8}, --icon,默认资源
            {id=2,icon="pic/accessory/accessory/btn_accessoryShadow_2.png",unlock=8},
            {id=3,icon="pic/accessory/accessory/btn_accessoryShadow_3.png",unlock=15},
            {id=4,icon="pic/accessory/accessory/btn_accessoryShadow_4.png",unlock=25},
            {id=5,icon="pic/accessory/accessory/btn_accessoryShadow_5.png",unlock=35},
            {id=6,icon="pic/accessory/accessory/btn_accessoryShadow_6.png",unlock=45},
            {id=7,icon="pic/accessory/accessory/btn_accessoryShadow_7.png",unlock=55},
            {id=8,icon="pic/accessory/accessory/btn_accessoryShadow_8.png",unlock=65},
        },
    },
    {type=4,name=StringRes.rocket,icon="pic/accessory/accessory/icon_lineTank_rocket.png",
        descript={
            {{str=StringRes.tank_access_descript1,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript2,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript3,color=color.White,size=24}},
            {{str=StringRes.tank_access_descript4,color=color.White,size=24}}},
        accessory={
            {id=1,icon="pic/accessory/accessory/btn_accessoryShadow_1.png",unlock=8}, --icon,默认资源
            {id=2,icon="pic/accessory/accessory/btn_accessoryShadow_2.png",unlock=8},
            {id=3,icon="pic/accessory/accessory/btn_accessoryShadow_3.png",unlock=15},
            {id=4,icon="pic/accessory/accessory/btn_accessoryShadow_4.png",unlock=25},
            {id=5,icon="pic/accessory/accessory/btn_accessoryShadow_5.png",unlock=35},
            {id=6,icon="pic/accessory/accessory/btn_accessoryShadow_6.png",unlock=45},
            {id=7,icon="pic/accessory/accessory/btn_accessoryShadow_7.png",unlock=55},
            {id=8,icon="pic/accessory/accessory/btn_accessoryShadow_8.png",unlock=65},
        },
    },
}

return AccessoryClassCfg