
--常用描述配置表
--interval：间隔 可以在每一项的最后面加上这个属性，就是每句话的间隔，默认无间隔
--intervalEnabled ：为true间隔无效，是指与上一句话的间隔无效
local DescriptCfg = {
    Exchange = {
        {{str=StringRes.exchange_descript_1,color=CommonColor.White,size=24}},
        {{str=StringRes.exchange_descript_2,color=CommonColor.White,size=24}},
        {{str=StringRes.exchange_descript_3,color=CommonColor.White,size=24}},
    },
 	SkillInfo = {
        {{str="name",color=CommonColor.White,size=24}},
        {{str="des",color=CommonColor.White,size=24}},
        {{str="",color=CommonColor.White,size=24}},
        {{str="upgrade",color=CommonColor.White,size=24}},
        {{str="upgrade",color=CommonColor.White,size=24}},
        {{str="upgrade",color=CommonColor.White,size=24}},
    },
    SupplyLine = {
        {{str=StringRes.Explain_Supply_1,color=CommonColor.White,size=24}},
        {{str=StringRes.Explain_Supply_2,color=CommonColor.White,size=24}},
        {{str=StringRes.Explain_Supply_3,color=CommonColor.White,size=24}},
        {{str=StringRes.Explain_Supply_4,color=CommonColor.White,size=24}},
        {{str=StringRes.Explain_Supply_5,color=CommonColor.White,size=24}},
        {{str=StringRes.Explain_Supply_6,color=CommonColor.White,size=24}},
    },
    MailWarning = {
        {{str=StringRes.is_not_friend,color=CommonColor.Red,size=24}},
    },
    ActiveDes = {
        {{str=StringRes.active_des_1,color=CommonColor.White,size=24}},
        {{str=StringRes.active_des_2,color=CommonColor.Blue2,size=24}},
        {{str=StringRes.active_des_3,color=CommonColor.White,size=24}},
        {{str=StringRes.active_des_4,color=CommonColor.White,size=24}},
        {{str=StringRes.active_des_5,color=CommonColor.Red,size=24}},
        interval = 25
    },
    AGStore_props_rule = {
        {{str=StringRes.rule_explain,color=CommonColor.Blue2,size=24}},
        {{str=StringRes.army_group_prop_rule,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_store_notice,color=CommonColor.White,size=24}},
        interval = 25
    },
    AGStore_gem_rule = {
        {{str=StringRes.rule_explain,color=CommonColor.Blue2,size=24}},
        {{str=StringRes.army_group_gem_rule,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_store_notice,color=CommonColor.White,size=24}},
        interval = 25
    },
    AGFB_Info = {
        {{str=StringRes.army_group_fb_info_1,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_fb_info_2,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_fb_info_3,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_fb_info_4,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_fb_info_5,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_fb_info_6,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_fb_info_7,color=CommonColor.White,size=24}},
        interval = 25
    },
    AGFB_Detail_Info = {
        {{str=StringRes.army_group_fb_detail_info_1,color=CommonColor.White,size=24}},
        {{str=StringRes.army_group_fb_detail_info_2,color=CommonColor.White,size=24}},
        interval = 25
    },
    ReportPartCompare = {
        {{str=StringRes.report_part_compare,color=CommonColor.White,size=24}},
    },
    WarStore_Info = {
        {{str=StringRes.war_store_des1,color=CommonColor.White,size=24}},
        {{str=StringRes.war_store_des2,color=CommonColor.White,size=24}},
        {{str=StringRes.war_store_des3,color=CommonColor.White,size=24}},
        {{str=StringRes.war_store_des4,color=CommonColor.White,size=24}},
        {{str=StringRes.war_store_des5,color=CommonColor.White,size=24}},
        interval = 25
    },
    Sign_Info = {
        {{str=StringRes.sign_des1,color=CommonColor.White,size=24}},
        {{str=StringRes.sign_des2,color=CommonColor.White,size=24}},
        {{str=StringRes.sign_des3,color=CommonColor.White,size=24}},
        {{str=StringRes.sign_des4,color=CommonColor.White,size=24}},
        {{str=StringRes.sign_des5,color=CommonColor.White,size=24}},
        interval = 25
    },
    Tank_Pull_Pa = {
        {{str=StringRes.tank_pull_pa_introduce1,color=CommonColor.White,size=24}},
        {{str=StringRes.tank_pull_pa_introduce2,color=CommonColor.White,size=24}},
        {{str=StringRes.tank_pull_pa_introduce3,color=CommonColor.White,size=24}},
        {{str=StringRes.tank_pull_pa_introduce4,color=CommonColor.White,size=24}},
        interval = 25
    },
    New_Server_Chapter_shuoming = {
        {{str=StringRes.coactivitydes_5,color=CommonColor.White,size=24}},
        {{str=StringRes.coactivitydes_6,color=CommonColor.White,size=24}},
        {{str=StringRes.coactivitydes_7,color=CommonColor.Red,size=24}},
        interval = 25
    },
    New_Server_honor_shuoming = {
        {{str=StringRes.coactivitydes_1,color=CommonColor.White,size=24}},
        {{str=StringRes.coactivitydes_2,color=CommonColor.White,size=24}},
        {{str=StringRes.coactivitydes_3,color=CommonColor.White,size=24}},
        {{str=StringRes.coactivitydes_4,color=CommonColor.Red,size=24}},
        interval = 25
    },
    New_Player_Upgrade_Des = {
        {{str=StringRes.new_palyer_des1,color=CommonColor.White,size=24}},
        {{str=StringRes.new_palyer_des2,color=CommonColor.White,size=24},intervalEnabled=true},
        {{str=StringRes.new_palyer_des3,color=CommonColor.White,size=24},intervalEnabled=true},
        {{str=StringRes.new_palyer_des4,color=CommonColor.White,size=24}},
        interval = 25
    },
    Month_Card_Des = {
        {{str=StringRes.month_card_info1,color=CommonColor.White,size=24}},
        {{str=StringRes.month_card_info2,color=CommonColor.White,size=24}},
        {{str=StringRes.month_card_info3,color=CommonColor.White,size=24}},
        {{str=StringRes.month_card_info4,color=CommonColor.White,size=24}},
        {{str=StringRes.month_card_info5,color=CommonColor.White,size=24}},
        interval = 25
    },
    Legion_Qi_Huanle = {
        {{str=StringRes.Legion_Qi_Huanle1,color=CommonColor.White,size=24}},
        {{str=" ",color=CommonColor.White,size=24}},
        {{str=StringRes.Legion_Qi_Huanle2,color=CommonColor.White,size=24}},
        {{str=StringRes.Legion_Qi_Huanle3,color=CommonColor.White,size=24}},
    },
    Search_Labels_Descript = {
        {
            {{str=StringRes.Search_Descript1,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Descript2,color=CommonColor.Yellow,size=24}},
            {{str=StringRes.Search_Descript3,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Descript4,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Descript5,color=CommonColor.Yellow,size=24}},
            {{str=StringRes.Search_Descript6,color=CommonColor.Yellow,size=24}},
        },
        {
            {{str=StringRes.Search_Rank_List1,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List2,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List3,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List4,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List5,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List6,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List7,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List8,color=CommonColor.White,size=24}},
        }
    },
    --配件寻宝2
    Search_Labels_Descript2 = {
        {
            {{str=StringRes.Search_Descript1,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Descript2,color=CommonColor.Yellow,size=24}},
            {{str=StringRes.Search_Descript3,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Descript4,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Descript5,color=CommonColor.Yellow,size=24}},
            {{str=StringRes.Search_Descript6,color=CommonColor.Yellow,size=24}},
        },
        {
            {{str=StringRes.Search_Rank_List1,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List2,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List3,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List42,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List52,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List62,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List72,color=CommonColor.White,size=24}},
            {{str=StringRes.Search_Rank_List82,color=CommonColor.White,size=24}},
        }
    },
    
    
}

return DescriptCfg