
local pve_mission = {
	  	["1_1"]={charId=1,missionId=1,rewards={{name="exp",num=3},{name="prestige",num=5}},coeRewards="0",troops="1:1:5",maintank=1},
	  	["1_2"]={charId=1,missionId=2,rewards={{name="exp",num=3},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:2:4,1:2:5,1:2:6",maintank=1},
	  	["1_3"]={charId=1,missionId=3,rewards={{name="exp",num=3},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:3:4,2:3:5,1:3:6",maintank=2},
	  	["1_4"]={charId=1,missionId=4,rewards={{name="exp",num=3},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:4:2,1:4:4,1:4:5,1:4:6",maintank=1},
	  	["1_5"]={charId=1,missionId=5,rewards={{name="exp",num=20},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:5:2,1:5:4,3:5:5,1:5:6",maintank=3},
	  	["1_6"]={charId=1,missionId=6,rewards={{name="exp",num=20},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:5:1,1:5:2,1:5:3,3:5:4,3:5:5,3:5:6",maintank=3},
	  	["1_7"]={charId=1,missionId=7,rewards={{name="exp",num=20},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:4:1,1:4:2,1:4:3,3:4:4,2:4:5,3:4:6",maintank=2},
	  	["1_8"]={charId=1,missionId=8,rewards={{name="exp",num=20},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:5:1,1:5:2,1:5:3,2:5:4,5:3:5,2:5:6",maintank=5},
	  	["1_9"]={charId=1,missionId=9,rewards={{name="exp",num=68},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="5:3:1,5:3:2,1:3:3,2:3:4,5:3:5,2:5:6",maintank=5},
	  	["1_10"]={charId=1,missionId=10,rewards={{name="exp",num=68},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:5:1,1:5:2,1:5:3,2:5:4,1:5:5,2:5:6",maintank=1},
	  	["1_11"]={charId=1,missionId=11,rewards={{name="exp",num=68},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="2:6:1,1:6:2,2:6:3,3:6:4,2:6:5,3:6:6",maintank=2},
	  	["1_12"]={charId=1,missionId=12,rewards={{name="exp",num=68},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="5:4:1,5:4:2,5:4:3,3:7:4,5:4:5,3:7:6",maintank=5},
	  	["1_13"]={charId=1,missionId=13,rewards={{name="exp",num=160},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:6:1,2:6:2,1:6:3,3:6:4,1:6:5,3:6:6",maintank=1},
	  	["1_14"]={charId=1,missionId=14,rewards={{name="exp",num=160},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="2:7:1,2:7:2,2:7:3,2:7:4,2:7:5,2:7:6",maintank=2},
	  	["1_15"]={charId=1,missionId=15,rewards={{name="exp",num=160},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:8:1,2:8:2,1:8:3,2:8:4,3:8:5,2:8:6",maintank=3},
	  	["1_16"]={charId=1,missionId=16,rewards={{name="exp",num=160},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="5:6:1,5:6:2,5:6:3,3:8:4,4:12:5,2:8:6",maintank=4},
	  	["2_1"]={charId=2,missionId=1,rewards={{name="exp",num=300},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:8:1,2:8:2,1:8:3,2:8:4,1:8:5,2:8:6",maintank=1},
	  	["2_2"]={charId=2,missionId=2,rewards={{name="exp",num=300},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:9:1,1:9:2,1:9:3,1:9:4,1:9:5,1:9:6",maintank=1},
	  	["2_3"]={charId=2,missionId=3,rewards={{name="exp",num=300},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:10:1,1:10:2,1:10:3,3:10:4,3:10:5,2:10:6",maintank=3},
	  	["2_4"]={charId=2,missionId=4,rewards={{name="exp",num=300},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:8:1,3:8:2,1:8:3,2:10:4,2:10:5,3:10:6",maintank=2},
	  	["2_5"]={charId=2,missionId=5,rewards={{name="exp",num=518},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:11:1,1:11:2,1:11:3,3:11:4,1:11:5,2:11:6",maintank=1},
	  	["2_6"]={charId=2,missionId=6,rewards={{name="exp",num=518},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:10:1,1:12:2,3:12:3,3:12:4,5:10:5,2:12:6",maintank=5},
	  	["2_7"]={charId=2,missionId=7,rewards={{name="exp",num=518},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:12:1,1:12:2,3:12:3,2:12:4,2:12:5,3:12:6",maintank=2},
	  	["2_8"]={charId=2,missionId=8,rewards={{name="exp",num=518},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="5:8:1,3:13:2,5:13:3,3:13:4,3:13:5,2:13:6",maintank=1},
	  	["2_9"]={charId=2,missionId=9,rewards={{name="exp",num=823},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:14:1,1:14:2,6:14:3,6:14:4,6:14:5,2:14:6",maintank=6},
	  	["2_10"]={charId=2,missionId=10,rewards={{name="exp",num=823},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:14:1,1:10:2,1:14:3,6:14:4,1:14:5,2:14:6",maintank=1},
	  	["2_11"]={charId=2,missionId=11,rewards={{name="exp",num=823},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:15:1,1:15:2,1:15:3,6:15:4,5:15:5,2:15:6",maintank=5},
	  	["2_12"]={charId=2,missionId=12,rewards={{name="exp",num=823},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="5:16:1,5:16:2,1:16:3,6:16:4,7:16:5,3:16:6",maintank=7},
	  	["2_13"]={charId=2,missionId=13,rewards={{name="exp",num=1229},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="5:8:1,1:8:2,6:12:3,3:16:4,4:16:5,2:16:6",maintank=4},
	  	["2_14"]={charId=2,missionId=14,rewards={{name="exp",num=1229},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:17:1,1:17:2,1:17:3,1:17:4,4:17:5,2:17:6",maintank=4},
	  	["2_15"]={charId=2,missionId=15,rewards={{name="exp",num=1229},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="6:18:1,6:18:2,1:18:3,3:18:4,6:18:5,3:18:6",maintank=6},
	  	["2_16"]={charId=2,missionId=16,rewards={{name="exp",num=1229},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="5:18:1,1:18:2,6:18:3,7:20:4,8:20:5,7:20:6",maintank=8},
	  	["3_1"]={charId=3,missionId=1,rewards={{name="exp",num=1604},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:19:1,1:19:2,1:19:3,4:19:4,1:19:5,3:19:6",maintank=1},
	  	["3_2"]={charId=3,missionId=2,rewards={{name="exp",num=1604},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:20:1,1:20:2,1:20:3,6:20:4,1:20:5,2:20:6",maintank=1},
	  	["3_3"]={charId=3,missionId=3,rewards={{name="exp",num=1604},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="5:16:1,5:16:2,5:16:3,4:21:4,5:16:5,6:21:6",maintank=5},
	  	["3_4"]={charId=3,missionId=4,rewards={{name="exp",num=1604},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="6:23:1,1:23:2,6:23:3,2:23:4,1:23:5,4:23:6",maintank=1},
	  	["3_5"]={charId=3,missionId=5,rewards={{name="exp",num=2200},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="2:24:1,2:24:2,2:24:3,2:24:4,2:24:5,2:24:6",maintank=2},
	  	["3_6"]={charId=3,missionId=6,rewards={{name="exp",num=2200},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="6:25:1,2:25:2,2:25:3,4:25:4,6:25:5,4:25:6",maintank=6},
	  	["3_7"]={charId=3,missionId=7,rewards={{name="exp",num=2200},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="4:27:1,1:27:2,1:27:3,2:27:4,1:27:5,4:27:6",maintank=1},
	  	["3_8"]={charId=3,missionId=8,rewards={{name="exp",num=2200},{name="prestige",num=5}},coeRewards="id:42_coe:0.2",troops="1:28:1,1:28:2,1:28:3,4:28:4,2:28:5,4:28:6",maintank=2},
	  	["3_9"]={charId=3,missionId=9,rewards={{name="exp",num=2928},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:29:1,1:29:2,6:29:3,4:29:4,8:29:5,2:29:6",maintank=8},
	  	["3_10"]={charId=3,missionId=10,rewards={{name="exp",num=2928},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="1:31:1,1:31:2,6:31:3,8:31:4,7:31:5,3:31:6",maintank=7},
	  	["3_11"]={charId=3,missionId=11,rewards={{name="exp",num=2928},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:32:1,6:32:2,5:32:3,7:32:4,7:32:5,7:32:6",maintank=7},
	  	["3_12"]={charId=3,missionId=12,rewards={{name="exp",num=2928},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:33:1,5:33:2,6:33:3,8:33:4,8:33:5,7:33:6",maintank=8},
	  	["3_13"]={charId=3,missionId=13,rewards={{name="exp",num=3802},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="1:35:1,1:35:2,8:35:3,1:35:4,1:35:5,7:35:6",maintank=1},
	  	["3_14"]={charId=3,missionId=14,rewards={{name="exp",num=3802},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="8:36:1,4:36:2,5:36:3,6:36:4,6:36:5,5:36:6",maintank=6},
	  	["3_15"]={charId=3,missionId=15,rewards={{name="exp",num=3802},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:37:1,5:37:2,6:37:3,6:37:4,5:37:5,5:37:6",maintank=5},
	  	["3_16"]={charId=3,missionId=16,rewards={{name="exp",num=3802},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:37:1,9:37:2,9:37:3,9:37:4,9:37:5,9:37:6",maintank=9},
	  	["4_1"]={charId=4,missionId=1,rewards={{name="exp",num=4614},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="1:40:1,1:40:2,1:40:3,1:40:4,1:40:5,1:40:6",maintank=1},
	  	["4_2"]={charId=4,missionId=2,rewards={{name="exp",num=4614},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="8:41:1,5:41:2,6:41:3,7:41:4,7:41:5,7:41:6",maintank=7},
	  	["4_3"]={charId=4,missionId=3,rewards={{name="exp",num=4614},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="2:42:1,2:42:2,2:42:3,2:42:4,2:42:5,2:42:6",maintank=2},
	  	["4_4"]={charId=4,missionId=4,rewards={{name="exp",num=4614},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:20:1,5:20:2,5:20:3,2:45:4,5:20:5,7:25:6",maintank=5},
	  	["4_5"]={charId=4,missionId=5,rewards={{name="exp",num=5762},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:25:1,5:25:2,6:46:3,7:46:4,7:46:5,7:46:6",maintank=7},
	  	["4_6"]={charId=4,missionId=6,rewards={{name="exp",num=5762},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="8:47:1,8:47:2,8:47:3,8:47:4,8:47:5,8:47:6",maintank=8},
	  	["4_7"]={charId=4,missionId=7,rewards={{name="exp",num=5762},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="7:50:1,7:50:2,7:50:3,7:50:4,7:50:5,7:50:6",maintank=7},
	  	["4_8"]={charId=4,missionId=8,rewards={{name="exp",num=5762},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:51:1,5:51:2,5:51:3,7:51:4,5:51:5,7:51:6",maintank=5},
	  	["4_9"]={charId=4,missionId=9,rewards={{name="exp",num=7088},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:52:1,9:52:2,5:52:3,5:52:4,9:52:5,5:52:6",maintank=9},
	  	["4_10"]={charId=4,missionId=10,rewards={{name="exp",num=7088},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:55:1,5:55:2,6:55:3,8:55:4,6:55:5,7:55:6",maintank=6},
	  	["4_11"]={charId=4,missionId=11,rewards={{name="exp",num=7088},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:56:1,5:56:2,6:56:3,8:56:4,6:56:5,7:56:6",maintank=6},
	  	["4_12"]={charId=4,missionId=12,rewards={{name="exp",num=7088},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:40:1,9:40:2,9:40:3,5:57:4,9:40:5,5:57:6",maintank=9},
	  	["4_13"]={charId=4,missionId=13,rewards={{name="exp",num=8602},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:60:1,9:35:2,5:60:3,5:60:4,7:60:5,5:60:6",maintank=7},
	  	["4_14"]={charId=4,missionId=14,rewards={{name="exp",num=8602},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:61:1,6:61:2,5:61:3,6:61:4,7:61:5,6:61:6",maintank=7},
	  	["4_15"]={charId=4,missionId=15,rewards={{name="exp",num=8602},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:62:1,5:62:2,6:62:3,7:62:4,7:62:5,7:62:6",maintank=7},
	  	["4_16"]={charId=4,missionId=16,rewards={{name="exp",num=8602},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:62:1,9:62:2,9:62:3,7:62:4,10:62:5,10:62:6",maintank=10},
	  	["5_1"]={charId=5,missionId=1,rewards={{name="exp",num=9826},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:40:1,7:66:2,4:66:3,4:66:4,4:66:5,6:66:6",maintank=4},
	  	["5_2"]={charId=5,missionId=2,rewards={{name="exp",num=9826},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="4:67:1,4:67:2,4:67:3,4:67:4,4:67:5,4:67:6",maintank=4},
	  	["5_3"]={charId=5,missionId=3,rewards={{name="exp",num=9826},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:30:1,9:30:2,7:68:3,4:68:4,8:68:5,7:68:6",maintank=8},
	  	["5_4"]={charId=5,missionId=4,rewards={{name="exp",num=9826},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:30:1,5:72:2,7:72:3,6:72:4,5:72:5,7:72:6",maintank=5},
	  	["5_5"]={charId=5,missionId=5,rewards={{name="exp",num=11664},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="6:73:1,6:73:2,6:73:3,6:73:4,5:73:5,6:73:6",maintank=5},
	  	["5_6"]={charId=5,missionId=6,rewards={{name="exp",num=11664},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:74:1,9:74:2,5:74:3,8:74:4,9:74:5,7:74:6",maintank=9},
	  	["5_7"]={charId=5,missionId=7,rewards={{name="exp",num=11664},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="8:78:1,9:40:2,9:40:3,7:78:4,7:78:5,5:78:6",maintank=7},
	  	["5_8"]={charId=5,missionId=8,rewards={{name="exp",num=11664},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="6:79:1,6:79:2,6:79:3,6:79:4,6:79:5,6:79:6",maintank=6},
	  	["5_9"]={charId=5,missionId=9,rewards={{name="exp",num=13718},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:80:1,5:80:2,5:80:3,6:80:4,6:80:5,6:80:6",maintank=6},
	  	["5_10"]={charId=5,missionId=10,rewards={{name="exp",num=13718},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:84:1,9:50:2,5:84:3,7:84:4,7:84:5,7:84:6",maintank=7},
	  	["5_11"]={charId=5,missionId=11,rewards={{name="exp",num=13718},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:50:1,5:85:2,7:85:3,5:85:4,6:85:5,6:85:6",maintank=6},
	  	["5_12"]={charId=5,missionId=12,rewards={{name="exp",num=13718},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:86:1,5:86:2,7:86:3,10:86:4,10:86:5,10:86:6",maintank=10},
	  	["5_13"]={charId=5,missionId=13,rewards={{name="exp",num=16000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:90:1,7:90:2,5:90:3,8:90:4,7:90:5,6:90:6",maintank=7},
	  	["5_14"]={charId=5,missionId=14,rewards={{name="exp",num=16000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="8:91:1,9:50:2,8:91:3,7:91:4,7:91:5,7:91:6",maintank=7},
	  	["5_15"]={charId=5,missionId=15,rewards={{name="exp",num=16000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="7:92:1,7:92:2,7:92:3,7:92:4,7:92:5,7:92:6",maintank=7},
	  	["5_16"]={charId=5,missionId=16,rewards={{name="exp",num=16000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:92:1,9:92:2,9:92:3,11:92:4,11:92:5,10:92:6",maintank=11},
	  	["6_1"]={charId=6,missionId=1,rewards={{name="exp",num=17596},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:97:1,5:97:2,7:97:3,8:97:4,5:97:5,6:97:6",maintank=5},
	  	["6_2"]={charId=6,missionId=2,rewards={{name="exp",num=17596},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:98:1,5:98:2,7:98:3,8:98:4,5:98:5,6:98:6",maintank=5},
	  	["6_3"]={charId=6,missionId=3,rewards={{name="exp",num=17596},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:99:1,9:99:2,5:99:3,9:99:4,9:99:5,9:99:6",maintank=9},
	  	["6_4"]={charId=6,missionId=4,rewards={{name="exp",num=17596},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:104:1,5:104:2,7:104:3,6:104:4,6:104:5,6:104:6",maintank=6},
	  	["6_5"]={charId=6,missionId=5,rewards={{name="exp",num=20231},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:60:1,5:105:2,5:105:3,7:105:4,6:105:5,6:105:6",maintank=6},
	  	["6_6"]={charId=6,missionId=6,rewards={{name="exp",num=20231},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:106:1,9:106:2,7:106:3,10:106:4,10:106:5,10:106:6",maintank=10},
	  	["6_7"]={charId=6,missionId=7,rewards={{name="exp",num=20231},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:111:1,5:111:2,7:111:3,5:111:4,5:111:5,6:111:6",maintank=5},
	  	["6_8"]={charId=6,missionId=8,rewards={{name="exp",num=20231},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:70:1,9:70:2,5:112:3,7:112:4,7:112:5,6:112:6",maintank=7},
	  	["6_9"]={charId=6,missionId=9,rewards={{name="exp",num=23117},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="11:113:1,11:113:2,11:113:3,11:113:4,11:113:5,11:113:6",maintank=11},
	  	["6_10"]={charId=6,missionId=10,rewards={{name="exp",num=23117},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:118:1,5:118:2,7:118:3,5:118:4,5:118:5,6:118:6",maintank=5},
	  	["6_11"]={charId=6,missionId=11,rewards={{name="exp",num=23117},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:80:1,9:80:2,5:119:3,7:119:4,7:119:5,6:119:6",maintank=7},
	  	["6_12"]={charId=6,missionId=12,rewards={{name="exp",num=23117},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:120:1,9:120:2,9:120:3,11:120:4,11:120:5,7:120:6",maintank=11},
	  	["6_13"]={charId=6,missionId=13,rewards={{name="exp",num=26266},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:125:1,5:125:2,7:125:3,8:125:4,8:125:5,6:125:6",maintank=8},
	  	["6_14"]={charId=6,missionId=14,rewards={{name="exp",num=26266},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="8:126:1,8:126:2,8:126:3,8:126:4,8:126:5,8:126:6",maintank=8},
	  	["6_15"]={charId=6,missionId=15,rewards={{name="exp",num=26266},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:80:1,11:127:2,7:127:3,8:127:4,8:127:5,8:127:6",maintank=8},
	  	["6_16"]={charId=6,missionId=16,rewards={{name="exp",num=26266},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:127:1,9:127:2,11:127:3,12:127:4,12:127:5,12:127:6",maintank=12},
	  	["7_1"]={charId=7,missionId=1,rewards={{name="exp",num=28125},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="5:133:1,7:133:2,7:133:3,11:133:4,6:133:5,7:133:6",maintank=6},
	  	["7_2"]={charId=7,missionId=2,rewards={{name="exp",num=28125},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:80:1,5:134:2,11:134:3,6:134:4,6:134:5,7:134:6",maintank=6},
	  	["7_3"]={charId=7,missionId=3,rewards={{name="exp",num=28125},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="10:135:1,10:135:2,10:135:3,10:135:4,10:135:5,10:135:6",maintank=10},
	  	["7_4"]={charId=7,missionId=4,rewards={{name="exp",num=28125},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:90:1,5:141:2,7:141:3,8:141:4,7:141:5,6:141:6",maintank=7},
	  	["7_5"]={charId=7,missionId=5,rewards={{name="exp",num=31637},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:90:1,9:90:2,9:90:3,12:100:4,7:142:5,10:142:6",maintank=7},
	  	["7_6"]={charId=7,missionId=6,rewards={{name="exp",num=31637},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="11:143:1,11:143:2,11:143:3,10:143:4,11:143:5,9:143:6",maintank=11},
	  	["7_7"]={charId=7,missionId=7,rewards={{name="exp",num=31637},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:90:1,7:149:2,9:90:3,10:149:4,7:149:5,10:149:6",maintank=7},
	  	["7_8"]={charId=7,missionId=8,rewards={{name="exp",num=31637},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:100:1,5:150:2,7:150:3,8:150:4,8:150:5,6:150:6",maintank=8},
	  	["7_9"]={charId=7,missionId=9,rewards={{name="exp",num=35429},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:151:1,11:151:2,12:151:3,12:151:4,12:151:5,10:151:6",maintank=12},
	  	["7_10"]={charId=7,missionId=10,rewards={{name="exp",num=35429},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:100:1,5:157:2,8:157:3,7:157:4,7:157:5,6:157:6",maintank=7},
	  	["7_11"]={charId=7,missionId=11,rewards={{name="exp",num=35429},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:100:1,9:100:2,9:100:3,8:158:4,8:158:5,8:158:6",maintank=8},
	  	["7_12"]={charId=7,missionId=12,rewards={{name="exp",num=35429},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="12:159:1,12:159:2,12:159:3,12:159:4,12:159:5,12:159:6",maintank=12},
	  	["7_13"]={charId=7,missionId=13,rewards={{name="exp",num=39514},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:165:1,12:165:2,11:165:3,11:165:4,9:165:5,10:165:6",maintank=9},
	  	["7_14"]={charId=7,missionId=14,rewards={{name="exp",num=39514},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:170:1,12:170:2,11:170:3,11:170:4,9:170:5,10:170:6",maintank=9},
	  	["7_15"]={charId=7,missionId=15,rewards={{name="exp",num=39514},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:175:1,12:175:2,11:175:3,11:175:4,9:175:5,10:175:6",maintank=9},
	  	["7_16"]={charId=7,missionId=16,rewards={{name="exp",num=39514},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:180:1,12:180:2,11:180:3,11:180:4,9:180:5,10:180:6",maintank=11},
	  	["8_1"]={charId=8,missionId=1,rewards={{name="exp",num=41461},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="9:151:1,9:151:2,9:151:3,9:151:4,9:151:5,9:151:6",maintank=9},
	  	["8_2"]={charId=8,missionId=2,rewards={{name="exp",num=41461},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:151:1,13:151:2,15:151:3,14:151:4,14:151:5,14:151:6",maintank=14},
	  	["8_3"]={charId=8,missionId=3,rewards={{name="exp",num=41461},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="11:159:1,11:159:2,11:159:3,11:159:4,15:159:5,11:159:6",maintank=15},
	  	["8_4"]={charId=8,missionId=4,rewards={{name="exp",num=41461},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:134:1,13:134:2,9:159:3,11:159:4,13:134:5,14:139:6",maintank=13},
	  	["8_5"]={charId=8,missionId=5,rewards={{name="exp",num=45900},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:138:1,13:138:2,15:159:3,14:159:4,14:159:5,14:159:6",maintank=14},
	  	["8_6"]={charId=8,missionId=6,rewards={{name="exp",num=45900},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:167:1,16:167:2,16:167:3,16:167:4,16:167:5,16:167:6",maintank=16},
	  	["8_7"]={charId=8,missionId=7,rewards={{name="exp",num=45900},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:167:1,14:167:2,14:167:3,14:167:4,14:167:5,14:167:6",maintank=14},
	  	["8_8"]={charId=8,missionId=8,rewards={{name="exp",num=45900},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:167:1,13:167:2,13:167:3,14:167:4,13:167:5,14:167:6",maintank=13},
	  	["8_9"]={charId=8,missionId=9,rewards={{name="exp",num=50645},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:175:1,13:175:2,13:175:3,13:175:4,13:175:5,13:175:6",maintank=13},
	  	["8_10"]={charId=8,missionId=10,rewards={{name="exp",num=50645},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:175:1,13:175:2,15:175:3,16:175:4,15:175:5,14:175:6",maintank=15},
	  	["8_11"]={charId=8,missionId=11,rewards={{name="exp",num=50645},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:175:1,13:175:2,13:175:3,16:175:4,13:175:5,14:175:6",maintank=13},
	  	["8_12"]={charId=8,missionId=12,rewards={{name="exp",num=50645},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:166:1,13:166:2,13:166:3,13:183:4,13:183:5,13:183:6",maintank=13},
	  	["8_13"]={charId=8,missionId=13,rewards={{name="exp",num=55706},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:183:1,13:183:2,13:183:3,13:183:4,14:183:5,13:183:6",maintank=14},
	  	["8_14"]={charId=8,missionId=14,rewards={{name="exp",num=55706},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:183:1,15:183:2,13:183:3,15:183:4,14:183:5,15:183:6",maintank=14},
	  	["8_15"]={charId=8,missionId=15,rewards={{name="exp",num=55706},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:192:1,13:192:2,15:192:3,14:192:4,14:192:5,14:192:6",maintank=14},
	  	["8_16"]={charId=8,missionId=16,rewards={{name="exp",num=55706},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:192:1,13:192:2,13:192:3,15:192:4,14:192:5,14:192:6",maintank=14},
	  	["9_1"]={charId=9,missionId=1,rewards={{name="exp",num=57499},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:166:1,15:192:2,12:192:3,12:192:4,12:192:5,14:192:6",maintank=12},
	  	["9_2"]={charId=9,missionId=2,rewards={{name="exp",num=57499},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="12:201:1,12:201:2,12:201:3,12:201:4,12:201:5,12:201:6",maintank=12},
	  	["9_3"]={charId=9,missionId=3,rewards={{name="exp",num=57499},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:163:1,13:163:2,15:201:3,12:201:4,16:201:5,15:201:6",maintank=12},
	  	["9_4"]={charId=9,missionId=4,rewards={{name="exp",num=57499},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:159:1,13:201:2,15:201:3,14:201:4,13:201:5,15:201:6",maintank=16},
	  	["9_5"]={charId=9,missionId=5,rewards={{name="exp",num=62886},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:210:1,14:210:2,14:210:3,14:210:4,14:210:5,14:210:6",maintank=14},
	  	["9_6"]={charId=9,missionId=6,rewards={{name="exp",num=62886},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:210:1,13:210:2,13:210:3,16:210:4,13:210:5,15:210:6",maintank=13},
	  	["9_7"]={charId=9,missionId=7,rewards={{name="exp",num=62886},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:210:1,13:172:2,13:172:3,15:210:4,15:210:5,13:210:6",maintank=15},
	  	["9_8"]={charId=9,missionId=8,rewards={{name="exp",num=62886},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:219:1,14:219:2,14:219:3,14:219:4,14:219:5,14:219:6",maintank=14},
	  	["9_9"]={charId=9,missionId=9,rewards={{name="exp",num=68600},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:219:1,13:219:2,13:219:3,14:219:4,14:219:5,14:219:6",maintank=14},
	  	["9_10"]={charId=9,missionId=10,rewards={{name="exp",num=68600},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:219:1,13:185:2,13:219:3,15:219:4,15:219:5,15:219:6",maintank=15},
	  	["9_11"]={charId=9,missionId=11,rewards={{name="exp",num=68600},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:193:1,13:228:2,15:228:3,13:228:4,14:228:5,14:228:6",maintank=14},
	  	["9_12"]={charId=9,missionId=12,rewards={{name="exp",num=68600},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:228:1,13:228:2,15:228:3,14:228:4,14:228:5,14:228:6",maintank=14},
	  	["9_13"]={charId=9,missionId=13,rewards={{name="exp",num=74650},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:228:1,15:228:2,13:228:3,16:228:4,15:228:5,14:228:6",maintank=15},
	  	["9_14"]={charId=9,missionId=14,rewards={{name="exp",num=74650},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:238:1,13:197:2,16:238:3,15:238:4,15:238:5,15:238:6",maintank=15},
	  	["9_15"]={charId=9,missionId=15,rewards={{name="exp",num=74650},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="15:238:1,15:238:2,15:238:3,15:238:4,15:238:5,15:238:6",maintank=15},
	  	["9_16"]={charId=9,missionId=16,rewards={{name="exp",num=74650},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:238:1,13:238:2,13:238:3,15:238:4,15:238:5,14:238:6",maintank=15},
	  	["10_1"]={charId=10,missionId=1,rewards={{name="exp",num=75980},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:248:1,13:248:2,15:248:3,16:248:4,13:248:5,14:248:6",maintank=13},
	  	["10_2"]={charId=10,missionId=2,rewards={{name="exp",num=75980},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:248:1,13:248:2,13:248:3,13:248:4,14:248:5,15:248:6",maintank=14},
	  	["10_3"]={charId=10,missionId=3,rewards={{name="exp",num=75980},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="15:248:1,15:248:2,15:248:3,13:248:4,13:248:5,13:248:6",maintank=13},
	  	["10_4"]={charId=10,missionId=4,rewards={{name="exp",num=75980},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:258:1,16:258:2,16:258:3,16:258:4,16:258:5,16:258:6",maintank=16},
	  	["10_5"]={charId=10,missionId=5,rewards={{name="exp",num=82308},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:258:1,13:258:2,13:258:3,15:258:4,16:258:5,16:258:6",maintank=16},
	  	["10_6"]={charId=10,missionId=6,rewards={{name="exp",num=82308},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:258:1,13:258:2,13:258:3,16:258:4,16:258:5,16:258:6",maintank=16},
	  	["10_7"]={charId=10,missionId=7,rewards={{name="exp",num=82308},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:258:1,15:258:2,16:258:3,14:258:4,15:258:5,16:258:6",maintank=15},
	  	["10_8"]={charId=10,missionId=8,rewards={{name="exp",num=82308},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:268:1,14:268:2,15:268:3,16:268:4,16:268:5,16:268:6",maintank=16},
	  	["10_9"]={charId=10,missionId=9,rewards={{name="exp",num=88979},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:268:1,13:268:2,13:268:3,13:268:4,13:268:5,13:268:6",maintank=13},
	  	["10_10"]={charId=10,missionId=10,rewards={{name="exp",num=88979},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="15:268:1,15:268:2,15:268:3,13:268:4,13:268:5,13:268:6",maintank=13},
	  	["10_11"]={charId=10,missionId=11,rewards={{name="exp",num=88979},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:268:1,14:268:2,16:268:3,13:268:4,14:268:5,16:268:6",maintank=14},
	  	["10_12"]={charId=10,missionId=12,rewards={{name="exp",num=88979},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:278:1,14:278:2,16:278:3,13:278:4,14:278:5,16:278:6",maintank=14},
	  	["10_13"]={charId=10,missionId=13,rewards={{name="exp",num=96000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:278:1,14:278:2,14:278:3,14:278:4,14:278:5,14:278:6",maintank=14},
	  	["10_14"]={charId=10,missionId=14,rewards={{name="exp",num=96000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="15:278:1,13:278:2,14:278:3,16:278:4,13:278:5,14:278:6",maintank=13},
	  	["10_15"]={charId=10,missionId=15,rewards={{name="exp",num=96000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:278:1,13:278:2,13:278:3,15:278:4,15:278:5,15:278:6",maintank=15},
	  	["10_16"]={charId=10,missionId=16,rewards={{name="exp",num=96000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:240:1,16:289:2,13:289:3,14:289:4,17:240:5,15:289:6",maintank=17},
	  	["11_1"]={charId=11,missionId=1,rewards={{name="exp",num=96489},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:289:1,14:289:2,14:289:3,15:289:4,13:289:5,13:289:6",maintank=13},
	  	["11_2"]={charId=11,missionId=2,rewards={{name="exp",num=96489},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:289:1,17:289:2,17:289:3,13:289:4,14:289:5,14:289:6",maintank=14},
	  	["11_3"]={charId=11,missionId=3,rewards={{name="exp",num=96489},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:289:1,17:289:2,17:289:3,17:289:4,16:289:5,16:289:6",maintank=16},
	  	["11_4"]={charId=11,missionId=4,rewards={{name="exp",num=96489},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:300:1,17:300:2,17:300:3,14:300:4,13:300:5,16:300:6",maintank=13},
	  	["11_5"]={charId=11,missionId=5,rewards={{name="exp",num=103723},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:300:1,14:300:2,17:300:3,18:300:4,17:300:5,16:300:6",maintank=17},
	  	["11_6"]={charId=11,missionId=6,rewards={{name="exp",num=103723},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:300:1,18:300:2,13:300:3,16:300:4,16:300:5,16:300:6",maintank=16},
	  	["11_7"]={charId=11,missionId=7,rewards={{name="exp",num=103723},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:300:1,17:300:2,17:300:3,18:300:4,18:300:5,16:300:6",maintank=18},
	  	["11_8"]={charId=11,missionId=8,rewards={{name="exp",num=103723},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:311:1,17:311:2,17:311:3,17:311:4,17:311:5,17:311:6",maintank=17},
	  	["11_9"]={charId=11,missionId=9,rewards={{name="exp",num=111310},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:311:1,18:311:2,18:311:3,16:311:4,16:311:5,14:311:6",maintank=16},
	  	["11_10"]={charId=11,missionId=10,rewards={{name="exp",num=111310},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:311:1,18:311:2,18:311:3,18:311:4,16:311:5,16:311:6",maintank=16},
	  	["11_11"]={charId=11,missionId=11,rewards={{name="exp",num=111310},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="15:311:1,15:311:2,15:311:3,18:311:4,17:311:5,18:311:6",maintank=17},
	  	["11_12"]={charId=11,missionId=12,rewards={{name="exp",num=111310},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:322:1,16:322:2,18:322:3,14:322:4,17:322:5,15:322:6",maintank=17},
	  	["11_13"]={charId=11,missionId=13,rewards={{name="exp",num=119258},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="18:322:1,18:322:2,18:322:3,18:322:4,16:322:5,16:322:6",maintank=16},
	  	["11_14"]={charId=11,missionId=14,rewards={{name="exp",num=119258},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:322:1,16:322:2,16:322:3,17:322:4,17:322:5,17:322:6",maintank=17},
	  	["11_15"]={charId=11,missionId=15,rewards={{name="exp",num=119258},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:322:1,15:322:2,16:322:3,17:322:4,18:322:5,18:322:6",maintank=18},
	  	["11_16"]={charId=11,missionId=16,rewards={{name="exp",num=119258},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:334:1,17:334:2,17:334:3,18:334:4,18:334:5,18:334:6",maintank=18},
	  	["12_1"]={charId=12,missionId=1,rewards={{name="exp",num=118463},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:334:1,18:334:2,16:334:3,15:334:4,17:334:5,17:334:6",maintank=17},
	  	["12_2"]={charId=12,missionId=2,rewards={{name="exp",num=118463},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:334:1,17:334:2,18:334:3,18:334:4,16:334:5,16:334:6",maintank=16},
	  	["12_3"]={charId=12,missionId=3,rewards={{name="exp",num=118463},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:334:1,17:334:2,17:334:3,15:334:4,15:334:5,15:334:6",maintank=15},
	  	["12_4"]={charId=12,missionId=4,rewards={{name="exp",num=118463},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:346:1,15:346:2,15:346:3,16:346:4,19:346:5,18:346:6",maintank=19},
	  	["12_5"]={charId=12,missionId=5,rewards={{name="exp",num=126537},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="19:346:1,19:346:2,19:346:3,15:346:4,15:346:5,15:346:6",maintank=15},
	  	["12_6"]={charId=12,missionId=6,rewards={{name="exp",num=126537},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:346:1,18:346:2,19:346:3,13:346:4,14:346:5,15:346:6",maintank=14},
	  	["12_7"]={charId=12,missionId=7,rewards={{name="exp",num=126537},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:346:1,19:346:2,19:346:3,16:346:4,19:346:5,16:346:6",maintank=19},
	  	["12_8"]={charId=12,missionId=8,rewards={{name="exp",num=126537},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:358:1,19:358:2,19:358:3,18:358:4,15:358:5,15:358:6",maintank=15},
	  	["12_9"]={charId=12,missionId=9,rewards={{name="exp",num=134970},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="19:358:1,18:358:2,17:358:3,16:358:4,15:358:5,14:358:6",maintank=15},
	  	["12_10"]={charId=12,missionId=10,rewards={{name="exp",num=134970},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="19:358:1,19:358:2,19:358:3,19:358:4,16:358:5,16:358:6",maintank=16},
	  	["12_11"]={charId=12,missionId=11,rewards={{name="exp",num=134970},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:358:1,17:358:2,17:358:3,18:358:4,18:358:5,18:358:6",maintank=18},
	  	["12_12"]={charId=12,missionId=12,rewards={{name="exp",num=134970},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="19:370:1,19:370:2,19:370:3,19:370:4,19:370:5,19:370:6",maintank=19},
	  	["12_13"]={charId=12,missionId=13,rewards={{name="exp",num=143770},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:370:1,18:370:2,19:370:3,13:370:4,14:370:5,15:370:6",maintank=14},
	  	["12_14"]={charId=12,missionId=14,rewards={{name="exp",num=143770},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:370:1,17:370:2,17:370:3,13:370:4,13:370:5,13:370:6",maintank=13},
	  	["12_15"]={charId=12,missionId=15,rewards={{name="exp",num=143770},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:370:1,14:370:2,14:370:3,18:370:4,18:370:5,18:370:6",maintank=18},
	  	["12_16"]={charId=12,missionId=16,rewards={{name="exp",num=143770},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:383:1,18:383:2,19:383:3,20:360:4,20:360:5,17:383:6",maintank=20},
	  	["13_1"]={charId=13,missionId=1,rewards={{name="exp",num=141179},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:383:1,17:383:2,17:383:3,16:383:4,16:383:5,16:383:6",maintank=16},
	  	["13_2"]={charId=13,missionId=2,rewards={{name="exp",num=141179},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="18:383:1,18:383:2,18:383:3,13:383:4,13:383:5,13:383:6",maintank=13},
	  	["13_3"]={charId=13,missionId=3,rewards={{name="exp",num=141179},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="19:383:1,19:383:2,19:383:3,14:383:4,14:383:5,14:383:6",maintank=14},
	  	["13_4"]={charId=13,missionId=4,rewards={{name="exp",num=141179},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="16:396:1,16:396:2,16:396:3,20:396:4,20:396:5,20:396:6",maintank=20},
	  	["13_5"]={charId=13,missionId=5,rewards={{name="exp",num=150000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:396:1,17:396:2,18:396:3,18:396:4,16:396:5,16:396:6",maintank=16},
	  	["13_6"]={charId=13,missionId=6,rewards={{name="exp",num=150000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="14:396:1,14:396:2,19:396:3,19:396:4,20:396:5,20:396:6",maintank=20},
	  	["13_7"]={charId=13,missionId=7,rewards={{name="exp",num=150000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="15:396:1,15:396:2,18:396:3,18:396:4,18:396:5,18:396:6",maintank=18},
	  	["13_8"]={charId=13,missionId=8,rewards={{name="exp",num=150000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="13:409:1,17:409:2,17:409:3,18:409:4,18:409:5,18:409:6",maintank=18},
	  	["13_9"]={charId=13,missionId=9,rewards={{name="exp",num=159181},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:409:1,18:409:2,19:409:3,20:409:4,19:409:5,15:409:6",maintank=19},
	  	["13_10"]={charId=13,missionId=10,rewards={{name="exp",num=159181},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:409:1,17:409:2,19:409:3,18:409:4,18:409:5,14:409:6",maintank=18},
	  	["13_11"]={charId=13,missionId=11,rewards={{name="exp",num=159181},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:409:1,18:409:2,19:409:3,20:409:4,17:409:5,13:409:6",maintank=17},
	  	["13_12"]={charId=13,missionId=12,rewards={{name="exp",num=159181},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:422:1,18:422:2,19:422:3,20:422:4,20:422:5,20:422:6",maintank=20},
	  	["13_13"]={charId=13,missionId=13,rewards={{name="exp",num=168730},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="17:422:1,17:422:2,17:422:3,17:422:4,17:422:5,17:422:6",maintank=17},
	  	["13_14"]={charId=13,missionId=14,rewards={{name="exp",num=168730},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="18:422:1,18:422:2,18:422:3,18:422:4,18:422:5,18:422:6",maintank=18},
	  	["13_15"]={charId=13,missionId=15,rewards={{name="exp",num=168730},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="19:422:1,19:422:2,19:422:3,19:422:4,19:422:5,19:422:6",maintank=19},
	  	["13_16"]={charId=13,missionId=16,rewards={{name="exp",num=168730},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1",troops="20:436:1,20:436:2,20:436:3,20:436:4,20:436:5,20:436:6",maintank=20},
	  	["14_1"]={charId=14,missionId=1,rewards={{name="exp",num=163765},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="17:436:1,18:436:2,19:436:3,20:436:4,17:436:5,18:436:6",maintank=17},
	  	["14_2"]={charId=14,missionId=2,rewards={{name="exp",num=163765},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="17:436:1,17:436:2,17:436:3,19:436:4,19:436:5,19:436:6",maintank=19},
	  	["14_3"]={charId=14,missionId=3,rewards={{name="exp",num=163765},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="18:436:1,18:436:2,18:436:3,19:436:4,19:436:5,19:436:6",maintank=19},
	  	["14_4"]={charId=14,missionId=4,rewards={{name="exp",num=163765},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="20:450:1,20:450:2,20:450:3,17:450:4,18:450:5,19:450:6",maintank=18},
	  	["14_5"]={charId=14,missionId=5,rewards={{name="exp",num=173210},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="20:450:1,17:450:2,18:450:3,18:450:4,17:450:5,18:450:6",maintank=17},
	  	["14_6"]={charId=14,missionId=6,rewards={{name="exp",num=173210},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="19:450:1,19:450:2,19:450:3,19:450:4,19:450:5,19:450:6",maintank=19},
	  	["14_7"]={charId=14,missionId=7,rewards={{name="exp",num=173210},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="19:450:1,19:450:2,19:450:3,20:450:4,20:450:5,20:450:6",maintank=20},
	  	["14_8"]={charId=14,missionId=8,rewards={{name="exp",num=173210},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="17:464:1,17:464:2,17:464:3,20:464:4,21:464:5,20:464:6",maintank=21},
	  	["14_9"]={charId=14,missionId=9,rewards={{name="exp",num=183013},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="17:464:1,18:464:2,19:464:3,20:464:4,20:464:5,20:464:6",maintank=20},
	  	["14_10"]={charId=14,missionId=10,rewards={{name="exp",num=183013},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="17:464:1,17:464:2,17:464:3,17:464:4,21:464:5,17:464:6",maintank=21},
	  	["14_11"]={charId=14,missionId=11,rewards={{name="exp",num=183013},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="21:464:1,18:464:2,18:464:3,19:464:4,20:464:5,19:464:6",maintank=20},
	  	["14_12"]={charId=14,missionId=12,rewards={{name="exp",num=183013},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:478:1,21:478:2,20:478:3,20:478:4,21:478:5,19:478:6",maintank=21},
	  	["14_13"]={charId=14,missionId=13,rewards={{name="exp",num=193178},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="18:478:1,18:478:2,20:478:3,20:478:4,21:478:5,21:478:6",maintank=21},
	  	["14_14"]={charId=14,missionId=14,rewards={{name="exp",num=193178},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:478:1,20:478:2,20:478:3,18:478:4,19:478:5,21:478:6",maintank=19},
	  	["14_15"]={charId=14,missionId=15,rewards={{name="exp",num=193178},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="20:478:1,20:478:2,20:478:3,20:478:4,20:478:5,20:478:6",maintank=20},
	  	["14_16"]={charId=14,missionId=16,rewards={{name="exp",num=193178},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:493:1,21:493:2,18:493:3,20:493:4,22:493:5,19:493:6",maintank=22},
	  	["15_1"]={charId=15,missionId=1,rewards={{name="exp",num=185193},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="21:493:1,22:493:2,17:493:3,17:493:4,18:493:5,18:493:6",maintank=18},
	  	["15_2"]={charId=15,missionId=2,rewards={{name="exp",num=185193},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="22:493:1,22:493:2,21:493:3,19:493:4,19:493:5,19:493:6",maintank=19},
	  	["15_3"]={charId=15,missionId=3,rewards={{name="exp",num=185193},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:493:1,22:493:2,21:493:3,20:493:4,20:493:5,19:493:6",maintank=20},
	  	["15_4"]={charId=15,missionId=4,rewards={{name="exp",num=185193},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="22:508:1,22:508:2,21:508:3,20:508:4,20:508:5,19:508:6",maintank=20},
	  	["15_5"]={charId=15,missionId=5,rewards={{name="exp",num=195112},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:508:1,22:508:2,22:508:3,17:508:4,18:508:5,19:508:6",maintank=18},
	  	["15_6"]={charId=15,missionId=6,rewards={{name="exp",num=195112},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:508:1,21:508:2,21:508:3,17:508:4,17:508:5,17:508:6",maintank=21},
	  	["15_7"]={charId=15,missionId=7,rewards={{name="exp",num=195112},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:508:1,22:508:2,22:508:3,18:508:4,18:508:5,18:508:6",maintank=18},
	  	["15_8"]={charId=15,missionId=8,rewards={{name="exp",num=195112},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:523:1,21:523:2,21:523:3,21:523:4,21:523:5,21:523:6",maintank=21},
	  	["15_9"]={charId=15,missionId=9,rewards={{name="exp",num=205379},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="20:523:1,20:523:2,21:523:3,21:523:4,22:523:5,22:523:6",maintank=22},
	  	["15_10"]={charId=15,missionId=10,rewards={{name="exp",num=205379},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:523:1,22:523:2,19:523:3,19:523:4,21:523:5,21:523:6",maintank=21},
	  	["15_11"]={charId=15,missionId=11,rewards={{name="exp",num=205379},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:523:1,22:523:2,21:523:3,19:523:4,20:523:5,21:523:6",maintank=20},
	  	["15_12"]={charId=15,missionId=12,rewards={{name="exp",num=205379},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:538:1,21:538:2,22:538:3,19:538:4,20:538:5,22:538:6",maintank=20},
	  	["15_13"]={charId=15,missionId=13,rewards={{name="exp",num=216000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:538:1,22:538:2,22:538:3,21:538:4,19:538:5,21:538:6",maintank=19},
	  	["15_14"]={charId=15,missionId=14,rewards={{name="exp",num=216000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="19:538:1,21:538:2,21:538:3,21:538:4,21:538:5,21:538:6",maintank=21},
	  	["15_15"]={charId=15,missionId=15,rewards={{name="exp",num=216000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="19:538:1,22:538:2,22:538:3,22:538:4,22:538:5,22:538:6",maintank=22},
	  	["15_16"]={charId=15,missionId=16,rewards={{name="exp",num=216000},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="22:554:1,22:554:2,22:554:3,21:554:4,23:554:5,21:554:6",maintank=23},
	  	["16_1"]={charId=16,missionId=1,rewards={{name="exp",num=204283},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="21:554:1,22:554:2,23:554:3,21:554:4,22:554:5,20:554:6",maintank=22},
	  	["16_2"]={charId=16,missionId=2,rewards={{name="exp",num=204283},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:554:1,22:554:2,23:554:3,21:554:4,22:554:5,20:554:6",maintank=22},
	  	["16_3"]={charId=16,missionId=3,rewards={{name="exp",num=204283},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:554:1,22:554:2,22:554:3,23:554:4,19:554:5,23:554:6",maintank=19},
	  	["16_4"]={charId=16,missionId=4,rewards={{name="exp",num=204283},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:570:1,22:570:2,23:570:3,21:570:4,23:570:5,22:570:6",maintank=23},
	  	["16_5"]={charId=16,missionId=5,rewards={{name="exp",num=214495},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="21:570:1,21:570:2,21:570:3,21:570:4,21:570:5,21:570:6",maintank=21},
	  	["16_6"]={charId=16,missionId=6,rewards={{name="exp",num=214495},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="23:570:1,23:570:2,21:570:3,21:570:4,22:570:5,22:570:6",maintank=22},
	  	["16_7"]={charId=16,missionId=7,rewards={{name="exp",num=214495},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="23:570:1,23:570:2,23:570:3,21:570:4,21:570:5,21:570:6",maintank=21},
	  	["16_8"]={charId=16,missionId=8,rewards={{name="exp",num=214495},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:586:1,21:586:2,23:586:3,23:586:4,22:586:5,22:586:6",maintank=22},
	  	["16_9"]={charId=16,missionId=9,rewards={{name="exp",num=225042},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="21:586:1,21:586:2,21:586:3,22:586:4,22:586:5,22:586:6",maintank=22},
	  	["16_10"]={charId=16,missionId=10,rewards={{name="exp",num=225042},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="23:586:1,23:586:2,23:586:3,21:586:4,21:586:5,21:586:6",maintank=21},
	  	["16_11"]={charId=16,missionId=11,rewards={{name="exp",num=225042},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:586:1,22:586:2,22:586:3,23:586:4,23:586:5,23:586:6",maintank=23},
	  	["16_12"]={charId=16,missionId=12,rewards={{name="exp",num=225042},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:602:1,21:602:2,22:602:3,22:602:4,23:602:5,23:602:6",maintank=23},
	  	["16_13"]={charId=16,missionId=13,rewards={{name="exp",num=235930},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="21:602:1,21:602:2,21:602:3,21:602:4,21:602:5,21:602:6",maintank=21},
	  	["16_14"]={charId=16,missionId=14,rewards={{name="exp",num=235930},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="22:602:1,22:602:2,22:602:3,22:602:4,22:602:5,22:602:6",maintank=22},
	  	["16_15"]={charId=16,missionId=15,rewards={{name="exp",num=235930},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="23:602:1,23:602:2,23:602:3,23:602:4,23:602:5,23:602:6",maintank=23},
	  	["16_16"]={charId=16,missionId=16,rewards={{name="exp",num=235930},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:619:1,22:619:2,23:619:3,21:619:4,24:619:5,21:619:6",maintank=24},
	  	["17_1"]={charId=17,missionId=1,rewards={{name="exp",num=219700},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="21:619:1,21:619:2,21:619:3,24:619:4,24:619:5,24:619:6",maintank=24},
	  	["17_2"]={charId=17,missionId=2,rewards={{name="exp",num=219700},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="22:619:1,22:619:2,22:619:3,24:619:4,21:619:5,23:619:6",maintank=21},
	  	["17_3"]={charId=17,missionId=3,rewards={{name="exp",num=219700},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="23:619:1,23:619:2,24:619:3,24:619:4,23:619:5,23:619:6",maintank=23},
	  	["17_4"]={charId=17,missionId=4,rewards={{name="exp",num=219700},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="21:636:1,21:636:2,22:636:3,23:636:4,25:636:5,24:636:6",maintank=25},
	  	["17_5"]={charId=17,missionId=5,rewards={{name="exp",num=229997},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:636:1,23:636:2,24:636:3,25:636:4,21:636:5,21:636:6",maintank=21},
	  	["17_6"]={charId=17,missionId=6,rewards={{name="exp",num=229997},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="22:636:1,22:636:2,25:636:3,24:636:4,24:636:5,24:636:6",maintank=24},
	  	["17_7"]={charId=17,missionId=7,rewards={{name="exp",num=229997},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="21:636:1,25:636:2,23:636:3,23:636:4,23:636:5,23:636:6",maintank=23},
	  	["17_8"]={charId=17,missionId=8,rewards={{name="exp",num=229997},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:653:1,25:653:2,21:653:3,22:653:4,22:653:5,22:653:6",maintank=22},
	  	["17_9"]={charId=17,missionId=9,rewards={{name="exp",num=240610},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:653:1,25:653:2,21:653:3,24:653:4,24:653:5,24:653:6",maintank=24},
	  	["17_10"]={charId=17,missionId=10,rewards={{name="exp",num=240610},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:653:1,25:653:2,23:653:3,23:653:4,22:653:5,22:653:6",maintank=22},
	  	["17_11"]={charId=17,missionId=11,rewards={{name="exp",num=240610},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:653:1,24:653:2,23:653:3,22:653:4,25:653:5,24:653:6",maintank=25},
	  	["17_12"]={charId=17,missionId=12,rewards={{name="exp",num=240610},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:670:1,25:670:2,25:670:3,21:670:4,21:670:5,21:670:6",maintank=21},
	  	["17_13"]={charId=17,missionId=13,rewards={{name="exp",num=251546},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="22:670:1,22:670:2,25:670:3,25:670:4,23:670:5,23:670:6",maintank=23},
	  	["17_14"]={charId=17,missionId=14,rewards={{name="exp",num=251546},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="24:670:1,24:670:2,24:670:3,24:670:4,24:670:5,24:670:6",maintank=24},
	  	["17_15"]={charId=17,missionId=15,rewards={{name="exp",num=251546},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:670:1,25:670:2,25:670:3,24:670:4,24:670:5,24:670:6",maintank=24},
	  	["17_16"]={charId=17,missionId=16,rewards={{name="exp",num=251546},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:688:1,25:688:2,23:688:3,23:688:4,26:688:5,24:688:6",maintank=25},
	  	["18_1"]={charId=18,missionId=1,rewards={{name="exp",num=229956},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:688:1,25:688:2,25:688:3,23:688:4,23:688:5,23:688:6",maintank=25},
	  	["18_2"]={charId=18,missionId=2,rewards={{name="exp",num=229956},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="26:688:1,26:688:2,24:688:3,24:688:4,24:688:5,24:688:6",maintank=29},
	  	["18_3"]={charId=18,missionId=3,rewards={{name="exp",num=229956},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="26:688:1,26:688:2,26:688:3,22:688:4,22:688:5,22:688:6",maintank=29},
	  	["18_4"]={charId=18,missionId=4,rewards={{name="exp",num=229956},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:688:1,25:688:2,26:688:3,22:688:4,23:688:5,23:688:6",maintank=25},
	  	["18_5"]={charId=18,missionId=5,rewards={{name="exp",num=240100},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:706:1,25:706:2,25:706:3,21:706:4,21:706:5,24:706:6",maintank=25},
	  	["18_6"]={charId=18,missionId=6,rewards={{name="exp",num=240100},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:706:1,21:706:2,26:706:3,22:706:4,25:706:5,21:706:6",maintank=21},
	  	["18_7"]={charId=18,missionId=7,rewards={{name="exp",num=240100},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="24:706:1,24:706:2,24:706:3,26:706:4,26:706:5,26:706:6",maintank=24},
	  	["18_8"]={charId=18,missionId=8,rewards={{name="exp",num=240100},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:724:1,25:724:2,24:724:3,26:724:4,25:724:5,21:724:6",maintank=25},
	  	["18_9"]={charId=18,missionId=9,rewards={{name="exp",num=250538},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:724:1,25:724:2,26:724:3,26:724:4,27:724:5,24:724:6",maintank=25},
	  	["18_10"]={charId=18,missionId=10,rewards={{name="exp",num=250538},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="27:724:1,27:724:2,27:724:3,23:724:4,23:724:5,23:724:6",maintank=27},
	  	["18_11"]={charId=18,missionId=11,rewards={{name="exp",num=250538},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:724:1,25:724:2,25:724:3,21:724:4,21:724:5,21:724:6",maintank=25},
	  	["18_12"]={charId=18,missionId=12,rewards={{name="exp",num=250538},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="26:742:1,26:742:2,26:742:3,24:742:4,24:742:5,24:742:6",maintank=24},
	  	["18_13"]={charId=18,missionId=13,rewards={{name="exp",num=261274},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:742:1,25:742:2,26:742:3,26:742:4,23:742:5,23:742:6",maintank=27},
	  	["18_14"]={charId=18,missionId=14,rewards={{name="exp",num=261274},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="27:742:1,27:742:2,27:742:3,27:742:4,24:742:5,24:742:6",maintank=24},
	  	["18_15"]={charId=18,missionId=15,rewards={{name="exp",num=261274},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="26:742:1,26:742:2,25:742:3,25:742:4,23:742:5,23:742:6",maintank=27},
	  	["18_16"]={charId=18,missionId=16,rewards={{name="exp",num=261274},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:761:1,25:761:2,25:761:3,24:761:4,28:761:5,24:761:6",maintank=28},
	  	["19_1"]={charId=19,missionId=1,rewards={{name="exp",num=233410},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="26:761:1,26:761:2,26:761:3,24:761:4,28:761:5,28:761:6",maintank=28},
	  	["19_2"]={charId=19,missionId=2,rewards={{name="exp",num=233410},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="27:761:1,27:761:2,28:761:3,28:761:4,25:761:5,22:761:6",maintank=25},
	  	["19_3"]={charId=19,missionId=3,rewards={{name="exp",num=233410},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="24:761:1,25:761:2,25:761:3,25:761:4,26:761:5,26:761:6",maintank=26},
	  	["19_4"]={charId=19,missionId=4,rewards={{name="exp",num=233410},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:780:1,25:780:2,26:780:3,26:780:4,28:780:5,28:780:6",maintank=28},
	  	["19_5"]={charId=19,missionId=5,rewards={{name="exp",num=243134},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:780:1,26:780:2,27:780:3,25:780:4,26:780:5,27:780:6",maintank=26},
	  	["19_6"]={charId=19,missionId=6,rewards={{name="exp",num=243134},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:780:1,25:780:2,25:780:3,25:780:4,25:780:5,25:780:6",maintank=25},
	  	["19_7"]={charId=19,missionId=7,rewards={{name="exp",num=243134},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:780:1,25:780:2,25:780:3,28:780:4,28:780:5,28:780:6",maintank=28},
	  	["19_8"]={charId=19,missionId=8,rewards={{name="exp",num=243134},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="26:799:1,26:799:2,25:799:3,25:799:4,27:799:5,27:799:6",maintank=27},
	  	["19_9"]={charId=19,missionId=9,rewards={{name="exp",num=253125},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="27:799:1,27:799:2,27:799:3,25:799:4,25:799:5,25:799:6",maintank=25},
	  	["19_10"]={charId=19,missionId=10,rewards={{name="exp",num=253125},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:799:1,25:799:2,25:799:3,25:799:4,25:799:5,25:799:6",maintank=25},
	  	["19_11"]={charId=19,missionId=11,rewards={{name="exp",num=253125},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="26:799:1,26:799:2,26:799:3,26:799:4,26:799:5,26:799:6",maintank=26},
	  	["19_12"]={charId=19,missionId=12,rewards={{name="exp",num=253125},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="28:818:1,28:818:2,28:818:3,28:818:4,28:818:5,28:818:6",maintank=28},
	  	["19_13"]={charId=19,missionId=13,rewards={{name="exp",num=263386},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:818:1,25:818:2,26:818:3,26:818:4,27:818:5,27:818:6",maintank=27},
	  	["19_14"]={charId=19,missionId=14,rewards={{name="exp",num=263386},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="26:818:1,26:818:2,27:818:3,27:818:4,28:818:5,28:818:6",maintank=28},
	  	["19_15"]={charId=19,missionId=15,rewards={{name="exp",num=263386},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:818:1,25:818:2,25:818:3,28:818:4,28:818:5,28:818:6",maintank=28},
	  	["19_16"]={charId=19,missionId=16,rewards={{name="exp",num=263386},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:838:1,26:838:2,27:838:3,28:838:4,29:838:5,25:838:6",maintank=29},
	  	["20_1"]={charId=20,missionId=1,rewards={{name="exp",num=251093},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:838:1,25:838:2,25:838:3,27:838:4,27:838:5,27:838:6",maintank=27},
	  	["20_2"]={charId=20,missionId=2,rewards={{name="exp",num=251093},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="26:838:1,26:838:2,28:838:3,28:838:4,29:838:5,25:838:6",maintank=29},
	  	["20_3"]={charId=20,missionId=3,rewards={{name="exp",num=251093},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="27:838:1,27:838:2,27:838:3,27:838:4,27:838:5,27:838:6",maintank=27},
	  	["20_4"]={charId=20,missionId=4,rewards={{name="exp",num=251093},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="26:858:1,26:858:2,26:858:3,25:858:4,29:858:5,29:858:6",maintank=29},
	  	["20_5"]={charId=20,missionId=5,rewards={{name="exp",num=261004},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="25:858:1,25:858:2,25:858:3,25:858:4,29:858:5,29:858:6",maintank=29},
	  	["20_6"]={charId=20,missionId=6,rewards={{name="exp",num=261004},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="28:858:1,28:858:2,28:858:3,26:858:4,29:858:5,27:858:6",maintank=29},
	  	["20_7"]={charId=20,missionId=7,rewards={{name="exp",num=261004},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="28:858:1,28:858:2,28:858:3,28:858:4,28:858:5,28:858:6",maintank=28},
	  	["20_8"]={charId=20,missionId=8,rewards={{name="exp",num=261004},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:878:1,26:878:2,27:878:3,29:878:4,30:878:5,28:878:6",maintank=30},
	  	["20_9"]={charId=20,missionId=9,rewards={{name="exp",num=271171},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="30:878:1,30:878:2,25:878:3,25:878:4,27:878:5,27:878:6",maintank=27},
	  	["20_10"]={charId=20,missionId=10,rewards={{name="exp",num=271171},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="29:878:1,29:878:2,25:878:3,28:878:4,28:878:5,28:878:6",maintank=28},
	  	["20_11"]={charId=20,missionId=11,rewards={{name="exp",num=271171},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:878:1,29:878:2,25:878:3,26:878:4,26:878:5,26:878:6",maintank=26},
	  	["20_12"]={charId=20,missionId=12,rewards={{name="exp",num=271171},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="25:898:1,25:898:2,25:898:3,31:898:4,31:898:5,27:898:6",maintank=31},
	  	["20_13"]={charId=20,missionId=13,rewards={{name="exp",num=281600},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:898:1,29:898:2,29:898:3,28:898:4,28:898:5,28:898:6",maintank=28},
	  	["20_14"]={charId=20,missionId=14,rewards={{name="exp",num=281600},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="30:898:1,30:898:2,30:898:3,25:898:4,25:898:5,25:898:6",maintank=25},
	  	["20_15"]={charId=20,missionId=15,rewards={{name="exp",num=281600},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="31:898:1,31:898:2,31:898:3,25:898:4,26:898:5,28:898:6",maintank=26},
	  	["20_16"]={charId=20,missionId=16,rewards={{name="exp",num=281600},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="29:919:1,29:919:2,30:919:3,30:919:4,32:919:5,27:919:6",maintank=32},
	  	["21_1"]={charId=21,missionId=1,rewards={{name="exp",num=265721},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:919:1,29:919:2,29:919:3,30:919:4,30:919:5,28:919:6",maintank=30},
	  	["21_2"]={charId=21,missionId=2,rewards={{name="exp",num=265721},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="32:919:1,32:919:2,30:919:3,30:919:4,31:919:5,25:919:6",maintank=31},
	  	["21_3"]={charId=21,missionId=3,rewards={{name="exp",num=265721},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="32:919:1,32:919:2,32:919:3,32:919:4,32:919:5,28:919:6",maintank=32},
	  	["21_4"]={charId=21,missionId=4,rewards={{name="exp",num=265721},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="29:930:1,30:930:2,31:930:3,32:930:4,32:930:5,28:930:6",maintank=32},
	  	["21_5"]={charId=21,missionId=5,rewards={{name="exp",num=275684},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:930:1,29:930:2,29:930:3,29:930:4,29:930:5,25:930:6",maintank=29},
	  	["21_6"]={charId=21,missionId=6,rewards={{name="exp",num=275684},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="30:930:1,30:930:2,30:930:3,30:930:4,30:930:5,26:930:6",maintank=30},
	  	["21_7"]={charId=21,missionId=7,rewards={{name="exp",num=275684},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="31:930:1,31:930:2,31:930:3,31:930:4,31:930:5,27:930:6",maintank=31},
	  	["21_8"]={charId=21,missionId=8,rewards={{name="exp",num=275684},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="32:951:1,32:951:2,32:951:3,32:951:4,32:951:5,32:951:6",maintank=32},
	  	["21_9"]={charId=21,missionId=9,rewards={{name="exp",num=285894},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:951:1,29:951:2,30:951:3,30:951:4,31:951:5,31:951:6",maintank=31},
	  	["21_10"]={charId=21,missionId=10,rewards={{name="exp",num=285894},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="30:951:1,30:951:2,31:951:3,31:951:4,32:951:5,32:951:6",maintank=32},
	  	["21_11"]={charId=21,missionId=11,rewards={{name="exp",num=285894},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:951:1,29:951:2,32:951:3,32:951:4,31:951:5,31:951:6",maintank=31},
	  	["21_12"]={charId=21,missionId=12,rewards={{name="exp",num=285894},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="29:972:1,29:972:2,29:972:3,30:972:4,30:972:5,30:972:6",maintank=30},
	  	["21_13"]={charId=21,missionId=13,rewards={{name="exp",num=296352},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:972:1,29:972:2,29:972:3,32:972:4,32:972:5,32:972:6",maintank=32},
	  	["21_14"]={charId=21,missionId=14,rewards={{name="exp",num=296352},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="30:972:1,30:972:2,30:972:3,31:972:4,31:972:5,31:972:6",maintank=31},
	  	["21_15"]={charId=21,missionId=15,rewards={{name="exp",num=296352},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:28_coe:0.05,id:29_coe:0.05",troops="29:972:1,30:972:2,31:972:3,32:972:4,32:972:5,32:972:6",maintank=32},
	  	["21_16"]={charId=21,missionId=16,rewards={{name="exp",num=296352},{name="prestige",num=5}},coeRewards="id:42_coe:0.2,id:67_coe:0.1,id:30_coe:0.05,id:31_coe:0.05",troops="32:1000:1,32:1000:2,32:1000:3,29:1000:4,30:1000:5,31:1000:6",maintank=30},
}
return pve_mission
