
local LoginScene = class("LoginScene", function()
    return display.newScene("LoginScene")
end)

function LoginScene:ctor(autoLogin)
    Common:initBackKey(self)
    self.autoLogin = autoLogin
    
    local GameSetView = require("src/app/views/system/GameSetView")
    GameSetView:defaultSet() --启动游戏需要启动当前的设置
end

function LoginScene:onEnter()
    local LogoView = require("src/app/views/login/LogoView")
    LogoView:open(self,self.autoLogin)
    RegisterCleanUp:handle() --清理缓存，注册的都会清除

    MyAudio:PlayBgMusic("music/login.mp3")
    
    
--    local TroopsView = require("src/app/views/troops/TroopsView")
--    TroopsView:open(self,1)
--    local ScienceCenterView = require("src/app/views/study/ScienceCenterView")
--    ScienceCenterView:open(self)
--    local AccessoriesView = require("src/app/views/accessories/AccessoriesView")
--    AccessoriesView:open(self)
--    local CreateRoleView = require("src/app/views/login/CreateRoleView")
--    CreateRoleView:open(self,function(data) 
--        
--    end)
end

function LoginScene:onExit()
end

return LoginScene