
-- 服务器发送的奖励数据包，转化成数组
local RewardToVector = {}
local ResourceIconCfg = require("src/app/cfg/ResourceIconCfg")
local AlchemylabIcon = require("src/app/cfg/AlchemylabIcon")
local WealthKey = {"gold","wood","stone","crystal"}

--类似{gold=2,wood=3,stone=4,crystal=5,items={}}
function RewardToVector:tempByType1(_t)
    local copy = {}
    for index,key in ipairs(WealthKey) do
        local count = _t[key]
        if count and count>=0 then
            table.insert(copy,{icon=ResourceIconCfg[index],count=count})
        end
    end
    local items = _t.items
    if items then
        for _,item in ipairs(items) do
            table.insert(copy,{id=item.baseId,icon=AlchemylabIcon[item.baseId],count=item.num})
        end
    end
    return copy
end

return RewardToVector