

preLoad = {}


local Scheduler = cc.Director:getInstance():getScheduler()

local taskPanelPreLoadNum = 50




function preLoad:registerPreLoad()
	
end


local registerPreLoad = {
    TaskModel = {csbName = "res/csd/public/TaskModel.csb",cloneObjectsName = "Panel_1",maxNum = 10},
    daytask = {csbName = "res/csd/mission/ui_mission_main.csb",cloneObjectsName = "panel_daily,panel_daily",maxNum = 20},
    
    --坦克生产
    buildtank = {csbName = "res/csd/public/ProduceItem.csb",cloneObjectsName = "content",maxNum = 1},
    
    bagItem = {csbName = "res/csd/public/BagAndStore.csb",cloneObjectsName = "Image_BagItemModel",maxNum = 10},
    storeItem = {csbName = "res/csd/public/BagAndStore.csb",cloneObjectsName = "Image_StoreItemModel",maxNum = 16},
    
    --vip礼包
    vipPkg = {csbName = "res/csd/vip/ui_vip_main.csb",cloneObjectsName = "panel_vip_package",maxNum = 10},
    --军团商店
    ArmyGroupStoreItem = {csbName = "res/csd/army_group/ui_army_group_store.csb",cloneObjectsName = "panel_tmpitem",maxNum = 20},
    
    --信息界面建筑 
    PlayerInfoBuilder = {csbName = "res/csd/public/BuilderInfo.csb",cloneObjectsName = "Panel_1",maxNum = 30},
    
    --军衔
    PlayerInfoMilitary = {csbName = "res/csd/public/Military.csb",cloneObjectsName = "Panel_1",maxNum = 20},
    
    --技能
    PlayerInfoSkill = {csbName = "res/csd/public/PlayerOneSkill.csb",cloneObjectsName = "Panel_1",maxNum = 12},
    
    --小关卡
    CharInfo = {csbName = "res/csd/public/Chapters_Info.csb",cloneObjectsName = "Panel_Item",maxNum = 16},
    
    --军团列表
    ArmyGroupListItem = {csbName = "csd/army_group/ui_army_group_main.csb",cloneObjectsName = "panel_group_list,panel_attack_other",maxNum = 10},
    
    
    --世界地图
    mapTile = {csbName = "csd/world/ui_world_main.csb",cloneObjectsName = "panel_building",maxNum = 20},
    
    --建筑资源item
    BuildingResItem = {csbName = "res/csd/public/ResNeedItem.csb",cloneObjectsName = "content",maxNum = 5},
}










function preLoad:updateRelese(delta)
    
    for key, var in pairs(registerPreLoad) do


        for key1, var1 in pairs(var.usedObjects) do
            if var1:getReferenceCount() == 1 then
                if var1.onrelease ~= nil then
                    var1.onrelease()
                    var1.onrelease = nil
                end
                var.usedObjects[key1] = nil
                table.insert(var.cloneObjects,1,var1)
                print("------huishou1 "..var.csbName.."----have:"..#(var.cloneObjects))
            end
        end


    end

end



function preLoad:start(onProgress,onComplete)

    
    preLoad:init()
    preLoad:load(onProgress,onComplete)
    
    self.updateReleseScheduler = Scheduler:scheduleScriptFunc(self.updateRelese, 0, false)
end

function preLoad:load(onProgress,onComplete)
    local totleNum = 0
    for key, var in pairs(registerPreLoad) do
        totleNum = totleNum + var.maxNum
    end
    

    local function updateScheduler(delta)
    
        local lastTime = require("socket").gettime()
        
        local curNum = 0
    
        for key, var in pairs(registerPreLoad) do
            
            
            
            if #var.cloneObjects < var.maxNum then
                
                
                local copynum = var.maxNum-#var.cloneObjects
                
                
                local isover = false
                for var1=1,copynum  do
                    local panel = var.templateObject:clone()
                    panel:retain()
                    table.insert(var.cloneObjects,1,panel)
                    
                    local curtime = require("socket").gettime()
                    if curtime-lastTime > 0.03 then
                        --print("---tt:"..var1)
                        curNum = curNum + #var.cloneObjects
                        isover = true
                        break
                    end
                    
                end
                if isover == false then
                    --print("---dd:"..var.maxNum)
                    curNum = curNum + var.maxNum
                else
                    break
                end
                
            else
                --print("---aa:"..var.maxNum)
                curNum = curNum + var.maxNum
            end
        end
        
        --print("---curnum:"..curNum.."----totleNum:"..totleNum)
        local jindu = math.floor(curNum/totleNum*100)
        if onProgress ~= nil then
            onProgress(jindu )
        end
        if jindu >= 100 then
            if onComplete ~= nil then
                onComplete()
            end
            
            Scheduler:unscheduleScriptEntry(preLoad.updateScheduler)
            preLoad:complete()
            
        end
        
    
    end
    
    preLoad.updateScheduler = Scheduler:scheduleScriptFunc(updateScheduler, 0.1, false)
    
    
    
    
end

function preLoad:complete()
    
    
    
    
    require("src/app/views/buildings/TankFactory"):preload()


    require("src/app/views/mission/Mission.lua"):preLoad()
    
    require("src/app/views/armygroup/ArmyGroupMain"):preload()
    
    for key, var in pairs(registerPreLoad) do
        var.csb:release()
    end
    
end



function preLoad:init()


    for key, var in pairs(registerPreLoad) do
    	var.csb = CCUILoader:load(var.csbName)
    	var.csb:retain()
    	
        var.templateObject = var.csb
        local t = StringTemp:Split(var.cloneObjectsName,",")
        for key1, var1 in pairs(t) do
            var.templateObject = var.templateObject:getChildByName(var1)
        end
        var.templateObject:retain()
    	
    	
    	var.cloneObjects = {}
    	var.usedObjects = {}
    end

--     --加载图片
--     for k,v in pairs(Tank) do
--         cc.Director:getInstance():getTextureCache():addImageAsync(v.icon,function()end)
--         local arr = string.split(v.anim_bullet,";")
--         if arr[1] ~= "" and arr[1] ~= "0" then
--             cc.Director:getInstance():getTextureCache():addImageAsync(arr[1].."/texture.png",function()end)
--         end
--         arr = string.split(v.anim_hit,";")
--         if arr[1] ~= "" and arr[1] ~= "0" then
--             cc.Director:getInstance():getTextureCache():addImageAsync(arr[1].."/texture.png",function()end)
--         end
--         arr = string.split(v.anim_fire,";")
--         if arr[1] ~= "" and arr[1] ~= "0" then
--             cc.Director:getInstance():getTextureCache():addImageAsync(arr[1].."/texture.png",function()end)
--         end
--         arr = string.split(v.anim_shell,";")
--         if arr[1] ~= "" and arr[1] ~= "0" then
--             cc.Director:getInstance():getTextureCache():addImageAsync(arr[1].."/texture.png",function()end)
--         end
--     end
--     cc.Director:getInstance():getTextureCache():addImageAsync("res/art/tankdie/texture.png",function()end)
--     cc.Director:getInstance():getTextureCache():addImageAsync("res/art/effect/defbroke1/texture.png",function()end)
--     cc.Director:getInstance():getTextureCache():addImageAsync("res/art/effect/defbroke2/texture.png",function()end)
--     cc.Director:getInstance():getTextureCache():addImageAsync("res/art/effect/smoke/texture.png",function()end)
--     cc.Director:getInstance():getTextureCache():addImageAsync("res/art/effect/hole/texture.png",function()end)
--     cc.Director:getInstance():getTextureCache():addImageAsync("res/pic/common/text/number/num01/num_60.png",function()end)
--     cc.Director:getInstance():getTextureCache():addImageAsync("res/pic/battle/icon/icon_MISS.png",function()end)
-- --    cc.Director:getInstance():getTextureCache():addImageAsync("art/UI/battle/star01/texture.png",function()end)
-- --    cc.Director:getInstance():getTextureCache():addImageAsync("art/UI/battle/star02/texture.png",function()end)
-- --    cc.Director:getInstance():getTextureCache():addImageAsync("art/UI/battle/star03/texture.png",function()end)
--     cc.Director:getInstance():getTextureCache():addImageAsync("art/UI/battle/star/texture.png",function()end)

    preLoad.relese = {}
    
end





function preLoad:getPanel(typeName)

    local var = registerPreLoad[typeName]
    if var == nil then
    	return nil
    end



    if #(var.cloneObjects) == 0 then
        print("------no new "..typeName.."-----")
        
        --var.csb = CCUILoader:load(var.csbName)
        
        
        
        local panel = var.templateObject:clone()
        panel:retain()
        table.insert(var.usedObjects,1,panel)
        
        return panel
    else
        print("------use "..typeName.."----have:"..#(var.cloneObjects))
        local panel = var.cloneObjects[1]
        table.remove(var.cloneObjects,1)
        table.insert(var.usedObjects,1,panel)
        --panel:autorelease()
        return panel
    end

end



return preLoad