
showShader = {}
--变灰
function showShader:toGray(node)
    if node.isshowShaderGray == nil then
        local program = cc.GLProgram:createWithFilenames("shader/gray.vert","shader/gray.frag")
        local pstate = cc.GLProgramState:create(program)
        node:setGLProgramState(pstate)
        node.isshowShaderGray = true
        node.isshowShaderNormal = nil
    end
    
end

--变正常
function showShader:toNormal(node)
    if node.isshowShaderNormal == nil then
        local nprogram = cc.GLProgram:createWithFilenames("shader/gray.vert","shader/normal.frag")
        local npstate = cc.GLProgramState:create(nprogram)
        node:setGLProgramState(npstate)
        node.isshowShaderGray = nil
        node.isshowShaderNormal = true
    end
    
end



--变灰
function showShader:AlltoGray(node)
    showShader:toGray(node)
    local children = node:getChildren()
    for key, var in pairs(children) do
        showShader:AlltoGray(var)
    end
end

--变正常
function showShader:AlltoNormal(node)
    showShader:toNormal(node)
    local children = node:getChildren()
    for key, var in pairs(children) do
        showShader:AlltoNormal(var)
    end
end

--设置所有子节点是否显示
function showShader:showAllChildren(node, isshow )
    -- body
    local children = node:getChildren()
    for key, var in pairs(children) do
        node:setVisible(isshow)
    end
end



-- 按钮变灰
function showShader:buttonToGray(btn)
    btn:setBright(false)
    self:toGray(btn:getVirtualRenderer())
    btn:setBright(true)
end

return showShader