
local socket = require "socket"
local Scheduler = cc.Director:getInstance():getScheduler()
local MySelfInfo = require("src/app/views/Field/MySelfInfo")
local ElsePersonInfo = require("src/app/views/Field/ElsePersonInfo")
local ResourceInfo = require("src/app/views/Field/ResourceInfo")
local CollectionInfo = require("src/app/views/Field/CollectionInfo")
Field = class("Field",function()
    return display.newLayer()
end)








--g_shaokuang = true






--起始高度， 地图0，0坐标离屏幕下方的高度
g_StartHeight = 100

--边缘
g_EdgeX = 0
g_EdgeY = 0

--格子数
g_GridX = 400
g_GridY = 400

--格子宽高
g_GridWidth = 160
g_GridHeight = 120

--背景图宽高
g_JpgWidth = 960
g_JpgHeight = 360

--格子离左下角偏移
g_GridOffsetX = 2
g_GridOffsetY = 4


--点击间隔时间
g_ClickTime = 0.2
--移动地图后 获取数据间隔时间
g_MoveTime = 0.5

--
gField = nil

--处理信息显示
function Field:doShowInfo()
    if self.showInfo == false then
        for key, var in pairs(self.resData) do
        
            local resItem = self.res:getChildByName("panel_building"..var.id)
            if resItem ~= nil then
                resItem:getChildByName("icon_building"):getChildByName("panel_lv"):setOpacity(0)
                resItem:getChildByName("icon_building"):getChildByName("panel_lv"):getChildByName("text_lv"):setOpacity(0)

                resItem:getChildByName("icon_building"):getChildByName("panel_name"):setOpacity(0)
                resItem:getChildByName("icon_building"):getChildByName("panel_name"):getChildByName("text_name"):setOpacity(0)
                resItem:getChildByName("icon_building"):getChildByName("icon_basement"):setOpacity(0)

                resItem:getChildByName("icon_building"):getChildByName("icon_flag"):setOpacity(0)
            end
            
            
            

        end
    else
        for key, var in pairs(self.resData) do

            local resItem = self.res:getChildByName("panel_building"..var.id)
            if resItem ~= nil then
                resItem:getChildByName("icon_building"):getChildByName("panel_lv"):setOpacity(255)
                resItem:getChildByName("icon_building"):getChildByName("panel_lv"):getChildByName("text_lv"):setOpacity(255)

                resItem:getChildByName("icon_building"):getChildByName("panel_name"):setOpacity(255)
                resItem:getChildByName("icon_building"):getChildByName("panel_name"):getChildByName("text_name"):setOpacity(255)
                resItem:getChildByName("icon_building"):getChildByName("icon_basement"):setOpacity(255)

                resItem:getChildByName("icon_building"):getChildByName("icon_flag"):setOpacity(255)
            end




        end
    end
end


--界面顶部功能
function Field:InitTopUi()
    
    
    --定位
    local localPosition = self.csb:getChildByName("panel_world_header"):getChildByName("panel_header"):getChildByName("btn_position")
    localPosition:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            ManyDialogInfo:caidanKey(1)
            self.isFirstPos = true
            self:getData(true)
            --ManyDialogInfo:caidan1()
        end
    end)
    
    --收藏夹CollectionInfo
    local colloction = self.csb:getChildByName("panel_world_header"):getChildByName("panel_header"):getChildByName("btn_favorite")
    colloction:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            ManyDialogInfo:caidanKey(2)
        
            Connect:sendMsg("WorldAction","collectWorldInfo",nil,
                function(data)
                    --更新数据
                    local temp = CollectionInfo.new(data)
                    gWorldScene:addChild(temp)
                end)
        
            --self
        end
    end)
    
    
    --信息
    local localPosition = self.csb:getChildByName("panel_world_header"):getChildByName("panel_header"):getChildByName("btn_info")
    localPosition:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            ManyDialogInfo:caidanKey(3)
        
            self.showInfo = not self.showInfo
            self:doShowInfo()
        end
    end)
    
    
    --搜索X坐标
    self.textfieldX = self.csb:getChildByName("panel_world_header"):getChildByName("panel_header"):getChildByName("textField_X")
    self.textfieldX:addEventListener(function(e, t)
        if t == ccui.TextFiledEventType.insert_text then
            local n = tonumber(self.textfieldX:getString())
            if n then
            -- n就是得到数字
                if n < 0 or n > g_GridX then
                    self.textfieldX:setString("0")
                end
            else
            -- 转数字失败,不是数字, 这时n == nil
                self.textfieldX:setString("0")
            end
        end
    end)
    --搜索Y坐标
    self.textfieldY = self.csb:getChildByName("panel_world_header"):getChildByName("panel_header"):getChildByName("textfield_Y")
    self.textfieldY:addEventListener(function(e, t)
        if t == ccui.TextFiledEventType.insert_text then
            local n = tonumber(self.textfieldY:getString())
            if n then
                -- n就是得到数字
                if n < 0 or n > g_GridY then 
                    self.textfieldY:setString("0")
                end
            else
                -- 转数字失败,不是数字, 这时n == nil
                self.textfieldY:setString("0")
            end
        end
    end)
    
    --点击搜索
    local Search = self.csb:getChildByName("panel_world_header"):getChildByName("panel_header"):getChildByName("btn_search")
    Search:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local x = tonumber(self.textfieldX:getString())
            local y = tonumber(self.textfieldY:getString())
            
            ManyDialogInfo.caidan1Levelmin = x
            ManyDialogInfo.caidan1Levelmax = y
            
            
            self:setCurCenterCell(x+1,y+1)
            self:getData(true)
            
        end
    end)
    
end

--初始化小地图
function Field:initLittleMap()

    --按钮
    local btn_coordinate = self.csb:getChildByName("btn_coordinate")
    btn_coordinate:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:showLittleMap(not self.isShowLittleMap)

        end
    end)
    
    
    
end


--

function Field:freshLittleMapPosition()
    --当前位置 起始位置 (16,14)  宽高(248,250)
    local position = self.csb:getChildByName("panel_world_map"):getChildByName("panel_map"):getChildByName("icon_player")
    local pd = PlayerData:getInstanse()
    position:setPosition(cc.p(16+pd.basicData.x/g_GridX*248,14+pd.basicData.y/g_GridY*250))
    
    
    --当前位置 起始位置 (20,16)  宽高(240,242)
    local tx,ty = self:getCurCenterCell()
    
    local position = self.csb:getChildByName("panel_world_map"):getChildByName("panel_map"):getChildByName("icon_map")
    local pd = PlayerData:getInstanse()
    position:setPosition(cc.p(20+tx/g_GridX*240,16+ty/g_GridY*242))
end


--小地图显示切换(590,240)   (640,240)
function Field:showLittleMap(isShow)
    if self.isShowLittleMap == isShow then
		return
	end
	self.isShowLittleMap = isShow
	
	local map = self.csb:getChildByName("panel_world_map")
	
    local btn_coordinate = self.csb:getChildByName("btn_coordinate")
	
	--变为显示
    if isShow then
        local action2 = cc.MoveTo:create(0.2,cc.p(50,292))
        
        local action = cc.Sequence:create(action2,cc.CallFunc:create(function()
            local action1 = cc.ScaleTo:create(0.2,1)
            map:runAction(action1)
            end))
        btn_coordinate:runAction(action)
    else--变为不显示
        local action1 = cc.ScaleTo:create(0.2,0.0001)
        local action = cc.Sequence:create(action1,cc.CallFunc:create(function()
            local action2 = cc.MoveTo:create(0.2,cc.p(0,292))
            btn_coordinate:runAction(action2)
            end))
        map:runAction(action)
	end
    
end


--显示当前坐标
function Field:showCoordinate()
    local x,y = self:getCurCenterCell()
	self.zuobiao:setVisible(true)
    self.zuobiao:getChildByName("text_coordinate"):setString(x..","..y)
end
--隐藏坐标
function Field:hideCoordinate()
    self.zuobiao:setVisible(false)
end

function Field:ctor()

    gField = self

    self.isFirstPos = true
    
    --获取过数据的格子位子
    self.getDataPos = {}
    
    self.mapPosition = {x = 0,y = 0}
    self.map = ccui.Widget:create()
    self.res = ccui.Widget:create()
    self:addChild(self.map,-2)
    self:addChild(self.res,-1)
    self:MoveToPixel(0,0)
    --数据
    self.data = {}
    
    --信息显示
    self.showInfo = true
    
    --小地图显示
    self.isShowLittleMap = false

    --图片
    self.csb = cc.uiload:load("csd/world/ui_world_main.csb")
    self:addChild(self.csb)
    --初始执行任务队列Bar
    gField.TaskExeBar = nil
    gField.TaskExeBar = require("src/app/views/toolbar/TaskExeBar").new(self.csb:getChildByName("panel_troops"))
    
    
    self.zuobiao = self.csb:getChildByName("panel_coordinate")
    
    
    --初始化顶部
    self:InitTopUi()
    --初始化小地图
    self:initLittleMap()
    --addEventListener
    
    self.resData = {}
    
    self.getdataTime = -1

    local t = 0
    self.touchBegin = false
    function onTouchesBegan(touches, event)
        if self.IsInMoveAction then return false end
        self.mMovable = true
        if self.onTouchesBegan ~= nil then
            self.mMovable = self.onTouchesBegan(touches, event)
        end

        --self:MoveToGrid(t,0)
        t = t +1

        local x,y = self:getCurCell()
        --print("--cellx:%d----celly:%d-----",x,y)

        --        return false
        self.touchBegin = true
        --print("-------------onTouchesBegan----------------")
        self:showCoordinate()
        return true
    end

    function onTouchesMoved(touches, event)
        if self.IsInMoveAction then return end
        if self.onTouchesMoved ~= nil then
            self.onTouchesMoved(touches, event)
        end
        if  self.mMovable then
            local winSize = cc.Director:getInstance():getWinSize()
            local d = cc.Director:getInstance():getOpenGLView():getScissorRect()
            --if #touches==1 then
            if true then
                local diff = touches:getDelta()

                local x = 0
                local y = 0
                --print("--curx:%f----cury:%f---------x:%f------y:%f",self.mapPosition.x,self.mapPosition.y,diff.x,diff.y)

                x = self.mapPosition.x - diff.x
                y = self.mapPosition.y - diff.y
                self:MoveToPixel(x,y)
                
                
                self:autoRemoveRes()
                
                
                self:freshLittleMapPosition()
                
                self:doArrow()
                
            end
            --        return true
        end
        self:showCoordinate()
        
        --print("-------------onTouchesMoved----------------")
        
        return true
    end

    function onTouchesEnded(touches, event)
        if self.IsInMoveAction then return false end
        if self.onTouchesEnded ~=nil then
            self.onTouchesEnded(touches, event)
        end
        if self.touchBegin then
        	self.getdataTime = g_MoveTime
        end
        self:autoRemoveRes()
        --print("-------------onTouchesEnded----------------")
        --        return true
        self.touchBegin = false
        
        self:hideCoordinate()
        
        
    end

    function onTouchesCancelled(touches, event)
        if self.IsInMoveAction then return false end
        if self.onTouchesCancelled ~= nil then
            self.onTouchesCancelled(touches, event)
        end
        --        return true
        --print("-------------onTouchesCancelled----------------")
        return true
    end

    local listener = cc.EventListenerTouchOneByOne:create()
    listener:registerScriptHandler(onTouchesBegan,cc.Handler.EVENT_TOUCH_BEGAN )
    listener:registerScriptHandler(onTouchesMoved,cc.Handler.EVENT_TOUCH_MOVED )
    listener:registerScriptHandler(onTouchesEnded,cc.Handler.EVENT_TOUCH_ENDED)
    listener:registerScriptHandler(onTouchesCancelled,cc.Handler.EVENT_TOUCH_CANCELLED )
    local eventDispatcher = self:getEventDispatcher()
    --listener:setSwallowTouches(true)
                    --addEventListenerWithSceneGraphPriority
    eventDispatcher:addEventListenerWithSceneGraphPriority(listener, self)
    


    for var=1, 8 do
        local t = ccui.ImageView:create("pic/world/panel/map_world_map.jpg",ResType)
        t:setAnchorPoint(0,0)
        t:setPosition(0,(var-1)*g_JpgHeight)
        self.map:addChild(t)
    end
    for var=1, 8 do
        local t = ccui.ImageView:create("pic/world/panel/map_world_map.jpg",ResType)
        t:setAnchorPoint(0,0)
        t:setPosition(g_JpgWidth,(var-1)*g_JpgHeight)
        self.map:addChild(t)
    end
    
    
    --更新
    local function update(delta)
        if self.getdataTime > 0 then
            self.getdataTime = self.getdataTime - delta
            if self.getdataTime <= 0 then
            	self:getData()
            end
        end
    end
    self.update = Scheduler:scheduleScriptFunc(update,0,false)
    
    --更新2
    local function update2(delta)

        if self.data.taskWorldVO ~= nil then
            self.data.taskWorldVO.taskTime = self.data.taskWorldVO.taskTime - delta
            self.data.taskWorldVO.time = self.data.taskWorldVO.time - delta

            self:freshWorldTask()
        end
    end
    self.update2 = Scheduler:scheduleScriptFunc(update2,1,false)
    
    local function onNodeEvent(tag)
        if tag == "exit" then
            Scheduler:unscheduleScriptEntry(self.update)
            Scheduler:unscheduleScriptEntry(self.update2)
        end
    end
    self:registerScriptHandler(onNodeEvent)
    



    local function shaokuang()
        -- body
        showX = 0
        showY = 0
        if g_shaokuang then
            --更新
            local function shaokuangupdate(delta)
                local msg = { x = showX,y = showY}
                print("shaokuang-----------x:"..showX.."  y:"..showY)
                Connect:sendMsg("WorldAction","intoWorld",msg,
                    function(data)
                        --更新数据
                        for key, var in pairs(data.worldInfoVOs) do
                            if var.yieldUp > 1.1 then
                                print("shaokuang------------------x:"..var.x.."--------y:"..var.y.."--yield:"..var.yieldUp)
                                cc.UserDefault:getInstance():setStringForKey("shaokuang--x"..var.x.."--y--"..var.y,"yieldUp--"..var.yieldUp.."--level--"..var.lv.."--resId--"..var.resType)
                            end
                        end
                        
                    end,false)
                showX = showX + 4
                if showX >= g_GridX then
                    showX = 0
                    showY = showY + 10
                end

                if showY >= g_GridY then
                    Scheduler:unscheduleScriptEntry(self.shaokuangup)
                end
                
            end
            self.shaokuangup = Scheduler:scheduleScriptFunc(shaokuangupdate,1,false)
            g_shaokuang = false
        end
    end
    
    shaokuang()
    
    
    
    
    
    --搜索点击
    local serch_btn = self.csb:getChildByName("btn_search")
    serch_btn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            
            
            local tx,ty = self:getCurCenterCell()
        
            local msg = {x = tx,y = ty}
            Connect:sendMsg("WorldAction","searchWorld",msg,
                function(data)
                    ManyDialogInfo:showRes(gWorldScene,data,msg)
                end)
        end
    end)
    
    
    
    
    
    --注册资源点被占领
    --跟新playerinfo
    local function registerRes()
        Connect:register("notifyOccupyWorldInfo",function(data)
            self.resData[data.id] = data
            self:freshResShow()
        end)
    end
    registerRes()
    
    
    --注册世界任务推送
    local function registerTask()
        Connect:register("notifyTaskWorld",function(data)
            --self.data.taskWorldVO
            self.data.taskWorldVO = data
            self:freshWorldTask()
        end)
    end
    registerTask()
    

end

function Field:OccupyWorldInfo(id)
	local d = self.resData[id]
end


--移动到指定格子x,y
function Field:MoveToGrid(x,y)



    --调整格子位子
    if x <= g_EdgeX then
        x = g_EdgeX
    end
    if y <= g_EdgeY then
        y = g_EdgeY
    end
    if x >= g_GridX-g_EdgeX then
        x = g_GridX-g_EdgeX
    end
    if y >= g_GridY-g_EdgeY then
        y = g_GridY-g_EdgeY
    end

    --计算到指定格子的map位子
    local pixX = g_GridWidth*x
    local pixY = g_GridHeight*y

    self:MoveToPixel(pixX,pixY)

end

--移动到像素位子
function Field:MoveToPixel(pixelX,pixelY)
    --左下
    if pixelX <= 0 then
        pixelX = 0
    end

    if pixelY <= 0 then
        pixelY = 0
    end
    --右上
    if pixelX >= g_GridWidth*(g_GridX-3) then
        pixelX = g_GridWidth*(g_GridX-3)
    end
    if pixelY >= g_GridHeight*(g_GridY-6) then
        pixelY = g_GridHeight*(g_GridY-6)
    end



    self.mapPosition.x = pixelX
    self.mapPosition.y = pixelY




    local tx = pixelX%g_JpgWidth
    local ty = pixelY%(g_JpgHeight*4)

    self.map:setPosition(0-tx,0-ty+g_StartHeight)
    self.res:setPosition(0-self.mapPosition.x,0-self.mapPosition.y+g_StartHeight)


    --print("--curx:%f----cury:%f------",self.mapPosition.x,self.mapPosition.y)
end

function Field:getCurCell()
    local tx = math.floor(self.mapPosition.x/g_GridWidth)--+CONFIG_SCREEN_WIDTH/2/g_GridWidth
    local ty = math.floor(self.mapPosition.y/g_GridHeight)--+math.floor(CONFIG_SCREEN_HEIGHT/2/g_GridHeight)
    return tx,ty
end
--设置当前中心格子
function Field:setCurCenterCell(x,y)
    self:MoveToGrid(x-g_GridOffsetX,y-g_GridOffsetY)
end


--获取点
function Field:getMyPointInfo()
    local pd = PlayerData:getInstanse()
end

function Field:setProtected(b)
    if self.data == nil or self.data.worldInfoVOs == nil  then
    	return
    end
    --pd.basicData.x
    local pd = PlayerData:getInstanse()
    for key, var in pairs(self.data.worldInfoVOs) do
        if var.x == pd.basicData.x and var.y == pd.basicData.y then
            if b == 1 then
                var.protectTime = 1
            else
                var.protectTime = 0
            end
    		
    	end
    end
	
    self:freshResShow()
end

--获取数据
function Field:getData(load,isforce,callback)
    if load == nil then
    	load = false
    end
    if isforce == nil then
    	isforce = false
    end
    
    --if self.mapPosition.x == 0 and self.mapPosition.y == 0 then
    if self.isFirstPos == true then
        self.isFirstPos = false
    	local pd = PlayerData:getInstanse()
        self:setCurCenterCell(pd.basicData.x+1,pd.basicData.y+1)
        self.textfieldX:setString(pd.basicData.x)
        self.textfieldY:setString(pd.basicData.y)
    end

    local tx,ty = self:getCurCenterCell()
    
--    if isforce == false then
--        --检测这个点是否已经获取过数据
--    	for key, var in pairs(self.getDataPos) do
--            if var.x == tx and var.y == ty then
--                return
--            end
--        end
--        
--    end
    
    
    
    local msg = { x = tx,y = ty}
    table.insert(self.getDataPos,1,msg)
    Connect:sendMsg("WorldAction","intoWorld",msg,
        function(data)
            --更新数据
            self.data = data
            
            self:freshResData(self.data.worldInfoVOs)
            self:freshResShow()
            self:doShowInfo()
            
            self:doArrow()
            
            
            self:freshWorldTask()
            
            if callback then
            	callback()
            end
            
        end,load)
end

--
local resIcon = {
   [1] = "res/pic/world/building/icon_crystal.png",
    [2] = "res/pic/world/building/icon_copper.png",
    [3] = "res/pic/world/building/icon_oil.png",
    [4] = "res/pic/world/building/icon_iron.png",
    [5] = "res/pic/world/building/icon_ore.png",
    
    [6] = "res/pic/world/army/icon_army_1.png",
    [7] = "res/pic/world/army/icon_army_2.png",
    [8] = "res/pic/world/army/icon_army_3.png",
    [9] = "res/pic/world/army/icon_army_4.png",
    [10] = "res/pic/world/army/icon_army_5.png",
    [11] = "res/pic/world/army/icon_army_6.png",
    
}
function Field:getGridIcon(ResType,playerLv)
    if ResType ~= 0 then
        return resIcon[ResType]
	else
	   return "res/pic/world/building/icon_player.png"
    end
end

function getTouchLen(item)
    local len = cc.pGetLength( cc.pSub(item:getTouchEndPosition(),item:getTouchBeganPosition()))
    return len
end

local gVisibleRange = 5


--删除看不见的资源点
function Field:autoRemoveRes()
    local x,y = self:getCurCenterCell()
	
    local children = self.res:getChildren()
    for key, var in pairs(children) do
        if math.abs(var.x-x) < gVisibleRange and math.abs(var.y-y) < gVisibleRange then
        	
        else
            var:removeFromParent()
        end
    end
	
end


--刷新资源显示
function Field:freshResShow()

    local pd = PlayerData:getInstanse()
    local x,y = self:getCurCenterCell()
    
    

    for key, var in pairs(self.resData) do
        
       
    
        
        if math.abs(var.x-x) < gVisibleRange and math.abs(var.y-y) < gVisibleRange then
            if var.playerId == 0 and var.resType == 0 then

                local resItemTemp = self.res:getChildByName("panel_building"..var.id)
                if resItemTemp ~= nil then
                    self.res:removeChild(resItemTemp)
                end

                local resItem = self.res:getChildByName("panel_building_null"..var.id)
                if resItem == nil then
                    resItem = self.csb:getChildByName("panel_building_null"):clone()
                    resItem:setName("panel_building_null"..var.id)
                    self.res:addChild(resItem,10000000-var.y)
                    resItem:setSwallowTouches(false)
                    resItem.x = var.x
                    resItem.y = var.y

                    --位置
                    resItem:setPosition((var.x+1)*g_GridWidth,(var.y+1)*g_GridHeight)

                end




                --空地
                resItem:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.began then
                        resItem.beginTime = socket.gettime()
                    end
                    if t == ccui.TouchEventType.ended then
                        resItem.endTime = socket.gettime()




                        if resItem.endTime - resItem.beginTime < g_ClickTime and getTouchLen(resItem) < 50 then
                            --点击空地回调
                            local panelView = ccui.ImageView:create("pic/common/panel/outline_arrange_orange.png",ResType)
                            resItem:addChild(panelView)
                            panelView:setScaleX(1.5)
                            panelView:setScaleY(0.8)
                            --panelView:setContentSize(cc.size(160,60))

                            local size = resItem:getContentSize()
                            panelView:setPosition( cc.p(size.width*0.5,size.height*0.5) )
                            NodeTranslator:changeColor(panelView,function()
                                panelView:removeFromParent(true)
                                --移动到指定位置提示
                                local price = 980
                                --如果有高级搬迁令
                                if self.data.count > 0 then
                                    PromptView:type2(StringRes.notice,
                                        string.format(StringRes.world_goto1,1 )
                                        ,StringRes.ok,StringRes.cancel,
                                        function()
                                            local msg = {x=var.x,y=var.y,type = 2}
                                            Connect:sendMsg("WorldAction","transferBase",msg,
                                                function(data)
                                                    --更新数据
                                                    self.data.count = data.itemsCount
                                                    pd.basicData.gold = data.gold
                                                    pd.basicData.x = var.x
                                                    pd.basicData.y = var.y
                                                    self:getData(true,true,function()
                                                        FlyWordPrompt:prompt( StringRes.base_goto1.."("..var.x..","..var.y..")")
                                                    end)
                                                end)
                                        end)
                                elseif pd.basicData.gold >= price then
                                    PromptView:type2(StringRes.notice,
                                        string.format(StringRes.world_goto2,price )
                                        ,StringRes.ok,StringRes.cancel,
                                        function()
                                            local msg = {x=var.x,y=var.y,type = 1}
                                            Connect:sendMsg("WorldAction","transferBase",msg,
                                                function(data)
                                                    --更新数据
                                                    self.data.count = data.itemsCount
                                                    pd.basicData.gold = data.gold
                                                    pd.basicData.x = var.x
                                                    pd.basicData.y = var.y
                                                    self:getData(true,true,function()
                                                        FlyWordPrompt:prompt( StringRes.base_goto1.."("..var.x..","..var.y..")")
                                                    end)
                                                end)
                                        end)

                                else
                                    PromptView:type2(StringRes.notice,
                                        string.format(StringRes.world_goto3,price-pd.basicData.gold )
                                        ,StringRes.ok,StringRes.cancel,
                                        function()
                                        --到支付界面
                                            Recharge:show(gWorldScene)
                                        end)
                                end

                            end
                            )
                        end

                    end
                end)
            else--非空地

                local resItemTemp = self.res:getChildByName("panel_building_null"..var.id)
                if resItemTemp ~= nil then
                    self.res:removeChild(resItemTemp)
                end



                local resItem = self.res:getChildByName("panel_building"..var.id)
                if resItem == nil then
                    resItem = preLoad:getPanel("mapTile")
                    resItem:setName("panel_building"..var.id)
                    self.res:addChild(resItem,10000000-var.y)
                    resItem:setSwallowTouches(false)
                    resItem.x = var.x
                    resItem.y = var.y

                    --位置
                    resItem:setPosition((var.x+1)*g_GridWidth,(var.y+1)*g_GridHeight)

                end







                --
                resItem:getChildByName("icon_building"):setVisible(true)

                --图标
                local resPic = self:getGridIcon(var.resType,var.playerlv)
                resItem:getChildByName("icon_building"):loadTexture(resPic,ResType)

                --如果是资源
                if var.resType ~= 0 then

                    --var.yieldUp = 1.5

                    local tt = {
                        [100] = "res/pic/world/icon/icon_level_red.png",
                        [150] = "res/pic/world/icon/icon_level_green.png",
                        [200] = "res/pic/world/icon/icon_level_purple.png",
                        [250] = "res/pic/world/icon/icon_level_purple.png",
                    }
                    local panel_lv = resItem:getChildByName("icon_building"):getChildByName("panel_lv")
                    panel_lv:setVisible(true)
                    if var.yieldUp < 1 then
                    	var.yieldUp = 1
                    end
                    
                    if var.x == 189 and var.y == 243 then
                    	local tt = 0
                    else
                    
                    end
                    
                    
                    Common:changePic(panel_lv,tt[var.yieldUp*100])
                    
                    --保护盾
                    if var.protectTime > 0 then
                        resItem:getChildByName("icon_building"):getChildByName("icon_shell"):setVisible(true)
                    else
                        resItem:getChildByName("icon_building"):getChildByName("icon_shell"):setVisible(false)
                    end


                    resItem:getChildByName("icon_building"):getChildByName("panel_name"):setVisible(false)
                    resItem:getChildByName("icon_building"):getChildByName("icon_basement"):setVisible(false)

                    if var.playerId ~= pd.basicData.playerId then
                        resItem:getChildByName("icon_building"):getChildByName("icon_flag"):setVisible(false)
                    else
                        resItem:getChildByName("icon_building"):getChildByName("icon_flag"):setVisible(true)
                    end

                    --等级
                    resItem:getChildByName("icon_building"):getChildByName("panel_lv"):getChildByName("text_lv"):setString(var.lv)
                    
--                    local panel_name = resItem:getChildByName("icon_building"):getChildByName("panel_name")
--                    panel_name:setVisible(true)
--                    if var.playerName ~= "" then
--                        panel_name:getChildByName("text_name"):setString(var.playerName)
--                    end
                    
                    

                    --点击回调
                    resItem:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.began then
                            resItem.beginTime = socket.gettime()
                        end
                        if t == ccui.TouchEventType.ended then
                            resItem.endTime = socket.gettime()

                            if resItem.endTime - resItem.beginTime < g_ClickTime  and getTouchLen(resItem) < 50 then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                                if var.resType >= 6 then
                                    local ms = WorldNpc.new()
                                    gWorldScene:addChild(ms)
                                    ms:initData(var)
                                else
                                    local ms = ResourceInfo.new()
                                    gWorldScene:addChild(ms)
                                    ms:initData(var)
                                end
                                

                            end

                        end
                    end)

                else

                    local temp = {
                        [1] = "res/pic/world/building/icon_player_1.png",
                        [2] = "res/pic/world/building/icon_player_2.png",
                        [3] = "res/pic/world/building/icon_player_3.png",
                    }

                    --保护盾
                    if var.protectTime > 0 then
                        resItem:getChildByName("icon_building"):getChildByName("icon_shell"):setVisible(true)
                    else
                        resItem:getChildByName("icon_building"):getChildByName("icon_shell"):setVisible(false)
                    end

                    --var.playerlv = 21
                    resItem:getChildByName("icon_building"):loadTexture(temp[math.ceil(var.playerlv/20)],ResType)

                    --
                    resItem:getChildByName("icon_building"):getChildByName("icon_flag"):setVisible(false)

                    --等级
                    resItem:getChildByName("icon_building"):getChildByName("panel_lv"):setVisible(false)
                    --名字
                    local panel_name = resItem:getChildByName("icon_building"):getChildByName("panel_name")
                    panel_name:setVisible(true)
                    panel_name:getChildByName("text_name"):setString(var.playerName)
                    local size = panel_name:getChildByName("text_name"):getContentSize()
                    local size1 = panel_name:getContentSize()
                    panel_name:setContentSize(cc.size(size.width+20,size1.height))
                    
                    --是自己
                    if true then
                        --if pd.getGametipsVO ~= nil and pd.getGametipsVO.deBuffId > 0 and pd.getGametipsVO.deBuffTime > 0 then
                        if var.fire == 1 then
                            local pos = {x = math.random(-50,-40),y = math.random(-20,10)}
                            Animation:playAnimation3(resItem,gUIeffect[36].effect,gUIeffect[36].effect.."1",pos)
                            local pos = {x = math.random(-5,5),y = math.random(-40,10)}
                            Animation:playAnimation3(resItem,gUIeffect[36].effect,gUIeffect[36].effect.."2",pos)
                            local pos = {x = math.random(40,50),y = math.random(-20,10)}
                            Animation:playAnimation3(resItem,gUIeffect[36].effect,gUIeffect[36].effect.."3",pos)
                            
                            resItem.onrelease = function()
                                Animation:stopAnimation(resItem,gUIeffect[36].effect.."1")
                                Animation:stopAnimation(resItem,gUIeffect[36].effect.."2")
                                Animation:stopAnimation(resItem,gUIeffect[36].effect.."3")
                            end
                        else
                            Animation:stopAnimation(resItem,gUIeffect[36].effect.."1")
                            Animation:stopAnimation(resItem,gUIeffect[36].effect.."2")
                            Animation:stopAnimation(resItem,gUIeffect[36].effect.."3")
                        end
                    end
                    

                    --军团
                    if var.guildId ~= 0 and var.guildId == pd.basicData.guildId then
                        resItem:getChildByName("icon_building"):getChildByName("icon_basement"):setVisible(true)
                    else
                        resItem:getChildByName("icon_building"):getChildByName("icon_basement"):setVisible(false)
                    end
                    --点击回调
                    resItem:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.began then
                            resItem.beginTime = socket.gettime()
                        end
                        if t == ccui.TouchEventType.ended then
                            resItem.endTime = socket.gettime()
                            if resItem.endTime - resItem.beginTime < g_ClickTime  and getTouchLen(resItem) < 50 then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                                if var.playerId == pd.basicData.playerId then
                                    local ms = MySelfInfo.new()
                                    gWorldScene:addChild(ms)
                                    ms:initData(var)
                                else
                                    local ms = ElsePersonInfo.new()
                                    gWorldScene:addChild(ms)
                                    ms:initData(var)
                                end


                            end

                        end
                    end)



                end

            end

        end
        end

    	
        




    self:freshLittleMapPosition()
	
end

--刷新资源数据
function Field:freshResData(data)
    
    for key, var in pairs(data) do
    	self.resData[var.id] = var
    end
	
	
	
	
end

--
function Field:getCurCenterCell()
    local tx,ty = self:getCurCell()
    tx = tx + g_GridOffsetX
    ty = ty + g_GridOffsetY
    return tx,ty
end


function Field:showbyshowres( x,y )
    -- body
    for key, var in pairs(self.resData) do
        if var.x == x and var.y == y then
            local resItem = self.res:getChildByName("panel_building"..var.id)
            
            NodeTranslator:bigchangeColor(resItem:getChildByName("icon_building"),nil)
            return
        end
    end

    
end

--



function Field:getTerrainRes(id)
	if id == 0 then
        return "res/pic/world/btn/btn_cancel.png"
	else
        return gWorldTerrain[id].pic
	end
end


--处理箭头
function Field:doArrow()
    local pd = PlayerData:getInstanse()
    --视图宽高
    local screenwidth = 640
    local screenheight = 840

    --以下的点坐标的为像素点坐标

	--玩家的坐标点
	local playerpos = {}
    playerpos.x = (pd.basicData.x+1)*g_GridWidth
    playerpos.y = (pd.basicData.y+1)*g_GridHeight
    
    --中心点坐标
    local centerpos = {}
    centerpos.x = self.mapPosition.x+g_GridOffsetX*g_GridWidth
    centerpos.y = self.mapPosition.y+g_GridOffsetY*g_GridHeight
    
    
    
    --左上
    local screenleftup = {}
    screenleftup.x = centerpos.x-screenwidth/2
    screenleftup.y = centerpos.y+screenheight/2-25
    --右上
    local screenrightup = {}
    screenrightup.x = centerpos.x+screenwidth/2
    screenrightup.y = centerpos.y+screenheight/2-25
    --右下
    local screenrightdown = {}
    screenrightdown.x = centerpos.x+screenwidth/2
    screenrightdown.y = centerpos.y-screenheight/2
    --左下
    local screenleftdown = {}
    screenleftdown.x = centerpos.x-screenwidth/2
    screenleftdown.y = centerpos.y-screenheight/2
    
    local segment = {
        [1] = {p1 = screenleftup,p2 = screenrightup},
        [2] = {p1 = screenrightup,p2 = screenrightdown},
        [3] = {p1 = screenrightdown,p2 = screenleftdown},
        [4] = {p1 = screenleftdown,p2 = screenleftup},   }
        
        
        
    --判断线段是否相交
    function pIsLineIntersect(A, B, C, D, s, t)
        if ((A.x == B.x) and (A.y == B.y)) or ((C.x == D.x) and (C.y == D.y))then
            return false, s, t
        end

        local BAx = B.x - A.x
        local BAy = B.y - A.y
        local DCx = D.x - C.x
        local DCy = D.y - C.y
        local ACx = A.x - C.x
        local ACy = A.y - C.y

        local denom = DCy * BAx - DCx * BAy
        s = DCx * ACy - DCy * ACx
        t = BAx * ACy - BAy * ACx

        if (denom == 0) then
            if (s == 0 or t == 0) then
                return true, s , t
            end

            return false, s, t
        end

        s = s / denom
        t = t / denom

        return true,s,t
    end
    function pIsSegmentIntersect(pt1,pt2,pt3,pt4)
        local s,t,ret = 0,0,false
        ret,s,t =pIsLineIntersect(pt1, pt2, pt3, pt4,s,t)

        if ret and  s >= 0.0 and s <= 1.0 and t >= 0.0 and t <= 1.0 then
            return true;
        end

        return false
    end
    
    
    --箭头点击
    local item = self.csb:getChildByName("panel_arrow_bg")
    item:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self.isFirstPos = true
            self:getData(true)
        end
    end)
    for key, var in pairs(segment) do
        if pIsSegmentIntersect(centerpos,playerpos,var.p1,var.p2) then
            local intersectPoint = cc.pGetIntersectPoint(centerpos,playerpos,var.p1,var.p2)
            intersectPoint.x = intersectPoint.x - screenleftdown.x
            intersectPoint.y = intersectPoint.y - screenleftdown.y + 200
            item:setPosition(intersectPoint)
            
            --计算方向
            
            
            --方向向量
            local direct = cc.pSub(playerpos,centerpos)
            local defaultDirect = {x = 1,y = 0}
            --计算夹角
            local angel = cc.pGetAngle(direct,defaultDirect)
            item:setRotation(180/3.141592653*angel)
            
            local curcenterx,curcentery = self:getCurCenterCell()
            local length = cc.pGetDistance(cc.p(curcenterx-1,curcentery-1),cc.p(pd.basicData.x,pd.basicData.y))
            
            item:getChildByName("text_desc"):setString(math.ceil(length).."Km")
            if centerpos.x > playerpos.x then
                item:getChildByName("text_desc"):setRotation(180)
            else
                item:getChildByName("text_desc"):setRotation(0)
            end
            
            
            
            
            return
    	end
    end
    
    
    
    item:setPosition( cc.p(-1000,-1000))
    
    
end



--世界任务
function Field:freshWorldTask()
    local worldtask = self.csb:getChildByName("panel_bar_bg")
    
    
    if self.data.taskWorldVO == nil then
    	return
    end
    
    --活动是否开启
    if self.data.taskWorldVO.taskId ~= 0 and self.data.taskWorldVO.taskTime > 0 then
        worldtask:getChildByName("panel_bar_desc"):setVisible(true)
        worldtask:getChildByName("icon_mission"):setVisible(true)
        
        if self.data.taskWorldVO.pro >= 1 then
            --设置进度数值
            worldtask:getChildByName("panel_bar_desc"):getChildByName("num_desc"):setString( 
                (self.data.taskWorldVO.pro*100).."%".."("..StringRes.text_world00037..")")
        else
            --设置进度数值
            worldtask:getChildByName("panel_bar_desc"):getChildByName("num_desc"):setString( 
                (self.data.taskWorldVO.pro*100).."%".."("..StringTemp:toTime(self.data.taskWorldVO.taskTime)..")")
        end
        
        
           
            
        
        --设置进度条
        worldtask:getChildByName("panel_bar_desc"):getChildByName("progressbar_info"):setPercent(self.data.taskWorldVO.pro*100)
        
        --点击查看
        local function showInfo()
            local msg = {id = self.data.taskWorldVO.taskId}
            Connect:sendMsg("TaskAction","showTaskWorldInfo",msg,
                function(data)
                    --更新数据
                    ManyDialogInfo:worldInfo(self,data)
                end,true)
        
            
        end
        
        worldtask:getChildByName("panel_bar_desc"):addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                showInfo()
            end
        end)
        
        
        local worldtaskicon = worldtask:getChildByName("icon_mission")
        --更换任务图标
        Common:changePic(worldtaskicon,gWorldbuff[self.data.taskWorldVO.taskId].missionicon)
        --查看任务信息
        worldtaskicon:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                showInfo()
            end
        end)
        
    else
        worldtask:getChildByName("panel_bar_desc"):setVisible(false)
        worldtask:getChildByName("icon_mission"):setVisible(false)
    end
    
    
    --buff是否显示
    if self.data.taskWorldVO.buffId ~= 0 then
        worldtask:getChildByName("icon_resources"):setVisible(true)
        --更换任务图标
        Common:changePic(worldtask:getChildByName("icon_resources"),gWorldbuff[self.data.taskWorldVO.buffId].bufficon)
        --点击buff图标
        worldtask:getChildByName("icon_resources"):addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                local DescriptView = require("src/app/views/prompt/DescriptView")
                DescriptView:open(self,StringTemp:Descript( 
                    gWorldbuff[self.data.taskWorldVO.buffId].desc.."\n\n"..StringRes.text_world0008..":"..StringTemp:toTime(self.data.taskWorldVO.time).."\n\n"))
            end
        end)
        
        
    else
        worldtask:getChildByName("icon_resources"):setVisible(false)
    end

end






return Field