

Military = class("Military",function()
    return display.newLayer()
end)

function Military:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)
    
    self.Top:getChildByName("text_title"):setString(StringRes.junxian)
    
    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:removeFromParent()
        end
    end)
    
    --军功信息
    self.Military = CCUILoader:load("res/csd/public/Military.csb")
    self:addChild(self.Military)
    

    
--    local function onNodeEvent(tag)
--        if tag == "enter" then
--            
--           
--            
--        end
--    end
--    self:registerScriptHandler(onNodeEvent)
    
    
    self:Fresh()
end


function Military:Fresh()
    local pd = PlayerData:getInstanse()
    if pd.basicData == nil then
        return
    end
    
    --图标
    local icon = self.Military:getChildByName("Image_icon")
    icon:loadTexture(gMilitary_rank[pd.basicData.warLv].icon,ResType)
    
    --名字
    self.Military:getChildByName("Text_Name"):setString(pd.basicData.name)
    
    --军衔
    self.Military:getChildByName("Text_NameLevel"):setString( StringRes[gMilitary_rank[pd.basicData.warLv].military])
    
    self.Military:getChildByName("Text_29"):setString( StringRes[gMilitary_rank[pd.basicData.warLv].military])
    --
    local pageView = self.Military:getChildByName("PageView_1")
    --local pageItem = self.Military:getChildByName("Panel_1")
    for key, var in ipairs(gMilitary_rank) do
        local onePage = preLoad:getPanel("PlayerInfoMilitary")
        
        local needMiliNum = onePage:getChildByName("Text_needMilitaryNum")
        needMiliNum:setString(var.exp)
        if var.exp > pd.basicData.allWarCon then
        	needMiliNum:setColor( cc.c3b(230,10,10))
        else
            needMiliNum:setColor( cc.c3b(53,226,143))
        end
        
        
        
        
        local needLv = onePage:getChildByName("Text_needLevelNum")
        needLv:setString(var.lv)
        if var.lv > pd.basicData.lv then
            needLv:setColor( cc.c3b(230,10,10))
        else
            needLv:setColor( cc.c3b(53,226,143))
        end
        
        local maxPersonNum = onePage:getChildByName("Text_MaxPersonNum")
        if var.count_player > 0 then
            maxPersonNum:setString(var.count_player)
        else
            maxPersonNum:setString(StringRes.not_troops)
        end
        
        onePage:getChildByName("Text_TankCountNum"):setString("+"..var.count_troop)
        
        onePage:getChildByName("Text_baseAttackNum"):setString("+"..(var.atc*100).."%")
        
        onePage:getChildByName("Text_baseHpNum"):setString("+"..(var.hp*100).."%")
        
        onePage:getChildByName("Text_EverydayNum"):setString("+"..var.Prestige)
        
        
        
        pageView:addPage(onePage)
    end
    if pd.basicData.warLv ~= 1 then
        pageView:scrollToPage(pd.basicData.warLv-1)
    end
    
    
    local function pageViewEvent(sender, eventType)
        if eventType == ccui.PageViewEventType.turning then
            local pageView = sender
            --军衔
            self.Military:getChildByName("Text_29"):setString( StringRes[gMilitary_rank[pageView:getCurPageIndex() + 1].military])
            
            if pageView:getCurPageIndex() == 0 then
            	
            end
            
        end
    end 

    pageView:addEventListener(pageViewEvent)
    
    
    
    --左箭头动画
    local action1 = cc.MoveBy:create(0.5,cc.p(20,0))
    local action2 = cc.MoveBy:create(0.5,cc.p(-20,0))
    local action = cc.Sequence:create(action1,action2,nil)
    
    local faction1 = cc.FadeOut:create(0.5)
    local faction2 = cc.FadeIn:create(0.5)
    local faction = cc.Sequence:create(faction1,faction2,nil)
    
    --left
    local leftBtn = self.Military:getChildByName("Image_Left")
    leftBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            pageView:scrollToPage(pageView:getCurPageIndex()-1)
        end
    end)
    leftBtn:runAction(cc.RepeatForever:create(faction))
    leftBtn:runAction(cc.RepeatForever:create(action))
    --right
    local rightBtn = self.Military:getChildByName("Image_Right")
    rightBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            pageView:scrollToPage(pageView:getCurPageIndex()+1)
        end
    end)
    --右箭头动画
    local action1 = cc.MoveBy:create(0.5,cc.p(-20,0))
    local action2 = cc.MoveBy:create(0.5,cc.p(20,0))
    local action = cc.Sequence:create(action1,action2,nil)

    local faction1 = cc.FadeOut:create(0.5)
    local faction2 = cc.FadeIn:create(0.5)
    local faction = cc.Sequence:create(faction1,faction2,nil)
    rightBtn:runAction(cc.RepeatForever:create(faction))
    rightBtn:runAction(cc.RepeatForever:create(action))
    
    --关于
    local aboutBtn = self.Military:getChildByName("Button_Info")
    aboutBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.Military_rank_0) )
        end
    end)
    
    
    
    --今日获得军功
    self.Military:getChildByName("Text_60"):setString( pd.basicData.dayWarCon)
    --累计军功
    self.Military:getChildByName("Text_61"):setString( pd.basicData.allWarCon)
    --当前军功
    self.Military:getChildByName("Text_52"):setVisible(false)
    self.Military:getChildByName("Text_62"):setVisible(false)
    self.Military:getChildByName("Text_62"):setString( 0)
    
end

return Military