
local AddAttrCost = {}

--1零件，2水晶石 3水晶，4设计蓝图，5神秘矿石，6电钻
local PartStrenthQueNum = {1,4,8,15}


--qianghua 10000+等级*2250*品质系数
function AddAttrCost:getStrenCost(lv,que)
    local cost = {0,0,0,0,0,0}
    cost[3] = 10000 + lv*4250*PartStrenthQueNum[que]
    return cost
end

--改造 等级*5*品质系数
function AddAttrCost:getReformCost(lv,que)
    lv = lv + 1
    local cost = {0,0,0,0,0,0}
    cost[1] = lv*2500*que
    cost[4] = lv*5*que
    cost[5] = lv*10*que
    cost[6] = lv*50*que
    return cost
end

--所有消费
function AddAttrCost:getAllCost(item)
    local cost = {0,0,0,0,0,0}
    local que = item.data.que
    for lv = 1,item.strLv do
        local sc = self:getStrenCost(lv,que)
        for index,v in ipairs(cost) do
            cost[index] = v + sc[index]
        end
    end
    for relv = 0,item.relv-1 do
        local rc = self:getReformCost(relv,que)
        for index,v in ipairs(cost) do
            cost[index] = v + rc[index]
        end
    end
    return cost
end

return AddAttrCost