

--改造
local PartsQualityCfg = require("src/app/cfg/PartsQualityCfg")
local AccessoryItem = require("src/app/views/accessories/AccessoryItem")
local AddAttrCost = require("src/app/views/accessories/AddAttrCost")
local ended = ccui.TouchEventType.ended

local function eventListner(event,func)
    return function(e,t)
        if t == event then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            func()
        end
    end
end

local RemakeView = class("RemakeView",function(parent) 
    return display.newLayer()
end)

function RemakeView:ctor(parent,item)
    self.MainPage = CCUILoader:load("csd/RemaikeLayer.csb")
    self:addChild(self.MainPage)

    self.UIQuality = self.MainPage:getChildByName("Image_quality")
    self.UIIcon = self.UIQuality:getChildByName("Image_icon")
    self.UIName = self.MainPage:getChildByName("Text_name")
    self.UIReformLv = self.MainPage:getChildByName("Text_reform_lv")
    self.UIStrengthLv = self.MainPage:getChildByName("Text_stren_lv")
    self.UIAttrAdd1 = self.MainPage:getChildByName("Text_add_attr")
    self.UIAttrAdd2 = self.MainPage:getChildByName("Text_entrench")
    self.UIStrenthPerAdd = self.UIStrengthLv:getChildByName("Text_upgrade")
    self.UIAttrPerAdd1 = self.UIAttrAdd1:getChildByName("Text_upgrade")
    self.UIAttrPerAdd2 = self.UIAttrAdd2:getChildByName("Text_upgrade")
    self.UIReformPerAdd = self.UIReformLv:getChildByName("Text_upgrade")

--    self.UICardMsg = self.MainPage:getChildByName("Text_card_msg") --设计蓝图
--    self.UIStoreMsg = self.MainPage:getChildByName("Text_store_msg") --神秘矿物
--    self.UIDrillMsg = self.MainPage:getChildByName("Text_drill_msg") --电钻
    self.UICostTable = {
        self.MainPage:getChildByName("Text_card_msg"), --设计蓝图
        self.MainPage:getChildByName("Text_store_msg"), --神秘矿物
        self.MainPage:getChildByName("Text_drill_msg"), --电钻
    }
    self.UIImageMateral1 = self.MainPage:getChildByName("Image_card") --设计蓝图
    self.UIImageMateral2 = self.MainPage:getChildByName("Image_store") --神秘矿物
    self.UIImageMateral3 = self.MainPage:getChildByName("Image_drill") --电钻
    self.UIImageMateral4 = self.MainPage:getChildByName("Image_resume") --神秘矿物
    self.UIImageMateral1:addTouchEventListener(eventListner(ended,function()
        local itemdata = AccessoryItem:getDataById(238)
        PromptView:partInfo(itemdata,1)
    end))
    self.UIImageMateral2:addTouchEventListener(eventListner(ended,function()
        local itemdata = AccessoryItem:getDataById(239)
        PromptView:partInfo(itemdata,1)
    end))
    self.UIImageMateral3:addTouchEventListener(eventListner(ended,function()
        local itemdata = AccessoryItem:getDataById(240)
        PromptView:partInfo(itemdata,1)
    end))
    self.UIImageMateral4:addTouchEventListener(eventListner(ended,function()
        local itemdata = AccessoryItem:getDataById(242)
        PromptView:partInfo(itemdata,2)
    end))
    
    self.UISelectResume = self.MainPage:getChildByName("Button_select") --勾选框
    self.UIOwnResume = self.MainPage:getChildByName("Text_own_resume") --拥有恢复图纸
    self.UINeedResume = self.MainPage:getChildByName("Text_need_resume")
--    self.UINeedResume = self.MainPage:getChildByName("Text_need_resume") 

    self.UISelectResume:addTouchEventListener(eventListner(ended,function()
        if self.CanSelectResume then
            self:updateSubLv(not self.UISelectResume:isBright())
        end       
    end))
    
    self.UICostMsg = self.MainPage:getChildByName("Text_cost_msg") --消耗零件

    self.UIIsMaxLv = self.MainPage:getChildByName("Text_isMaxLv")
    self.UIReform = self.MainPage:getChildByName("Button_reform")
    self.UIReform:addTouchEventListener(eventListner(ended,function()
        if item.relv >= PlayerData:getInstanse().basicData.lv then
            return FlyWordPrompt:prompt(StringRes.rolelv_unenough_re )--不能超过玩家的等级
        end
        if not self.ResourceEnough then
            return FlyWordPrompt:prompt(self.UnoughStr..StringRes.re_cost_unenough)--资源不够的提示
        end
        local msg = {id=item.id,count=self.UISelectResume:isBright() and 1 or 0}
        Connect:sendMsg("PartsAction","reformParts",msg,function(data)
            item.strLv = data.strlv
            item.relv = data.relv
            local typeItems = AccessoryItem:getIdTabBytype(6)
            if typeItems[238] then
                typeItems[238].count = data.blueprint
            end
            if typeItems[239] then
                typeItems[239].count = data.mineral
            end
            if typeItems[240] then
                typeItems[240].count = data.electrodrill
            end
            if typeItems[241] then
                typeItems[241].count = data.component
            end
            if typeItems[242] then
                typeItems[242].count = data.drawing
            end
            self:update()
        end,true)
    end))

    self.Item = item
    self.SubLv = nil
    self.CanSelectResume = nil
    self.ResourceEnough = false
    self.UnoughStr = ""
    
    self:setBaseMsg()
    self:update()
end

--设置基础信息
function RemakeView:setBaseMsg()
    local item = self.Item
    self.UIQuality:loadTexture(PartsQualityCfg[item.data.que].icon,ResType)
    self.UIIcon:loadTexture(item.data.icon,ResType)
    self.UIName:setString(item.data.name)
end

--降级升级的刷新
function RemakeView:updateSubLv(isSub)
    local item = self.Item
    self.UISelectResume:setBright(isSub)
    self.SubLv = isSub and 0 or (item.strLv>=3 and 3 or item.strLv)
    self.UIStrenthPerAdd:setString("  "..
        (self.SubLv>0 and string.format("↓ -%d",self.SubLv) or ""))
    --属性刷新
    local strengthups = StringTemp:toTableDecimal(item.data.strengthup..",")
    local reformups = StringTemp:toTableDecimal(item.data.reformup..",")
    local pos = 0
    for k,v in pairs(reformups) do
        pos = pos + 1
        local uiAddAttrText = self["UIAttrAdd"..pos]
        local uiAttrPerAdd = self["UIAttrPerAdd"..pos]
        local size = uiAddAttrText:getContentSize()
        uiAttrPerAdd:setPosition(size.width,0)
        uiAttrPerAdd:setString(string.format("  ↑ +%s%%",(v-self.SubLv*strengthups[k])*100))
    end
end

--刷新
function RemakeView:update()
    local item = self.Item
    self.SubLv = item.strLv>=3 and 3 or item.strLv
    self:updateSubLv(false)
    self.UIReformLv:setString(string.format(StringRes.reform_lv,item.relv))
    self.UIReformPerAdd:setString("  ↑ +1")
    self.UIStrengthLv:setString(string.format(StringRes.strength_lv,item.strLv))
    --属性
    local effects = StringTemp:toTableDecimal(item.data.effect)
    local strengthups = StringTemp:toTableDecimal(item.data.strengthup..",")
    local reformups = StringTemp:toTableDecimal(item.data.reformup..",")
    local k,v = nil,nil
    for pos = 1 , 2 do
        local visible = false
        local uiAddAttrText = self["UIAttrAdd"..pos]
        k,v = next(effects,k)
        if k then
            visible = true
            local attrAdd = v + reformups[k]*item.relv + strengthups[k]*item.strLv
            uiAddAttrText:setString(string.format(StringRes[k.."_add"],attrAdd*100))
        end
        uiAddAttrText:setVisible(visible)
    end

    local typeItems = AccessoryItem:getIdTabBytype(6)
    local cost = AddAttrCost:getReformCost(item.relv,item.data.que)
    self.ResourceEnough = true
    self.UnoughStr = ""
    for id = 238 , 240 do
        local typeItem = typeItems[id]
        local own,costS = typeItem and typeItem.count or 0,cost[id-234]
        local UICost = self.UICostTable[id-237]
        UICost:setString(string.format(
        StringRes.ownAndneed,own,costS))
        if own<costS then
            self.ResourceEnough = false
            local typeData = AccessoryItem:getDataById(id)
            self.UnoughStr = self.UnoughStr..typeData.name..","
        end
        UICost:setColor(own>=costS and CommonColor.Green or CommonColor.Red)
    end
    local partItem = AccessoryItem:getByDataId(241)
    local partCount = partItem and partItem.count or 0
    self.UICostMsg:setString(string.format(StringRes.ownAndneed_part,partCount,
        cost[1]))
    if partCount<cost[1] then
        self.ResourceEnough = false
        local partData = AccessoryItem:getDataById(241)
        self.UnoughStr = self.UnoughStr..partData.name..","
    end
    self.UICostMsg:setColor((partCount>=cost[1]) and CommonColor.Green or CommonColor.Red)
    
    local visible = item.relv >= item.data.reformlv
    self.UIIsMaxLv:setVisible(visible)
    self.UIReform:setVisible(not visible)
    
    local resumeItem = AccessoryItem:getByDataId(242)
    local resumeCount = resumeItem and resumeItem.count or 0
    self.UIOwnResume:setString(string.format(StringRes.own_count,resumeCount))
    
    self.CanSelectResume = (resumeCount>=5)
end

function RemakeView:destroy()
    
end

return RemakeView