ActUtils = {}
--叶亮
function ActUtils:initSignItem(item)
    local data = item.tag_data
    --	奖励类型 1背包道具 2战斗单位 3声望  4金币 5配件 6荣誉
    --奖励类型 1背包道具 2战斗单位 3声望  4金币 5配件 6 荣誉 7 铁矿 8石油 9铅矿 10钛矿 11水晶 12角色经验
    local tmp = {}
    if data.type == 1 then
        local info = gItem[data.baseId]
        tmp.icon = info.icon
        tmp.title = StringRes[info.name]
        tmp.des = StringRes[info.desc]
        tmp.count = data.num
    elseif data.type == 2 then
        local info = Tank[data.baseId]
        tmp.icon = info.icon
        tmp.title = StringRes[info.name]
        tmp.titleColor = Common:getUnitTitleColor(info)
        tmp.des = string.format(StringRes[info.dec],info.load)
        tmp.count = data.num
    elseif data.type == 3 then
        tmp.icon = ResIconCfg.prestige
        tmp.title = StringRes.prestige
        tmp.des = StringRes.Task_Description_115
        tmp.count = data.num
    elseif data.type == 4 then
        tmp.icon = ResIconCfg.gold
        tmp.title = StringRes.coin
        tmp.des = StringRes.golddes
        tmp.count = data.num
    elseif data.type == 6 then
        tmp.icon = ResIconCfg.honor
        tmp.title = StringRes.rank_title_3
        tmp.des = StringRes.help_des29
        tmp.count = data.num
    elseif data.type == 7 then
        tmp.icon = ResIconCfg.ferrum
        tmp.title = StringRes.iron_ore
        tmp.des = StringRes.iron_ore
        tmp.count = data.num
    elseif data.type == 8 then
        tmp.icon = ResIconCfg.oil
        tmp.title = StringRes.oil
        tmp.des = StringRes.oil
        tmp.count = data.num
    elseif data.type == 9 then
        tmp.icon = ResIconCfg.lead
        tmp.title = StringRes.vanadium
        tmp.des = StringRes.vanadium
        tmp.count = data.num
    elseif data.type == 10 then
        tmp.icon = ResIconCfg.titanium
        tmp.title = StringRes.titanium
        tmp.des = StringRes.titanium
        tmp.count = data.num
    elseif data.type == 11 then
        tmp.icon = ResIconCfg.crystal
        tmp.title = StringRes.crystal
        tmp.des = StringRes.crystal
        tmp.count = data.num
    elseif data.type == 5 then
        local parts = require("src/app/data/parts")
        local info = parts[data.baseId]
        tmp.icon = info.icon
        tmp.title = info.name
        tmp.des = info.decript
        tmp.count = data.num
        local PartsQualityCfg = require("src/app/cfg/PartsQualityCfg")
        local des = PartsQualityCfg[info.que]
        if info.type < 5 then
            item:setScale(SCALE_PART)
        end
        if des and info.type < 5 then
            if not item.isOnlyGetData then
                local sp = ccui.ImageView:create()
                sp:setScale9Enabled(true)
                sp:setContentSize(item:getContentSize())
                Common:changePic(sp,des.icon)
                sp:setPosition(item:getPosition())
                sp:setName("tag_addBg")
                item:setLocalZOrder(2)
                item:getParent():addChild(sp,1)
            end
            tmp.bg = des.icon
        end
    end
    if not item.isOnlyGetData then
        Common:changePic(item,tmp.icon)

        local numText = item:getChildByName("num_desc") or (data.textNodeName and item:getChildByName(data.textNodeName))
        if numText then
            numText:setString("x"..tmp.count)
            if data.type == 5 then
                numText:retain()
                numText:removeFromParent()
                local numX, numY = numText:getPosition()
                local ix,iy = item:getPosition()
                local pos = cc.pAdd(cc.p(ix,iy),cc.p(-item:getContentSize().width/2,-item:getContentSize().height/2))
                pos = cc.pAdd(pos,cc.p(numX, numY))
                numText:setPosition(pos)
                numText:setLocalZOrder(3)
                item:getParent():addChild(numText,2)
                numText:release()
            end
        end

        item:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                require("app/views/activity/ItemDetail"):show(gWorldScene,tmp)
            end
        end)
    end
    
    return tmp
end







--李飞
function ActUtils:initSignItemLifei(item)
    local data = item.tag_data
    --  奖励类型 1背包道具 2战斗单位 3声望  4金币 5配件 6荣誉
    local tmp = {}
    if data.type == 1 then
        local info = gItem[data.templateId]
        tmp.icon = info.icon
        tmp.title = StringRes[info.name]
        tmp.des = StringRes[info.desc]
        tmp.count = data.count
    elseif data.type == 2 then
        local info = Tank[data.templateId]
        tmp.icon = info.icon
        tmp.title = StringRes[info.name]
        tmp.titleColor = Common:getUnitTitleColor(info)
        tmp.des = string.format(StringRes[info.dec],info.load)
        tmp.count = data.count
    elseif data.type == 3 then
        tmp.icon = ResIconCfg.prestige
        tmp.title = StringRes.prestige
        tmp.des = StringRes.Task_Description_115
        tmp.count = data.count
    elseif data.type == 4 then
        tmp.icon = ResIconCfg.gold
        tmp.title = StringRes.coin
        tmp.des = StringRes.golddes
        tmp.count = data.count
    elseif data.type == 6 then
        tmp.icon = ResIconCfg.honor
        tmp.title = StringRes.rank_title_3
        tmp.des = StringRes.help_des29
        tmp.count = data.count
    elseif data.type == 7 then
        tmp.icon = ResIconCfg.ferrum
        tmp.title = StringRes.iron_ore
        tmp.des = StringRes.iron_ore
        tmp.count = data.count
    elseif data.type == 8 then
        tmp.icon = ResIconCfg.oil
        tmp.title = StringRes.oil
        tmp.des = StringRes.oil
        tmp.count = data.count
    elseif data.type == 9 then
        tmp.icon = ResIconCfg.lead
        tmp.title = StringRes.vanadium
        tmp.des = StringRes.vanadium
        tmp.count = data.count
    elseif data.type == 10 then
        tmp.icon = ResIconCfg.titanium
        tmp.title = StringRes.titanium
        tmp.des = StringRes.titanium
        tmp.count = data.count
    elseif data.type == 11 then
        tmp.icon = ResIconCfg.crystal
        tmp.title = StringRes.crystal
        tmp.des = StringRes.crystal
        tmp.count = data.count
    elseif data.type == 5 then
        local parts = require("src/app/data/parts")
        local info = parts[data.templateId]
        tmp.icon = info.icon
        tmp.title = info.name
        tmp.des = info.decript
        tmp.count = data.count
        local PartsQualityCfg = require("src/app/cfg/PartsQualityCfg")
        local des = PartsQualityCfg[info.que]
        if info.type < 5 then
            item:setScale(SCALE_PART)
        end
        if des and info.type < 5  then
            if not item.isOnlyGetData then
                local sp = ccui.ImageView:create()
                sp:setScale9Enabled(true)
                sp:setContentSize(item:getContentSize())
                Common:changePic(sp,des.icon)
                sp:setPosition(item:getPosition())
                sp:setName("tag_addBg")
                item:setLocalZOrder(2)
                item:getParent():addChild(sp,1)
            end
            tmp.bg = des.icon
        end
    end
    if not item.isOnlyGetData then
        Common:changePic(item,tmp.icon)
        if tmp.count == nil then
        	local a = 0
        end
        
        local numText = item:getChildByName("text_num") or (data.textNodeName and item:getChildByName(data.textNodeName))
        if numText then
            numText:setString("x"..tmp.count)
            if data.type == 5 then
                numText:removeFromParent()
                local numX, numY = numText:getPosition()
                local ix,iy = item:getPosition()
                local pos = cc.pAdd(cc.p(ix,iy),cc.p(-item:getContentSize().width/2,-item:getContentSize().height/2))
                pos = cc.pAdd(pos,cc.p(numX, numY))
                numText:setPosition(pos)
                numText:setLocalZOrder(3)
                item:getParent():addChild(numText,2)
            end
        end
        
        item:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                require("app/views/activity/ItemDetail"):show(gWorldScene,tmp)
            end
        end)
    end
    
    return tmp
end


--获取道具名字
function ActUtils:getItemStrLifei(item)
    --local str = StringRes.new_server_combat2.." "
    local str = ""
    for key, var in pairs(item) do
        --奖励类型 1背包道具 2战斗单位 3声望  4金币 5配件
        if var.type == 1 then
            str = str..StringRes[gItem[var.templateId or var.baseId].name].."x"..(var.count or var.num)
        elseif var.type == 2 then
            str = str..StringRes[Tank[var.templateId or var.baseId].name].."x"..(var.count or var.num)
        elseif var.type == 3 then
            str = str..StringRes.prestige.."x"..(var.count or var.num)
        elseif var.type == 4 then
            str = str..StringRes.coin.."x"..(var.count or var.num)
        elseif var.type == 5 then
            str = str..parts[var.templateId or var.baseId].name.."x"..(var.count or var.num)
        elseif var.type == 6 then
            str = str..StringRes.rank_title_3.."x"..(var.count or var.num)
        elseif var.type == 7 then
            str = str..StringRes.iron_ore.."x"..(var.count or var.num)
        elseif var.type == 8 then
            str = str..StringRes.oil.."x"..(var.count or var.num)
        elseif var.type == 9 then
            str = str..StringRes.vanadium.."x"..(var.count or var.num)
        elseif var.type == 10 then
            str = str..StringRes.titanium.."x"..(var.count or var.num)
        elseif var.type == 11 then
            str = str..StringRes.crystal.."x"..(var.count or var.num)
        end
    end
    return str

end




return ActUtils