


local myActivityId = 39


EquipmentCompetition = class("EquipmentCompetition",function(scene)
    return PanelTabLayer.new(scene,{title=gActivity[myActivityId].name,tabs={gActivity[myActivityId].name,StringRes.ranking_list}})
end)

function EquipmentCompetition:ctor(scene)
    self.Info = nil
    self.Rank = nil
    
    
    --新服关卡信息
    self.Panel = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/equipment_competition/ui_equipment_competition_main.csb")
    self:addChild(self.Panel)
    
    
    self.Info = self.Panel:getChildByName("panel_prief")
    self.Rank = self.Panel:getChildByName("panel_ranking")
    
    
    
    
    Connect:sendMsg("ActivityPrepareforwarAction","openActivityPrepareforwar",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:initTabs()
        end)
    
    
    
end




function EquipmentCompetition:resetContent()
    if self.Info then self.Info:setVisible(false) end
    if self.Rank then self.Rank:setVisible(false) end
end

function EquipmentCompetition:ViewPage(page)
    if self.Info then self.Info:setVisible(false) end
    if self.Rank then self.Rank:setVisible(false) end

    page:setVisible(true)
end


function EquipmentCompetition:FreshInfo()
	
	--时间
    if self.data.activityState == 0 then
        self.Info:getChildByName("text_time"):setString(self.data.startTime.."～"..self.data.endTime)
    elseif self.data.activityState == 1 or self.data.activityState == 2 then
        self.Info:getChildByName("text_time"):setString(StringRes.good_get_reward)

    elseif self.data.activityState == 3 then
        self.Info:getChildByName("text_time"):setString(StringRes.can_not_get_reward)
        self.Info:getChildByName("text_time"):setColor(cc.c3b(250,20,20))
	end
	
	--关于
    local aboutBtn = self.Info:getChildByName("btn_info")
    aboutBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.activity_descript_58))
        end
    end)
	
	--描述
    self.Info:getChildByName("panel_dialog"):getChildByName("text_desc"):setString(StringRes.activity_descript_57)
	
	--具体内容
    local list = self.Info:getChildByName("panel_outline"):getChildByName("listview_bg")
    list:removeAllItems()
    
    --活动描述
    local activityDesc = self.Info:getChildByName("panel_outline"):getChildByName("panel_line"):clone()
    activityDesc:getChildByName("text_desc"):setString(StringRes.activity_descript_61)
    list:pushBackCustomItem(activityDesc)
    
    --奖励列表
    local reward = self.Info:getChildByName("panel_outline"):getChildByName("panel_line_2"):clone()
    reward:getChildByName("text_award_desc"):setString(StringRes.activity_descript_62)
    list:pushBackCustomItem(reward)
	
	
	--领奖按钮
    local getBtn = self.Info:getChildByName("btn_get")
    
    showShader:buttonToGray(getBtn)
    if self.data.activityState == 2 then
        getBtn:setTitleText(StringRes.already_attach)
        Common:setBtnTouchEnable(getBtn,false)

    elseif self.data.activityState == 0 then
        getBtn:setTitleText(StringRes.attach)
        Common:setBtnTouchEnable(getBtn,false)
        

    elseif self.data.activityState == 1 then
        getBtn:setTitleText(StringRes.attach)
        Common:setBtnTouchEnable(getBtn,true)


        getBtn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)


                Connect:sendMsg("ActivityPrepareforwarAction","getActivityPrepareforwarRankReward",nil,
                    function(data)
                        self.data.activityState = 2
                        self:FreshInfo()
                        
                        local function getItemNames(data1)
                            local str = ""
                            for key, var in pairs(data1) do
                                str = str..StringRes[gItem[var.id].name].."x"..var.count.."  "
                            end
                            return str
                        end


                        --获取东西的提示
                        local str = StringRes.already_attach..":"..getItemNames(data.itemsType30s)
                        FlyWordPrompt:prompt(str)
                    end)

            end
        end)
--    elseif self.data.state == 3 then
--        getBtn:setTitleText(StringRes.attach)
--        Common:setBtnTouchEnable(getBtn,true)
--
--
--        getBtn:addTouchEventListener(function(e, t)
--            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
--                --获取东西的提示
--                local str = 
--                FlyWordPrompt:prompt(str)
--            end
--        end)

    end
	
end


function EquipmentCompetition:FreshRank()
    local list = self.Rank:getChildByName("listview_ranking")
    list:removeAllItems()
    
    for key, var in pairs(self.data.activityPrepareforwarRankVOs) do
        local oneitem = nil
        
    	if var.rank == 1 then
            oneitem = self.Rank:getChildByName("panel_attack_1st"):clone()
            list:pushBackCustomItem(oneitem)
            
            
            
        elseif var.rank == 2 then
            oneitem = self.Rank:getChildByName("panel_attack_2nd"):clone()
            list:pushBackCustomItem(oneitem)
        elseif var.rank == 3 then
            oneitem = self.Rank:getChildByName("panel_attack_3rd"):clone()
            list:pushBackCustomItem(oneitem)
    	else
            oneitem = self.Rank:getChildByName("panel_attack_other"):clone()
            list:pushBackCustomItem(oneitem)
            --排名
            oneitem:getChildByName("text_ranking"):setString(var.rank)
    	end
    	
    	
        --军团名字
        oneitem:getChildByName("text_army_group_name"):setString(var.guildName)
        --人数
        oneitem:getChildByName("text_num"):setString(var.count)

        --贡献
        oneitem:getChildByName("text_contribute"):setString(var.contr)
    	
    end
    
end





function EquipmentCompetition:initTabs()
    self:registerTabEvent(1,function()

        self:FreshInfo()
        self:ViewPage(self.Info)
    end)
    self:registerTabEvent(2,function()
        self:FreshRank()
        self:ViewPage(self.Rank)
    end)
    
    self:setTabSelect(1)
end

return EquipmentCompetition