
local FirstRechargeIcon = class("FirstRechargeIcon",function(node)
    return node
end)

function FirstRechargeIcon:ctor(node)
    self:init()
end

function FirstRechargeIcon:update(dt)
    local data = PlayerData:getInstanse().basicData
    if data and data.firstPay ~= 2 then
--        self:setVisible(true)
        TopbarUtils.setVisible(self,true)
    else
--        self:setVisible(false)
        TopbarUtils.setVisible(self,false)
    end
end

function FirstRechargeIcon:init()

    
    local Scheduler = cc.Director:getInstance():getScheduler()
    self:update(0)
    self.updateId = Scheduler:scheduleScriptFunc(handler(self,self.update), 1, false)
    local function onNodeEvent(tag)
        if tag == "exit" then
            Scheduler:unscheduleScriptEntry(self.updateId)
        end
    end
    self:registerScriptHandler(onNodeEvent)
    self:playAnimation()
    self:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            Animation:stopAnimation(self,gUIeffect[34].effect)
            local t = FirstRecharge.new()
            gWorldScene:addChild(t)
        end
    end)
    
end

function FirstRechargeIcon:playAnimation()
    Animation:playAnimation2(self,gUIeffect[34].effect,1)
end

return FirstRechargeIcon