

local DescriptCfg = require("src/app/cfg/DescriptCfg")
HarderThanRocks = class("HarderThanRocks",function()
    return display.newLayer()
end)







local myActivityId = 30


function HarderThanRocks:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:getParent():getActivityList()
            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.HarderThanRocks = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/harder_than_rocks/ui_harder_than_rocks_main.csb")
    self:addChild(self.HarderThanRocks)



    Connect:sendMsg("HoldBattleFieldAction","open",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
        end)
    

    --self:fresh()
end

function HarderThanRocks:freshInfo()
	--时间
    self.HarderThanRocks:getChildByName("panel_main_bg"):getChildByName("text_time"):setString(self.data.startTime.."～"..self.data.endTime)
    
    --描述
    self.HarderThanRocks:getChildByName("panel_main_bg"):getChildByName("text_info"):setString(StringRes.activity_descript_28)
    
    --关于
    local aboutBtn = self.HarderThanRocks:getChildByName("panel_main_bg"):getChildByName("btn_info")
    aboutBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.activity_descript_29))
        end
    end)
    
    --奖励列表
    local list = self.HarderThanRocks:getChildByName("panel_main_bg"):getChildByName("listview_item")
    list:removeAllItems()
    for key, var in pairs(self.data.gift) do
        local item = self.HarderThanRocks:getChildByName("panel_main_bg"):getChildByName("panel_item_bg"):clone()
        list:pushBackCustomItem(item)
        
        --天数
        item:getChildByName("panel_bg"):getChildByName("text_desc"):setString(string.format(StringRes.day_info,var.day))
        
        --奖励
        --奖励道具
        for key1, var1 in pairs(var.gifts) do
            local it = item:getChildByName("panel_bg"):getChildByName("icon_item_0"..key1)
            
            it.tag_data = var1
            local tmpData = require("app/views/activity/ActUtils.lua"):initSignItem(it)
        end
        
        
        --是否已经领取
        if var.getState == 0 then
            item:getChildByName("panel_bg"):getChildByName("icon_get"):setVisible(false)
        else
            item:getChildByName("panel_bg"):getChildByName("icon_get"):setVisible(true)
        end
        
    end
    
    
    
    --领取按钮
    local getBtn = self.HarderThanRocks:getChildByName("panel_main_bg"):getChildByName("btn_get")
    showShader:buttonToGray(getBtn)
    
    if self.data.state == 2 then
        getBtn:setTitleText(StringRes.already_attach)
        Common:setBtnTouchEnable(getBtn,false)
        Animation:stopAnimation(getBtn,gUIeffect[9].effect)
    elseif self.data.state == 0 then
        

    elseif self.data.state == 1 then
        getBtn:setTitleText(StringRes.attach)
        Common:setBtnTouchEnable(getBtn,true)
        Animation:playAnimation(getBtn,gUIeffect[9].effect,true,15)

        getBtn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)


                Connect:sendMsg("HoldBattleFieldAction","getGift",nil,
                    function(data)
                        self.data.state = 2
                        self.data.gift[data.getDay].getState = 1
                        self:freshInfo()

                        --获取东西的提示
                        local str = StringRes.new_server_combat2.." "..require("src/app/views/activity/FightingCompetitionActivity"):getItemStr(self.data.gift[data.getDay].gifts)
                        FlyWordPrompt:prompt(str)
                    end)

            end
        end)

    end
    
    
end

return HarderThanRocks