

local DescriptCfg = require("src/app/cfg/DescriptCfg")
HilddenTreasure = class("HilddenTreasure",function()
    return display.newLayer()
end)







local myActivityId = 40


function HilddenTreasure:ctor()

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
            self:getParent():getActivityList()
            self:removeFromParent()
        end
    end)

    --新服关卡信息
    self.HilddenTreasure = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/hildden_treasure_exploration/ui_hildden_treasure_exploration_main.csb")
    self:addChild(self.HilddenTreasure)



    Connect:sendMsg("ExploreTreasureAction","open",nil,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
        end)
    

    --self:fresh()
end

--
function HilddenTreasure:freshInfo()
	--
    local list = self.HilddenTreasure:getChildByName("panel_bg"):getChildByName("listview_bg")
    list:removeAllItems()
    
    --头部信息
    local header = self.HilddenTreasure:getChildByName("panel_bg"):getChildByName("panel_header"):clone()
	list:pushBackCustomItem(header)
    header:getChildByName("text_time"):setString(self.data.startTime.."～"..self.data.endTime)
    header:getChildByName("text_content_info"):setString(StringRes.activity_descript_52)
    
    --拼合按钮
    local combineBtn = header:getChildByName("btn_combine")
    showShader:buttonToGray(combineBtn)
    if self.data.state == 0 then--不可拼合
        Common:setBtnTouchEnable(combineBtn,false)
    else
        Common:setBtnTouchEnable(combineBtn,true)
        combineBtn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
                Connect:sendMsg("ExploreTreasureAction","piece",nil,
                    function(data)

                        --更新数据
                        self.data.state = 0
                        self.data.pieces = data.pieces
                        
                        self:freshInfo()
                        
                        --提示
                        local str = StringRes.new_server_combat2.." "..StringRes[gItem[data.itemId].name].."x"..data.num
                        FlyWordPrompt:prompt(str)
                    end)
            end
        end)
    end
    --图纸数量
    for key, var in pairs(self.data.pieces) do
        local temp = header:getChildByName("icon_peace_0"..key)
        
        --图标
        Common:changePic(temp,gItem[var.baseId].icon)
        
        --数量
        temp:getChildByName("num_peace"):setString(var.num.."/"..var.need)
        
        if var.num >= var.need then
            temp:setColor(cc.c3b(255,255,255))
            temp:getChildByName("num_peace"):setColor(cc.c3b(255,255,255))
        else
            temp:setColor(cc.c3b(50,50,50))
            temp:getChildByName("num_peace"):setColor(cc.c3b(50,50,50))
        end
        temp:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect) 
                local d1 = {}
                d1.icon = gItem[var.baseId].icon
                d1.title = StringRes[gItem[var.baseId].name]
                d1.des = StringRes[gItem[var.baseId].desc]
                d1.count = var.num
                require("app/views/activity/ItemDetail"):show(gWorldScene,d1)
            end
        end)
        
        
    end
    
    
    
    
    
    --道具内容
    local itemId = {self.data.tmId,self.data.hpId}
    for key, var in pairs(itemId) do
        --宝藏图
        local baozangPic = self.HilddenTreasure:getChildByName("panel_bg"):getChildByName("panel_peace"):clone()
        list:pushBackCustomItem(baozangPic)
        --图标
        Common:changePic(baozangPic:getChildByName("panel_outline"):getChildByName("icon_peace"),gItem[var].icon)
        --名字
        baozangPic:getChildByName("panel_outline"):getChildByName("text_title"):setString( StringRes[gItem[var].name])
        --描述
        baozangPic:getChildByName("panel_outline"):getChildByName("text_desc"):setString( StringRes[gItem[var].desc])
        
    end
    
    --活动规则
    local rule = self.HilddenTreasure:getChildByName("panel_bg"):getChildByName("panel_rule"):clone()
    list:pushBackCustomItem(rule)
    rule:getChildByName("text_desc"):setString(StringRes.activity_descript_54)
    
    --去探宝
    local gotoField = self.HilddenTreasure:getChildByName("panel_bg"):getChildByName("btn_go")
    gotoField:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            gWorldScene:toField()
            gWorldScene:removeChild( self:getParent())
        end
    end)
    
    
end



return HilddenTreasure