

local DescriptCfg = require("src/app/cfg/DescriptCfg")

Limit_time_first_recharge = class("Limit_time_first_recharge",function()
    return display.newLayer()
end)



local myActivityId = 5


function Limit_time_first_recharge:ctor(time,id)

    self.time = time
    myActivityId = id

    self.Top = CCUILoader:load("res/csd/public/PanelBgLarge.csb")
    self:addChild(self.Top)

    self.Top:getChildByName("text_title"):setString(gActivity[myActivityId].name)

    --关闭
    local close = self.Top:getChildByName("btn_close")
    close:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            self:removeFromParent()
        end
    end)

    --
    self.LimitTimeFirst = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/limit_time_first_recharge/ui_limit_time_first_recharge_main.csb")
    self:addChild(self.LimitTimeFirst)


    local msg = {aType = myActivityId}
    Connect:sendMsg("ActivityFirstPayAction","open",msg,
        function(data)
            local pd = PlayerData:getInstanse()
            --更新数据
            self.data = data
            self:freshInfo()
        end)



    --self:fresh()
end



--刷新信息
function Limit_time_first_recharge:freshInfo()

    --时间
    local time = self.LimitTimeFirst:getChildByName("panel_bg"):getChildByName("panel_header"):getChildByName("text_time")
    time:setString(self.time)

    --充值按钮
    local chongzhibtn = self.LimitTimeFirst:getChildByName("panel_bg"):getChildByName("panel_header"):getChildByName("btn_recharge")
    chongzhibtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local rec = Recharge:show(gWorldScene)
            rec:setRemoveNoticeParent(function(eventType)
                if eventType ==  "exit" then
                    local msg = {aType = myActivityId}
                    Connect:sendMsg("ActivityFirstPayAction","open",msg,
                        function(data)
                            local pd = PlayerData:getInstanse()
                            --更新数据
                            self.data = data
                            self:freshInfo()
                        end)
                end
            end)
        end
    end)

    if self.data.state == 0 then
        chongzhibtn:setVisible(true)
        Animation:playAnimation(chongzhibtn,gUIeffect[9].effect,true,15)
    else
        chongzhibtn:setVisible(false)
    end


    --金币倍数
    local jinbi = self.LimitTimeFirst:getChildByName("panel_bg"):getChildByName("panel_header"):getChildByName("num_info")
    jinbi:setString(math.ceil(self.data.coe*100).."%")


    --规则描述
    local desc = self.LimitTimeFirst:getChildByName("panel_bg"):getChildByName("panel_rule"):getChildByName("text_desc")
    desc:setString(string.format(StringRes.firstpayrabate001,math.ceil(self.data.coe*100)))


    --可领取的金币
    local getjinbi = self.LimitTimeFirst:getChildByName("panel_bg"):getChildByName("panel_header"):getChildByName("text_activity_rule_Copy_Copy")
    getjinbi:setString(self.data.returnNum)

    --领奖按钮
    local getbtn = self.LimitTimeFirst:getChildByName("panel_bg"):getChildByName("btn_get")
    showShader:buttonToGray(getbtn)
    if self.data.state == 1 then
        Common:setBtnTouchEnable(getbtn,true)
    else
        Common:setBtnTouchEnable(getbtn,false)
    end
    getbtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

            local msg = {aType = myActivityId}
            Connect:sendMsg("ActivityFirstPayAction","get",msg,
                function(data)
                    local pd = PlayerData:getInstanse()
                    --更新数据
                    self.data.state = data.state
                    pd.basicData.gold = data.gold
                    self.data.returnNum = 0
                    FlyWordPrompt:prompt(StringRes.exchange_get_reward..gActivity[myActivityId].name..data.returnNum..StringRes.gold)
                    self:freshInfo()
                end)

        end
    end)










end


return Limit_time_first_recharge