


local myActivityId = 20


LittleMakeGreat = class("LittleMakeGreat",function(scene)
    return PanelTabLayer.new(scene,{title=gActivity[myActivityId].name,tabs={StringRes.activitydes_101,StringRes.activitydes_102}})
end)


function LittleMakeGreat:show(parent,id)
    Connect:sendMsg("ActivityGatherAction","openActivityGather",{type = id},
        function(data)
        	local layer = LittleMakeGreat.new()
            layer.dataType = id
            parent:addChild(layer)
            local pd = PlayerData:getInstanse()
            --更新数据
            if id==20 then
            	layer.gActivitygathertargetreward=gActivitygathertargetreward1
            else
            	layer.gActivitygathertargetreward=gActivitygathertargetreward2
            end
            layer.data = data
            layer:initTabs()
        end)
end



function LittleMakeGreat:ctor(scene)
    self.FindRank = nil
    self.PeopleTarget = nil
    --新服关卡信息
    self.Panel = CCUILoader:load("res/csd/mainmap_left/activity_announcement/activity/small_make_great/ui_small_make_great_main.csb")
    self:addChild(self.Panel)
    
    self.FindRank = self.Panel:getChildByName("panel_line")
    self.PeopleTarget = self.Panel:getChildByName("panel_item")
    
    self.listview_expend = ExpandListView.new(self.PeopleTarget:getChildByName("listview_target"),
    handler(self,self.lvListener),
    handler(self,self.getExHeight))
    --self:addChild(self.listview_expend)
    
end

function LittleMakeGreat:lvListener(listview,item,index,type)
    if type == ExpandListView_Type_Open then
        item:getChildByName("checkbox_spand"):setSelected(true)
        --        local panel_vip_desc = self:getChildByName("panel_vip_desc")
        --        local item2 = panel_vip_desc:clone()
        --        SpecialView:addRichText(item2,StringTemp:Descript(StringRes[item.tag_data.vippow]))
        self.listview_expend:insertExpandContent(self.tag_item,index+1)
        self.tag_item:release()
    elseif type == ExpandListView_Type_Close then
        item:getChildByName("checkbox_spand"):setSelected(false)
    end
end

function LittleMakeGreat:getExHeight(item,index)
    local panel_vip_desc = self.PeopleTarget:getChildByName("panel_bg")
    local item2 = panel_vip_desc:clone()
    --SpecialView:addRichText(item2,StringTemp:Descript(StringRes[item.tag_data.vippow],24,CommonColor.White))
    
    local function freshdata(item2,item)
--        local oneinfo = {[1] = self.data.cryGatherRank,[2] = self.data.feGatherRank,[3] = self.data.oilGatherRank,
--            [4] = self.data.leadGatherRank,[5] = self.data.titanGatherRank}


        local state = {[1] = self.data.activityGatherTargetVOs[item.resType].target1,[2] = self.data.activityGatherTargetVOs[item.resType].target2,
            [3] = self.data.activityGatherTargetVOs[item.resType].target3,[4] = self.data.activityGatherTargetVOs[item.resType].target4,}

        for key, var in pairs(self.gActivitygathertargetreward) do
            item2:getChildByName("panel_line_"..key):getChildByName("text_collect_num"):setString(
                StringTemp:toNum(self.gActivitygathertargetreward[key].targetcount))
            item2:getChildByName("panel_line_"..key):getChildByName("text_num"):setString(
                StringTemp:toNum(self.data.activityGatherTargetVOs[item.resType].gather).."/"..StringTemp:toNum(self.gActivitygathertargetreward[key].targetcount)
            ) 




            --按钮
            local btn = item2:getChildByName("panel_line_"..key):getChildByName("btn_info")

            

            if state[key] == 0 then

                btn:loadTextures("pic/common/btn/build_upgrade/btn_info.png","pic/common/btn/build_upgrade/btn_infoPress.png",
                    "pic/common/btn/build_upgrade/btn_info.png",ResType)
                btn:setTitleText("")
                Common:setBtnTouchEnable(btn,true)
                Animation:stopAnimation(btn,gUIeffect[9].effect)


                btn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        --奖励描述
                        local DescriptView = require("src/app/views/prompt/DescriptView")
                        local t = {
                            {{str=StringRes.activitydes_110,color=CommonColor.White,size=24}},
                            {{str=StringRes[Tank[self.gActivitygathertargetreward[key].tank].name]..":"..self.gActivitygathertargetreward[key].count,color=CommonColor.White,size=24}},
                            {{str="",color=CommonColor.White,size=24}},
                            {{str="",color=CommonColor.White,size=24}},
                        }
                        DescriptView:open(self,t)

                    end
                end)


            elseif state[key] == 1 then
                btn:loadTextures("pic/common/btn/buy_use/btn_negative.png","pic/common/btn/buy_use/btn_negativePress.png",
                    "pic/common/btn/buy_use/btn_negative.png",ResType)
                btn:setTitleText(StringRes.attach)
                Common:setBtnTouchEnable(btn,true)
                Animation:playAnimation(btn,gUIeffect[9].effect,true,15)


                btn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

                        local msg = {resType = item.resType,target = key,type = self.dataType}

                        Connect:sendMsg("ActivityGatherAction","getGatherTargetReward",msg,
                            function(data)
                            --更新数据
                                self.data.activityGatherTargetVOs[data.resType] = data
                                
                                
                                --获取东西的提示
                                local str = StringRes.already_attach..":"..StringRes[Tank[self.gActivitygathertargetreward[key].tank].name]..":"..self.gActivitygathertargetreward[key].count
                                FlyWordPrompt:prompt(str)
                                
                                
                                freshdata(item2,item)
                            end)
                    end
                end)

            elseif state[key] == 2 then
                btn:loadTextures("pic/common/btn/buy_use/btn_negative.png","pic/common/btn/buy_use/btn_negativePress.png",
                    "pic/common/btn/buy_use/btn_negative.png",ResType)
                showShader:buttonToGray(btn)
                    
                btn:setTitleText(StringRes.already_attach)
                Common:setBtnTouchEnable(btn,false)
                Animation:stopAnimation(btn,gUIeffect[9].effect)
            end

        end
    end
    
    
    freshdata(item2,item)
    
    
    
    self.tag_item = item2
    self.tag_item:retain()
    return item2:getContentSize().height
end













function LittleMakeGreat:resetContent()
    if self.FindRank then self.FindRank:setVisible(false) end
    if self.PeopleTarget then self.PeopleTarget:setVisible(false) end
end

function LittleMakeGreat:ViewPage(page)
    if self.FindRank then self.FindRank:setVisible(false) end
    if self.PeopleTarget then self.PeopleTarget:setVisible(false) end

    page:setVisible(true)
end


function LittleMakeGreat:FreshFindRank()
	--时间
    self.FindRank:getChildByName("text_time"):setString(self.data.startTime.."～"..self.data.endTime)
    
    self.FindRank:getChildByName("text_time_2"):setString(self.data.getStartTime.."～"..self.data.getEndTime)
    
    --关于
    local aboutbtn = self.FindRank:getChildByName("btn_info")
    aboutbtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local DescriptView = require("src/app/views/prompt/DescriptView")
            DescriptView:open(self,StringTemp:Descript(StringRes.Promptwords_1))
        end
    end)
	
	--活动说明
    local deslist = self.FindRank:getChildByName("panel_itembg"):getChildByName("listview_desc")
	deslist:removeAllItems()
    local des = self.FindRank:getChildByName("panel_itembg"):getChildByName("text_desc"):clone()
    SpecialView:addRichText(des,StringTemp:Descript(StringRes.activitydes_105,des:getFontSize()),0)
    deslist:pushBackCustomItem(des)
    
    --榜首
    local ranksLeader = {[1] = self.data.cryGatherRanks,[2] = self.data.feGatherRanks,
        [3] = self.data.oilGatherRanks,[4] = self.data.leadGatherRanks,[5] = self.data.titanGatherRanks}
    local rankLeader = {[1] = self.data.cryGatherRank,[2] = self.data.feGatherRank,
        [3] = self.data.oilGatherRank,[4] = self.data.leadGatherRank,[5] = self.data.titanGatherRank}
    for var=1, 5 do
        self.FindRank:getChildByName("panel_itembg"):getChildByName("panel_item_"..var):getChildByName("text_name"):setString(
        ranksLeader[var][1].name)
        
        local rankbtn = self.FindRank:getChildByName("panel_itembg"):getChildByName("panel_item_"..var):getChildByName("btn_1")
        rankbtn:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                
                local rankpanel = require("src/app/views/activity/LittleMakeCreatRank").new(ranksLeader[var],rankLeader[var],self.dataType)
                self:addChild(rankpanel)
            end
        end)
    end
	
	
end

function LittleMakeGreat:FreshPeopleTarget()

    --描述
    local listDes = self.PeopleTarget:getChildByName("listview_goal")
    local info = self.PeopleTarget:getChildByName("text_desc"):clone()
    SpecialView:addRichText(info,StringTemp:Descript(StringRes.activitydes_109,info:getFontSize()),0)
    listDes:removeAllItems()
    listDes:pushBackCustomItem(info)
    
    
    
    
    --各项奖励
    
    
    
    
    
    local name = {[1] = StringRes.crystal..":",[2] = StringRes.iron_ore..":",[3] = StringRes.oil..":",
        [4] = StringRes.vanadium..":",[5] = StringRes.titanium..":",}
    
    local itemList = self.PeopleTarget:getChildByName("listview_target")
    itemList:removeAllItems()
    for key, var in pairs(self.data.activityGatherTargetVOs) do
        local item = self.PeopleTarget:getChildByName("panel_itembg"):clone()
        item.resType = var.resType
        
        local finishNum = 0
        local totleNum = 4
        for var1=1, totleNum do
            if var["target"..var1] ~= 0 then
                finishNum = finishNum + 1
        	end
        end
        
        --文本
        item:getChildByName("text_goal"):setString(name[var.resType])
        item:getChildByName("text_goal_num"):setString(finishNum.."/"..totleNum)
        
        
        
        
        itemList:pushExpandItem(item)
        
        
        --item:getChildByName("checkbox_spand"):addEventListener()
        
    end
    
end


function LittleMakeGreat:initTabs()
    self:registerTabEvent(1,function()

        self:FreshFindRank()
        self:ViewPage(self.FindRank)
    end)
    self:registerTabEvent(2,function()
        self:FreshPeopleTarget()
        self:ViewPage(self.PeopleTarget)
    end)
    
    self:setTabSelect(1)
end

return LittleMakeGreat