

local cjson = require("cjson")
local UserDefault = cc.UserDefault:getInstance()
local Scheduler = cc.Director:getInstance():getScheduler()
local MainActivity = class("MainActivity",function(scene)
    return PanelTabLayer.new(scene,{title=StringRes.text_prompt_3,tabs={StringRes.text_prompt_4,StringRes.text_prompt_5,StringRes.text_prompt_1}})
end)


--个人建议用table的方式,用if做判断次数会很多 ---hsm
--进入活动
function MainActivity:enterActivity(id,time)
	if id == 1 or id == 59 then
        require("src/app/views/activity/DollarsSendView"):open(self,id)
	elseif id == 2 or (id >= 23 and id <= 28) or (id >= 79 and id <= 84) then
        require("src/app/views/activity/TankPullPaView"):open(self,id)
    elseif id == 6 then
        local fca = require("src/app/views/activity/FightingCompetitionActivity").new()
        self:addChild(fca)
    elseif id == 4 then
        local fca = require("src/app/views/activity/New_Server_Chapter.lua").new()
        self:addChild(fca)
    elseif id == 5 then
        local fca = require("src/app/views/activity/New_Server_Honor.lua").new()
        self:addChild(fca)
    elseif id == 3 then
        require("src/app/views/activity/NewPlayerUpgrade"):show(self)
    elseif id == 7 then
        local fca = require("src/app/views/activity/Growth_plan").new()
        self:addChild(fca)
    elseif id == 8 then
        local t = FirstRecharge.new()
        self:addChild(t)
    elseif id == 9 then
        require("src/app/views/activity/KingOfFB"):show(self)
    elseif id == 10 then
        local fca = require("src/app/views/activity/Top_Chanllenge.lua").new(time)
        self:addChild(fca)
    elseif id >= 11 and id <= 18 then
        local fca = require("src/app/views/activity/LimitTimeDiscount.lua").new()
        fca:setActivityId(id)
        self:addChild(fca)
    elseif id == 19 then
        require("src/app/views/activity/AGUpgradeReward"):show(self)
    elseif id == 20 or id==89 then
        --local fca = require("src/app/views/activity/LittleMakeGreat.lua").new()
        --self:addChild(fca)
        require("src/app/views/activity/LittleMakeGreat.lua"):show(self,id)
    elseif id == 21 then
        require("src/app/views/activity/LegionQiHuanleView"):open(self)
    elseif id == 22 or id == 60  or id==91 or id==92 or id==93 or id==94 then
        local fca = require("src/app/views/activity/RedEnvelopes.lua").new(time,id)
        self:addChild(fca)
	elseif id == 41 or id==95 then
        require("src/app/views/activity/DailyRechargeReward"):show(self,id)
    elseif id == 29  or id == 85 then
        require("src/app/views/activity/ContinuousRecharge"):show(self,id)
	elseif id == 30 then
        local fca = require("src/app/views/activity/HarderThanRocks.lua").new()
        self:addChild(fca) 
    elseif id == 32 then
        require("src/app/views/activity/TopArmyGroup"):show(self)
    elseif id == 31 or id==90 then
        require("src/app/views/activity/PartSearchView"):open(self,1,time,id)
	elseif id == 33 or id == 34 then
        require("src/app/views/activity/EliteSpecial"):show(self,id)
	elseif id == 35 then
        require("src/app/views/activity/GoldTank"):show(self)
	elseif id == 36 or id == 96 then
        require("src/app/views/activity/RussianRoulette"):show(self,id)
	elseif id == 42 then
        require("src/app/views/activity/SupplyLineChallenge"):show(self,time)
    elseif id == 38 then
        local fca = require("src/app/views/activity/GeneralMobilization.lua").new()
        self:addChild(fca)  
    elseif id == 37 then
        local fca = require("src/app/views/activity/PrivilegeActivity.lua").new()
        self:addChild(fca) 
    elseif id == 40 then
        local fca = require("src/app/views/activity/HilddenTreasure.lua").new()
        self:addChild(fca)   
    elseif id == 39 then
        local fca = require("src/app/views/activity/EquipmentCompetition.lua").new()
        self:addChild(fca)
    elseif id == 43 then
        require("src/app/views/activity/NewYearActivityView"):open(self,2)
    elseif id == 44 then
        require("src/app/views/activity/NewYearActivityView"):open(self,1)
    elseif id == 58 then
        local fca = require("app/views/activity/PartUpgrade.lua").new(time)
        self:addChild(fca)
    elseif id == 57 then
        local fca = require("src/app/views/activity/WeekEndBuff.lua").new(time)
        self:addChild(fca)
    elseif id >= 45 and id <= 51 then
        require("src/app/views/activity/TankBuildReward"):show(self,id,time)
    elseif id >= 61 and id <= 64 or id >= 97 and id <= 99  or id==200 then
        require("src/app/views/activity/AcademyGeneralCollection"):show(self,id,time)
    elseif id== 77 then
        require("src/app/views/activity/RecruitmentOfFunds"):show(self,id,time)
    elseif id == 76 then
        require("src/app/views/activity/MilitaryForum"):show(self,id,time)
    elseif (id >=52 and id <=56) or (id >=86 and id <=88) then
        require("src/app/views/activity/MonthGeneralStarView"):open(self,id,time)
    elseif id >= 65 and id <= 69 then
        local fca = require("src/app/views/activity/Limit_time_first_recharge.lua").new(time,id)
        self:addChild(fca)
    elseif id >= 72 and id <= 73 then
        local fca = require("src/app/views/activity/Rewarding_Experience.lua").new(time,id)
        self:addChild(fca)
    elseif id >= 70 and id <=71 then
        require("src/app/views/activity/DailyWheelView"):open(self,time,id)
    elseif id == 78 then
        require("src/app/views/activity/SupplyInterceptView"):open(self,time,id)
    elseif id >= 74 and id <= 75 then
        local fca = require("src/app/views/activity/Investment_Plan.lua").new(self,time,id)
        self:addChild(fca)
        
    end 
    
end










function MainActivity:ctor(scene)



    self.page = cc.uiload:load("res/csd/mainmap_left/activity_announcement/ui_activity_accouncement_main.csb")
    self:addChild(self.page)



    self.activity = self.page:getChildByName("panel_pg"):getChildByName("listview_activity") -- 活动
    self.everydayActivity = self.page:getChildByName("panel_pg"):getChildByName("listview_daily_activity") --每日活动
    self.notice = self.page:getChildByName("panel_pg"):getChildByName("listview_announcement") --公告


    local pd = PlayerData:getInstanse()
    
    
    
    local function onNodeEvent(tag)
        if tag == "enter" then
            --活动通知
            local function registerActivity()
                Connect:register("notifyActivity",function(data)
                    NodeTranslator:deltaDo(1,function()
                        pd.openActivityTypes = data.activityVOs
                        self:freshActivity()
                    end)
                end)
            end
            registerActivity()

        elseif tag == "exit" then
            Connect:unregister("notifyActivity")
        end
    end
    self:registerScriptHandler(onNodeEvent)
    
    
    


    self:initTabs()

    ViewManager:OpenView(self)
end

function MainActivity:resetContent()
    if self.activity then self.activity:setVisible(false) end
    if self.everydayActivity then self.everydayActivity:setVisible(false) end
    if self.notice then self.notice:setVisible(false) end
end

function MainActivity:ViewPage(page)
    if self.activity then self.activity:setVisible(false) end
    if self.everydayActivity then self.everydayActivity:setVisible(false) end
    if self.notice then self.notice:setVisible(false) end

    page:setVisible(true)
end

--获取活动列表
function MainActivity:getActivityList()
    local pd = PlayerData:getInstanse()

    Connect:sendMsg("ActivityAction","openActivityList",nil,
        function(data)
            NodeTranslator:transUpBegin(self,nil)
            --更新数据
            pd.openActivityTypes = data.openActivityTypes
            self:freshActivity()
        end,false)
end

--获取每日活动列表
function MainActivity:getEverydayActivity()
    local pd = PlayerData:getInstanse()

    Connect:sendMsg("DailyActivityAction","openDailyActivity",nil,
        function(data)
            --NodeTranslator:transUpBegin(self,nil)
            --更新数据
            pd.openEverydayActivityTypes = data.activityVOs
            self:freshEverydayActivity()
        end,false)
end

--刷新活动
function MainActivity:freshEverydayActivity()

    self:freshLittle()




    local pd = PlayerData:getInstanse()
    self.everydayActivity:removeAllItems()
    
    
    
    local elseActivity = {
            [1] = {icon = "res/pic/mission/icon/icon_store_shop.png",name = StringRes.war_store,time = StringRes.activitydes_999,
            func = function()
                local msg = {}
                Connect:sendMsg("PlayerAction","openWarShop",msg,
                    function(data)
                        require("src/app/views/PlayerInfo/WarStore"):show(self,data)
                    end)
            end},
        [2] = {icon = "res/pic/mainmap_left/activiey_announcement/activity/icon_activity21.png",name = StringRes.text_world00041,time = StringRes.text_world00042,
            func = function()
                    local msg = {}
                Connect:sendMsg("DailyActivityAction","openTaskWorld",nil,
                        function(data)
                            if data.state == 1 then
                                self:removeFromParent()
                            
                                gWorldScene:toField()
                            else
                                require("src/app/views/PlayerInfo/WarStore"):show(self,text_world00043)	
                            end
                            
                        end)
                end},
            
            }
    for key, var in ipairs(elseActivity) do
        local mode = self.page:getChildByName("panel_pg"):getChildByName("panel_activity"):clone()
        self.everydayActivity:pushBackCustomItem(mode)

        --图标
        local icon = mode:getChildByName("icon_activity")
        Common:changePic(icon,var.icon)
        icon:getChildByName("icon_redpoint"):setVisible(false)
        --标题
        local title = mode:getChildByName("text_title")
        title:setString(var.name)
        --时间
        local time = mode:getChildByName("text_time")
        time:setString( var.time)

        --获取按钮
        local btnGet = mode:getChildByName("btn_get")
        --信息按钮
        local btnInfo = mode:getChildByName("btn_info")
        btnGet:setVisible(false)
        btnInfo:setVisible(true)
        --信息按钮
        local btnInfo = mode:getChildByName("btn_info")
        btnInfo:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                var.func()
            end
        end)
        mode:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                var.func()
            end
        end)
    end
    
    --军功商店
    --local guildStoreActivity = {icon = "res/pic/mission/icon/icon_store_shop.png",name = StringRes.war_store,time = StringRes.activitydes_999}
    
    

    for key, var in pairs(pd.openEverydayActivityTypes) do
        local mode = self.page:getChildByName("panel_pg"):getChildByName("panel_activity"):clone()
        self.everydayActivity:pushBackCustomItem(mode)

        --图标
        local icon = mode:getChildByName("icon_activity")
        Common:changePic(icon,gActivity[var.type].icon)

        --提示数字
        local noticeNum = icon:getChildByName("icon_redpoint"):getChildByName("num_activity")
        noticeNum:setString(1)
        if Common:getJsonData("ActivityList",var.type) == 0 then
            icon:getChildByName("icon_redpoint"):setVisible(true)
        else
            icon:getChildByName("icon_redpoint"):setVisible(false)
        end
        icon:getChildByName("icon_redpoint"):setVisible(false)


        --标题
        local title = mode:getChildByName("text_title")
        title:setString(gActivity[var.type].name)

        --时间
        local time = mode:getChildByName("text_time")
        time:setString( var.startTime.."～"..var.endTime)


        --状态（转圈）
        local btnGet = mode:getChildByName("btn_info")
        if var.activityState == 1 then
            Animation:playAnimation2(btnGet,gUIeffect[6].effect,1)
        else
            Animation:stopAnimation(btnGet,gUIeffect[6].effect)
        end

        --获取按钮
        local btnGet = mode:getChildByName("btn_get")


        --信息按钮
        local btnInfo = mode:getChildByName("btn_info")

        if var.state == 1 then
            btnGet:setVisible(true)
            btnInfo:setVisible(false)
            Animation:playAnimation(btnGet,gUIeffect[9].effect,true,15)
        else
            btnGet:setVisible(false)
            btnInfo:setVisible(true)
            Animation:stopAnimation(btnGet,gUIeffect[9].effect)
        end

        local function doget()
            local pd = PlayerData:getInstanse()
            local msg = { type = var.type}
            Connect:sendMsg("DailyActivityAction","getFreeEnergy",msg,
                function(data)
                    --NodeTranslator:transUpBegin(self,nil)

                    local show = {
                        {{str="res/pic/common/icon/player/icon_energy.png",color=CommonColor.White,type = "image"},
                            {str="  "..StringRes.energy.."x"..data.rewardCount,color=CommonColor.White,size=24},
                            gravity = 2
                        }}
                    local DescriptView = require("src/app/views/prompt/DescriptView")
                    local DescriptCfg = require("src/app/cfg/DescriptCfg")
                    DescriptView:open(self,show)

                    pd.basicData.energy = data.energy
                    --更新数据
                    if data.state == 1 then
                        --删除该项
                        for key1, var1 in pairs(pd.openEverydayActivityTypes) do
                        	if var1.type == var.type then
                                table.remove(pd.openEverydayActivityTypes,key1)
                                break
                        	end
                        end
                    else
                        FlyWordPrompt:prompt(StringRes.Time_is_not)
                    end

                    self:freshEverydayActivity()
                end,false)
        end


        btnGet:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                doget()
            end
        end)




        btnInfo:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                doget()
                --enter()
            end
        end)

        mode:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                --enter()
                doget()
            end
        end)



    end
end



--刷新
function MainActivity:freshLittle()
    local pd = PlayerData:getInstanse()
    local num1 = 0
    if pd.noticeVOs ~= nil then
        for key, var in pairs(pd.noticeVOs) do
            if Common:getJsonData("Announcement",var.id) == 0 then
                num1 = num1 + 1
            end
        end
    end
    self:setWarningCount(3,num1)
    local num2 = 0
    
    
    --活动未点击数量
    local function getActivityNum(d1)
        local num = 0
        for key, var in pairs(d1) do
            if var.state == 1 then
                num = num + 1
            end
        end

        return num
    end
    num2 = getActivityNum(pd.getGametipsVO.activityStateVOs)
    
    
--    if pd.openActivityTypes ~= nil then
--        for key, var in pairs(pd.openActivityTypes) do
--            if Common:getJsonData("ActivityList",var.type) == 0 then
--                num2 = num2 + 1
--            end
--        end
--    end

    self:setWarningCount(1,num2)
end

--添加首冲进活动列表
function MainActivity:addFirstPay()
    local pd = PlayerData:getInstanse()

    if pd.basicData.firstPay == 0 or pd.basicData.firstPay == 1 then

    end
end

--刷新活动
function MainActivity:freshActivity()

    self:freshLittle()




    local pd = PlayerData:getInstanse()
    self.activity:removeAllItems()

    local function setdata(var)
        local mode = self.page:getChildByName("panel_pg"):getChildByName("panel_activity"):clone()
        self.activity:pushBackCustomItem(mode)

        --图标
        local icon = mode:getChildByName("icon_activity")
        Common:changePic(icon,gActivity[var.type].icon)

        if gActivity[var.type].animatiaon == 1 then
            Animation:playAnimation(icon,gUIeffect[9].effect,true,15)
        else

        end
        
        
        local function getIsFirst(id)
            for key1, var1 in pairs(pd.getGametipsVO.activityStateVOs) do
                if var1.id == id then
        			if var1.state == 1 then
        				return true
        			else
        			    return false
        			end
        		end
        	end
        	return false
        end

        --提示数字
        local noticeNum = icon:getChildByName("icon_redpoint"):getChildByName("num_activity")
        noticeNum:setString(1)
        if getIsFirst(var.type) then
            icon:getChildByName("icon_redpoint"):setVisible(true)
            --mode:setBackGroundImage("res/pic/common/panel/panel_infoTab_highlight.png")
            --Common:changePic(mode,"res/pic/common/panel/panel_ItemBg.png")
        else
            icon:getChildByName("icon_redpoint"):setVisible(false)
            --mode:setBackGroundImage("res/pic/common/panel/panel_ItemBg.png")

            --Common:changePic(mode,"res/pic/common/panel/panel_infoTab_highlight.png")
        end


        --标题
        local title = mode:getChildByName("text_title")
        title:setString(gActivity[var.type].name)

        --时间
        local time = mode:getChildByName("text_time")
        if var.startTime == "-1" and var.endTime == "-1" then
            time:setString( StringRes.yongjiuyouxiao)
        else
            time:setString( var.startTime.."～"..var.endTime)
        end



        --状态（转圈）
        local btnGet = mode:getChildByName("btn_info")
        if var.activityState == 1 then
            Animation:playAnimation2(btnGet,gUIeffect[6].effect,1)
        else
            Animation:stopAnimation(btnGet,gUIeffect[6].effect)
        end

        --获取按钮
        local btnGet = mode:getChildByName("btn_get")
        btnGet:setVisible(false)

        --信息按钮
        local btnInfo = mode:getChildByName("btn_info")

        local function enter()
            self:enterActivity(var.type,var.startTime.."～"..var.endTime)
            --已读标志
            Common:setJsonData("ActivityList",var.type,1)
            Connect:sendMsg("ActivityAction","openOneActivity",{id = var.type},
                function(data)
                    --更新数据
                end,false)
            local function setId2(id)
                for key1, var1 in pairs(pd.getGametipsVO.activityStateVOs) do
                    if var1.id == id then
                        var1.state = 2
                    end
                end
            end
            setId2(var.type)
            self:freshActivity()
        end

        btnInfo:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                enter()
            end
        end)

        mode:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                enter()
            end
        end)
    end

    local pd = PlayerData:getInstanse()

    if pd.basicData.firstPay == 0 or pd.basicData.firstPay == 1 then
        local var = {type = 8,startTime = "-1",endTime = "-1",activityState = 0}
        setdata(var)
    end

    table.sort(pd.openActivityTypes,function(a,b)
        return gActivity[a.type].order < gActivity[b.type].order
        end)

    for key, var in pairs(pd.openActivityTypes) do
        setdata(var)
    end
end




--刷新公告
function MainActivity:Announcement()

    self:freshLittle()

    local pd = PlayerData:getInstanse()
    --local t = {1,2,3}
    --UserDefault:setStringForKey("Announcement",cjson.encode(t))
    local annou = cjson.decode(UserDefault:getStringForKey("Announcement"))



    self.notice:removeAllItems()


    table.sort(pd.noticeVOs,function(a,b)
        return a.time > b.time
        end)



    for key, var in pairs(pd.noticeVOs) do
        local mode = self.page:getChildByName("panel_pg"):getChildByName("panel_activity"):clone()
        self.notice:pushBackCustomItem(mode)

        --图标
        local icon = mode:getChildByName("icon_activity")
        --Common:changePic(icon,picPath)

        --提示数字
        local noticeNum = icon:getChildByName("icon_redpoint"):getChildByName("num_activity")
        noticeNum:setString(1)
        if Common:getJsonData("Announcement",var.id) == 0 then
            icon:getChildByName("icon_redpoint"):setVisible(true)
            --mode:setBackGroundImage("res/pic/common/panel/panel_infoTab_highlight.png")
            --Common:changePic(mode,"res/pic/common/panel/panel_ItemBg.png")
        else
            icon:getChildByName("icon_redpoint"):setVisible(false)
            --mode:setBackGroundImage("res/pic/common/panel/panel_ItemBg.png")

            --Common:changePic(mode,"res/pic/common/panel/panel_infoTab_highlight.png")
        end


        --标题
        local title = mode:getChildByName("text_title")
        title:setString(var.title)

        --时间
        local time = mode:getChildByName("text_time")
        time:setString(var.time)

        --获取按钮
        local btnGet = mode:getChildByName("btn_get")
        btnGet:setVisible(false)

        --信息按钮
        local btnInfo = mode:getChildByName("btn_info")

        local function enter()
            local no = NoticeDlg.new()
            self:addChild(no)
            no:setData(var)
            --已读标志
            Common:setJsonData("Announcement",var.id,1)
            self:Announcement()
        end

        btnInfo:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                enter()
            end
        end)

        mode:addTouchEventListener(function(e, t)
            if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                enter()
            end
        end)



    end
end



function MainActivity:initTabs()
    self:registerTabEvent(1,function()

        self:getActivityList()
        self:ViewPage(self.activity)
    end)
    self:registerTabEvent(2,function()
        self:getEverydayActivity()
        --self:FreshSkill()
        self:ViewPage(self.everydayActivity)

    end)
    self:registerTabEvent(3,function()

        self:Announcement()
        self:ViewPage(self.notice)
    end)
    self:setTabSelect(1)
end

return MainActivity