TopbarUtils = {}

icons = {}

pos = {}

function TopbarUtils.addIcon(node)
    table.insert(icons,node)
    table.insert(pos,{x = node:getPositionX(),y = node:getPositionY()}) 
end

function TopbarUtils.update()
    local tmp = {}
    for i,v in ipairs(icons) do
        if v:isVisible() then
            table.insert(tmp,v)
        end
    end
    for i ,v  in ipairs(tmp) do
        v:setPosition(pos[i])
    end
end

function TopbarUtils.setVisible(node,vis)
    node:setVisible(vis)
    TopbarUtils.update()
end

function TopbarUtils.clear()
    icons = {}
    pos = {}
end
