
local ArmyGroupFunction = class("ArmyGroupFunction",function(node)
    return node
end)

function ArmyGroupFunction:ctor(node)
    self:initView()
end

function ArmyGroupFunction:initView()
    local listview_function = self:getChildByName("listview_function")
    local btn_shop = listview_function:getChildByName("panel_shop"):getChildByName("btn_enter")
    btn_shop:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/armygroup/ArmyGroupStore"):show(self:getParent())
        end
    end)
    local btn_tech = listview_function:getChildByName("panel_tech"):getChildByName("btn_enter")
    btn_tech:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/armygroup/ArmyGroupTechnology"):show(self:getParent())
        end
    end)
    local btn_fb = listview_function:getChildByName("panel_fb"):getChildByName("btn_enter")
    btn_fb:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/armygroup/ArmyGroupFB"):show(self:getParent())
        end
    end)
    local btn_log = listview_function:getChildByName("panel_log"):getChildByName("btn_enter")
    btn_log:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/armygroup/ArmyGroupLog"):show(self:getParent())
        end
    end)
    local btn_setting = listview_function:getChildByName("panel_duty_setting"):getChildByName("btn_enter")
    btn_setting:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            require("src/app/views/armygroup/ArmyGroupSetting"):show(self:getParent())
        end
    end)
end

function ArmyGroupFunction:setTabVisible(vis)
    self:setVisible(vis)
end

return ArmyGroupFunction