
local ArmyGroupNoticeIcon = class("ArmyGroupNoticeIcon",function(node)
    return node
end)

function ArmyGroupNoticeIcon:ctor(node)
    self:init()
end

function ArmyGroupNoticeIcon:update(dt)
    local pd =  PlayerData:getInstanse()
    if pd:getBaseBuildLv(1) >= 5 and pd.basicData.guildgift == 0 then--指挥中心5级开放
        TopbarUtils.setVisible(self,true)
        Animation:playAnimation2(self,gUIeffect[34].effect,1)
    else
        TopbarUtils.setVisible(self,false)
    end
end

function ArmyGroupNoticeIcon:init()


    local Scheduler = cc.Director:getInstance():getScheduler()
    self:update(0)
    self.updateId = Scheduler:scheduleScriptFunc(handler(self,self.update), 1, false)
    local function onNodeEvent(tag)
        if tag == "exit" then
            Scheduler:unscheduleScriptEntry(self.updateId)
        end
    end
    self:registerScriptHandler(onNodeEvent)
    self:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            local t = ManyDialogInfo:chatNoticeJunTuan()
            gWorldScene:addChild(t)
        end
    end)
end

return ArmyGroupNoticeIcon