local PanelTabLayer = require("src/app/views/public/PanelTabLayer")

local BagAndStore = class("BagAndStore",function(scene,pageNum)
    return PanelTabLayer.new(scene,{title=StringRes.item_title,tabs={StringRes.bag_title,StringRes.store_title}})
end)



ItemBTypebtnKey = {[1] = "Button_Res",[2] = "Button_Battle",[3] = "Button_Chest",[4] = "Button_Else"}


function BagAndStore:ctor(scene,pageNum)
    self.Bag = nil
    self.Store = nil
    
    
    self.SelectType = 1
    
    self:registerTabEvent("close",function() 
        --self.taskUIModel:release()
--        local pd = PlayerData:getInstanse()
--        for key, var in pairs(pd.openBagVOs) do
--    
--            if gItem[var.templateId].btype == self.SelectType then
--            
--                
--                local item = preLoad:getPanel("bagItem")
--                --图标
--                item:getChildByName("Image_Icon"):loadTexture(gItem[var.templateId].icon,ResType)
--                
--                
--                if gItem[var.templateId].iconeffect == 1 then
--                    Animation:playAnimation(item:getChildByName("Image_Icon"),gUIeffect[9].effect,true,15)
--                end
--            end
--        end
        
        
        
        if gWorldScene ~= nil then
            gWorldScene:TurnBgQuest()
        end
    end)
    
    

    self:initTabs(pageNum)

    ViewManager:OpenView(self)
end

function BagAndStore:resetContent()
    if self.Bag then self.Bag:setVisible(false) end
    if self.Store then self.Store:setVisible(false) end
end

function BagAndStore:ViewPage(page)
    if self.Bag then self.Bag:setVisible(false) end
    if self.Store then self.Store:setVisible(false) end
    
    page:setVisible(true)
end

--重置背包对象数据
function BagAndStore:resetBagVOsData(id,count)
    local pd = PlayerData:getInstanse()
    --整理数据
    if pd.openBagVOs == nil then
        return
    end
    
    for key, var in pairs(pd.openBagVOs) do
        if var.id == id then
            var.count = count
            if count <= 0 then
                table.remove(pd.openBagVOs,key)
                break
            end
        end
    end
    
end

function BagAndStore:FreshBag()


    self:BagChangeType(self.SelectType)


    local pd = PlayerData:getInstanse()
	--整理数据
    if pd.openBagVOs == nil then
		return
	end
	--按大小类型分类
--	self.Bag = {}
--    for key, var in pairs(pd.openBagVOs) do
--        
--        self.Bag[gItem[var.templateId].btype][gItem[var.templateId].stype] = var
--        
--	end

    local list = self.Bag:getChildByName("ListView_1")
    list:removeAllItems()
    preLoad:updateRelese()







    --任务排序值
    for key, var in pairs(pd.openBagVOs) do
        var.sortScore = gItem[var.templateId].btype*1000000+gItem[var.templateId].stype*1000+gItem[var.templateId].id
        end

    table.sort(pd.openBagVOs,
                function(a,b) 
                    return a.sortScore < b.sortScore
                end)

	
	
	--排列道具
	
    for key, var in pairs(pd.openBagVOs) do
    
        if gItem[var.templateId].btype == self.SelectType then
        
            
            local item = preLoad:getPanel("bagItem")
            --图标
            item:getChildByName("Image_Icon"):loadTexture(gItem[var.templateId].icon,ResType)
            
            
            if gItem[var.templateId].iconeffect == 1 then
                Animation:playAnimation(item:getChildByName("Image_Icon"),gUIeffect[9].effect,true,15)
                
                item.onrelease = function()
                    Animation:stopAnimation(item:getChildByName("Image_Icon"),gUIeffect[9].effect)
                end
            end
            
            --名字
            item:getChildByName("Text_Name"):setString(StringRes[gItem[var.templateId].name])
            --描述
            item:getChildByName("Text_Des"):setString(StringRes[gItem[var.templateId].desc])
            --数量
            item:getChildByName("Text_GotNum"):setString( var.count)

            item:setName(""..var.id)
            --使用
            local oneUseBtn = item:getChildByName("Button_Use")
            oneUseBtn.id = var.id
            local manyUseBtn = item:getChildByName("Button_ManyUse")
            manyUseBtn.id = var.id
            manyUseBtn.count = var.count
            if gItem[var.templateId].use == 1 then

                oneUseBtn:addTouchEventListener(function(e, t)
                    if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        --点击使用
                        if var.templateId == 40 then
                            self:UseQianYiQuest(e.id,1,var)
                        else
                            self:UseQuest(e.id,1,var)
                        end
                        
                        
                    end
                end)
                oneUseBtn:setVisible(true)

                if var.count > 1 and var.templateId ~= 40 then
                    manyUseBtn:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                        --点击批量使用
                            ManyUseItem:show(self,var,function(id,count)
                                self:UseQuest(id,count,var)
                                end
                            )
                            
                        end
                    end)
                    manyUseBtn:setVisible(true)
                else
                    manyUseBtn:setVisible(false)
                end
            else
                oneUseBtn:setVisible(false)
                manyUseBtn:setVisible(false)
            end
            
            
            list:pushBackCustomItem(item)
            
        end
    
	end
	
	
	
end



function BagAndStore:FreshStore()


    self:StoreChangeType(self.SelectType)


    local pd = PlayerData:getInstanse()
    --整理数据
    if pd.openStoreVOs == nil then
        return
    end
    --按大小类型分类
    --  self.Bag = {}
    --    for key, var in pairs(pd.openBagVOs) do
    --        
    --        self.Bag[gItem[var.templateId].btype][gItem[var.templateId].stype] = var
    --        
    --  end

    local list = self.Store:getChildByName("ListView_1")
    list:removeAllItems()
    preLoad:updateRelese()

    table.sort(pd.openStoreVOs)



    --排列道具

    for key, var in pairs(pd.openStoreVOs) do

        if gItem[var].btype == self.SelectType then


            local item = preLoad:getPanel("storeItem")
            --图标
            item:getChildByName("Image_Icon"):loadTexture(gItem[var].icon,ResType)
            --名字
            item:getChildByName("Text_Name"):setString(StringRes[gItem[var].name])
            --描述
            item:getChildByName("Text_Des"):setString(StringRes[gItem[var].desc])
            
            --价格
            item:getChildByName("Text_SellNum"):setString( gStore[var].price*15)
    
            --购买
            local buy = item:getChildByName("Button_Buy")
            buy.id = gItem[var].id
            buy:addTouchEventListener(function(e, t)
                if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                
                    DialogUtil:buy(gStore[var].price*15,StringRes[gItem[var].name],function()
                            --点击购买
                         self:BuyQuest(e.id)
                    end)
                    
--                    PromptView:type2(StringRes.notice,
--                        string.format(StringRes.but_notice,gStore[var].price,1,StringRes[gItem[var].name])
--                    ,StringRes.ok,StringRes.cancel,
--                    function()
--                            --点击购买
--                         self:BuyQuest(e.id)
--                    end)
                
                
                end
            end)



            list:pushBackCustomItem(item)

        end

    end



end

--浏览标签页通知服务器
function BagAndStore:dobiaoqian()
    -- body
    local pd = PlayerData:getInstanse()

    for key, var in pairs(ItemBTypebtnKey) do

        local btn = self.Bag:getChildByName(var)
        local num = pd.notifyItesmCountVO["itemsType"..key]
        if num > 0 then
            Animation:showNum(btn,gLittleUi:getChildByName("Image_7"):clone(),num)
        else
            Animation:hideNum(btn,gLittleUi:getChildByName("Image_7"))
        end


    end

end
function BagAndStore:openBagSendMes(type  )
    -- body
    local pd = PlayerData:getInstanse()

    local senddata = {type = type}
    Connect:sendMsg("BagAction","resetItemsNewCount",senddata,
        function(data)
          pd.notifyItesmCountVO["itemsType"..type] = 0
          self:dobiaoqian()
        end)
end

--切换背包类型
function BagAndStore:BagChangeType(type)
	self.SelectType = type
	self:openBagSendMes(type)
	
	local function setButtonEnabled(button,enable)
        button:setBright(enable)
        button:setEnabled(enable)
        button:setTouchEnabled(enable)
    end
	
    for key, var in pairs(ItemBTypebtnKey) do
    
        local btn = self.Bag:getChildByName(var)
        if key == self.SelectType then
            setButtonEnabled(btn,false)
        else
            setButtonEnabled(btn,true)
        end
        
        
	end
	
end

--切换商店类型
function BagAndStore:StoreChangeType(type)
    self.SelectType = type


    local function setButtonEnabled(button,enable)
        button:setBright(enable)
        button:setEnabled(enable)
        button:setTouchEnabled(enable)
    end

    for key, var in pairs(ItemBTypebtnKey) do

        local btn = self.Store:getChildByName(var)
        if key == self.SelectType then
            setButtonEnabled(btn,false)
        else
            setButtonEnabled(btn,true)
        end


    end

end


--请求使用随机迁移
function BagAndStore:UseQianYiQuest(CommodityId,counts,var)
    local pd = PlayerData:getInstanse()
    PromptView:type2(StringRes.notice,
        StringRes.jidi_chuansong
    ,StringRes.ok,StringRes.cancel,
    function()
            local senddata = {id = CommodityId}
            Connect:sendMsg("BagAction","userTrans",senddata,
                function(data)
                    if data.state == 1 then

                        FlyWordPrompt:prompt( StringRes.base_goto1.."("..data.x..","..data.y..")")
                        --更新数据
                        pd.basicData.x = data.x
                        pd.basicData.y = data.y



                        local list = self.Bag:getChildByName("ListView_1")
                        local item = list:getChildByName(""..CommodityId)

                        if item ~= nil then
                            if data.count <= 0 then
                                list:removeChild(item,true)
                                list:requestRefreshView()

                            else
                                if data.count == 1 then
                                    local manyUseBtn = item:getChildByName("Button_ManyUse")
                                    manyUseBtn:setVisible(false)
                                end
                                item:getChildByName("Text_GotNum"):setString( data.count)
                            end

                            self:resetBagVOsData( data.id,data.count)


                        end

                    else
                    --使用失败

                    end

                end)
    end)
    





end


--请求使用
function BagAndStore:UseQuest(CommodityId,counts,var)
    local pd = PlayerData:getInstanse()
    
    
    
    
    local senddata = {id = CommodityId,count = counts}
    Connect:sendMsg("BagAction","useBagItems",senddata,
        function(data)
            if data.state == 1 then
                
                --新版本
                if data.getBagItemsVOs ~= nil then
                    local str = string.format(StringRes.use_success,StringRes[gItem[var.templateId].name])
                    for key, var in pairs(data.getBagItemsVOs) do
                        if var.type == 1 then
                            str = str.."   "..StringRes[gItem[var.templateId].name].."x"..var.getCount
                        elseif var.type == 2 then
                            str = str.."   "..parts[var.templateId].name.."x"..var.getCount
                        elseif var.type == 3 then 
                            str = str.."   "..StringRes[Tank[var.templateId].name].."x"..var.getCount
                            
                        end
                    end
                    
                    FlyWordPrompt:prompt(str)
                else
                    if data.type == 1 then
                        local str = string.format(StringRes.use_success,StringRes[gItem[var.templateId].name])
                        str = str.."   "..StringRes[gItem[data.templateId].name].."x"..data.getCount
                        FlyWordPrompt:prompt(str)
                    elseif data.type == 2 then
                        local str = string.format(StringRes.use_success,StringRes[gItem[var.templateId].name])
                        str = str.."   "..parts[data.templateId].name.."x"..data.getCount
                        FlyWordPrompt:prompt(str)
                    elseif data.type == 3 then 
                        local str = string.format(StringRes.use_success,StringRes[gItem[var.templateId].name])
                        str = str.."   "..StringRes[Tank[data.templateId].name].."x"..data.getCount
                        FlyWordPrompt:prompt(str)
                    else
                        FlyWordPrompt:prompt(string.format(StringRes.use_success,StringRes[gItem[var.templateId].name]))
                    end
                end
                
                
                
                
                
                
                
                if gItem[var.templateId].btype == 3 then
                    self:BagQuest()
                    print("------fresh bag-----------")
                else
                    local list = self.Bag:getChildByName("ListView_1")
                    local item = list:getChildByName(""..data.id)
                    
                    if item ~= nil then
                        if data.count <= 0 then
                            list:removeChild(item,true)
                            list:requestRefreshView()
                            
                        else
                            if data.count == 1 then
                                local manyUseBtn = item:getChildByName("Button_ManyUse")
                                manyUseBtn:setVisible(false)
                            end
                            item:getChildByName("Text_GotNum"):setString( data.count)
                        end
                        
                        self:resetBagVOsData( data.id,data.count)
                    
                        
                    end
                end
                
                
                
                
            else
            --使用失败
                
            end

        end)
    

    
end



--请求购买
function BagAndStore:BuyQuest(CommodityId)
    	
    local pd = PlayerData:getInstanse()

    local senddata = {id = CommodityId}
    Connect:sendMsg("ShopAction","buyShopItems",senddata,
        function(data)
          if data.state == 1 then
                pd.basicData.gold = data.gold
                
                FlyWordPrompt:prompt(string.format(StringRes.buy_success,StringRes[gItem[CommodityId].name]))
          else
            --购买失败
            
          end

        end)
	
end

--背包请求
function BagAndStore:BagQuest()

    local pd = PlayerData:getInstanse()

    Connect:sendMsg("BagAction","openBag",nil,
        function(data)
            --更新数据
            pd.openBagVOs = data
            
            if self.Bag == nil then
                self.Bag = cc.uiload:load("res/csd/public/BagAndStore.csb")
                self:addChild(self.Bag)
                
                
                
                for key, var in pairs(ItemBTypebtnKey) do
                    local btn = self.Bag:getChildByName(var)
                    btn.key = key
                    btn:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
                            
                            self.SelectType = e.key
                            self:FreshBag()
                            
                        end
                    end)
                end
            end
            
            self:FreshBag()
            
            self:ViewPage(self.Bag)
            
        end)
end



--商店请求
function BagAndStore:StoreQuest()

    local pd = PlayerData:getInstanse()

    Connect:sendMsg("ShopAction","openShop",nil,
        function(data)
            --更新数据
            pd.openStoreVOs = data.ids

            if self.Store == nil then
                self.Store = cc.uiload:load("res/csd/public/BagAndStore.csb")
                self:addChild(self.Store)



                for key, var in pairs(ItemBTypebtnKey) do
                    local btn = self.Store:getChildByName(var)
                    btn.key = key
                    btn:addTouchEventListener(function(e, t)
                        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

                            self.SelectType = e.key
                            self:FreshStore()


                        end
                    end)
                end
            end

            self:FreshStore()

            self:ViewPage(self.Store)

        end)
end



function BagAndStore:initTabs(pageNum)
    self:registerTabEvent(1,function()
        
        self:BagQuest()
        
        
    end)
    self:registerTabEvent(2,function()
        self:StoreQuest()
    end)
    
    self:setTabSelect(pageNum)
end

return BagAndStore