

ManyUseItem = {}

function ManyUseItem:show(parent,data,useItem)
    local content = CCUILoader:load("res/csd/public/ItemUse.csb")
   
    Common:layerCenter(content)
   
    content.removable = false
    require("src/app/util/NodeTranslator"):transZoomOut(content,function()
        content.removable = true
    end)
    
    parent:addChild(content)
    
    
    
    --图标
    content:getChildByName("Image_Icon"):loadTexture(gItem[data.templateId].icon,ResType)
    --名字
    content:getChildByName("Text_Name"):setString(StringRes[gItem[data.templateId].name])
    --描述
    content:getChildByName("Text_Des"):setString(StringRes[gItem[data.templateId].desc])
    
    
    
    local leftBtn = content:getChildByName("Image_Left")
    local rightBtn = content:getChildByName("Image_Right")
    
    content.curUseNum = 1
    
    local function fresh()
    
        showShader:toNormal(leftBtn)
        showShader:toNormal(rightBtn)
        if content.curUseNum <= 1 then
            showShader:toGray(leftBtn)
        elseif content.curUseNum >= data.count then
            showShader:toGray(rightBtn)
    	end
    	
        --数量
        content:getChildByName("Text_UseCount"):setString( content.curUseNum.."/"..data.count)
    end
    fresh()
    
    --按钮
    leftBtn:addTouchEventListener(function(e, t)
        if t ~= ccui.TouchEventType.ended then
            content.curUseNum = content.curUseNum-1
            if content.curUseNum <= 1 then
            	content.curUseNum = 1
            end
            fresh()
        end
    end)
    
    --按钮
    rightBtn:addTouchEventListener(function(e, t)
        if t ~= ccui.TouchEventType.ended then
            content.curUseNum = content.curUseNum+1
            if content.curUseNum >= data.count then
                content.curUseNum = data.count
            end
            fresh()
        end
    end)
    
    
    --使用
    local useBtn = content:getChildByName("Button_Use")
    useBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            
            useItem(data.id,content.curUseNum)
            
            content:removeFromParent()
        end
    end)
    --最大
    local maxBtn = content:getChildByName("Button_Max")
    maxBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)

            content.curUseNum = data.count
            fresh()
        end
    end)
    
    --关闭
    local closeBtn = content:getChildByName("Button_Close")
    closeBtn:addTouchEventListener(function(e, t)
        if t == ccui.TouchEventType.ended then MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            content:removeFromParent()
        end
    end)
    
    
end

return ManyUseItem