local PanelTabLayer = require("src/app/views/public/PanelTabLayer")
local Connect = require("src/app/util/Connect")
local BuildingOnlyBuild = class("BuildingOnlyBuild",function(scene,data)
    return PanelTabLayer.new(scene,{title=string.format(StringRes[gBuilding[data.templateId].name]..StringRes.LV,data.buildLv),tabs={StringRes.build}})
end)

function BuildingOnlyBuild:ctor(scene,data)
    self:initTabs(scene,data)
end

function BuildingOnlyBuild:initTabs(scene,data)
    self:registerTabEvent(1,function()
        --建造
        local content = BuildView.new(scene,data)
        self:addChild(content)
    end)
    self:setTabSelect(1)
end

return BuildingOnlyBuild