
--角色信息，聊天里边的
local ended = ccui.TouchEventType.ended

local function eventListner(event,func)
    return function(e,t)
        if t == event then 
            MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            func()
        end
    end
end

local RoleInfoView = class("RoleInfoView",function(scene)
    return display.newLayer()
end)

function RoleInfoView:ctor(parent,data,isFriend)
    self.MainPage = CCUILoader:load("csd/friend/layer_friend_info.csb") 
    self:addChild(self.MainPage)
    
    local nodeParent = self.MainPage:getChildByName("panel_mask"):getChildByName("panel_friend_info") 
    self.UIClose = nodeParent:getChildByName("btn_delete") 
    self.UIRoleIcon = nodeParent:getChildByName("icon_bg"):getChildByName("icon_player")
    self.UIWhiteMail = nodeParent:getChildByName("btn_mail") 
    self.UIChat = nodeParent:getChildByName("btn_chat")
    self.UIMakeFriend = nodeParent:getChildByName("btn_add")
    self.UIRemoveFriend = nodeParent:getChildByName("btn_remove")
    
    local contentParent = nodeParent:getChildByName("panel_info_bg")
    self.UIRoleMsg = contentParent:getChildByName("text_player_info")
    self.UIFight = contentParent:getChildByName("text_attack_info")
    
    self.UIWhiteMail:addTouchEventListener(eventListner(ended,function()
            self:close()
            local MailWriteView = require("src/app/views/mail/MailWriteView")
            MailWriteView:open(parent,{resver=data.fname})
        end))
    self.UIChat:addTouchEventListener(eventListner(ended,function()
            self:close()
            ChatMainView:getInstanse():priveteChat(data.fname)
        end))
    self.UIMakeFriend:addTouchEventListener(eventListner(ended,function()
        local _msg = {fid = data.fid}
        Connect:sendMsg("FriendAction","addFriend",_msg,function(newMsg)
                if newMsg.state == 1 then
                    self:close()
                    parent:updateList(newMsg.friends,true)
                end
            end,true)
        end))
    self.UIRemoveFriend:addTouchEventListener(eventListner(ended,function()
            PromptView:type2(nil,StringRes.delete_friend,StringRes.ok,StringRes.cancel,function() 
                local _msg = {fid = data.fid}
                Connect:sendMsg("FriendAction","delFriend",_msg,function(newMsg) 
                        if newMsg.state == 1 then
                            self:close()
                            parent:updateList(newMsg.friends,true)
                        end
                    end,true)
            end)
        end))
    self.UIClose:addTouchEventListener(eventListner(ended,function()
            self:close()
        end))
        
    self:setBaseMsg(data,isFriend)
end

--基础信息
function RoleInfoView:setBaseMsg(data,isFriend)
    local infoStr = string.format("%s(%s%s)",data.fname,
        string.format(StringRes.LV2,data.lv),StringRes[gMilitary_rank[data.warLv].military])
    self.UIRoleMsg:setString(infoStr)
    self.UIFight:setString(data.combat)
    self.UIMakeFriend:setVisible(not isFriend)
    self.UIRemoveFriend:setVisible(isFriend)
    self.UIRoleIcon:loadTexture(gRoleHeadIcon[data.icon])
end

function RoleInfoView:close()
    self:removeFromParent()
end

function RoleInfoView:open(parent,data,isFriend)
    local newPage = self.new(parent,data,isFriend)
    parent:addChild(newPage)
end

return RoleInfoView