
local SpyReportView = require("src/app/views/mail/SpyReportView")
local WarReportView = require("src/app/views/mail/WarReportView")
local ReturnReportView = require("src/app/views/mail/ReturnReportView")

local ended = ccui.TouchEventType.ended

local function eventListner(event,func)
    return function(e,t)
        if t == event then 
            MyAudio:PlayEffect(MusicAndEffect.btnEffect)
            func()
        end
    end
end

local ReportView = class("ReportView",function(parent,type,mail,report,formId,isChat)
    if report.type == 7 then
        return ReturnReportView.new(parent,mail,report,formId,isChat)
    elseif report.type <= 2 or report.type == 8 then
        return SpyReportView.new(parent,mail,report,formId,isChat)
    else
        return WarReportView.new(parent,mail,report,formId,isChat)
    end
end)

-- type:1邮件中的报告，2
function ReportView:ctor(parent,type,mail,report)
           
end

--
function ReportView:openByInfo(parent,info,isChat)
    local newPage = self.new(parent,nil,{id=info.id,type=4},info,PlayerData:getInstanse().basicData.playerId,isChat)
    parent:addChild(newPage)
end

--@type 1 邮件里的报告 2 竞技场报告
function ReportView:open(parent,type,mail,formId,isChat)
    local _msg = {id = mail.id,pid=formId or PlayerData:getInstanse().basicData.playerId,type=isChat and 1 or 0}
    local function func(newMsg)
        local newPage = self.new(parent,type,mail,newMsg,formId,isChat)
        parent:addChild(newPage)
    end
    if type == 1 then
        Connect:sendMsg("MailAction","getRecordInfo",_msg,func,true)
    else
        Connect:sendMsg("ArenaAction","getArenaRecordInfo",_msg,func,true)
    end
end

return ReportView